Welcome to Designer

Welcome to the all-new Designer from Micrografx. Designer is a vector graphics program that lets you create high-quality illustrations for a wide variety of applications. Whether you need a simple circle, a series of rotated overlapping images, custom-warped text, or a complex technical illustration, you can do it with Designer.

Designer gives Windows users a whole new level of accuracy and precision in technical illustration. It delivers sophisticated object creation and editing features, impressive text handling, and more. Yet it's all surprisingly easy to learn and use.


New Features

  • Microsoft System Installer (MSI)--The Windows-standard installer is used to install Designer on Windows 98, NT 4.0, 2000, and Me platforms.
  • Enhanced DXF/DWG import--Support for importing AutoCAD 2000 files has been added.
  • Callout enhancements--Several different styles can be used for callouts, and halos can be added to make callouts easier to see.
  • Macromedia Flash export--Drawings can be saved as SWF version 5. Simple animations can be created and played back with the Macromedia Flash Player.
  • PDF export - Support for exporting a drawing as a PDF file has been added.


The Designer Window

Think of the Designer main window as an electronic drawing board. There are certain areas of the window that always display the same information or options. For example, the left side of the window always shows the toolbox, and the top of the window always shows the menus.

If you are new to Designer, use this section to help identify the major areas of the Designer window.

The Toolbox and Ribbon

The toolbox, found at the left of the main Designer window, contains tools that let you create and edit drawings. There is also a View Tool that lets you view your drawing at different sizes.

When you click a tool in the toolbox, the ribbon at the top of the window usually changes to show buttons that let you specify how you want to use the tool. For example, if you want to draw a rectangle, you click the Rectangle Tool in the toolbox then select the way you want to draw the rectangle from the ribbon.

Menu Commands

The menus are found in the menu bar at the top of the window (under the title bar). These menus generally contain commands and options that let you perform a variety of actions.

The menus are grouped by category. For example, the Effects menu contains commands that change the appearance of your drawing.

Drawing Windows

Different documents appear in separate windows within the Designer main window. You can display many windows at a time, but only the active drawing window receives the action. For example, when you save a drawing, only the one in the active window is saved.

Rulers and Grid

The rulers and grid points appear for each open document to help you measure and position the components of your drawing. You can set Designer's preferences to show or hide the rulers and grid, change the unit of measure for the rulers, and change the spacing of the grid points.

Hints

Designer provides several kinds of hints to help you in your work. As you point to a button, command, or tool, a hint provides a brief description of that particular element. A keyboard shortcut is often included.

You can show or hide the various types of hints. You can also undock, move, resize, and reshape the floating hint window to keep it visible but out of your way.

Related Topics


To show or hide ToolTips

  • Open the View menu and select Toolbars. Select Show ToolTips in the dialog box. When ToolTips is selected, pointing for one second to a tool or button with the mouse pointer displays the name of the tool or button.


To show or hide hints

  1. Open the View menu and select Toolbars. The Toolbars dialog box displays.

  2. Select Hint to display the floating hint window.


Creating a New Designer Drawing

When you want to create a new drawing, use either the New or the Templates command in the File menu. Selecting New displays a blank page; selecting Templates presents a choice of various categories of templates, with several selections each. You can also create templates and save them to the My Templates category.

Designer lets you have as many files open at one time as your computer's memory will allow, each in its own drawing window. The title bar of a new window displays "Untitled1" until you save the file with a specific filename. If you have more than one unsaved document, they are named Untitled1, Untitled2, and so forth.

In addition, you can open multiple windows for the same document to view a different page in each window. You can even view the same page in two different windows.


To create a new drawing

  1. Open the File menu and select New. Designer opens a new window containing an untitled document.

  2. To give the new file a name, open the File menu and choose the Save or Save As command. The Save As dialog box opens. Type a name in the File Name text box and press ENTER.


To create a new drawing using a template

  1. Open the File menu and select Templates. The Designer Templates dialog box appears. The Details section displays a description of the templates.

  2. Select a template category and click Next. The templates in the selected category display.

  3. Make your selection and click Finished. The selected template displays in the workspace.

  4. To give the new file a name, open the File menu and choose the Save or Save As command. The Save As dialog box opens. Type a name in the File Name text box and press ENTER.


To create and save a template

  1. Create a drawing.

  2. Open the File menu and select Save As Template. The Save As Template dialog displays.

  3. Enter a name and description of the template. Choose a template category or create a new category using the New Category button.

  4. Click OK to save the new template.


Getting Help

Designer offers an online help system that is a complete source of information about features, commands, and dialog boxes. You can also take advantage of Web-based and telephone support options.


Getting Help as You Work

Using ToolTips and Hints

Open the View menu, click Toolbars, and make sure that the Show ToolTips option is checked and the Hints toolbar is turned on.

  • ToolTips, displayed near the mouse pointer when you pause on a tool or button, help you relate the tool's image to its name.
  • The Hint toolbar gives a brief description of the tool, button, or menu item you are pointing to. The Hint toolbar also displays "Action Hints" as you draw and edit objects Action Hints guide you step-by-step through Designer procedures.
  • If you are not sure what your options are while editing an object, click the right mouse button. A shortcut menu appears, containing commands that are available for the current object.

When you want more detailed information

  • Click the Help button on the Standard toolbar [image] to access information about Designer commands, terms and phrases, shortcut keys, and topics related to Designer and the Windows environment.
  • When you are using a dialog box, click the help button in the lower right [image] .

Search Techniques

The Search tab in help lets you find topics that contain words and phrases you enter. To narrow your search, use the following techniques:

  • Type only the keywords you want to find.
  • Use wildcard characters:
    ? - Replaces one character. For example, DS? finds both DSF and DS4.
    * - Replaces zero or more characters. For example, help* finds help, helped, helpful, and so on.
  • Use the following Boolean operators:
    AND - Finds topics that contain both words. For example, computer AND monitor finds topics that contain both "computer" and "monitor."
    OR - Finds topics that contain one or both words. For example computer OR monitor will find topics that contain "computer" or "monitor" or both words.
    NOT - Finds topics that contains the first word but not the second word. For example "computer NOT monitor" finds topics that contain "computer" but not if they also contain "monitor."
  • Use quotation marks to find an exact phrase. For example, "computer monitor" finds only topics that have both words in order.

Help is not case-sensitive. For example, entering BMP or bmp will yield the same results.


Technical Support

Micrografx has developed a comprehensive support program that will enable customers to choose the support option that best meets their presale and post-sale requirements. Our staff of experienced technical support advocates are specialists in the critical areas and applications important to you, delivering fast, flexible, and comprehensive service for the Micrografx business and professional products you own.

Web-based Support:

Support is available free of charge through the Micrografx Website 24 hours a day, 7 days a week at http://www.micrografx.com/support.

Phone Support:

Users with a support agreement can call 410-224-2926, extension 504.


The Standard Toolbar

The Standard toolbar contains Designer's most frequently used buttons.

Tool | Name | Description
 | File Management Buttons | Use the File Management buttons to create, open, or save a new or existing document.
 | Print | Use the Print button to open the Print dialog.
 | Spell Check | Use the Spell Check button to check the spelling on the current page.
 | Cut, Copy, Paste | Use these buttons to cut, copy, and/or paste selected objects or blocks of text.
 | Undo/Redo | Use the Undo button to undo the last performed task. Use the Redo button to reapply the last performed task.
 | Share Media | Use the Share Media button to access clip art and other media files.
 | Import | Use the Import button to import a file into the current document.
 | Snap To Rulers | Use the Snap To Rulers button to turn on or off the snap to rulers option.
 | Snap To Guide Lines | Use the Snap to Guide Lines button to turn on or off the snap to guide lines option.
 | Add/Remove Snap Points | The Add/Remove Snap Points buttons to add or remove snap points on a selected object.
 | Dynamic Snap | Use the Dynamic Snap button to enable the dynamic snap points option.
 | Color Palette | Use the Color Palette button to show or hide the active color palette.
 | Drawing Tools | Use the Drawing Tools button to open the drawing tools ribbon at the bottom of your Designer window.
 | Reference Point | Use the Reference Point button to show or hide the Reference Point toolbar.
 | Object Explorer | Shows or hides the Object Explorer.
 | View Size Box | Use the View Size box to control the zoom factor of a particular page.
 | Help | Use the Help button for Designer's online help.


Page and Layer Buttons and Tabs

Tool | Name | Description
 | Pages | Use the Pages button to add pages, update the master page, move to a different page, or open the Pages dialog box to name, add, and delete pages.
 | Master Page | Click the Master Page tab to add a master page to your document. Items and features, such as headers, footers, logos, and other graphics that are placed on the master page will appear on every page of your Designer document.
 | Page | The Page tab lets you add new pages to your document and go to a different page.
 | Layers | Use the Layers button to add layers, move to a different layer, or open the Layers dialog box to name, add, delete, rearrange, color, hide or show, and lock or unlock layers.
 | Layer Probe | Use the Layer Probe button to select an object when you are uncertain of which layer to choose.
 | Layer | The Layer tab lets you add new layers to your drawing and move to a different layer.

On the Master Page, Page 1, and Layer 1 tabs, left click the tab to make the page active; right click to display the menu.


Status Bar Buttons

The status bar at the bottom of the Designer window contains current information about your drawing, including line fill and style, interior fill, type of object selected, zoom level, and coordinates. You also can click the Coordinates button to open the Coordinates menu. The status bar can be a single line or a double line.

Tool | Name | Description
 | Line fill and style | This button shows the line fill and style of the currently selected object. If no object is selected, the button shows the default line fill and style. Click to open the Object Format dialog box.
 | Interior fill | This button shows the interior fill of the currently selected object. If no object is selected, the button shows the default fill. Click to open the Object Format dialog box where you can select colors and the type of fill.
 | Coordinates | The Coordinates button (keyboard shortcut CTRL+Q) opens a dialog that lets you change the coordinate system. You can also open a dialog box that lets you use numeric coordinates to control editing and drawing actions that usually require the mouse.


Constraint Buttons

The constraint buttons let you apply restrictions on how objects can be drawn. A selected button remains on until you click it again to turn it off.

Tool | Name | Description
 | Angle Constraint | The Angle Constraint button forces objects to draw in 15-degree increments.
 | Proportional Constraint | The Proportional Constraint button forces rectangles to draw as squares and ellipses to draw as circles.
 | Reverse Direction | The Reverse Direction button reverses the direction Designer normally draws objects that are drawn from a single side.
 | From Center | The From Center button forces objects to draw from a center point outward.


Select Tool

The Select Tool lets you select objects in a document.


Rotate/Skew Tool

The Rotate/Skew Tool allows you to rotate and/or skew, or twist, a selected object. You can rotate an object by clicking and dragging a corner handle; and you can skew an object by clicking and dragging a side handle.


Edit Tool

The Edit Tool lets you extrude, warp, and reshape objects in a document. When you click the Edit Tool, the ribbon displays a set of buttons specific to this tool. Click the Edit Tool to view a menu of the ways to edit a selected object.


Reshape Buttons

The reshape buttons display an object's anchor points and puts the object in point reshape mode. In point reshape mode, you can reshape the object by dragging its anchor points.

Tool | Name | Description
 | To Curves | The To Curves button (keyboard shortcut CTRL+R) converts an object such as text, a rectangle, or an ellipse into a conventional object. This lets you reshape the object by dragging its anchor points. It also converts dimension lines to groups, and converts Windows metafiles to Designer objects.
 | Wireframe | The Wireframe button toggles between editing the object with and without fills. Editing with a fill shows the exact results, but editing without a fill is faster.
 | Add/Remove Points | The Add Point button places an anchor point where you click on an object. The Remove Point button removes highlighted anchor points.
 | Reduce Points | The Reduce Points button enables you to remove some of the points in the graphic.
 | Join Points | The Join Points button connects two highlighted anchor points with a straight line.
 | Cut at Point | The Cut at Point button cuts through a line creating two separate anchor points with a small empty space between them.
 | Edit Corner/Curves | The Corner button (keyboard shortcut CTRL+5) converts the lines connected to a selected anchor point into straight lines. If applied to two selected anchor points that are adjacent, the Corner button converts the line between the two points into a straight line. The Symmetrical Curve button (keyboard shortcut CTRL+7) converts lines connected to selected anchor points into symmetrically curved lines.
 | Unlocked Cusp/ Locked Cusp | The Unlocked Cusp button (keyboard shortcut CTRL+6) unlocks an anchor's Bézier control points so you can move the points independently. By moving one point at a time, you can create shapes such as a curving wedge (that is, a cusp). The Locked Cusp button (keyboard shortcut CTRL+4) locks the angular relationship between Bézier control points so that when you drag one of the points, the opposite moves also as required to keep the angle between the two points the same.


Warp Buttons

The warp buttons are used to twist or skew selected objects. Use any of the predefined warp buttons to quickly warp a selected object. The non-predefined warp buttons are described below.

Tool | Name | Description
 | Warp Type | Use the Warp Type button to edit a selected object as a line, curve, or Bézier.
 | Add/Remove Warp Envelope | Use the Add/Remove Warp Envelope buttons to add or remove the warp envelope, or grid, around a selected object.
 | Add Vertical/ Horizontal Lines | Use the Add Vertical/Horizontal Lines buttons to add vertical or horizontal lines to a warp envelope.


Extrude Buttons

Extrude buttons are used to pull selected objects.

Tool | Name | Description
 | Isometric Right | Use the Isometric Right button to extrude an object to the right.
 | Isometric Left | Use the Isometric Left button to extrude an object to the left.
 | Isometric Down and Right | Use the Isometric Down and Right button to extrude an object downward and to the right.
 | Isometric Down and Left | Use the Isometric Down and Left button to extrude an object downward and to the left.
 | Oblique Extrusion | Use the Oblique Extrusion button to extrude an object forward while leaving the original shape intact.
 | Remove Extrusion | Use the Remove Extrusion button to remove the extrusion effects of a selected object.
 | Extrusion Options | Use the Extrusion Options button to open the Extrusion Options dialog box.


View Tool

When you click the View Tool, a set of tools opens to let you choose various views and functions. The view tools are gray if there are no open documents or if you click the Page Manager Tool.

Tool | Name | Description
 | Zoom In | Use the Zoom In tool (keyboard shortcut F6) to see and edit objects in fine detail. You can drag a rectangle to define the zoom area for the objects you want to magnify, or you can click on the drawing to magnify by two times.
 | Zoom Out | Use the Zoom Out tool (keyboard shortcut CTRL+SHIFT+F6) to change from a close-up, detailed view to a broader, overall view of the page. Clicking this button zooms out two magnification levels.
 | Previous View | Use the Previous View tool (keyboard shortcut SHIFT+F3) to return to the view used just prior to the current view, up to the last 16 views. This button is gray if there are no previous views.
 | Actual Size | Use the Actual Size tool (keyboard shortcut CTRL+F8) to view objects at the same size they print. You can also select an object and click the Actual Size button to center the selected object in the active window
 | Used Area | Use the Used Area tool (keyboard shortcut CTRL+SHIFT_F3) to zoom in on the portion of the current page that contains objects.
 | Full Page | Use the Full Page tool (keyboard shortcut SHIFT+F6) to view all of the objects on the current page. Designer fits the current page in the window.
 | Full Screen | Use the Full Screen tool (keyboard shortcut F4) to view just your work, without menus, title bar, or any other part of the Designer window. Press ESC or click anywhere with the mouse to return to the previous view.
 | Refresh | Use the Refresh tool (keyboard shortcut F3) to clear the screen of unwanted fragments that occasionally result from manipulating objects.
 | Pan | Use the Pan tool to move the desired section of your drawing into view.


Simple Line Tool

The Simple Line Tool (keyboard shortcut CTRL+SHIFT+D) lets you draw lines, curves, rectangles, polygons, and ellipses using a variety of methods.

Tool | Name | Description
 | Line Segment | Use the Line Segment button to draw straight line segments.
 | Line Segment from Center | Use the Line Segment from Center button to draw a line segment starting from the center and extending an equal distance in both directions.
 | Parallel Line | Use the Parallel button to draw lines that are parallel to line segments, or tangent to arcs and ellipses.
 | Perpendicular Line | Use the Perpendicular button to draw lines that are at right angles to line segments, arcs, and ellipses.
 | Quarter Arc Line | Use the Quarter Arc button to draw an arc that is one quarter of an ellipse.
 | Reverse Quarter Arc | Use the Reverse Quarter Arc button to draw an inverted arc.
 | Parabola | Use the Parabola button to draw parabolic shapes.
 | Parabola from Center | Use the Parabola from Center button to draw a parabolic shape from the center outward.


Compound Line Tool

The Compound Line Tool lets you draw linear and curving shapes that contain multiple points.

Tool | Name | Description
 | Jointed Line | Use the Jointed Line button to draw shapes that are a "chain" of connected straight lines.
 | Curved Line | Use the Curved Line button to draw objects that are a "chain" of connected, curved lines.
 | B-Spline | Use the B-Spline button lets you draw Bézier spline curves. A B-Spline is a curve drawn inside a wedge created by two construction lines. For example, "V" shaped construction lines would create a "U" shaped object.
 | Bézier Curve | Use the Bézier Curve button to draw and edit Bézier curves at the same time.
 | Freehand Line | Use the Freehand button to draw freeform objects.
 | Irregular Polygon | Use the Irregular Polygon button to draw closed objects with multiple sides.


Sticky Line Tool

Create diagramming lines with ends and points that automatically attach, or stick, to the ends and points of other lines.

Tool | Name | Description
 | Sticky Line Segment | Use the Sticky Line Segment button to draw a single sticky line.
 | Sticky Quarter Arc | Use the Sticky Quarter Arc button to draw a sticky arc that is one quarter of an ellipse.
 | Sticky Jointed Line | Use the Sticky Jointed Line button to draw a sticky line composed of connected, straight lines.
 | Sticky Curved Line | Use the Sticky Curved Line button to draw a sticky line composed of connected, curved lines.
 | Sticky Freehand Line | Use the Sticky Freehand Line button to draw a freeform line that sticks to other objects.
 | Sticky Right-angle Lines | Use the Sticky Right-angle Lines button to draw sticky lines that follow right- angle paths between one or two objects.
 | Sticky Bézier Lines | Use the Sticky Bézier Lines button to draw sticky lines that follow right-angle paths, with Bézier curved corners, between one or two objects.


Rectangle Tool

The Rectangle Tool lets you draw rectangles, squares, and rounded rectangles.

Tool | Name | Description
 | Diagonal Rectangle | Use the Diagonal Rectangle button to draw rectangles by dragging from one corner to its opposite.
 | Diagonal from Center | Use the Diagonal from Center button to draw rectangles by dragging from the center to the corner.
 | Height/Width | Use the Height/Width button to draw rectangles by drawing the height and then the width.
 | From Center Line | Use the From Center Line button to draw rectangles from the center to the side.
 | Diagonal Square | Use the Diagonal Square button to draw squares from one corner to the diagonally opposite corner.
 | Diagonal Square from Center | Use the Diagonal Square from Center button to draw squares from the center to the corner.
 | Single Side | Use the Single Side button to draw squares by dragging only one side.
 | Rounded Rectangle | Use the Rounded Rectangle button to draw rectangles with rounded corners. The rounding radius is determined by the setting in the Rounding box.
 | Rounding Box | The Rounding box shows the current curvature radius. You can click the box and type a value, or use the arrows next to the box to select a value. A larger radius increases the curvature, a smaller radius decreases it.


Polygon Tool

The Polygon button lets you draw polygon and star shapes.

Tool | Name | Description
 | Triangle To Corner | Use the Triangle to Corner button to draw a triangle from the center to the corner.
 | Triangle To Side | Use the Triangle to Side button to draw a triangle from the center of the triangle to the middle of the bottom side.
 | Triangle Single Side | Use the Triangle Single Side button to draw a triangle from one side to the other.
 | Hexagon To Corner | Use the Hexagon to Corner button to draw a hexagon from the center to a corner.
 | Hexagon To Side | Use the Hexagon to Side button to draw a hexagon from the center to a side.
 | Hexagon Single Side | Use the Hexagon Single Side button to draw a hexagon from one side to another.
 | Octagon To Corner | Use the Octagon To Corner button to draw an octagon from the center to a corner.
 | Octagon To Side | Use the Octagon To Side button to draw an octagon from the center to a side.
 | Octagon Single Side | Use the Octagon Single Side button to draw an octagon from one side to another.
 | To Corner | Use the To Corner button to draw a polygon from the center to a corner.
 | To Side | Use the To Side button to draw a polygon from the center of the polygon to the middle of a side.
 | Single Side | Use the Single Side button to draw a polygon by drawing just one side.
 | To Point | Use the To Point button to draw a star from the center to a point.
 | Point to Side | Use the Point to Side button to draw a star from the center to the middle of a side.
 | Point to Point | Use the Point to Point button to draw a star by drawing the distance between points.
 | Megagon | Use the Megagon button to draw a megagon by clicking and dragging outward, inward, or in a circular motion.
 | Curvygon | Use the Curvygon button to draw a megagon with curved points by clicking and dragging outward, inward, or in a circular motion.
 | Number of Sides Box | Use the Number of Sides box to assign the number of sides to a polygon, megagon, or star.


Ellipse Tool

The Ellipse Tool lets you draw ellipses, circles, arcs, and pies.

Tool | Name | Description
 | Diagonal Ellipse | Use the Diagonal button to draw ellipses by dragging from one corner of the bounding box to its opposite.
 | Ellipse From Center | Use the Ellipse from Center button to draw ellipses by dragging outward from the center.
 | Height/Width | Use the Height/Width button to draw ellipses by dragging the height and then the width of the bounding box.
 | Centerline Ellipse | Use the Centerline Ellipse to draw ellipses by dragging the center line to create the width of the ellipse, and then moving the cursor to size the height.
 | Circle From Corner | Use the Circle From Corner button to draw circles by dragging from the center.
 | Diameter | Use the Diameter button to draw a circle by dragging its diameter.
 | Circle From Radius | Use the Circle From Radius button to draw circles by dragging in any direction.
 | 3-Point Circle | Use the 3-Point Circle button to draw a circle by specifying three points of its edge.
 | 3-Point Arc | Use the 3-Point Arc button to draw an arc by specifying two end points and an arching point.
 | Pie | Use the Pie button to draw pie shapes by modifying an existing ellipse.


Dimension Tool

The Dimension Tool (keyboard shortcut CTRL+0 [zero]) lets you draw dimension lines and set dimension options.

Tool | Name | Description
 | Aligned | Use the Aligned button to draw dimension lines to show the diagonal distance between two points.
 | Horizontal | Use the Horizontal button to draw dimension lines to show the horizontal distance between two points.
 | Vertical | Use the Vertical button to draw dimension lines to show the vertical distance between two points.
 | Angular | Use the Angular button to create a new, angular dimension line.
 | Radial | Use the Radial button to create a new, radial dimension line.
 | Reshape | Use the Reshape button to reshape selected dimension lines.
 | Dimension Options | Use the Dimension Options button to set dimension options, including whether units of measurement and extension lines are shown.
 | Fonts | The Fonts button (keyboard shortcut CTRL+SHIFT+T) opens the Object Format dialog box at the Text page.
 | Line Ends | The Line Ends button opens a menu that lets you choose the type and placement of dimension line ends.
 | Displayed Precision | The Displayed Precision box shows the current decimal precision of the dimension units of measure. You can use the down arrow next to the list box to select a new precision level.
 | Units | The Units button lets you select the units of measure used by a dimension line.
 | Center Text | The Center Text button forces the dimension units to be centered between the endpoints.
 | Angle Constraint | The Angle Constraint button forces dimension lines to draw only in 15- degree increments.


Callout Tool

The Callout Tool lets you create callout lines and text. You can also set callout options.

Tool | Name | Description
 | One-Segment Callout | Use the One-Segment Callout button to create a callout with one leg.
 | Two-Segment Callout | Use the Two-Segment Callout button to create a callout with two legs.
 | Three-Segment Callout | Use the Three-Segment Callout button to create a callout with three legs.
 | Callout Options | Use the Callout Options button to display the Dimensions dialog. From this dialog, you can set general options, text orientation, text position, radial options, callout options, and tolerance.
 | Callout Text | Use the Callout Text box to select the method for entering text.
 | Reshape | Use the Reshape button to reshape selected callout lines.
 | Line Ends | The Line Ends button opens a menu that lets you choose the type and placement of dimension line ends.
 | Fonts | The Fonts button (keyboard shortcut CTRL+SHIFT+T) opens the Object Format dialog box at the Text page.


Text Tool

The Text Tool (keyboard shortcut CTRL+T) lets you enter and edit text.

Tool | Name | Description
 | Text Mode | Use the Text Mode button to enter and edit text. You can click in the drawing area and enter freeform text, or you can drag a container and enter block text.
 | Path Text | Use the Path Text button to enter text along the edge of a selected object.
 | Path Fit | Use the Path Fit button to fit freeform text to a path or edit the arrangement of text already fit to a path. The Path Fit button displays a palette of "quick choice" text alignment buttons, and the Choose Position and Remove Curve buttons.
 | Shape Text | Use the Shape Text button to enter text inside of a selected (closed) object.
 | Font Recall | Use the Font Recall button to select from the last ten fonts used.
 | Font List Box | The Font List box displays the name of the current font or the font of the text that contains the text cursor. Use the down arrow next to the Font List box to display a list of available fonts and to choose a font.
 | Font Size Box | The Font Size box shows the current point size or the point size of the text that contains the text cursor. You can use the arrows next to the Font Size box to change the size.
 | Font Styles | Use the Font Styles buttons to choose text styles. The available text styles are bold (keyboard shortcut CTRL+B), italic (keyboard shortcut CTRL+I), underline (keyboard shortcut CTRL+U).
 | Small Caps | Use the Small Caps button (keyboard shortcut CTRL+M to convert text to small capital letters.
 | Horizontal/Vertical Alignment | The Horizontal Alignment button displays buttons that let you change the horizontal alignment of selected text. When you align freeform text, the text is aligned based on the point where you originally placed the text. For example, if you are aligning to the right and click to enter freeform text, the text extends to the left as you type. The Vertical Alignment button displays buttons that let you change the vertical alignment of selected text except in text that is not in a rectangular container.
 | Fonts | The Fonts button (keyboard shortcut CTRL+SHIFT+T) opens the Object Format dialog box with the text options displayed. Use these options to change fonts, margins, spacing, and tab settings.
 | Spell Check | The Spell Check button opens the Spelling dialog box if a misspelling is found.


Image Tool

The Image Tool (keyboard shortcut CTRL+W) lets you trace and crop bitmap images. You can also open your selected bitmap editor in the image ribbon.

Tool | Name | Description
 | Edit Image | The Edit Image button opens your selected bitmap editor, such as Picture Publisher. You can change the default bitmap editor in the General panel of the Preferences dialog box.
 | Crop/Remove Crop | The Crop button lets you specify a rectangular area of a selected image to show. The rest of the image is hidden. The Remove Crop button restores a previously cropped image.
 | Image Effects | The Image Effect button opens the Micrografx Effects Browser. Use the Effects Browser to apply a special image effect to a selected object.
 | Drop/Restore Color | Use the Drop Color button to select a color that you want to become transparent. Use the Restore Color button to remove the transparency from the image.
 | Foreground / Background | The Foreground and Background buttons open a palette from which you can choose foreground and background colors for a monochrome bitmap image. The appearance of these buttons changes to reflect the current selection.
 | Image Information | The Image Information button shows file and display size information about a selected bitmap image.
 | Trace | Use the Trace button to create a vector "tracing" of the bitmap image that is placed on top of the image.
 | Trace Quality | The Trace Quality button opens a menu that lets you adjust how accurately and smoothly Designer traces a bitmap image.
 | Line Type | The Line Type button opens a menu that lets you choose whether Designer uses lines or curves to create the tracing.
 | Number of Colors Box | In the Number of Colors box, select the number of colors you want to use when tracing an image. You can assign up to 256 colors.
 | Noise Level Box | Use the Noise Level box to select the noise level to use when tracing an image.


Format Tool

The Format Tool lets you select colors, line thickness, gradient types, and other styles for objects.


Format Ribbon - Interior

Tool | Name | Description
 | Solid Interior Fill | Use the Solid Interior Fill button to select an interior fill color.
 | Gradient Interior Fill | Use the Gradient Interior Fill button to select a gradient interior fill color.
 | Hatch Interior Fill | Use the Hatch Interior Fill button to select a hatch, or line pattern, interior fill.
 | Image Interior Fill | Use the Image Interior Fill button to select an image to use as an interior fill.
 | Object Interior Fill | Use the Object Interior Fill to select an object to use as an interior fill.
 | Remove Interior Fill | Use the Remove Interior Fill button to remove any type of fill currently assigned to an object.
 | Interior Fill Gallery | Use the Interior Fill Gallery button to select an interior fill from a pictorial list of the most recently applied fill styles.


Format Ribbon - Line

Tool | Name | Description
 | Line Attributes | Use the line attributes buttons to choose a line's ends, style, and thickness.
 | Solid Line Fill | Use the Solid Line Fill button to select a line's fill color.
 | Gradient Line Fill | Use the Gradient Line Fill button to select a gradient line fill color.
 | Hatch Line Fill | Use the Hatch Line Fill button to select a hatch, or pattern, line fill.
 | Image Line Fill | Use the Image Line Fill button to select an image to use as a line's fill.
 | Object Line Fill | Use the Object Line Fill button to select an object to use as a line's fill.
 | Remove Line Fill | Use the Remove Line Fill button to remove any type of fill currently assigned to a line.
 | Line Fill Gallery | Use the Line Fill Gallery button to select an interior line fill from a pictorial list of the most recently applied line fill styles.


Format Ribbon - Other Settings

Tool | Name | Description
 | Solid Transparency | Use the Solid Transparency button to set the transparency of the selected object.
 | Gradient Transparency | Use the Gradient Transparency button to set the transparency and gradient of the selected object.
 | Remove Transparency | Use the Remove Transparency button to undo the transparency settings on the selected object.
 | Transparency Control | Use the sliding Transparency Control to adjust the amount of transparency for the selected object.
 | Text Foreground / Background Color | Use the Text Foreground/Background Color buttons to select the foreground and background colors for any selected text.
 | Show Styles Toolbar | Use the Show Styles Toolbar button to either show or hide the Style toolbar.
 | Show Color Palette | Use the Show Color Palette button to either show or hide the color palette.


Page Manager Tool

The Page Manager Tool (keyboard shortcut CTRL+G) lets you view, move, and print pages in Designer. It also lets you create slide shows using each page as a slide.

Tool | Name | Description
 | Create Standalone | Use the Create Standalone button to save a presentation as an executable program (EXE).
 | Copy to Diskette | Use the Copy to Diskette button to copy a standalone side show to one or more diskettes.
 | Options | Use the Options button to choose a pointer style and to set transition preferences.
 | Setup | Use the Setup button to select the number of colors and the screen resolution for a standalone presentation.
 | Run Slideshow | Use the Run Slideshow button to begin a slide show, consisting of all slides in the document or only a selected range of slides.
 | Print Document | The Print Document button opens the dialog box that lets you select the pages to print and other printing options.
 | Page Setup | The Page Setup button lets you select the page size and orientation. You can also change margins, page color, and subdivide the page (by tiling) here.
 | Select/Deselect all Pages | Use the Select All Pages button to select all pages in the document. Use the Deselect All Pages button deselects all selected pages in the document.
 | Transition | The Transition button opens the Transition Effects dialog box that lets you choose transition effects for slides.
 | Transition List | The Transition List box lets you choose a transition for selected slides.
 | Directions | The Directions button is available when the transition direction can be changed. Use this button to change the direction of the selected transition. The appearance of this button changes to reflect the selected direction.
 | Speed | The Speed box lets you change the transition speed for the selected slide.
 | Manual or Timed | Use the Manual button to advance to the next slide with the mouse or keyboard. Use the Timed button to advance automatically to the next slide at a timed interval.
 | Duration | The Duration box lets you enter a duration in seconds for selected slides.


Customizing the Toolbars

You can control which toolbars are visible, create custom toolbars, and add buttons to or remove them from standard and custom toolbars, using the Toolbars and Customize dialog boxes.

Once you display a toolbar, you can move it to any location on the screen that you want.

Your toolbar settings are saved in your current profile.

You cannot add buttons to or remove them from the toolbox, ribbons, or special toolbars, such as the Style toolbar.

Related Topics | To hide or show toolbars
 | To move a toolbar
 | To create a custom toolbar
 | To add or remove toolbar buttons
 | To reset a standard toolbar
 | To rename a custom toolbar
 | To delete a custom toolbar


To hide or show toolbars

  1. On the View menu, click Toolbars.

  2. On the Toolbars dialog box, click the box next to each toolbar you want to hide or show.

To display a shortcut menu that lets you show or hide any toolbar, click any toolbar with the right mouse button.


To move a toolbar

  • Point at a spot on the toolbar that is not a button and drag the toolbar to the location you want.

As you drag the toolbar, Designer displays it as an outline.

If you drag the toolbar onto the active window, it becomes a floating toolbar. If you drag the toolbar onto the top or bottom borders of the workspace, the toolbar anchors itself to the border.


To create a custom toolbar

  1. On the View menu, click Toolbars.

  2. On the Toolbars dialog box, click New.

  3. Type a toolbar name and click OK.


To add or remove toolbar buttons

  1. On the View menu, click Toolbars.

  2. On the Toolbars dialog box click Customize.

  3. On the Customize dialog box, select a category. The buttons for that category are displayed on the right.

  4. To add a button, drag it to a custom toolbar.

  5. To remove a button, drag it off a custom toolbar (to anywhere).

As a shortcut, you can right-click any toolbar then click Toolbars or Customize.

To quickly create a custom toolbar, drag a button from Customize to any place except a custom toolbar. You will be prompted for a toolbar name.

To move a button to another toolbar or delete a button, hold ALT and drag the button. (You don't have to open the Customize dialog box.)


To reset a standard toolbar

  1. On the View menu, click Toolbars.

  2. On the Toolbars dialog box, select the toolbar that you want to restore to its original configuration.

  3. Click Reset.

Resetting a toolbar restores all button deletions, deletes all button additions, and returns the toolbar to its original location.


To rename a custom toolbar

  1. On the View menu, click Toolbars.

  2. On the Toolbars dialog box, select the toolbar you want to rename.

  3. Click Rename.

  4. In the Rename dialog box, type the new name, then click OK.


To delete a custom toolbar

  1. On the View menu, click Toolbars.

  2. On the Toolbars dialog box, select the toolbar you want to delete.

  3. Click Delete.


About Designer Options

Designer lets you customize your working environment by setting your preferences for many aspects of Designer. Your preferences can be saved in a profile or start-up file so that they apply every time you run Designer, or you can restrict preferences to your current work session by not saving them. If you want to maintain different sets of preferences, you can define two or more profile files. Certain preferences, such as ruler units, are saved with the document so that you do not have to reset them each time you open the document.

Related Topics | Setting View Options
 | Using the Options Dialog Box
 | Setting Trace Transform
 | Setting Snap Options
 | Setting Up Units of Measure
 | Setting Up a Page
 | Setting Up Layers
 | Using Coordinates


Setting View Options

The View menu provides several commands for customizing your working environment. For example, if you are working on a large, complex drawing, you might choose a draft or wireframe preview to speed redraw and simplify your work.

View options affect all open documents, not just the active window.

Changing display options does not affect the contents of your drawing or the way it is printed.

Related Topics | Setting Preview Options
 | Using the Status Bar
 | Setting Workspace Options
 | Using Guide Lines


Setting Preview Options

The Preview command on the View menu affects all fills and patterns (solid, gradient, image, object fill, and hatch fill). You can use the options in the Preview submenu to control the display for all of these types of fills at once. If you set Preview to Proof, you can use the individual commands for gradients, images, object fills, and hatch fills to control their display individually.

Generally, the Preview command overrides your selections with the individual commands. For example, if you select Draft in the Preview submenu, gradients are automatically set to none, and other commands are grayed.

Command | Display
Preview, Enhanced | Full preview--all colors and fills are displayed.
Preview, Proof | Full preview--all colors and fills are displayed; you can limit gradient, image, object, and hatch fills with individual commands.
Preview, Draft | Solid fills are normal; gradients, hatch fills, and object fills are solid (first color only). Image fills and masked objects are solid; bitmap images are a rectangle with an X. All lines are displayed as hairlines.
Preview, Wireframe | No fills or line ends are displayed; all lines are displayed as hairlines.
Gradients, Smooth | Best gradient display, with all colors and smooth gradations from one color to the next.
Gradients, Average | All colors are shown, but gradations are not as smooth.
Gradients, Coarse | Fewer colors, with banding.
Gradients, None | Only the first color is displayed.
Images | Selected: all colors and gray scales in the bitmap are displayed. Not selected: a rectangle with an X shows the position.
Object Fills | Selected: object fills are displayed. Not selected: only the foreground color is displayed.
Hatch Fills | Selected: hatch fills are displayed. Not selected: only the foreground color is displayed.
Image Fills | Selected: image fills are displayed. Not selected: only the foreground color is displayed.


Using the Status Bar

The status bar provides current information about your drawing and quick access to various commands such as line thickness, object fill, and coordinates.

Choose Status Bar on the View menu and choose Single to display the single-line status bar. Choose Double from the Status Bar submenu to display the double-line status bar.

The Status Bar options on the View menu are available only when the status bar is visible. To show or hide the status bar, click Toolbars in the View menu then click Status to select or deselect it. A check mark means the status bar is visible.


Setting Workspace Options

From the Workspace submenu of the View menu, you can either select or deselect options to show or hide the following.

  • Grid
  • Guide Lines
  • Crosshairs (keyboard shortcut CTRL+H)
  • Printer Page Tiles (non-printing guidelines that indicate that the page is larger than the target printer's paper size)
  • Rulers
  • Ruler position (the colored marks in the rulers that indicate the position of the mouse pointer)


Using Guide Lines

A guide line is a horizontal or vertical line you can use for alignment or visual reference. Guide lines can help organize the layout of your drawing by guiding the placement of your objects. You can use guide lines as visual cues for placing objects, or you can snap objects to guide lines for more exact placement. Guide lines appear on screen but do not print.

You can add as many guide lines as you need. You also can move guide lines by dragging them to new locations on the screen with the selection pointer.

To remove a guide line, just drag and drop it onto the ruler with the selection pointer.


To add a guide line

  1. Move the selection pointer to the top or side ruler (for a horizontal or vertical guideline, respectively).

  2. Press and hold the left mouse button, and drag a guide line to the desired position in the drawing area.

  3. Release the left mouse button.


Using the Options Dialog Box

The Options dialog box lets you set many different categories of preferences. The categories include general preferences, customizing the toolbox, ruler and snap options, rotation options, input (primarily mouse) options, registry settings, and changing your profile (collection of your personal preferences).

Related Topics | Setting General Options
 | Setting Display Options
 | Setting Ruler Options
 | Setting Snap Options
 | Setting Rotation Options
 | Setting Input Options
 | Setting Profile Options
 | Setting Registry Options
 | Setting Spelling Options


Setting General Options

The General tab of the Options dialog box lets you set a variety of high-level preferences. Click Options from the Tools menu to open the Options dialog box.

Setting the Recently Used File List

You can specify how many recently used files you want Designer to remember. The default value is 4.

The Open menu lists the most recently used files according to the number specified here. Set the number to include the maximum number of files you want displayed from the Open menu.

Setting the Undo Event Limit

By default, the Undo and Redo commands on the Edit menu reverse (Undo) or reverse the reversal (Redo) of the most recent five actions. The Options dialog box lets you specify that Designer remember from 0 to 100 undo and redo steps since the last save.

Increasing the number of steps lets you undo and redo more actions as you work. However, Designer uses more system memory as you increase the limit.

Setting the Auto Save Time Period

Specify the number of minutes for Designer to automatically save a temporary copy of files that have unsaved changes. If the system crashes you can restore the files and will have lost only those changes made since the last auto save. However, if you are working on a large file, and auto save slows you down, you may want to increase this number.

Setting the Make Backups on Save

Select this option to back up files every time you save a document. This retains a copy of the previous version of all document files. Designer appends the extension BAK to the filename. When the Make Backups option is selected, you have two copies of the document on disk--the current version and the previously saved version.

The backup version is overwritten each time you save the document.

Setting the Output to QSF

Select this option to output only one page when using the QSF format for publishing to QuickVector.

Using Smart Colorization

Smart colorization automatically adjusts the hue of grouped objects when changing the color of the group of objects.

Saving Designer Files

There are many formats in which to save your Designer files. Click the arrow button to reveal a list of all the available formats.

Setting the Horizontal/Vertical Offset

This option specifies the offset when duplicating objects (using the Duplicate command on the Edit menu, or its shortcut CTRL+D). The new object is offset by the values you specify.


Setting Display Options

You set display preferences on the Display tab of the Options dialog box. Display preferences affect all open documents, not just the active window. Click Options from the Tools menu to open the Options dialog box.

Setting the Auto Scroll

When selected, Auto Scroll causes the window to automatically scroll when you drag an object beyond the window borders. This is especially useful when you have zoomed in for close work.

Suppressing the Startup Dialog

Deselect this option if you do not want the startup dialog box to appear.

Suppressing New Blank Drawings on Startup

If you do not want Designer to create a new file when you open it, select this option. Selecting this option makes Designer start faster.

Setting the Anti-Alias Options

The edges of many types of graphics can often appear fuzzy or blur into other objects. Select any of the anti-alias options to sharpen the outer edges of your Designer graphics.

Setting the Image Output Quality

Use the Image Output Quality box to adjust the output quality of all your Designer images. The output quality can be adjusted to high, medium, or low.

Defining the Handle Size

The Handle Size option lets you select small, medium, or large handles to suit your preference.


Setting Ruler Options

On the Rulers tab of the Options dialog box, the Horizontal and Vertical Ruler areas provide options affecting the two rulers. The rulers are independent, so you can have different options for each. The ruler settings are saved with the document.

For each ruler, you can choose a unit of measure, the number of snap divisions for each ruler unit, and how the ruler is labeled. Click Options from the Tools menu to open the Options dialog box.

Setting the Ruler Units

You can change the measurement units of a ruler by clicking its Units button and choosing the desired units.

You can also set ruler units according to a specific scale by using the Scale Drawing Wizard. Simply click Scale Setup from the File menu and follow the screen prompts to define a scale on which to base your rulers.

Setting the Number of Snaps Per Unit

The Snaps per Unit setting sets the number of divisions per unit, which affects the number of grid dots that appear when the grid is displayed and also affects how objects snap to the rulers if Snap to Rulers is selected. The grid appears as a pattern of dotted lines that corresponds to divisions in your ruler settings. You can use the grid as a guide for aligning objects or measuring distances.

To prevent the drawing area from becoming too cluttered, Designer limits the number of grid dots and ruler divisions that appear.

Setting the Label Frequency

This value specifies how frequently a number appears to label the ruler's units. This option prevents overcrowding the ruler when it is set to small units. For example, when a ruler is set to inches, you might use a value of 1, but when a ruler is set to millimeters, you might prefer a value of 10.

Setting Displayed Precision Coordinates

The Displayed Precision of Ruler Units value sets the decimal precision of the coordinates displayed in the status bar. The H list box sets the precision for the Horizontal and X coordinates. The V list box sets the precision for the Vertical and Y coordinates.

Changing the Ruler Origin

The ruler origin is the point, on or off the page, where the two rulers intersect at zero. The default position for the ruler origin is at the upper left corner of the page. You can also drag and drop the Ruler origin button to change the placement of the ruler origin.


To change the placement of the ruler origin

  1. Make sure that rulers are displayed. On the View menu, click Rulers, and then click Show Rulers, if necessary.

  2. Point to the button at the intersection of the two rulers and press and hold the left mouse button.

  3. Drag the mouse pointer to the desired position.

  4. Release the mouse button. The zero point on each ruler changes to reflect the new placement.

If you have selected Snap to Rulers on the Tools menu, the new ruler origin also snaps to the rulers. This ensures that your grid remains the same. If you have deselected Snap to Rulers, the new ruler origin is placed at the exact point where you place it.

You can quickly reset the ruler origin to its default position at the corner of the page by double-clicking the button at the intersection of the two rulers.


Setting Snap Options

Snap options let you select or deselect where Designer places snap points on an object. Snapping is based on the ruler units: if you change the number of snaps per ruler unit, you also change the number of snap points and the appearance of the on-screen grid. By default, the number of snaps per unit is the same as the standard ruler divisions. For example, an inch has 16 snaps, and a centimeter has ten snaps.

The number of snaps per ruler unit can be changed on the Rulers tab of the Options dialog box. The rulers adjust to correspond to the number of snaps per unit. For example, a centimeter with five snaps per unit displays five unit marks in the ruler.

Snapping to the Ruler

Snapping to the ruler causes the mouse pointer to attract to the closest ruler intersection. If used in conjunction with Dragging Snap, an object's bounding box snaps to the closest ruler increment as you move it.

Snapping to Guides

Guides are nonprinting horizontal and vertical reference lines that you can drag from the ruler. By turning on Snap to Guides, you can make nearby guidelines attract the mouse pointer as you draw an object. if used in conjunction with Dragging Snap, an object's bounding box snaps to the closest guide line as you move it.

Setting a Dragging Snap

Select the Dragging Snap option to cause an object's bounding box, rather than the mouse pointer, to snap to the rulers or guides when you are moving (dragging) the object. When Dragging Snap is selected, the mouse pointer will continue to snap to rulers or guides when drawing an object (if Snap to Ruler or Snap to Guides is currently selected).

Dragging Snap has no effect on object movement if Snap to Ruler and/or Snap to Guides is off, one of these must be selected to activate the Dragging Snap functionality.

Setting the Dynamic Snap

Select the Dynamic Snap option to display dynamic snap points on an object when drawing.

Dynamic snap points show up as blue circles on an existing object when you are drawing another object. When you are close to a snap point, it becomes solid and is the point that will be snapped to. Dynamic snap points are attached to the object and move with it.

Dynamic snaps always appear when you are drawing sticky lines, dimension lines, or callout lines.

Related Topics | Object Snap Points
 | Changing Snap Point Sensitivity
 | Changing the Number of Snaps
 | Using Snapping
 | Drawing with Snap Points


Object Snap Points

These options let you select or deselect where Designer places snap points. The options include:

  • Bounds
  • End Points
  • Center Mid Point
  • Pivot
  • Control Points
  • Vertices


To select snap point placement

  1. Open the Tools menu and click Options.

  2. Click the Snap tab.

  3. Under Object Snap Points, click where you want snap points to appear.

  4. Click OK when you finish.


Changing Snap Point Sensitivity

You can increase or decrease the sensitivity of snap points by changing the handle size. Choose a large handle size to increase the snap range; choose a smaller size to decrease the range.


To change snap point sensitivity

  1. On the Tools menu, click Options.

  2. On the Display tab, select a handle size. A large handle size increases the snap range; a smaller size decreases the range.


Changing the Number of Snaps

Snapping is based on the ruler units: if you change the number of snaps per ruler unit, you also change the number of snap points and the appearance of the on-screen grid. By default, the number of snaps per unit is the same as the standard ruler divisions. For example, an inch has 16 snaps, and a centimeter has ten snaps.


To change the number of snaps

  1. On the Tools menu, click Options

  2. Click the Ruler tab.

  3. Change the number of snaps per ruler unit. The rulers redraw to correspond to the number of snaps per unit. For example, a centimeter with five snaps per unit displays five unit-marks on the ruler.


Setting Rotation Options

The Rotation tab lets you set the rotation angle increment for the F8 key and constrain rotations to angle increments for manual rotation. To change the rotation units setting (degrees or radians), click the Rotation Angle Units button and choose the new unit. Click Options from the Tools menu to open the Options dialog box.

Setting the F8 Rotation Increment

You can change the F8 rotation increment by clicking the arrows beside the F8 Rotation Increment box, entering a new value, or dragging the red needle in the dial control.

Setting a Manual Rotation Increment

Setting Manual Rotation Increment to a non-zero value, constrains manual rotation to increments of the specified value. For example, if you set the rotation angle to 12 degrees, an object rotates in increments of 12 degrees when you drag its corner rotation handles. To change the Manual Rotation Increment, enter a new value or drag the red needle in the dial control.


Setting Input Options

The Input tab lets you set preferences for your mouse buttons and select Designer shortcut keys. Click Options from the Tools menu to open the Options dialog box.

Setting the Left Button Click

By default, if you point to an object in your document and double-click the left mouse button, you enter a reshape mode. (If you double-click a bitmap or an embedded object, another program capable of editing the object is launched instead). If you press and hold the ALT key and then point and click the left mouse button, you can select overlapping objects in succession as in previous versions of Designer.

If you prefer, you can change the settings on the Input tab to reverse the use of the ALT key with these two functions.

Setting the Left Button Drag

Use the "Always block selects" option to drag a bounding rectangle completely around objects to select them.

The "Selects and moves one object" option lets you click an unselected object then move it in one motion. (The default is to click then move the objects, a two-step process.) It also lets you block select objects.

Setting Combinations Compatibility

Select mouse and CTRL/SHIFT compatibility with either Office97 or Designer 4.x.

Setting the Right Button Click

The default function of a single click of the right mouse button displays the mouse menu, which displays commands that give you quick access to functions that may not be displayed in the current ribbon. The default setting for ALT+right mouse button is an assigned command or tool similar to previous versions of Designer.

Setting the IntelliMouse Wheel

Set the option to either zoom or scroll when you right-click over an unselected object or the white space of a current page.

Making the Zoom In Persistent

Select this option if you want to keep the Zoom In button on the screen for multiple zooms. Hold SHIFT to zoom out. Zoom In remains active until you change to another mode.

Employing Designer 3.x Shortcuts

Select this option to use Designer 3.x shortcuts. If you are upgrading from Designer 3.x, you can use the same shortcuts.


Setting Profile Options

You also can manage "preference profiles" (which are PRO file types that contain all of your personal preferences). When you change preferences, they are saved automatically to the Username.pro file, which is the standard file that stores your preferences. Designer also lets you save your preferences to other profiles. Unlike with INI files, when you change to a different profile, the changes take effect immediately.

Profiles are a collection of all of your preferences. You may want to use a different profile for different kinds of work (such as graphic design or technical illustration). You may want to change preferences for one particular session or project, and then return to your normal preferences. If more than one person is running Designer from a file server or sharing a computer, each person can save and use his or her own preferences.

In addition, you can share preference files with others. System Administrators may want to use the same preference file for multiple computers to ensure consistency.

You can use the Profile tab of the Options dialog box to choose a different profile, elect to save that choice when you close Designer, and enter or edit a description of a profile. Click Options from the Tools menu to open the Options dialog box.

Related Topics | To change or select a different profile
 | To create a new profile
 | To copy a profile
 | To delete a profile
 | To rename a profile
 | To update a profile


To change or select a different profile

  1. On the Tools menu, click Options.

  2. Click the Profile tab.

  3. Choose a different PRO file from the Profile Document list box.

  4. Select Save on Exit if you want Designer to use the new profile the next time Designer is opened.

  5. Click OK. Designer now uses the preferences in the profile to which you changed, and any changes to your preferences are stored there.


To create a new profile

  1. On the Tools menu, click Options.

  2. Click the Profile tab.

  3. Click the File Options button and choose New. The New Profile Document dialog box opens.

  4. Type a filename for the new profile and press ENTER. The New Profile Document dialog box closes, and the new filename appears as the current Profile.


To copy a profile

  1. On the Tools menu, click Options.

  2. Click the Profile tab.

  3. Click the File Options button and choose Copy. The Copy Profile Document dialog box opens.

  4. Type a new filename and press ENTER. The Copy Profile Document dialog box closes. The new filename is listed as an option in the Profile Document list box.


To delete a profile

  1. On the Tools menu, click Options.

  2. Click the Profile tab.

  3. Choose a file in the Profile Document list box that you want to delete.

  4. Click the File Options button and choose Delete. You are asked to confirm that you want to delete the profile.

  5. Click Yes to confirm the deletion.


To rename a profile

  1. On the Tools menu, click Options.

  2. Click the Profile tab.

  3. Click the File Options button and choose Rename. The Rename Profile Document dialog box opens.

  4. Type a new filename and press ENTER. The Rename Profile Document dialog box closes, and the renamed profile appears as the current Profile Document.


To update a profile

  1. On the Tools menu, click Options.

  2. Click the Profile tab.

  3. Click the File Options button and choose Update. The current profile is updated with any preferences that have changed since the last time the profile was saved or updated.

You can also click the File Options button to create a new profile, copy a profile, delete a profile, rename a profile, or update a profile.


Setting Registry Options

Most programs save status information in a file called the system registry. Changes in the registry are detected by the Windows operating system and programs that monitor the registry.

Normally, you do not have to change registry entries directly. When you first install Designer, settings are automatically made to the registry, and when you make changes via the Windows Control Panel, the new settings and preferences are made automatically to the registry as well.

The registry entries for Designer reflect your system's hardware and operating system specifications. Several entries are created by the Micrografx installer when you install Designer.

When necessary, you can use the Registry tab of the Options dialog box to edit those entries and to create new entries as needed.

If you change a value back to its default, the entry disappears from the registry, because Designer does not put default values in the registry. For example, if you change SnapRuler (snap to rulers) to its default value of 1 (selected), either in the Registry or elsewhere in Designer, then close and reopen the Options dialog box, you will not see the entry.


To change the value of a registry key

  1. On the Tools menu, click Options.

  2. Click the Registry tab.

  3. Choose the key name from the Key list box.

  4. In the Value Name list, click the name whose value you want to change.

  5. Highlight the old value and type the new value over it.

  6. Click OK to confirm the change and to close the Options dialog box.


To add a new value to a registry key

  1. On the Tools menu, click Options.

  2. Click the Registry tab.

  3. Choose the key name from the Key list box.

  4. Click the New Value button.

  5. Type the name of the new value. If the value is numeric, click Numeric Value Type.

  6. In the Value box, type the new value.

  7. Click OK to confirm the addition and to close the Options dialog box.


To delete a value from a registry key

  1. On the Tools menu, click Options.

  2. Click the Registry tab.

  3. Choose the key name from the Key list box.

  4. Choose a name from the Value Name list box.

  5. Click the Delete Value button.

  6. Click OK to confirm the deletion and to close the Options dialog box.


Setting Spelling Options

The Spelling Options dialog box allows you to customize the way you use the Designer Spell Check. Click Options from the Tools menu to open the Options dialog box.


Setting Trace Transform

The Trace Transform option enables you to trace scale drawings using a digitizer as an input device. The movement of the pen or puck over the digitizer is converted to mouse moves. Button clicks on the puck or pen are translated to mouse button clicks.

When Designer is opened, the application checks for the presence of a digitizer on the system. If a digitizer is connected to the system, the menu items Set Trace Transform and Trace on Digitizer become available under Digitizer in the Tools menu.

The Digitizer Trace Mode is not available until the trace transform has been set up. To set up the trace transform, set up two sets of points - one set on the Designer workspace and one set on the digitizer tablet. The transform is set up so that every point on the digitizer is mapped to an equivalent point on the workspace.


To set the trace transform

  1. On the Tools menu, select Digitizer. A sub-menu displays.

  2. From the sub-menu, select Set Trace Transform. The cursor displays as crosshairs with a mouse icon.

  3. On the Designer workspace, specify two points by clicking the left mouse button, dragging the mouse, and releasing the mouse button.

  4. On the digitizer tablet, specify two points by clicking the button corresponding to the left mouse button on the puck or pen, dragging the puck or pen, and releasing the button. The cursor displays as crosshairs with a puck icon. The Trace Transform is now set up and you may select Trace on Digitizer at any time.

Press ESC to abort setting the trace transform.


To enable Trace on Digitizer

  1. On the Tools menu, select Digitizer. A sub-menu displays.

  2. From the sub-menu, select Trace on Digitizer. The cursor displays as crosshairs and a puck icon.
    or

  • Use the keyboard shortcut CTRL+SHIFT+G to toggle Trace on Digitizer on and off.

The puck and pen devices are configured through the digitizer software via the Windows Control Panel.

Depending on the digitizer software, you may get some unexpected results when mapping the buttons on the puck or pen.

When you select a new Designer drawing tool, the trace transform is aborted. To continue using trace transform, you must enable it again.


To trace using a digitizer

  1. Set the trace transform.

  2. Select a Designer drawing tool.

  3. Enable Trace on Digitizer.


Setting Up Units of Measure

The units of measure in Designer are extremely flexible and can be set separately for every function that uses a measurement unit. For example, you can specify different measurement units for rulers, page size, line thickness, and dimension lines. The current units setting for a particular function appears on the Units button in the dialog box (or ribbon) for that function. For example, if the measurement unit for page size is inches, the Units button in the Page Setup dialog box reads "in."

When specifying the measurement units, you can choose from a set of standard units, another set of predefined units, or create your own custom units. You can also set a scale to relate one unit of measure to another.

The units settings that you use with a drawing are saved with the drawing so that you do not have to reset them each time you open the file.

Standard Units

Units can be linear (to measure length) or radial (to measure angles). Linear units are used to measure spatial distances. Radial units are used to measure angular orientation or direction.

The standard linear units are inches, centimeters, millimeters, points, picas, picas and points, and ciceros. The standard radial units are degrees and radians.

Predefined Units

Predefined units include feet, feet and inches, kilometers, meters, miles, weeks and days, yards, and yards and feet.

Related Topics | To set the default units for a drawing
 | Changing a Units Setting
 | Defining Scale Units
 | Defining Unscaled Units
 | Updating Unit Settings
 | Using the Scale Drawing Wizard
 | Deleting a Defined Unit


To set the default units for a drawing

  1. On the Tools menu, click Options. The Options dialog box appears.

  2. Click the Rulers tab.

  3. Click the Units button for the ruler you want to change. The units menu appears.

  4. Click the units you want, or click More Units to choose from the Available Units dialog box.

The selected units setting becomes the default units setting for the current drawing.

The default units setting is marked with an asterisk (*) in the Available Units dialog box.


Changing a Units Setting

The currently selected units setting for a particular function appears on the appropriate Units button for that function. The following steps apply specifically to changing the units setting of the Page Setup dialog box, but the procedure is virtually identical for other dialog boxes.


To change the units setting for the page size

  1. Open the File menu and choose Page Setup. The Page Setup dialog box opens.

  2. Click the Units button (marked with an abbreviation for a standard unit, such as "in" or "cm"). A menu opens.

  3. Choose the desired units setting from the menu.

  4. The menu closes and the Units button in the Page Setup dialog box changes to reflect the new setting.

  5. Click OK to close the Page Setup dialog box.


Defining Scale Units

If you do scale drawings, you can use the Add Custom Unit dialog box to define a scale unit, which is a ratio of one unit of measure to another. For example, you could define a scale of 10 feet per inch and draw a landscape at that scale, or define a scale of 2 weeks per centimeter and draw a timeline chart at that scale.

To show scaled distances in a drawing, use dimension lines with the dimension units set to the scale units. If you also want to see the scale used by the rulers, set the units for the rulers to the scale units.

You can also create a custom unit (or modify one) to show dimension line text and object coordinates with fractions, such as "3 1/2 in."

In the following example, the dimension units are set to 5 meters per centimeter.

You define new units using the Add Custom Unit dialog box. You can open it by choosing Custom Units in the Tools menu, or by clicking a Units button and choosing Custom units (except for text, line width, or page size), then clicking Add Unit.

After defining a new scale unit, you can add it to your current profile, or just save it to the current drawing. If you add it to your profile, the scale units are available in other drawings you make. New units that have been saved to a profile are designated by a plus sign in front of the unit's name in the Available Units list box.

Related Topics | To define a scale unit of 2 feet per inch
 | To apply scale units to a dimension line
 | To display fractions with coordinates and dimensions
 | Defining Unscaled Units
 | Using the Scale Drawing Wizard


To define a scale unit of 2 feet per inch

  1. Open the Tools menu and choose Custom Units. The Defined Custom Units dialog box opens.

  2. Click Add Unit. The Add Custom Unit dialog opens.

  3. Click the Unit Name field and type the name Feet (scale 2).

  4. In the Primary Unit section, enter 2 in the Scale box.

  5. In the Label field, enter ft.

  6. In the Real World Units section, select inches.

  7. Click OK.

The unit you entered above only defines a primary unit. If needed, you also can specify a secondary unit. Yards and feet, feet and inches, and weeks and days are all examples of definitions with primary and secondary units.


To apply scale units to a dimension line

  1. Click the Dimension Tool [image] .

  2. Click the Units button in the ribbon. A menu opens.

  3. Choose More Units. The Available Units dialog box opens.

  4. Highlight the scale units you want to use.

  5. Click OK.


To display fractions with coordinates and dimensions

In this example you create a unit that displays the sub-units as a fraction, such as "3 1/2 in."

  1. On the Rulers tab of the Options dialog box, click a units button.

  2. Click Custom units.

  3. On the Defined Custom Units dialog box, click Add Unit.

  4. On the Add Custom Unit dialog box, type a unit name, set the displayed precision, and set up a scale if you wish.

  5. In the Designer Units Label box, press SPACEBAR to create a blank space.

  6. In the Sub-Units Scale box, type 1, and in the Label box, type a label, such as "in."

  7. Click Display Sub-Unit as a fraction, then enter the denominator to use. For example, if you are measuring to the sixteenth of an inch, enter 16 as the denominator. Designer will simplify fractions as needed; for example, Designer will display "8/16" as "1/2."

  8. Click OK.

  9. On the Defined Custom Units dialog box, click OK.

  10. On the Options dialog box, click OK.

The text of dimension lines and of coordinates displayed on the status bar and in the Object Coordinates dialog box will display with fractions.

If you want to display fractions with dimension lines but not with coordinates, access custom units from the General tab of the Dimensions dialog box, or from the ribbon.


Defining Unscaled Units

Besides defining scaled units, the Custom Units dialog box lets you define new unscaled units of measure. The procedure for defining unscaled units is identical to that for defining scaled units (explained in the previous section) except that you do not specify a scaled ratio when you define the unit. Instead, you specify an accurate conversion ratio for the unit, such as 1000 meters per kilometer.


Updating Unit Settings

Designer gives you exceptional flexibility in defining scale units without causing unwanted changes. Note that changing a unit's values in the Add Custom Unit dialog box does not automatically change the overall units definition for the rulers in the current drawing. To change the ruler unit settings, choose the setting again in the Rulers/Snap tab of the Options dialog box.

In addition, changing a unit's values in the Add Custom Unit dialog box does not automatically change the overall units definition for any other drawings using that unit. This is because the various units set for different functions are saved with each Designer drawing.

For example, suppose that the rulers are set to a custom scale unit called Meters (Scaled), which defines a scale of 5 meters per centimeter. You open the Tools Menu, click Custom Units, select the unit, click Edit Unit, and edit this scale unit by changing its scale to 10 meters per centimeter. The ruler unit settings do not change unless you open the Tools Menu, click Options and Rulers/Snap, and deliberately change the Ruler Unit to Meters (Scaled) again.


Using the Scale Drawing Wizard

Designer gives you exceptional flexibility in defining scale units without causing unwanted changes. The Scale Drawing Wizard allows you to set up scale units easily and accurately.


To set units with the Scale Drawing Wizard

  1. On the File menu, click Scale Setup.

  2. Click the appropriate measurement system, Imperial or Metric. Click Next.

  3. If you selected Imperial, click the appropriate scale type, Architectural or Engineering. Click Next. Click the appropriate scale setting. Click Next.

or

If you selected Metric, first select a base unit type. Next, enter how many units you want to be represented by one base unit on the drawing. Then you need to enter the label that will be associated with the units. Click Next.

  4. Click the applicable Designer drawing.

  5. Click Finish.


Deleting a Defined Unit

You can delete a defined unit from the list of available units by selecting it in the Available Units list box and clicking Delete Unit button in the Defined Custom Units dialog box. The defined unit is not deleted from other drawings using that unit. The deleted unit remains in use where you have applied it already, but you can not choose that unit for future uses.


Setting Up a Page

Use the Page Setup command on the File menu to change the size and orientation of the current page in the active window.

Use the Page Setup command in the File menu to change the size, margins, and orientation of the active window's on-screen page. You can change page settings before, during, or after creating a drawing.

If you change the page setup, and you plan to print your work, you should change the printer setup to match. See "Printing Your Work" for information on changing your printer setup.

New page settings are applied immediately to the current page in the active window.

Individual pages in your document can have different sizes, orientations, and page fills, if desired. To apply the same size, orientation, and page fill to all pages in the document, select Apply to All Pages. This option, like Use Master Page, forces all pages to be uniform.

Related Topics | Setting Paper Size
 | Setting Margins
 | Using the Master Page
 | Using Multiple Pages


Setting Paper Size

On the Page Setup dialog box, click the Paper Size tab to set page size and orientation.

Setting the Page Size

Use the Paper Size list box to choose the size of the current page. You can choose from standard page sizes or choose Custom Size and create your own by adjusting the Width and Height measurements. If you enter dimensions for Width and Height that do not match one of the standard page sizes, the Paper Size selection changes to Custom Size.

Using a Master Page

If you choose the Use Master Page option, the page matches the size, orientation, and page fill (if any) of the master page. To edit the master page, click the Page button (at the bottom left of the active window) and choose Master Page. (See the section "Using the Master Page" in this chapter for more information.)

Setting the Page Orientation

The Page Orientation options determine the page layout. Select Portrait to layout the page so that the vertical dimension is longer than the horizontal dimension. Select Landscape to layout the page so that the horizontal dimension is longer than the vertical dimension.

Using the Printable Area

Choose the Use Printable Area option to force the on-screen page to reflect your printer's page size and margins. For example, if your printer uses an 8.5" x 11" page with 1/2 inch margins, the on-screen page matches it.

Setting the Width/Height

The Width and Height boxes show the measurements for the current page size. You can create a custom page size by changing these settings. Click the arrows to change its setting.

Defining Units

The Units button shows the current page size measurement units. To change the units setting, click the Units button and choose the desired units.

Applying to All Open Pages

Individual pages in your document can have different sizes, orientations, and page fills, if desired. To apply the same size, orientation, and page fill to all pages in the document, select Apply to All Pages. This option, like Use Master Page, forces all pages to be uniform.

Page Tiling

Page Tiling shows the number of columns and rows of tiles used when the current page size is printed to the target printer. If the page size is set to use Printable Area and the Page Orientation matches the orientation of the target printer, no tiling is used, and the number for columns and rows are both set to 1.

If you enter new values for columns and rows, the page size changes to match. See the chapter "Printing Your Work" for an explanation of tiling. If you want to display tile lines on your screen as you work, open the View menu and choose Workspace, and then choose Show Printer Page Tiles from the Workspace submenu.


Setting Margins

On the Page Setup dialog box, click the Margins tab to specify your margins, display or hide crop marks, and choose a page fill color as though you were working on colored paper.


Using the Master Page

Every Designer document has a master page. You can use the master page to make all the pages in your document consistent in size, orientation, margins, and page fill. The size of the master page defaults to match the printable area of your target printer.

If you want certain graphic or text objects, such as a title or border, to appear on every page, you can place these objects on the master page. These repeated objects are called master items.


To set up and use the master page

  1. Click the Master Page tab at the bottom left of the window. The master page displays.

  2. On the File menu, click Page Setup.

  3. Use the Page Setup dialog box to select the page size and orientation and adjust margins.

  4. If you want a background color or fill, click Page Fill button [image] on the Margins page, then use the Interior Fill tab of the Object Format dialog box to set up the fill.

  5. On the Page Setup dialog box, click OK.

  6. Place any items on the master page that you want to appear on all your pages.

  7. Use the Master Page as the Page Size for all other pages in your document.

You can create and edit objects on the master page as with other pages by clicking the Page button, choosing Master Page, and making your changes. However, you cannot select or change master items unless the master page is the current page; this protects the master items from accidental changes.

If you have a page in the document that you want to be different from the rest, you can display that page, choose the Page Setup command, and change the Page Size in the Page Setup dialog box to something other than Use Master Page. You can then make any changes you want to orientation, margins, and so forth. Master items do not appear on pages that are not set up to use the master page.


Using Multiple Pages

Designer lets you use as many pages as you need for your documents. Individual pages in a document can be of different sizes and orientations (portrait, landscape). Each page can be set up differently if needed.

You can use the Page Manager Tool to select any number of pages in your document and set them up with the same size, orientation, margins, page fill, and so forth.

If you want to remove an object from a page temporarily, you can drag it off of the page onto the working area. The object remains there until you need it again. However, if you select another page, it is not visible.

Related Topics | To set up multiple pages
 | To select multiple pages
 | To select multiple pages that are not next to each other
 | To view a different page in the document
 | To sort pages in a document
 | To rename a page
 | To add a page
 | To delete a page


To set up multiple pages

  1. Open a document with multiple pages.

  2. Click the Page Manager Tool [image] in the toolbox. Thumbnail images are displayed for each page in the document.

  3. Press and hold CTRL and select each page you want to setup.

  4. Click the Page Setup button [image] in the ribbon. The Page Setup dialog box opens.

  5. Choose the page size, orientation, margins, and so forth.


To select multiple pages

In Page Manager view, you can simply click the desired page to select it.

  1. Click the Page Manager Tool [image] . The drawing area changes to Page Manager view.

  2. Click the first page you want to select.

  3. Press and hold SHIFT and click the last page you want to select. Designer selects every page between the two pages you selected.


To select multiple pages that are not next to each other

  1. Click the Page Manager Tool [image] . The drawing area changes to Page Manager view.

  2. Click the first page you want to select.

  3. Press and hold CTRL and click the other pages you want to select. Only the pages you click are selected.

To deselect a page in Page Manager, press CTRL and click the page you want to deselect.


To view a different page in the document

  • Click the Page tab of the page you want to view. You may need to scroll.
    or
    Click the Pages button [image] to open the Pages dialog box. Highlight the page you want to view and click or double-click Select.

You can easily move from page to page with the keyboard shortcuts CTRL+PAGE UP, CTRL+PAGE DOWN, CTRL+HOME, and CTRL+END. Press CTRL+PAGE UP to move to the next (higher-numbered) page. Press PAGE DOWN to move to the previous (lower-numbered) page. Press CTRL+HOME to move to the first page. Press CTRL+END to move to the last page.


To sort pages in a document

  1. Open a document with multiple pages.

  2. Click the Page Manager Tool [image] . The drawing area changes to Page Manager view.

  3. Select a page and drag it to the beginning, end, or middle of the sequence.

A vertical cursor bar displays as you drag the page to a different point in the sequence, indicating the position to which it will be moved. As you sort slides, they are automatically renumbered.

If your document has more pages than fit on the screen, use the scroll bar to display the other pages.

To insert a page between two other pages, you can add a new page at the end of the document (in the normal single-page view) and then drag the new page into the correct sequence (in Page Manager view).


To rename a page

By default, Designer names the pages Page 1, Page 2, and so forth. You can change the default page names to give each page in your drawing a unique name.

  1. Right-click the Page tab of the page you want to rename. The Page menu opens.

  2. Click Rename Page.

  3. Type in the page name and click Ok.

or

  1. Click the Pages button in the lower left corner of the window [image] . The Pages dialog box opens.

  2. Under Current Page, select the page you want to rename.

  3. Point to the Page name text box and click the left mouse button.

  4. Type a new page name and press ENTER.


To add a page

  1. Click the Pages button at the bottom left of the active window [image] . The Pages dialog box opens.

  2. Click Add or right-click on a page tab and select Add Page from the menu.

You can also click the Add button in the Pages dialog box as another way to add a new page to the end of the document.


To delete a page

You can delete any page in your document except the current page or the master page. When you delete a page from your document, the entire contents of the page are deleted as well.

  1. Click the Pages button at the bottom left of the active window [image] . The Pages dialog box opens.

  2. Highlight a page name and click Delete to delete the specified page and its contents

or

Right-click the page to delete and select Delete Page from the menu.

Double-click a page in the Pages dialog box to make it the current page.


Setting Up Layers

You can manage layers in other ways with the Layers dialog box. You can do any of the operations on a single layer, and you can work with multiple layers when removing, locking, unlocking, showing, and hiding layers.

Related Topics | Benefits of Layers
 | Basic Layer Tasks
 | Locking and Unlocking Layers
 | Showing and Hiding Layers
 | Hiding and Locking Individual Objects
 | Using Multicolor or Single-Color Layers
 | Printable Layers


Benefits of Layers

Designer lets you create layers for each page of your document. This allows you to place some objects on one layer, others on another layer, and so on, just as you might with several overhead transparencies.

Layers help you:

  • Manage complex drawings with many overlapping objects
  • Categorize objects that logically belong together by layer
  • View certain objects in your drawing while hiding others
  • Easily select and edit objects
  • Protect objects from accidental changes
  • Trace from a template on another layer
  • Print certain objects only

Each page in a Designer drawing has one layer by default. Layers remain perfectly aligned with one another. Designer automatically numbers layers for you. The total number of layers you can use is virtually unlimited--32,767.

Designer lets you do the following with layers:

  • Name the layers
  • Add and remove layers
  • Change the order of layers
  • Lock layers (so that objects cannot be moved or changed)
  • Display or hide selected layers
  • Specify layers as printable or non-printable
  • Use one color (for easy identification) or multiple colors on a layer
  • Move objects from one layer to another
  • Edit all the layers or edit one layer at a time

Designer does not store a layer that has no objects on it unless you have named the layer.


Basic Layer Tasks

You can click the Layer button at the bottom of the active window to open the Layer menu, which lists the numbers and names of all the layers on the current page, with the current layer highlighted.

From this menu you can

  • Change to a different layer
  • Add a layer
  • Open the Layers dialog box for other operations

Related Topics | To change to a different layer
 | To select multiple layers
 | To select multiple layers that are not next to each other
 | To rename a layer
 | To add or delete layers
 | To change the order of layers
 | To move objects from one layer to another
 | To edit all layers


To change to a different layer

  • Click the tab of the layer you want to make active.

or

  1. Click the Layers button [image] .

  2. On the Layers dialog box, click the name of a layer, then click Set Selected Layer to Current.

Or double-click the layer name.

You can easily move from layer to layer with the keyboard shortcuts SHIFT+PAGE UP and SHIFT+PAGE DOWN. Press SHIFT+PAGE UP to move to a higher-numbered layer. Press SHIFT+PAGE DOWN to move to a lower-numbered layer.


To select multiple layers

  1. Click the Layers button [image] .

  2. On the Layers dialog box, click the first layer.

  3. Hold SHIFT and click the last layer you want to select.

Every layer between the two layers is selected.


To select multiple layers that are not next to each other

  1. Click the Layers button at the bottom [image] .

  2. On the Layers dialog box, click the first layer.

  3. Hold CTRL and click each other layer you want to select.

Only the layers you click are selected.


To rename a layer

  1. Right-click the tab of the layer you want to rename.

  2. On the shortcut menu, click Rename Layer.

  3. On the Layer Name dialog box, type the new layer name, then click OK.

or

  1. Click the Layers button [image] .

  2. On the Layers dialog box, click the layer you want to rename.

  3. In the Layer Name box, type the new layer name, then press ENTER or click the accept entry button [image] .


To add or delete layers

  1. Right-click a layer tab.

  2. On the shortcut menu, click Add Layer or Delete Layer.

or

  1. Click the Layers button [image] .

  2. On the Layers dialog box, click a layer to select it.

  3. Click the Add Layer button [image] .

or

Click the Delete Layer button [image] .

You cannot delete the current layer.

When you delete a layer, all objects on that layer are deleted.


To change the order of layers

  1. Right-click a layer tab.

  2. On the shortcut menu, click Move Layer Up or Move Layer Down.

or

  1. Click the Layer button [image] .

  2. On the Layers dialog box, click the layer you want to move, then click the Send Backward button [image] to move the layer up in the list, or click the Bring Forward button [image] to move the layer down.


To move objects from one layer to another

  1. Select the objects you want to move.

  2. Right-click the current layer tab.

  3. On the shortcut menu, click Move to Layer.

  4. On the Move to Layer dialog box, click a layer, then click OK.

or

  1. Click the Layer button [image] .

  2. On the Layers dialog box, click a layer in the Move to Layer list


To edit all layers

  1. Right-click a layer tab.

  2. On the shortcut menu, click Edit All Layers.

or

  1. Click the Layer button [image] .

  2. On the Layers dialog box, select Edit All Layers.

You can now select and edit all objects on all layers. Deselect this option to return to single-layer selection and editing.

You cannot move an object on a lower layer in front of an object on a higher layer. You can, however, change the order of layers so that the entire layer and its contents move in front of another layer.


Locking and Unlocking Layers

When a layer is locked, it can either be displayed or hidden, but it cannot be edited or deleted. You cannot lock the current layer.


To lock or unlock layers

  1. Right-click a layer tab

  2. On the shortcut menu, click Locked. A check mark appears next to Locked if the layer is locked.

or

  1. Click the Layers button [image] .

  2. On the Layers dialog box, click a layer name.

  3. Click the Lock Layer button [image] or click the Unlock Layer button [image] . A lock icon appears next to locked layers.


Showing and Hiding Layers

You cannot hide the current layer. If you make a hidden layer the current layer, it is no longer hidden.

Hidden layers are not printed, so you can hide layers not only in your display but also in your printout. If you want to print all of the layers in the drawing, be sure to show all the layers before you print.


To show or hide layers

  1. Right-click a layer tab.

  2. On the shortcut menu, click Visible. A check mark appears next to visible layers.

or

  1. Click the Layers button [image] .

  2. On the Layers dialog box, click the Hide Layer button [image] or the Show Layer button [image] . A lit light bulb icon appears next to visible layers.

You cannot hide the current layer.


Hiding and Locking Individual Objects

In addition to letting you hide or lock all objects on a specified layer, Designer also lets you hide or lock individual objects.

Temporarily hiding objects may speed screen redraw time, especially if the objects include gradient fills or bitmaps. Locking objects may be desirable if you want to ensure that you do not accidentally move or resize them.


To hide or lock individual objects

  1. Select one or more objects to hide or lock.

  2. On the menu bar, click Arrange.

  3. Click Hide or Lock.


To show or unlock all objects

  1. On the menu bar, click Arrange.

  2. Click Show All or Unlock All.


Using Multicolor or Single-Color Layers

You can make every object on a particular layer the same color.

Using single-color layers can help you visually keep track of which objects are on which layer. Designer lets you mix single-color layers and multiple-color layers in the same drawing.

By default, a layer is multicolored. If you limit a particular layer to a single color, all existing objects and all subsequent objects are filled with the single color. You can use the current default layer color or click the Layer Color button to choose a different color.


To change a layer color

  1. Click the Layers button [image] .

  2. On the Layers dialog box, click a layer name.

  3. Click the Single-Color Layer button [image] to make all objects the same color, or click the Multi-Color button [image] to display objects in their native colors. A color block icon appears next to single-color layers.

  4. To select a layer color, click the Layer Color button [image] then click a color on the palette.


Printable Layers

You can make layers printable or non-printable. By default, all layers are printable.

Hidden layers cannot be set to printable.


To make a layer printable or non-printable

  1. Right-click a layer tab.

  2. On the shortcut menu, click Printable. A check mark appears if the layer is printable.

or

  1. Click the Layers button [image] .

  2. On the Layers dialog box, click a layer name.

  3. Click a layer name, then click the Non-Printable Layer button [image] or Printable Layer button [image] . The non-printable icon appears next to non-printable layers.


Using Coordinates

Designer uses coordinates for precise drawing and positioning. You can display coordinates to reference the current mouse position, the origin and size of a selected object, the origin and endpoint of a selected object, or the orientation and rate of expansion during transformations. Coordinates can also be used to draw, move, or resize an object.


About Coordinates

Designer can use Cartesian (rectangular) or polar (radial) coordinates. In the polar coordinate system, you can express angles in degrees or radians.

Cartesian Coordinates

Cartesian coordinates use the familiar vertical and horizontal axes. The vertical axis is called Y, and the horizontal axis is called X.

The X and Y axes correspond closely to the rulers in the Designer window. The ruler origin is the intersection of the two axes, where X=0, Y=0. If the origin is set at the top left of a page, the values for X go from left to right, and the values for Y go from top to bottom, just like the rulers.

If you drag the ruler origin to the center of the page, the axes and rulers are repositioned with respect to the page.

Polar Coordinates

Polar coordinates use a different method to reference each point on the page. Instead of having two straight axes, polar coordinates measure the distance from the center and the angle from the axis.

The distance from the center is called R (for radius). R is measured in inches, centimeters, or some other linear unit of measure. Angles are called A and are measured in degrees or radians. Degrees and radians are both radial, rather than linear, units of measure. One radian is equal to approximately 57.3 degrees.

To find a point where R equals 3 and A equals 45 degrees, find 3 at zero degrees and then move along that circle until you reach 45 degrees.

The zero degree point of the polar coordinate system corresponds to Designer's horizontal ruler. The ruler origin is the center of the polar coordinate model. If the origin is set at the top left of a page, the relationship of the system to the page is as shown in the following diagram.

If you drag the ruler origin to the center of the page, the rulers and system are repositioned with respect to the page.


Displaying Coordinates

Coordinates are displayed in the status bar. When no object is selected, the status bar shows the coordinates of the mouse pointer. When an object is selected, the status bar shows the coordinates of the selected object. During a transformation such as manually resizing an object, the status bar shows the coordinates of the transformation.

You can choose from three methods for displaying coordinates:

Choose | To display
Width/Height | The object's origin, width, and height.
Length/Angle | The object's origin, length, and angle.
Range | The object's origin and end point.


To choose the method for displaying coordinates

  1. Click the Coordinates button [image] in the status bar.

  2. Click Width/Height, Length/Angle, or Range.
    The method is used to display coordinate information about selected objects in the status bar.


Drawing with Coordinates

Coordinates give you a more precise method of drawing than using the mouse. Instead of pointing, clicking, and dragging the mouse, you can enter numbers for coordinates for an object's origin (starting point) and its ending point, or for an object's width and height.

The Object Coordinates dialog box gives you several methods for specifying the size and position of an object, as well as some actions that let you point and click with the keyboard, without using a mouse or other pointing device.


To draw a rectangle with coordinates

The following example shows how to draw a rectangle by entering coordinates. It is assumed that the rulers are set to inches. The upper left corner of the rectangle is positioned at the point (4,6). The rectangle is ten inches wide and three inches high.

  1. Click the Coordinates button [image] in the status bar and choose Coordinates.

  2. In the Coordinates dialog box, click Create a New, then select Rectangle from the list.

  3. Click the down arrow in the Method list box and choose Width/Height, if necessary.

  4. In the Position section choose the top left handle in the From list.

  5. Place the cursor at the X scroll box. Type 4 and press the TAB key.

  6. In the Y scroll box, type 6. You have now specified the X and Y coordinates for the starting point of the rectangle.

  7. In the Width scroll box, type 10 and press TAB. The width of the rectangle is 10 inches.

  8. In the Height scroll box, type 3.

  9. Press ENTER or click Create.
    Designer draws the rectangle on the page with the exact starting point and dimensions that you entered.

  10. Click Close to close the Coordinates dialog box.


Working with Designer Files

Designer lets you display more than one file at a time. You can also have more than one window containing the same document. Like other Windows applications that let you open multiple documents, you can select the Cascade and Tile commands in the Window menu to arrange multiple windows on your screen. The currently selected drawing window is the active window. The active window (with the title bar highlighted) receives the next action. Only one drawing window is active at a time.

You can resize a window manually and can maximize, restore, and minimize an open window by clicking the appropriate button at the top right of the window. After you minimize a window, you can select the Arrange Icons command in Designer's Window menu to automatically space the minimized document icons evenly on your screen.

To select objects on multiple layers prior to export, open the Layers dialog box, select Edit All Layers, close the dialog box, and then select the desired objects on the desired layers of the current page.

Related Topics | Opening Files
 | Finding a File
 | Closing Files
 | Saving a File
 | Protecting Drawings with Passwords
 | Saving Copies of a File
 | Recalling a File
 | Exiting Designer


Opening Files

To edit or view a Designer file, you first open, or load, the file using the Open command in the File menu (keyboard shortcut CTRL+O).

To change folders, point to the folder containing the document that you want to open and double-click the left mouse button. The file names in the folder appear at the left.

You also can type the directory name separated with backslashes. For example, type C:\Designer\Drawings and press ENTER.

To quickly scroll to a specific filename, you can click the File Name list and type the first character of a filename. The list jumps to the first file beginning with that character.

Each time you choose the Open command in the File menu, the Open dialog box recalls the most recently used drive and directory.

When you open a DRW document with multiple pages, you receive a dialog box asking how you want to open the document.

  • If each page in the original document contains a separate drawing, click Split Up Pages. Designer retains the contents on multiple pages as they were in the original DRW file.
  • If a large drawing spans several pages in the original document, click Enlarge Document. The entire drawing is loaded as a single-page drawing. The page size is enlarged to include all of the used pages of the original drawing.

You can also copy, rename, delete, and search for files from the Open dialog box.

Related Topics | To open a file
 | To create a new file
 | To name a new file
 | To make a copy of a file
 | To delete a file
 | To rename a file
 | Finding a File


To open a file

  1. On the File menu, click Open (keyboard shortcut CTRL+O). The Open dialog box opens.

  2. Click the drive that contains the document you want to open.

  3. Double-click the appropriate folder.

  4. Click a filename to see a preview of the drawing.

  5. Click Open. The drawing appears in the drawing area.

The Open dialog box does not show a file preview for DRW files.

You also can type the folder name separated with backslashes. For example, type C:\Designer\Drawings and press ENTER.

To quickly scroll to a specific filename, you can click anywhere in the list of file names and then type the first character of the filename. The list jumps to the first file beginning with that character.

Each time you click the Open command on the File menu, the Open dialog box recalls the most recently used drive and folder.


To create a new file

  • Click New on the File menu (keyboard shortcut CTRL+N). Designer opens a new window containing an untitled document.

If the Standard toolbar is displayed, you can click the New button [image] .


To name a new file

  1. Click Save or Save As on the File menu. The Save As dialog box opens.

  2. Type a name in the File Name text box and press ENTER.

The keyboard shortcut for Save is CTRL+S. If the Standard toolbar is displayed, you can click the Save button [image] .


To make a copy of a file

  1. Click Open on the File menu. The Open dialog box opens.

  2. Click the right mouse button on the name of the file you want to copy.

  3. Click Copy on the shortcut menu.

  4. Double-click the folder where you want the copy to reside.

  5. Click the right mouse button outside of any file names, and click Paste.


To delete a file

  1. On the File menu, click Open. The Open dialog box opens.

  2. Click the right mouse button on the name of the file you want to delete.

  3. On the shortcut menu, click Delete.

  4. Click Yes to delete the file or click No to cancel the deletion.

Deleting may either delete the file or move the file to the Recycle Bin, depending on how you have set the properties of the Recycle Bin.


To rename a file

  1. On the File menu, click Open. The Open dialog box opens.

  2. Click the right mouse button on the name of the file you want to rename.

  3. On the shortcut menu, click Rename.

  4. Type the new filename and extension and press ENTER.


Finding a File

If you are not sure of the location of a file, you can let Designer search for it. You can specify a search path that includes the drive, directory, and subdirectories, or you can search for a file on multiple disk drives.

If Designer lists multiple files found in a search, you can select the desired files from this list and then open all the files at once, even if the files are in different directories or subdirectories.


To find a file

  1. On the File menu, click Open. The Open dialog box opens.

  2. Click Find. The Find Files dialog box opens.

  3. Type the name of the file you want to search for.

  4. Type a drive and folder, or click the Browse button to search for the folder.

  5. Click Find Now. Designer lists the names and locations of matching files.

  6. Highlight one or more file names from the search list.

  7. Click Open. Each selected document opens in its own window.

You can use wild-card characters (for example, *.dsf) to find files of the same type or files with similar names.

If Designer lists multiple files found in a search, you can select the desired files from this list and then open all the files at once, even if the files are in different folders or subfolders.


Closing Files

The Close command on the File menu lets you close the active document (keyboard shortcut ALT+F4).

The Close All command on the File menu closes all open documents.

If the file has changes that you have not saved, you are asked if you want to save the changes before the file closes.

All open documents are closed if you exit Designer.


To close a file

  • On the File menu, click Close (keyboard shortcut CTRL+F4).


To close all open files

  • On the File menu, click Close All.

If the document contains changes that you have not saved, you are prompted to save the changes.


Saving a File

You should make a habit of saving your work often. This helps to ensure that your files are saved in the event of a power interruption or a hardware or software problem.

The first time you save a new document file, you can name it and choose where you want to store it. Afterwards, each time you choose the Save command, any changes to the file are saved.

Revert to Saved

The Revert to Saved command lets you quickly reload a previously saved version of a document. Use this command to undo all changes you have made to a document since the last save.


To save a file

  1. If you have more than one document open, select the window of the document you want to save.

  2. In the File menu, click Save. If you are saving a document for the first time, the Save As dialog box opens. If you already have saved the file, your changes are saved in the file you named earlier.

  3. Type the filename you want. If you do not provide an extension, DSF is used.

  4. Choose the drive and folder in which you want to store the file.

  5. Choose the file format you want in the file type list box if you want to save the document as a different format.

  6. Click Save to save the file.


To revert to a saved file

The revert command restores the document to the most recently saved version, undoing all changes made since you last saved the file.

  1. On the File menu, click Revert To Saved. Designer asks if you are sure you want to ignore all changes before it reverts to the previous version.

  2. Click Yes to open the most recently saved version of the document, or click No to return to the current document.


Protecting Drawings with Passwords

Designer lets you protect your DSF drawings with passwords. Each drawing can have two types of passwords: the first password is used to restrict opening the drawing, and the second password is used to restrict modification of the drawing. Both types of password protection are optional.

Important: If you forget your password, there is no way to retrieve it. You will not be able to open/modify the drawing.

Passwords are case-sensitive.

When opening a password protected drawing, you are required to confirm the password.

Passwords only apply to the latest version of Designer files. Older versions of Designer cannot read password-protected drawings.


To add passwords to a drawing

  1. On the Save As dialog box, click the Password button.

  2. On the Set Password dialog box, type a password to open the drawing and/or a password to modify.


Saving Copies of a File

The Save As command in the File menu (keyboard shortcut CTRL+SHIFT+S) lets you rename a document so that you have the original document and a new version. This option is useful for making a copy of a file.


To save a copy of a file

  1. On the File menu, click Save As (keyboard shortcut CTRL+SHIFT+S). The Save As dialog box opens.

  2. Type a different filename for the document copy.

  3. Choose the drive and folder in which you want to store the copy.

  4. Click Save. A copy of the document is stored with the new filename.


Recalling a File

The recall list in the File menu contains the last four documents you opened or saved in Designer. This command lets you quickly access the most recently used documents.

If a file is deleted or is on a drive that is not currently available, it still may appear in the submenu. When you choose one of these files, Designer displays a message stating that it cannot find the file.


To open a recently used file

  • Click the filename of the recently used document on the File menu.

If a document has been deleted or is on a drive that is not currently available, Designer displays a message stating that it cannot find the document.


Exiting Designer

The Exit command in the File menu closes Designer.

If you have made changes to any open file, you are prompted to save the file before the application quits.


To exit Designer

  • On the File menu, click Exit (keyboard shortcut ALT+F4).


Importing and Exporting Files

Designer uses internal filters and the Share Media program to import from and export to standard file formats for vector graphics, bitmap graphics, and text. This feature lets you use and share files created or used by other applications.

Import/Export filters

The installation CD includes filters (sometimes known as converters or translators) for many different file formats. When you import a file, the Share Media uses a filter to convert the file created with another application into Designer's format. When you export, a filter is used to convert the file into another program's format.

Designer can open DSF, DS4, DRW, GRF, and MGX files. You also can import any of these file types.

Multiple pages and layers during import

When you import a file with more than one page (such as DSF, DS4, DRW, or MGX), only the objects on the first page are imported. The imported objects are added to the current page and layer in Designer.

When you import a file with more than one layer (such as DS4, DRW, or MGX), all the objects on all the layers are imported. However, the imported objects are added to the current page and layer in Designer; the imported objects are no longer on separate layers.

Multiple pages and layers during export

When you export a Designer file with more than one page, only the objects on the current page are exported. If any objects are selected on the current page, only the selected objects are exported.

When you export a Designer file with more than one layer to the DSF, DS4, or DRW file type, selected objects (even those on multiple layers) are exported to one layer. If no objects are selected, all layers and objects are exported, and the multiple layers are retained.

When you export a Designer file to any file type other than DSF, DS4, or DRW, all objects on the current page are exported to one layer.

To select objects on multiple layers prior to export, open the Layers dialog box, select Edit All Layers, close the dialog box, and then select the desired objects on the desired layers of the current page.

Designer can save to DS4 (Version 4.x) and MGX (Micrografx clip art) files. You can also export to DSF if needed.

Related Topics | Importing Files
 | Importing Clip Art
 | Exporting Files
 | Filter Limitations and Guidelines


Importing Files

The Import command (keyboard shortcut CTRL+1 [one]) lets you import graphic and text files into Designer. Designer can import the file types listed in the following table. Due to the large amount of file types Designer supports, the file types are divided into two sections: All Supported Files 1 and All Supported Files 2. If the file type you want is not displayed, select either All Supported Files 1 or 2 to display that file type.

Extension | Description
ABC | ABC FlowCharter
AF2 | ABC FlowCharter 2.0
AF3 | ABC FlowCharter 3.0
AI | Adobe Illustrator to version 7
BMP | Windows Bitmap
CDR | CorelDRAW! versions 3-8
CGM | Computer Graphics Metafile
CMX | Corel Clipart Format
DGN | MicroStation Designer File
DIB | Windows DIB
DRW | Micrografx drawing
DS4 | Micrografx Designer 4.x
DSF | Micrografx Designer file
DWF | AutoDesk Drawing Web Format
DWG | AutoCAD Drawing File
DXF | AutoCAD Drawing Exchange Format
EMF | Windows Enhanced Metafile
EPS | Adobe Illustrator Encapsulated PostScript
FLO | FlowCharter
FPX | FPX Format
GEM | GEM Metafile (GEM Draw, Artline)
GIF | CompuServe bitmap
GRF | Micrografx Graph
HGL | HP Graphics Language
IGS | IGES Drawing
IGX | iGrafx Professional
JPG | JPEG (Joint Photographic Experts Group) bitmap
MGX | Micrografx Clip Art
PCD | Kodak Photo CD bitmap
PCT | Macintosh PICT
PCX | ZSoft bitmap (PC Paintbrush)
PDF | Adobe Acrobat
PFD | Optima
PIC | Micrografx Picture
PLT | HP Graphics Language
PNG | CompuServe PNG
PP4 | Micrografx Picture Publisher 4.0
PP5 | Micrografx Picture Publisher 5.0
PPF | Micrografx Picture Publisher
PS | Post Script
PSD | Adobe Photoshop
RAS | Sun Raster
RTF | Rich Text Format
S3D | iGrafx 3D / Micrografx 3D
SCT | Scitex CT
TGA | Targa bitmap
TIF | TIFF (Tag Image File Format) bitmap
TXT | ASCII Text
VSD | Visio Drawing
WMF | Windows Metafile
WPG | WordPerfect or DrawPerfect graphics

Designer can open DSF, DS4, DRW, GRF, and MGX files. You also can import any of these file types.


To import a file

  1. On the File menu, click Import. The Import dialog box opens.

  2. Click the down arrow in the Files of Type list box.

  3. Choose the type of file you want to import.

  4. Change to the drive and folder you want.

  5. Highlight the name of the file you want to import.

  6. Click Setup if you want to change import settings (if available).

  7. Click Import. The dialog box closes and the imported file appears in the drawing area.

If you skip step 6, Designer uses the settings previously used when importing this file type. The available import settings vary depending on the file type you want to import.

Files in the Hewlett-Packard Graphics Language (HPGL) format are sometimes named with a PLT (plotter) extension. Before importing a plotter file, make sure it has a PLT extension so that Designer will list it in the Import dialog box.


Importing Clip Art

Clip art is imported using Share Media. You can access Share Media either by clicking the Share Media button on the standard toolbar, or selecting Clip Art from the Insert menu.

See "Using Share Media" for more information.


Exporting Files

The Export command (keyboard shortcut CTRL+2) lets you export Designer files for use in other programs. Designer can export the following file types.

Extension | Description
AI | Adobe Illustrator
BMP | Windows Bitmap
CGM | Computer Graphics Metafile
DIB | Windows DIB
DRW | Micrografx drawing
EMF | Windows Enhanced Metafile
EPS | Adobe Illustrator Encapsulated PostScript; see note, below
FPX | FPX Format
GEM | Digital Research GEM
GIF | CompuServe Bitmap
GRF | Micrografx Graph
IGS | IGES Drawing
JPG | JPEG Bitmap
MGX | Micrografx Clip Art
PCT | MacIntosh PCT
PCX | Micrografx Picture
PDF | Adobe Acrobat
PIC | Micrografx Picture Publisher
PLT | HP Graphics Language
PNG | CompuServe PNG
PP4 | Micrografx Picture Publisher 4.0
PP5 | Micrografx Picture Publisher 5.0
PPF | Micrografx Picture Publisher
PSD | Adobe Photoshop
RAS | Sun Raster
RTF | Rich Text Format
SCT | Scitex CT
SWF | Macromedia Flash version 5
TGA | Targa Bitmap
TIF | Tagged Image File Format
TXT | ASCII Text
WMF | Windows Metafile
WPG | WordPerfect Graphics

Encapsulated PostScript files can be exported in one of four ways: with no header or preview, with no preview, with a TIFF preview, or with a WMF preview. If you plan to export an EPS file and import it into a Macintosh application (which is typical when sending files to a service bureau), you should export with no header or preview.


To export a file

  1. Select the objects you want to export. If no objects are selected, the entire page is exported.

  2. On the File menu, click Export. The Export dialog box opens.

  3. Choose a drive and folder for the exported file's destination, if necessary.

  4. Type a name for the file.

  5. Click the down arrow in the Save as Type list box.

  6. Choose the type of file you want to export. Designer automatically adds the proper extension to the filename.

  7. Click Setup if you want to change export settings (if available). On the Setup dialog box, deselect the As Stored check box if you want to change the export settings. The new settings you enter will become the default for this type of file until the next time you change them.

  8. Click Export. Designer exports the file in the chosen format.

If you skip step 7, Designer uses the settings previously used when exporting this file type. The available export settings vary depending on the file type you want to export.

The height and width measurements displayed in the Setup dialog box are in pixels.


Filter Limitations and Guidelines

DSF

  • Units label on dimension lines is stripped away when using Viewer.
  • Drop colors are lost after save.
  • Opening a file with multiple layers displays only one layer.
  • OLE objects do not display when using Viewer.
  • Files created in Designer 3.1 may not display text correctly. To correct this, replace the fonts in each drawing.
  • Multi-color gradients change to two-color gradients when exported to DRW, GRF, MGX, and PIC formats.

DRW

Designer does not currently support the following Draw features:

  • Outline styles
  • Guidelines
  • 3D shapes
  • Text inside of shapes
  • Border lines, when using Viewer
  • Text outline styles and interior gradient fill
  • Backgrounds
  • Shadows, when using Viewer
  • Enhanced line styles
  • Repel text
  • Ruler positioning
  • Coolshapes
  • Opening a multiple fold DRW file (distorts the page size)
  • Custom Bezier Warp settings
  • Tables
  • Drop colors

DWG

Designer does not support 3D data for DWG files.

DXF

  • Designer supports version 14.
  • Designer does not support 3D data for DXF files.

IGS

When exporting or importing an IGS file containing colored formatted objects, the colors change to lighter shades.

PLT

When exporting a Designer drawing as PLT, the drawing does not maintain the font style or size.

EPS

  • When importing an Adobe Illustrator EPS file (using INSO's import filter) into Designer, multiple layers are created.
  • The Adobe Illustrator EPS export file format is intended for use only when the intended destination of the file is Adobe Illustrator. The other EPS export formats are generic and are intended for use in page layout programs.
  • When exporting an EPS file with No Preview selected, the file cannot be imported back into Designer due to a limitation of the filter.

GEM

When exporting or importing a GEM file:

  • The colors in colored formatted objects change to lighter shades.
  • Gradients, transparency, and enhanced line styles are not supported.

VSD

Designer supports VSD files up to and including Visio version 4.

WMF

  • Exporting a rotated bitmap as WMF locks up Designer and creates a huge file.
  • Some WMF exports, using TransWMF layer, create huge files.


What is a Designer Object?

An object is the basic element of a Designer drawing. Designer objects are vector-based; their shapes and positions are defined geometrically. Unlike bitmapped objects, vector-based objects can be resized with no loss of image quality. They print at the resolution of the printer, and they are displayed at the resolution of the display device.

You create drawings by drawing, arranging, and editing objects. You can manipulate objects in a variety of ways to enhance and help organize your drawing. For example, objects can be colored, combined, duplicated, and enlarged.


Basics of Drawing

Drawing with Designer is easy. You select the shape you want to draw, and then drag the mouse to draw the object. Designer gives you the precision and flexibility you need to draw almost any shape imaginable.


Drawing with the Toolbox and Ribbons

There are five primary shape tools on the Designer toolbox.

Click any shape to reveal a drawing ribbon, then click a button on the ribbon and begin drawing.


To draw an object using the ribbon

  1. Click the Simple Line Tool [image] in the toolbox.

  2. Click a drawing method. For example, click the Line Segment button [image] to draw a straight line.

  3. Hold the left mouse button and drag the pointer to create the desired object.

If you do not see the toolbox or the ribbon, click Toolbars on the View menu, and then click the Toolbox and Ribbon items.


To draw using the last drawing method

When the pointer is a select pointer, you can automatically return to the previous drawing method.

  1. Point to an empty area and double-click the left mouse button.

  2. Your cursor changes back to the last drawing tool used. Drag to create an object.


To draw with crosshairs

  • On the View menu, point to Workspace then click Show Crosshairs to select it (keyboard shortcut: CTRL+H). A check mark appears if it is selected.


Canceling and Redoing an Action

Sometimes you will want to stop an action that you have not yet finished, or undo the last change you made. If you change your mind after undoing an action, you can redo it.

Use the ESC key to interrupt an action before you complete it.

Use Undo to reverse an action, or event, that you just completed (keyboard shortcut CTRL+Z). You can undo up to 100 of the last events, depending on the undo event limit setting.

Use Redo to redo an action.

Undo and Redo affect only actions that have occurred since the last time you saved the drawing. For example, if you move an object and then save the drawing, you cannot undo the move.


To cancel an action before completing it

  • Press the ESC key.

If you are drawing a line but decide you don't want to draw it after all, press ESC. If you are moving an object but decide to cancel the move, press ESC and the object returns to its original position.


To undo an action

  • On the Edit menu, click Undo.
    or
    Use the keyboard shortcut CTRL+Z.

You can set the undo event limit on the General tab of the Options dialog box (on the Tools menu, click Options, and click General).


To redo an action

  • On the Edit menu, click Redo (keyboard shortcut CTRL+Y).

You can set the undo event-limit on the General tab of the Options dialog box (on the Tools menu, click Options).


Resetting an Object Transformation

Use the Reset Transform command to remove all transformations, such as movements or rotations, from selected objects. To reset a transformation, select the objects to reset, open the Arrange menu, and choose Reset Transform.

  • Resetting an object transformation:
  • Returns an object to its originally drawn position and size.
  • Removes all skews and rotations that you have applied.
  • Removes warps.
  • Returns the origin to the object's center.

Fills and reshaped points are not affected by Reset Transform. Also, duplicating an object is not a transformation that can be reset.


To reset an object transformation

  1. Select the objects to reset.

  2. On the Arrange menu, click Reset Transform.


Drawing with the Constraint Buttons

The Constraint buttons restrict, or constrain, the way in which objects are drawn. A selected button remains on until you click it again to turn it off.

Constraining with the Keyboard

You can use keystrokes to activate constraints. Keystrokes activate a constraint only while the key is pressed.

You can use a key to toggle the effect of a constraint button. For example, if you press and hold CTRL while the Angle Constraint button is selected, you turn off the constraint.

Constraining to a 15-degree Angle

You can use the Angle Constraint button [image] (or press SHIFT) to force lines to draw at a 15-degree angle. This constraint is useful for drawing lines (and object edges) that are perfectly horizontal or vertical.

This button also forces horizontal and vertical movements, and rotations and skews of 15-degree increments.

Constraining to a Square or Circle

Use the Proportional Constraint button [image] (or press SHIFT) to force rectangular or elliptical shapes to draw as squares or circles, respectively.

Reversing the Drawing Direction

Use the Reverse Direction button [image] (or press CTRL) to reverse the direction Designer normally draws objects created from a single side (for example, drawing a square from a single side). See the specific drawing method you are using for details.

Using the From Center Button

Use the From Center button [image] (or press CTRL) to force Designer to draw the object from the center outward. Drawing from the center can be useful when you want the center of the object to be at a particular point.


Using Snapping

In addition to using the Options dialog box, you can use buttons on the Standard toolbar, or the Snap commands on the Tools menu, to turn snapping on or off. You can also customize dynamic snaps on selected objects. See Setting Snap Options for more information.

Related Topics | To toggle Snap to Rulers on or off
 | To toggle Snap to Guide Lines on or off
 | To toggle Dynamic Snap on or off
 | To add dynamic snaps
 | To move dynamic snaps
 | To delete dynamic snaps
 | Drawing with Snap Points
 | Setting Snap Options


To toggle Snap to Rulers on or off

  • Click the Snap to Rulers button [image] .

or

  • On the Tools menu, point to Snap and click Snap to Rulers.


To toggle Snap to Guide Lines on or off

  • Click the Snap to Guide Lines button [image] .

or

  • On the Tools menu, point to Snap and click Snap to Guides.


To toggle Dynamic Snap on or off

  • Click the Dynamic Snap button [image] .

or

  • On the Tools menu, point to Snap and click Dynamic Snap.

You can also set snap options on the Options menu or from shortcut menus. For example, you can set the Dynamic Snap by right-clicking the ruler, selecting Rulers/Snap Options, clicking the Snap tab, and clicking the Dynamic Snap check box.

You must be in Drawing mode for the dynamic snaps to display.

Dynamic snaps always display when you are drawing sticky lines, dimension lines, or callout lines.


To add dynamic snaps

  1. Select an object.

  2. On the Tools menu, point to Snap, then click Customize Dynamic Snaps.

  3. On the Customize Dynamic Snaps dialog box, click Add.

  4. On the dialog box display, click where you want each additional snap point.

  5. Click Apply and then click Close.


To move dynamic snaps

  1. Select an object.

  2. On the Tools menu, point to Snap, then click Customize Dynamic Snaps.

  3. On the Customize Dynamic Snaps dialog box, click the snap point you want to move. To select more than one snap point, press the SHIFT key while making your selections.

  4. Keep the left mouse button pressed and drag the snap point(s) to their new location. Release the mouse button.

  5. Click Apply and then click Close.


To delete dynamic snaps

  1. Select an object.

  2. On the Tools menu, point to Snap, then click Customize Dynamic Snaps.

  3. On the Customize Dynamic Snaps dialog box, click the snap point you want to delete. To select more than one snap point, press the SHIFT key while making your selections.

  4. Click Delete.

  5. Click Apply and then click Close.


Drawing with Snap Points

You can use object snap to "snap," or attract, the end of a line to a point on a object. These points, or snap points, attract the ends of lines like a magnet when they are near.

Snap points appear as small red squares on a object. You can use snap points to draw a line or other object that perfectly touches the object. Snap points can help show the symmetrical form of a object when you need to draw, for example, a line through the exact center of a circle. Snap points appear only on the bounding box of text and warped objects.

Snap points are not attached to an object and do not move when the object is moved or deleted.

Related Topics | Adding Snap Points to an Object
 | Removing Snap Points from an Object
 | Using Snapping
 | Setting Snap Options


Adding Snap Points to an Object

Click the Add Snap Points button on the Standard toolbar to show snap points on selected objects (keyboard shortcut CTRL+F7). Snap points are placed at the locations selected in the Rulers/Snap panel of the Preferences dialog box or added on the Customize Dynamic Snaps dialog box.


To add snap points to an object

  1. Select the objects you want to have snap points.

  2. Click the Add Snap Points button [image] on the Standard toolbar.


Removing Snap Points from an Object

Click the Remove Snap points button on the Standard toolbar to hide all snap points in the drawing area (keyboard shortcut CTRL+SHIFT+F7).

For instructions on setting snap point options, see "Setting Snap Options."


To remove snap points from an object

  • Click the Remove Snap Points button [image] on the Standard toolbar. All snap points from the drawing area are hidden.


Using the Reference Point

The reference point is a fixed point that you can place anywhere within your workspace. Because its location does not change once it is placed, the reference point lets you draw and position objects exactly where you want them relative to the reference point.

The reference point is illustrated below.

The reference point is the red plus sign. The dotted red lines connecting the drawing pointer and the reference point are alignment aids.

The reference point offers the following advantages:

  • The red lines that connect the reference point and the pointer make visual alignment easy.
  • The position of the reference point is not affected by changing the ruler origin, so you can use it and the ruler coordinates independently.
  • The position of the reference point is not affected by changing the page size or adding pages of different sizes. This means you use the reference point to align objects across pages of different sizes in multiple page documents.
  • The reference point appears at the same fixed location in all open Designer documents. This means you use the reference point to align objects across documents.
  • The reference point can be hidden when not needed.
  • The Reference Point coordinates dialog box shows the X coordinate offset, Y coordinate offset, linear distance, and angle between the reference point and the pointer. These measurements let you precisely position and move the cursor as you draw.
  • The controls on the Reference Point toolbar let you constrain objects to the reference point in various ways. For information on using the reference point constraints, see Constraining Objects to the Reference Point.

The reference point location is not saved with a document.

Related Topics | To place the reference point
 | To show or hide the reference point
 | To show or hide the reference point coordinates
 | Constraining Objects to the Reference Point


To place the reference point

  1. Click Reference Point [image] on the Standard toolbar.

  2. On the Reference Point toolbar, click Place Reference Point [image] .

  3. Move the pointer where you want the reference point and click. The red plus reference point appears at that location.

To place the reference point using the keyboard, press PLUS SIGN on the numeric keypad (+). The reference point appears at the current pointer location.


To show or hide the reference point

  1. Click Reference Point [image] on the Standard toolbar.

  2. On the Reference Point toolbar, click Show Reference Point [image] . The reference point is alternately shown and hidden by clicking this button.


To show or hide the reference point coordinates

  1. Click Reference Point [image] on the Standard toolbar.

  2. On the Reference Point toolbar, click Reference Point Coordinates [image] . The Reference Point Coordinates dialog box is alternately shown and hidden by clicking this button.

To show or hide the Reference Point coordinates using the keyboard, hold down SHIFT and press PLUS SIGN on the numeric keypad (+). The coordinates dialog box alternately appears and disappears.


Constraining Objects to the Reference Point

The controls on the Reference Point toolbar let you constrain objects to the reference point in various ways. For example, using the X and Y offset constraints, you can restrict the movement of an object to a rectangular area around the reference point. The following constraints and combinations are available.

  • Constrain to XObject drawing, reshaping, and moving are restricted to a specified X coordinate offset from the reference point.
  • Constrain to YObject drawing, reshaping, and moving are restricted to a specified Y coordinate offset from the reference point.
  • Constrain to X and Constrain to YObject drawing, reshaping, and moving are restricted to a rectangular area around the reference point defined by the specified X and Y coordinate offsets.
  • Constrain to AngleObject drawing, reshaping, and moving are restricted to a specified angle from the reference point.
  • Constrain to X and Constrain to AngleObject drawing, reshaping, and moving are restricted to an X coordinate offset and angle from the reference point.
  • Constrain to Y and Constrain to AngleObject drawing, reshaping, and moving are restricted to a Y coordinate offset and angle from the reference point.
  • Constrain to X, Constrain to Y, and Constrain to AngleObject drawing, reshaping, and moving are restricted to an X coordinate offset, Y coordinate offset, and angle from the reference point.
  • Constrain to DistanceObject drawing, reshaping, and moving are restricted to a specified linear distance from the reference point.

For closed objects, the reference point constraints use the center point of the object for calculating offsets, distances, and angles.


To constrain objects to a reference point

  1. On the Reference Point toolbar, click a constraint button:

Constrain to X

Constrain to Y

Constrain to Angle

Constrain to Distance

The constraint is turned on when its button is depressed.

  2. Type the constraint value in the spin box beside the button, or click the arrows beside the box to select a value.

Clicking a constraint button alternately turns it on and off.

Hiding the reference point disables the constraint (while the reference point is hidden).

You can also turn reference point constraints on and off using keyboard shortcuts. For more information, see Reference Point in Keyboard Shortcuts.


Using Connect-A-Draw

Connect-A-Draw is a Designer feature that makes it easy to chain the ends of open objects as you draw them. You can use this method to create an object made of several different line types. For example, you can draw a straight line, then chain it to a curve, then chain it to a freehand object, and so on.


To chain lines while drawing

  1. Draw a segment of the line.

  2. Select a different drawing method, if you wish. Hollow boxes appear at both ends of the line.

  3. Point to a hollow box at one end of the line and draw the next portion of the object.

  4. Repeat steps 2 and 3 to chain more segments.


To chain an existing open object

  1. Select the object you want to augment.

  2. Select a drawing method. Hollow boxes appear at both ends of the line when an applicable method is selected.

  3. Point to a box at one end of the line and draw the next portion of the object.

  4. Repeat steps 3 and 4 to chain more segments.


Choosing Drawing Shapes and Objects

Every Designer drawing is little more than a composition of shapes and objects. The designer toolbar is composed of buttons that let you create any shape or object imaginable. Your Designer shape and objects can begin simply and develop into unique and functional graphics according to your own specifications.

The standard Designer shapes and objects are as follows:

  • Simple Lines
  • Compound Lines
  • Sticky Lines
  • Rectangles
  • Polygons
  • Ellipses

Related Topics | Drawing Simple Lines
 | Drawing Compound Lines
 | Drawing Sticky Lines
 | Drawing Rectangular Objects
 | Drawing Regular Polygons
 | Drawing Elliptical Objects


Drawing Simple Lines

Click the Simple Line Tool (keyboard shortcut CTRL+SHIFT+D) to display the simple line drawing buttons in the ribbon at the top of the Designer window. These buttons are used to draw curves, rectangles, polygons, and ellipses.

Related Topics | To draw a simple line segment
 | Drawing Parallel Lines
 | Drawing Perpendicular Lines
 | Extending a Line
 | Drawing a Quarter Arc
 | Drawing a Parabola


To draw a simple line segment

The Line Segment button [image] draws single, straight lines.

  1. Click the Simple Line Tool [image] in the toolbox.

  2. Click the Line Segment button [image] in the ribbon.

  3. Move the pointer to the drawing area.

  4. Drag to draw the line.

  5. Release the mouse button when you finish drawing the line.

If you do not see the toolbox or the ribbon, click Toolbars on the View menu, and then click the Toolbox and Ribbon items.

To constrain the line to a 15-degree angle, select the Angle Constraint button. To draw from the center outward, press and hold CTRL while drawing or select the From Center button.


Drawing Parallel Lines

The Parallel Line button [image] draws a line that is parallel or tangent to a line segment, arc, ellipse, or rectangle.


To draw a parallel or tangent line

  1. Click the Simple Line Tool [image] in the toolbox.

  2. Click the Line Segment button [image] in the ribbon.

  3. Draw your initial line segment by dragging it across your Designer page.

  4. Click the Parallel Line button [image] in the ribbon.

  5. Move the pointer near the object, and press and hold the left mouse button.

  6. Drag the pointer the desired distance from the line or curve to draw the second line.

  7. Release the mouse button when you finish drawing the line.

If you do not see the toolbox or the ribbon, click Toolbars on the View menu, and then click the Toolbox and Ribbon items.


Drawing Perpendicular Lines

The Perpendicular Line button [image] draws a line that is perpendicular to a line segment, arc, ellipse, or rectangle.


To draw a perpendicular line

  1. Click the Simple Line Tool [image] in the toolbox, if necessary.

  2. On the ribbon, click the Line Segment button [image] .

  3. Draw your initial line segment by dragging it across your Designer page.

  4. On the ribbon, click the Perpendicular button [image] .

  5. Move the pointer near your first line, and press and hold the left mouse button.

  6. Drag the pointer the desired distance from the line or curve to draw the line.

  7. Release the mouse button when you finish drawing the line.

If you do not see the toolbox or the ribbon, click Toolbars on the View menu, and then click the Toolbox and Ribbon items.

To draw from the center outward, press and hold CTRL while drawing, or click the From Center button [image] .


Extending a Line

You can extend a straight line at the end of an open object with the Parallel and Perpendicular line buttons. The added line maintains the slope of the original line, or is at a right angle to the original for the Parallel and Perpendicular buttons, respectively.

To extend a straight line, double-click the line you want to extend, click the Simple Line Tool in the toolbox, click the Line Segment button in the ribbon, and click the Parallel or Perpendicular button. Point to the end of the line you want to extend and drag the extended line.


To extend a straight line

  1. Double-click the line you want to extend.

  2. Click the Simple Line Tool [image] in the toolbox.

  3. Click the Parallel button [image] or the Perpendicular button [image] in the ribbon.

  4. Point to the end of the line you want to extend, and drag to extend line.

If you do not see the toolbox or the ribbon, click Toolbars on the View menu, and then click the Toolbox and Ribbon items.


Drawing a Quarter Arc

The Quarter Arc button [image] draws an arc that is one quarter of an ellipse.


To draw a quarter arc

  1. Click the Simple Line Tool [image] in the toolbox.

  2. Click the Quarter Arc button [image] in the ribbon.

  3. Drag to draw a line between the first two points. Release the mouse button. The arc appears on the screen and changes size and proportion as you drag the pointer.

  4. Click the mouse button when you finish drawing the arc.


Drawing a Parabola

The Parabola button [image] draws parabolic shapes. You create parabolas by drawing a line and then bowing the line outward--much like pulling an elastic string.


To draw a parabola

  1. Click the Simple Line Tool [image] in the toolbox.

  2. Click the Parabola button [image] in the ribbon.

  3. Point where you want to begin the parabola.

  4. Drag where you want to place the other end of the parabola. Release the mouse button.

  5. Move the pointer to where you want the highest point of the curve.

  6. Click the mouse button to finish drawing the parabola.

If you do not see the toolbox or the ribbon, click Toolbars on the View menu, and then click the Toolbox and Ribbon items.

To constrain the line in steps 3 and 4 to a 15-degree angle, select the Angle Constraint button.

To draw the line in steps 3 and 4 from the center outward, press and hold CTRL while drawing, or click the From Center button [image] .


Drawing Compound Lines

Click the Compound Line Tool (keyboard shortcut CTRL+SHIFT+W) to display the compound line drawing buttons in the ribbon at the top of the Designer window. These buttons are used to draw objects from connected lines and curves, such as jointed lines, curves, B-splines, Bézier curves, freehand objects, and irregular polygons.

Related Topics | Drawing Jointed Lines
 | Drawing Curves
 | Drawing B-Splines
 | Drawing Bézier Curves
 | Drawing Freehand Objects
 | Drawing Irregular Polygons


Drawing Jointed Lines

The Jointed Line button [image] draws objects that are a "chain" of connected straight lines.

Jointed lines are open unless the last point is the same as the first; then Designer automatically closes it. If you want to close an open jointed line, select the object, open the Arrange menu and choose the Connect Closed command. The ends are connected with a straight line.


To draw a jointed line

  1. Click the Compound Line Tool [image] in the toolbox.

  2. Click the Jointed Line button [image] in the ribbon.

  3. Point where you want to begin the jointed line, and click the left mouse button.

  4. Move the mouse to the second point, and click the left mouse button.

  5. Repeat for each segment or point.

  6. Press ESC when you finish.

Press CTRL or click the Angle Constraint button [image] to constrain the line to a 15-degree angle.


Drawing Curves

The Curved Line button [image] draws objects that are a "chain" of connected, curving (parabolic spline) lines.

Objects drawn with the Curved Line button are open unless the last point is the same as the first; then Designer automatically closes it. If you want to close an open curve, select the object, click Connect Closed on the Arrange menu. The ends are connected with a straight line.


To draw a curve

  1. Click the Compound Line Tool [image] in the toolbox.

  2. Click the Curved Line button [image] in the ribbon.

  3. Point where you want to begin the curve, and click the left mouse button.

  4. Drag to draw a line, and click the left mouse button.

  5. Drag the pointer. The line curves in the direction you move the pointer. Click the left mouse button.

  6. Repeat steps 3 and 5 to add more curved segments.

  7. Press ESC when you finish.

If you do not see the toolbox or the ribbon, click Toolbars on the View menu, and then click the Toolbox and Ribbon items.

To constrain the line to angles that are multiples of 15 degrees, click the Angle Constraint button [image] .


Drawing B-Splines

The B-Spline button [image] draws B-spline curves. B-splines are smooth curves based on at least three points. The curve touches the first and last points and is pulled by the middle point.

Objects drawn with the B-Spline button are open unless the last point is the same as the first; then Designer automatically closes it. If you want to close an open curve, select the object, and click Connect Closed on the Arrange menu. The ends are connected with a straight line.


To draw a B-spline

  1. Click the Compound Line Tool [image] in the toolbox.

  2. Click the B-Spline button [image] in the ribbon.

  3. Point where you want to begin the curve, and click the left mouse button.

  4. Drag to draw the first line of the curve, and click the left mouse button.

  5. Drag to draw the second line of the curve, and click the left mouse button.

  6. Repeat step 5 to draw additional (connected) curves.

  7. Press ESC when you finish.

If you do not see the toolbox or the ribbon, click Toolbars on the View menu, and then click the Toolbox and Ribbon items.


Drawing Bézier Curves

The Bézier Curve button [image] draws Bézier curves. After a little practice, you can use this button to create smooth, curving objects in much less time than it takes using other tools.

Although drawing Bézier curves takes some practice, it's worth the effort. If you are new to Bézier curves, practice reshaping some curved objects with them before trying to draw with Bézier curves.


To draw a Bézier curve

  1. Click the Compound Line Tool [image] in the toolbox.

  2. Click the Bézier Curve button [image] in the ribbon.

  3. Point where you want to begin the curve, and click the left mouse button.

  4. Move the pointer where you want to place the second point. Press and hold the left mouse button until Designer connects the two endpoints.

  5. Drag the pointer to change the curvature of the line. Release the mouse button when you have the curve that you want.

or

Release the mouse button without dragging to create a cusp (an angle).

  6. Repeat steps 3 and 6 to draw more (connected) curves.

  7. Press ESC when you finish.

If you do not see the toolbox or the ribbon, click Toolbars on the View menu, and then click the Toolbox and Ribbon items.

When you draw Bézier curves, the first mouse press places the first anchor; the second mouse press and drag places the second anchor and changes that anchor's control points.

Be sure to press the left mouse button for longer than a "click" when placing the second and subsequent Bézier points. Pressing the mouse button for one second should be long enough. If you click the mouse button, you end the Bézier drawing action.

Objects drawn with Bézier Curve are open unless the last point is the same as the first; then Designer automatically closes it. If you want to close an open curve, select the object, click Connect Closed on the Arrange menu. The ends are connected with a straight line.


Drawing Freehand Objects

The Freehand button [image] draws freeform objects as if you were drawing with pencil and paper.

This button is especially useful if you are using a digitizing pad and pen to trace drawings. When you finish drawing, Designer automatically smooths the object and converts it to curves.

Freehand objects are open unless the last point is the same as the first; then Designer automatically closes it. If you want to close an open freehand object, select it, open the Arrange menu, and choose the Connect Closed command. The ends are connected with a straight line.


To draw a freehand object

  1. Click the Compound Line Tool [image] in the toolbox.

  2. Click the Freehand button [image] in the ribbon.

  3. Point where you want to begin drawing.

  4. Drag to draw the object.

  5. Release the mouse button when you finish drawing.

If you do not see the toolbox or the ribbon, click Toolbars on the View menu, and then click the Toolbox and Ribbon items.

Freehand objects are open unless the last point is the same as the first; then Designer automatically closes it. If you want to close an open freehand object, select it, click Connect Closed on the Arrange menu. The ends are connected with a straight line.


Drawing Irregular Polygons

The Irregular Polygon button [image] lets you draw closed objects with multiple sides.

See "Drawing Regular Polygons" and "Drawing Stars" to draw polygons, such as triangles and stars, in which each side is the same length.


To draw an irregular polygon

  1. Click the Compound Line Tool [image] in the toolbox.

  2. Click the Irregular Polygon button [image] in the ribbon.

  3. Point where you want to begin the polygon.

  4. Drag to draw the first side of the polygon. Release the mouse button when you have the first side drawn as you want it.

  5. Move the pointer where you want to place the third point. Click the left mouse buttons.

  6. Repeat step 5 to place more points, if you wish.

  7. Press ESC when you finish.

If you do not see the toolbox or the ribbon, click Toolbars on the View menu, and then click the Toolbox and Ribbon items.

Click the Angle Constraint button [image] to constrain the line to a 15-degree angle.


Drawing Sticky Lines

Click the Sticky Line Tool (keyboard shortcut CTRL+SHIFT+U) to display the sticky line drawing buttons in the ribbon at the top of the Designer window. These buttons are used to create diagramming lines with ends that stay attached to the dynamic snap points of other objects.

Related Topics | To draw a sticky line or quarter arc
 | To draw a sticky jointed line
 | To draw a sticky curved line
 | To draw a sticky freehand line
 | To draw a sticky right-angle line
 | To draw a sticky Bézier line


To draw a sticky line or quarter arc

  1. Click the Sticky Line Tool [image] in the toolbox.

  2. Click the Sticky Line Segment [image] button or Sticky Quarter Arc button [image] in the ribbon.

  3. Click where you want the line to start.

  4. Hold the mouse button and move the pointer to a dynamic snap point on the the object you are attaching to.

  5. Release the mouse button.


To draw a sticky jointed line

  1. Click the Sticky Line Tool [image] in the toolbox.

  2. Click the Sticky Jointed Line button [image] in the ribbon.

  3. Click where you want the line to start.

  4. Hold the mouse button and move the pointer to where you want a joint.

  5. Release the mouse button and click and drag the line again to the next joint, or to the dynamic snap point on the object you are attaching to.

  6. Double-click to stop drawing.


To draw a sticky curved line

  1. Click the Sticky Line Tool [image] in the toolbox.

  2. Click the Sticky Curved Line button [image] in the ribbon.

  3. Click where you want the line to start.

  4. Hold the mouse button and move the pointer where you want the line to curve.

  5. Release the mouse button and click and drag the line again to the next place you want to curve, or to the dynamic snap point on the object you are attaching to.

  6. Double-click when you are on the dynamic snap point.


To draw a sticky freehand line

  1. Click the Sticky Line Tool [image] in the toolbox.

  2. Click the Sticky Freehand Line button [image] in the ribbon.

  3. Click where you want the line to start.

  4. Hold the mouse button and move the pointer to a dynamic snap point on the the object you are attaching to.

  5. Release the mouse button.


To draw a sticky right-angle line

  1. Click the Sticky Line Tool [image] in the toolbox.

  2. Click the Sticky Right-Angle Line button [image] in the ribbon.

  3. Click where you want the line to start.

  4. Hold the mouse button and move the pointer to a dynamic snap point on the the object you are attaching to.

  5. Release the mouse button.


To draw a sticky Bézier line

  1. Click the Sticky Line Tool [image] in the toolbox.

  2. Click the Sticky Bézier Line button [image] in the ribbon.

  3. Click where you want the line to start.

  4. Hold the mouse button and move the pointer to a dynamic snap point on the the object you are attaching to.

  5. Release the mouse button.


Drawing Rectangular Objects

Click the Rectangle Tool (keyboard shortcut CTRL+SHIFT+X) to display the rectangle drawing buttons in the ribbon at the top of the Designer window. These buttons are used to draw rectangular objects from opposite corners or from a single side. You also can draw a rectangle based on its height and width.

Although "rectangle" refers to both squares and rectangles, "square" means only perfect square shapes.


Drawing a Rectangle or Square

Diagonal Method

The Diagonal method is one of the most intuitive ways to draw rectangles because you just drag diagonally to create the rectangle.

Height/Width Method

The Height/Width method lets you draw rectangles by specifying the height and width.

Single Side Method

The Single Side method draws only squares. Click the Single Side button [image] and drag to draw one edge of the square. The rest of the square draws automatically. When you finish, release the mouse button.

There are four ways to draw a square. You can use the Single Side method, the Diagonal Square, the Diagonal Square from Center, or you can choose the diagonal drawing method and activate the Proportional Constraint button [image] (or press SHIFT).

By default, squares draw down as you drag right, and up as you drag left. Select the Reverse Direction button [image] for the opposite to occur.


To draw a rectangle or square using the Diagonal method

  1. Click the Rectangle Tool [image] in the toolbox.

  2. Click the Diagonal button [image] in the ribbon.

  3. Point where you want to begin the rectangle and drag the pointer to the opposite corner.

  4. Release the mouse button when you finish the rectangle.

Press SHIFT while drawing the rectangle to force a square.


To draw a rectangle or parallelogram using the Height/Width method

  1. Click the Rectangle Tool [image] in the toolbox.

  2. Click the Height/Width button [image] in the ribbon.

  3. Point where you want to begin the rectangle or parallelogram.

  4. Drag to draw the first edge.

  5. Release the mouse button.

  6. Move the pointer to draw the rest of the object.

  7. Click the right mouse button (and release SHIFT if you drew a rectangle) when you finish.


Drawing Rectangles with Rounded Corners

The Rounded Rectangle button [image] lets you create rectangles and squares with rounded corners. You can increase or decrease the curve of the corner (before it is drawn) by increasing or decreasing the radius. A larger radius increases the curvature; a smaller radius decreases it.


To draw a rounded rectangle

  1. Click the Rectangle Tool [image] in the toolbox.

  2. From the ribbon, click the method button of your choice.

  3. Click the Rounded Rectangle button [image] in the ribbon.

  4. Change the radius in the Radius box, if you wish.

You can round rectangles created with the Height/Width button only if you constrained the rectangle while drawing it.

  5. Point to where you want to begin the rectangle.

  6. Draw the rectangle.


Rounding Existing Rectangles

You can round the corners of existing rectangles that have not been rotated, skewed, converted to curves, or warped. Rectangles drawn with the Height/Width method, From Centerline method, or Single Side method must have been drawn at a 90-degree angle before you can round the corners.

To draw a 90-degree angle, use the Angle Constraint button [image] .


To add rounded corners to an existing rectangle

  1. Double-click the rectangle with the select pointer. A blue handle appears near the rectangle's upper left corner. If several hollow handles appear on the rectangle, this method cannot be used.

  2. Drag the blue handle toward the center of the rectangle.

  3. Release the mouse button when you finish rounding the corners.

You can round rectangles created with Height/Width only if you constrained the rectangle while drawing it.

You can also round rectangle corners by selecting the rectangle and clicking the Point Reshape button on the ribbon.


Drawing Regular Polygons

Click the Regular Polygon Tool (keyboard shortcut CTRL+SHIFT+Y) to display the regular polygon drawing buttons in the ribbon at the top of the Designer window. These buttons are used to draw polygon objects from opposite corners or from a single side. You also can draw a regular polygon from center to corner, from center to side, and from just one side

There are three ways to draw a polygon: the To Corner, To Side, and Single Side methods. You can use the method that suits your needs or preferences.

If you want to draw irregular polygons (polygons in which not all the sides are equal), use the Compound Line Tool.

To Corner Method

The To Corner method lets you draw polygons from the center to any particular corner.

To Side Method

The To Side method lets you draw polygons from the center to a side.

Single Side Method

The Single Side method lets you create polygons by drawing only one side. Designer draws the other sides.

Click the Single Side button [image] to draw one edge of the polygon. The rest of the polygon is drawn automatically. Release the mouse button when you finish.


To draw a polygon from center to a corner or a side

  1. Click the Polygon Tool [image] in the toolbox.

  2. Click the To Corner button [image] in the ribbon, or click the To Side button [image] in the ribbon. (Or use the Triangle, Hexagon, or Octagon To Corner or To Side button.)

  3. If necessary, enter the number of sides for the polygon in the Sides box (three or more).

  4. Point where you want the center of the polygon.

  5. Drag to draw the polygon.

  6. Release the mouse button when the polygon is the size you want.

If you do not see the toolbox or the ribbon, click Toolbars on the View menu, and then click the Toolbox and Ribbon items.

To constrain polygons to multiples of 15 degrees, select the Angle Constraint button [image] .

Press SHIFT to quickly switch to drawing from center to corner.


Drawing Stars

Designer lets you draw star shapes with any number of points.


To draw a star

  1. Click the Polygon Tool [image] in the toolbox.

  2. Click any of the three Star buttons in the ribbon. For example, click the To Point button [image] , the To Side button [image] , or the Point to Point button [image] .

  3. Enter the number of points for the star in the Number of Sides box.

  4. Hold the left mouse button and draw a polygon, then release the mouse button.

  5. Hold the left mouse and define the star shape. To complete the star, release the mouse button.


Drawing Megagons and Curvygons

A megagon is a complex shape you draw like a star but with multiple segments.

A curvygon is a megagon that uses curves instead of straight lines.


To draw a megagon or curvygon

  1. Click the Polygon Tool [image] in the toolbox.

  2. Click the Megagon button [image] or Curvygon button [image] in the ribbon.

  3. Enter the number of points in the Number of Sides box.

  4. Hold the left mouse button and draw a polygon, then release the mouse button.

  5. Hold the left mouse and define a segment, then release the mouse button.

  6. Repeat step 5 to define additional segments.

  7. Double-click or press ESC when you are done.


Drawing Elliptical Objects

Click the Ellipse Tool (keyboard shortcut CTRL+SHIFT+Z) to display the ellipse drawing buttons in the ribbon at the top of the Designer window. These buttons are used to draw a circle from one edge to the opposite edge, or an ellipse from one corner to the opposite corner. You also can draw an ellipse by specifying its height and width, or a circle by selecting three points.

You also can use the Ellipse button to draw an elliptical arc by specifying three points of the arc.

An ellipse drawn with the Height/Width method or the Centerline method must be drawn at a 90-degree angle before you can reshape it into a wedge or an arc.

"Ellipse" refers to both ellipses and circles, but "circle" describes only perfect circular shapes.

Diagonal Method

The Diagonal method lets you draw an ellipse diagonally from one corner of its bounding box to the opposite.

Height/Width Method

The Height/Width method lets you draw an ellipse by specifying the height and width of its bounding box.

Diameter Method

The Diameter method lets you draw circles from one edge of the circle to the opposite edge. Drag to draw the circle. Release the mouse button when you finish.

3-Point Circle Method

The 3-Point Circle method lets you draw a circle by specifying three points on its edge.

"Ellipse" refers to both ellipses and circles, but "circle" describes only perfect circular shapes.

An ellipse drawn with the Height/Width method must be drawn at a 90-degree angle before you can reshape it into a wedge or an arc.

There are three ways to draw a circle. You can use the Diameter method or the 3-Point Circle method, or you can choose one of the elliptical drawing methods and activate the Proportional Constraint button [image] (or hold SHIFT while drawing).

Related Topics | To draw an ellipse using the Diagonal method
 | To draw a circle using the 3-Point Circle method
 | Drawing an Elliptical Arc
 | Tracing the Arc of an Ellipse
 | Editing an Arc
 | Drawing a Pie Wedge
 | Converting an Ellipse into a Pie Wedge


To draw an ellipse using the Diagonal method

  1. Click the Ellipse Tool [image] in the toolbox.

  2. Click the Diagonal button [image] in the ribbon.

  3. Point where you want to begin the ellipse's (invisible) rectangular bounding box.

  4. Drag diagonally to draw the ellipse.

  5. Release the mouse button when you finish.

Press SHIFT while drawing the ellipse to force a circle.


To draw a circle using the 3-Point Circle method

  1. Click the Ellipse Tool [image] in the toolbox.

  2. Click the 3-Point Circle button [image] in the ribbon.

  3. Point where you want to place the first point on the circle. Press and hold the left mouse button.

  4. Drag the pointer where you want to place the second point. Release the mouse button.

  5. Move the pointer where you want to place the third point. Click the left mouse button to draw the circle.


Drawing an Elliptical Arc

An elliptical arc is a segment of an ellipse. There are two ways to draw an elliptical arc: the 3-Point Arc and the Trace an Ellipse methods.

3-Point Arc Method

The 3-Point Arc method lets you draw an arc by specifying three points on the arc.

You can draw quarter arcs using the Quarter Arc button [image] . With quarter arcs you don't first draw an ellipse, but you are limited to drawing only one quarter of an ellipse. (See "Drawing a Quarter Arc" for more information.)


To draw a 3-point elliptical arc

  1. Click the Ellipse Tool [image] in the toolbox.

  2. Click the 3-Point Arc button [image] in the ribbon.

  3. Drag the arc's diameter and release the mouse button.

  4. Move the pointer to create the arc.

  5. Click the left mouse button to draw the arc.

Use the Proportional Constraint button [image] to force Designer to draw radial arcs that are one-quarter of a perfect circle.

Use the Reverse Direction button [image] to control the bowing direction of the arc. When the button is not selected (the default), the arc bows to the right as you draw upward and left as you draw downward. The opposite occurs when the button is selected.


Tracing the Arc of an Ellipse

You can use the edge of an existing ellipse to draw an elliptical arc if you have not rotated, skewed, or converted the ellipse to curves. The arc traces along the edge of the ellipse and replaces the ellipse.


To draw an elliptical arc by tracing an ellipse

  1. Draw the ellipse to use as a template for the arc.

  2. Select the ellipse.

  3. Click the Edit Tool [image] then click Reshape Conic. A blue handle appears at the top of the ellipse.

  4. Position the pointer outside the ellipse.

  5. Drag in a circular motion outside of the ellipse. An arc draws on top of the ellipse's edge.

  6. Release the mouse button when you finish.

You can also create arcs from pie wedges as long as the wedges have not been skewed, rotated, or converted to curves.


Editing an Arc

You can lengthen or shorten an arc by double-clicking the arc and dragging in a circular motion outside the object.

You can also select the arc, click the Edit Tool [image] , and click Reshape Points. Then drag in a circular motion outside the object.


Drawing a Pie Wedge

You use an existing ellipse to draw individual or multiple pie wedges. You can draw several pie wedges to create a circular pie, or you can create just a portion of the pie.

Each pie wedge is a closed object that you can select and edit individually. For example, you can create a chart in which each wedge of the pie is a different color.


To draw pie wedges using the ribbon

  1. Draw an ellipse.

  2. Click the Pie button [image] in the ribbon.

  3. Position the pointer near the ellipse and drag in a circular motion to create the first wedge.

  4. Release the mouse button when the wedge is the size you want.

  5. Repeat steps 3 and 4 to add more adjacent wedges to the pie.

  6. Press ESC or click outside the object when you finish.

You cannot create a pie from an ellipse (or elliptical arc) that has been converted to curves, rotated, or skewed.


Converting an Ellipse into a Pie Wedge

You edit an ellipse (or elliptical arc) to change it into a pie wedge. Double-click the ellipse with the select pointer to select it for reshaping, then drag the pointer in a circular motion inside the ellipse. Press ESC or double-click when you finish.


To convert an ellipse into a pie wedge

  1. Double-click the ellipse with the select pointer to select it for reshaping.

  2. Drag the pointer in a circular motion inside the ellipse. (Dragging outside the ellipse creates an arc instead of a wedge.)

  3. Press ESC or double-click when you finish.


Using the Object Explorer

The Object Explorer lists the items in the current drawing. You can use the Object Explorer to select, move, edit, remove, and even rename items.

A "+" or "-" symbol accompanies each parent. A parent is an item in the drawing (such as a page, layer, or object) that contains other items.

To expand the list to show the resources belonging to the parent, click the "+" symbol or double-click the parent. The list expands, and the symbol changes to a "-" symbol. Click the "-" symbol or double-click the parent to collapse the list again.

To select an object, click its name. The Object Explorer uses highlighting to show which items you have selected. To select multiple resources, hold down the SHIFT or CTRL key as you click.

To display an object's shortcut menu, right-click the object's name.

To rearrange the hierarchy of an object, drag it to its new parent.

To rename an item, click its name, pause briefly, and then click the name a second time.

To display the Object Explorer as a separate window, drag it by its border.

To drag the color palette onto the Object Explorer, hold down the Control key while dragging the palette.


Selecting an Object

Designer offers you many ways to edit, transform, and reshape objects. You can select, copy, paste, resize, group, connect, and align objects, as well as link and embed Windows OLE objects.

When you want to apply any action to an object, you first must select it. Eight small blue boxes called handles appear around an object when it is selected (if the object is a line, only two handles appear; one at each end). If several objects are selected at once, outer handles appear surrounding all the selected objects.

Designer gives you five ways to select objects:

  • Click to select.
  • Select all.
  • Drag to block select.
  • Select by property.
  • Click object names in the Object Explorer.

Watch the handles! They can help you determine if you've selected the correct object when there are many objects in one area. You also can use the status bar at the bottom of the drawing window to help determine if you've selected the correct object. The status bar shows the shape selected, such as Rectangle, Line, Ellipse, Polygon, and so on.

Related Topics | Clicking to Select Objects
 | Selecting Overlapping Objects
 | Deselecting Objects
 | Implied Selection
 | Block Selecting Objects
 | Selecting All Objects
 | Selecting Objects by Attribute or Property
 | Other Clicking Actions


Clicking to Select Objects

To select objects by clicking, you must be in select mode. You are in select mode when the pointer becomes a select pointer. There are two ways to enter select mode.

To select an object, point to it with the tip of the select pointer and click the left mouse button. You must point to an element of the object such as a line or color. For example, to select an unfilled circle, you point and click the edge of the circle, not the hollow interior. If the interior is filled, you can click anywhere in the interior to select the object.

If you are in a drawing mode, you can point to the object with a drawing pointer and double-click to select it. The blue handles appear to indicate that the object is selected.

Single clicking an object in drawing mode results in implied selection of the object, indicated by a hollow selection handle. (For details on implied selection, see the section "Implied Selection" later in this chapter.)

To select additional objects, press and hold shift and click the other objects that you want to include. Be careful not to move the pointer while clicking or you'll move the object.


To select an object by clicking it

  • To select an object, point to it with the tip of the select pointer and click the left mouse button.

You must point to an element of the object such as a line or color. For example, to select an unfilled circle, you point and click the edge of the circle, not the hollow interior. If the interior is filled, you can click anywhere in the interior to select the object.

If you are in a drawing mode, you can point to the object with a drawing pointer and double-click to select it. The blue handles appear to indicate that the object is selected.

Single clicking an object in drawing mode results in Implied Selection of the object, indicated by a hollow selection handle.

To select additional objects, press and hold CTRL and click the other objects that you want to include.

Be careful not to move the pointer while clicking or you'll move the object.


Selecting Overlapping Objects

You can select overlapping objects by pressing ALT while clicking. Each click selects an object deeper in the stack, starting with the object in front.

Using ALT forces Designer to avoid the rotate/skew mode when you click an already-selected object. It also lets you click anywhere inside an unfilled object to select it.


Deselecting Objects

Click the left mouse button anywhere away from all objects to deselect all selected objects. If you want to deselect some objects, but not others, point to the object you want to deselect, press and hold SHIFT, and click the left mouse button. Point to another object to deselect and click again. Release SHIFT when you finish.


Implied Selection

You can change an object's interior fill, line style, or other style attribute immediately after drawing it without explicitly selecting it. Remembering the last drawn object is called implied selection.

Implicitly selected closed objects have one hollow handle. Implicitly selected open objects have a hollow handle at each endpoint.

Single clicking on an object when you're in drawing mode also implicitly selects the object.

Implicitly selected objects cannot be resized or rotated without first selecting them. Click away from the object to deselect it. Click the Edit Tool o.r double-click the object to explicitly select it.


Block Selecting Objects

You can select objects by using the select pointer to drag a rectangular block around the objects you want to select. To block select, you must be in edit mode. The entire object must be enclosed in the rectangular block before that object is selected.

The entire object must be enclosed in the rectangular block before that object is selected.

You can cancel a block selection by pressing ESC before releasing the mouse button.

Check the Status Bar to determine how many objects you have block selected. If you have selected 10 objects, for example, the status bar shows Objects (10).


Selecting All Objects

Use any of these methods to select all the objects on the page.

  • On the Edit menu, Click Select All.
  • Press the keyboard shortcut CTRL+A or F2.

To select all objects except those currently selected, press CTRL+SHIFT+A or SHIFT+F2.


Selecting Objects by Attribute or Property

The Select command on the Edit menu (keyboard shortcut CTRL+SHIFT+F2) opens the Select Object dialog box. This dialog box lets you select objects based on their attributes or properties.

Type

In Type, select an object type if you wish to limit what is selected. For example, you can specify "Callout Lines" to select callout objects only.

Attribute

The Select Object dialog box shows a list of possible physical characteristics, such as line style, fill style, and font. Select an object on the workspace you want to base the selection on, then select the attributes to match to other objects.

For example, you can select an object on the workspace with a yellow interior and 2-point line thickness then select Interior Fill Style and Line Thickness. All other objects on the page with a yellow interior and a 2-point thickness can then be selected.

Property

To select objects by property value you select the Property check box, select a field, then type a value.

When specifying a property value to search for, you can use the "?" and "*" wildcard characters to search for partial matches. Use "?" for single characters; use "*" for multiple characters. For example, if the value for the property "Name" is "bolt1," but you want to select all types of bolts, you can type "bolt*" to select bolt1, bolt2, and so on.

All or Next

After you enter the type and attribute or property information of the objects you want to select, specify whether you want to select all matching objects or matching objects one at a time. Next Matching Object deselects the current object then selects the next matching object.

If you want to select additional sets of objects without deselecting the current objects, click Append, select another set of objects, click Append again, and so on.

For example, suppose you have a red circle with a line thickness of 2.0, a blue circle with a line thickness of 2.0, and a yellow circle with a hairline. Change the default fill color to red. Open the Select dialog box, choose Interior Fill Style, and then choose Select. Designer selects the red circle. Choose Line Thickness, then choose Append. Designer adds the blue circle to the selection, because it has the same line thickness as the red circle.


To select objects by attribute

  1. Select the object on the workspace.

  2. On the Edit menu, click Select. The Select Object dialog box opens.

  3. To specify an object type, select it in Type.

  4. Select the attributes for which to search. For example, if the selected object has a red interior and you choose fill color, objects with red interiors will be selected.

  5. Select All Matching Objects or Next Matching Object.

  6. Click Select or Append.


To select objects by property value

  1. On the Edit menu, click Select. The Select Object dialog box opens.

  2. To specify an object type, select it in Type.

  3. Under Attributes, click Property. The Property boxes are enabled.

  4. Click the property you want to search for in the Field box.

  5. In Value, type the value of the property (such as a name).

  6. Select All Matching Objects or Next Matching Object.

  7. Click Select or Append.

Values are case sensitive. (So if the object's name is "My object" you will not find it if you type "my object.")


Other Clicking Actions

Click an already-selected object with the select pointer to place it in rotate/skew mode. Rotate/skew selection is indicated by the appearance of special rotate and skew handles.

Double-click an object with the select pointer to place it in reshape mode. Different types of objects have different reshaping indicators.

To be certain that you are in the correct mode, check the status bar. If the object is selected for Rotate/Skew, the status bar shows Rotate and Skew Mode. If the object is selected for reshaping, the status bar shows the reshape mode.


Moving an Object

You can move an object in several ways. You can move an object using the mouse or with the arrow keys on your keyboard. You can also move an object numerically for more precision. It is also possible to move an object while drawing it.

Hold the mouse still for one second when moving an object to display a wireframe outline of the object to help you position it.

Related Topics | To move an object with the mouse
 | To move an object with the arrow keys
 | Moving an Object While Drawing it
 | Constraining an Object's Movement
 | Moving Objects Numerically


To move an object with the mouse

  1. Select one or more objects you want to move.

  2. Position the pointer anywhere inside the object or group of objects (do not place the pointer on a handle).

  3. Drag the object to the new position.

  4. Release the mouse button.

In order to be able to select an object and move it with one motion, select Options from the Tools menu and click the Input tab on the Options dialog. Click the "Selects and moves one object" option.

Hold the mouse still for one second when moving an object to display a wireframe outline of the object to help you position it.

You can cancel a move by pressing ESC before releasing the left mouse button. The object returns to its original position.

Use the coordinates displayed in the Status Bar to position objects precisely.


To move an object with the arrow keys

  1. Select one or more objects you want to move.

  2. Point anywhere inside the object or group of objects (do not point to a handle).

  3. Press and hold the spacebar.

  4. Press an arrow key to nudge the object.

  5. Release the spacebar when you finish.


Moving an Object While Drawing it

This useful feature lets you move an object before you finish drawing it.

To move an object while drawing, press and hold the right mouse button without releasing the left mouse button. Move the outline of the unfinished drawing to its new position. Release the right mouse button and continue drawing.


To move an object while drawing

  1. Start drawing.

  2. Press and hold the right mouse button without releasing the left mouse button.

  3. Move the outline of the unfinished drawing to its new position.

  4. Release the right mouse button and continue drawing.


Constraining an Object's Movement

Press and hold shift while moving an object to snap to a path of movement that is in 15-degree increments from the original position. You can use this technique to constrain the object's movement to a vertical path (0 degrees or 180 degrees) or a horizontal path (90 degrees or 270 degrees). Using shift in this way overrides the Snap to Rulers command in the Tools/Snap menu, if necessary, to constrain to the 15-degree angle.


Moving Objects Numerically

You can use the Move tab of the Transform dialog box to precisely move an object to a specific place or a certain distance from its current position. On the Arrange menu, point to Transform and choose Move.

You numerically move an object by selecting an object and entering either the distance to move it, or the position to which you want to move it. Designer displays a preview of the movement as a rectangular outline.

To move an object a certain distance, select Move from Current Position and enter the distance in the Horizontal and Vertical boxes. Enter positive numbers to move the object toward increasing ruler numbers; enter negative numbers to move toward decreasing ruler numbers.

With Move from Current Position selected, the Transform dialog box moves an object from its present position. For example, if you move a circle two inches and then type 2 to move it another two inches, the circle is moved an additional two inches.

To move an object to a ruler coordinate, select Move Along Ruler and type the ruler coordinates in the Horizontal and Vertical boxes. The object's origin (chosen in the origin list box) is placed at the specified coordinates.


To move an object numerically

  1. Select the object to move.

  2. On the Arrange menu, point to Transform, and then click Move. The Move tab of the Transform dialog box opens.

  3. Select Move from Current Position to move the object a specified distance.

or

  4. Select Move Along Ruler to move the object to a specific position.

  5. Choose the object origin in the origin list box, if you are moving along the ruler.

  6. Type numbers in the Horizontal and Vertical boxes, or click the arrows beside the boxes to select a value. A red outline of the object movement appears.

  7. Type the number of copies you want to make, if any. Designer shows the first and last preview copy in red and other copies in blue. Only the first five and last five copies are previewed.

  8. Click Apply to move the object.


Resizing Objects

Designer lets you resize objects manually on the drawing area by dragging its handles. Or, you can resize objects numerically by using the Scale tab of the Transform dialog box.

Related Topics | Resizing Objects Manually
 | Resizing Objects Numerically
 | Showing Manual Scaling in the Transform Dialog Box
 | Making Equally Resized Copies


Resizing Objects Manually

You can change the size and shape of an object by selecting it and dragging one of its handles.

There are two types of handles: corner and side.

  • Corner handles (at the four corners of the bounding box) enlarge or shrink an object while maintaining its original proportions.

or

  • Side handles (at the center of each side of the bounding box) stretch an object and change its proportions.


To resize an object manually

  1. Select the object to resize.

  2. Move the pointer to one of the object's eight handles.

  3. Drag the handle to resize the object.

  4. Release the mouse button when you finish.

To keep your image proportional, press and hold the SHIFT key while dragging a corner handle. Press and hold the CTRL key while dragging a corner handle to resize a rectangle to a square or an ellipse to a circle.


Resizing Objects Numerically

You can use the Scale tab of the Transform dialog box to precisely resize an object. On the Arrange menu, point to Transform and choose Scale.

The measurements of the last transformation appear in the Transform dialog box. For example, if you manually resize an object to 50% of its original size and open the Transform dialog box, 50 appears in the Scale tab.

You numerically resize an object by selecting a object and entering a percentage of the current size. The current size is 100%. A number below 100% decreases, and a number above 100% increases the size. Designer displays a preview of the resized object as a rectangular outline.

The horizontal number affects the side-to-side size; the vertical number affects the top-to-bottom size. The horizontal and vertical sizes are the same unless you deselect the Proportional Scale option.

The Scale tab of the Transform dialog box lets you resize an object based on its current size. For example, if you enlarge a circle to 200% and then type 200 to enlarge it to another 200%, the circle is enlarged an additional amount.

Before you can transform an object imported as a WMF file, you must convert the object to curves.


To resize an object numerically

  1. Select the object to scale.

  2. Open the Arrange menu and choose Transform.

  3. Click the Scale tab.

  4. Select the origin of the resize in the Origin list box, if you want.

  5. Type a number in the Horizontal and Vertical boxes. A red outline of the resized object appears as a preview.

  6. Type the number of copies you want to make, if any.

  7. Click Apply to accept the change.

You can also resize an object numerically by using the Coordinates dialog.


Showing Manual Scaling in the Transform Dialog Box

If you display the Transform dialog box by clicking Transform and then Repeat Last on the Arrange menu, the measurements of the last transformation appear in the Transform dialog box. For example, if you manually resize an object to 50% of its original size and use Repeat Last to open the Transform dialog box, 50 appears on the Scale tab.

A resize does not appear if you resize an object while the Transform dialog box is open.


Making Equally Resized Copies

You can create an array of equally resized copies by using the transform dialog box. Type the number of copies you want to make. The original object is not affected. Designer shows the first and last preview copy in red and other copies in blue. Only the first five and last five copies are previewed.


Flipping Objects

You can flip objects manually using a shortcut key or button, or you can flip objects numerically using the Flip tab of the Transform dialog box.


Flipping Objects Manually

To flip an object, select it and press F7 (horizontal flip) or SHIFT+F7 (vertical), or click the Flip Horizontal [image] or Flip Vertical button [image] .

Use the Customize dialog box to add the Flip buttons to a toolbar. Right-click any toolbar, click Customize, then drag the buttons to a toolbar.


Flipping an Object Numerically

You can use the Flip tab of the Transform dialog box to flip an object at a specific angular value.

When you flip an object numerically, you specify an imaginary line that passes through or beside an object at any angle. The object behaves as though it is hinged to the line, and flips over it.

To flip an object at a specified angle, select the point as which the flip occurs from the Origin list box, and then type an angle for the flip axis in the angle box.

You can place the imaginary axis at which flipping occurs at any of the ten object origin points. For example, select the center origin to flip an object around a central axis, or select the right middle origin to flip the object around its right side.


To flip an object horizontally or vertically

  1. Select the object you want to flip.

  2. On the Arrange menu, click Transform, and then click Flip.

  3. Choose Flip Horizontal to flip the object horizontally (like a page in a book), or choose Flip Vertical.

As a shortcut, press F7 to flip horizontally. Press SHIFT+F7 to flip vertically.


To flip an object at a specified angle

  1. Select the object you want to flip.

  2. On the Arrange menu, click Transform.

  3. Click the Flip tab.

  4. In the Origin list box, select a point on the object. This is the point that the flip axis passes through.

  5. Type an angle from 0 to 179 in the Angle box or drag the red needle to specify a flip angle.

You can place the imaginary axis at which flipping occurs at any of the ten object origin points. For example, select the center origin to flip an object around a central axis, or select the right middle origin to flip the object around its right side.


To make copies of an object while flipping it

  1. Select the object you want to flip.

  2. On the Arrange menu point to Transform and click Flip.

  3. Type the number of copies in the Copies box. Designer repeats the flipping, placing copies on top of one another.


Rotating Objects

You can rotate objects manually by dragging or using a shortcut key, and constrain rotation to preset increment if you wish, or you can rotate numerically using the Rotate tab of the Transform dialog box.

By default, objects rotate around their center, but you can drag the pivot point anywhere you wish. This setting can be made permanent.

By copying and grouping rotated or skewed objects you can easily create special effects and new objects, like a fan blade.

Related Topics | Rotating Objects Manually
 | Constraining Manual Rotation
 | Using the Preset Rotation Key
 | Rotating Objects Numerically
 | Setting the Rotation Angle
 | Changing the Pivot Point
 | Copying Rotated/Skewed Objects
 | Grouping Rotated/Skewed Copies


Rotating Objects Manually

The manual method lets you use the pointer to rotate an object. You manually rotate by dragging a corner handle in a circular motion around a pivot point.


To rotate an object manually

  1. Select the object you want to rotate, and then click the Rotate/Skew Tool [image] .

  2. Drag the pivot point to a new location, even outside the object, if you want.

  3. Move the pointer to a corner handle.

  4. Drag in a circular motion around the object.

  5. Release the mouse button when you are finished.

Press and hold SHIFT while dragging a corner handle to constrain the rotation of an object to 45-degree increments. Press and hold CTRL while dragging a corner handle to rotate a copy of an object.

You can cancel a rotation by pressing ESC before releasing the left mouse button. The object returns to its original position.


Constraining Manual Rotation

You can constrain rotations to fixed increments by setting a Manual Rotation Increment value in the Rotation tab of the Options dialog box. For example, if the Manual Rotation Increment is set to 12 degrees, then an object rotates in 12-degree increments when you drag its corner handles.


To change the Manual Rotation Increment

  1. On the Tools menu, click Options.

  2. Click Rotation to go to the Rotate tab.

  3. Enter the rotation amount in the Manual Rotation Increment box (or drag the red needle in the dial control).


Using the Preset Rotation Key

You can rotate an object a preset amount by selecting the object and pressing F8. Each time you press F8, the object is rotated the preset amount. The initial setting for the F8 key is 45 degrees.


To change the rotation key setting

  1. From the Tools menu, click Options. The Options dialog opens.

  2. Click Rotation.

  3. In the F8 Rotation Increment box, drag the red needle to the desired increment, or type in the angle.

  4. Click OK to close the Options dialog.


Rotating Objects Numerically

You can use the Rotate tab of the Transform dialog box to precisely rotate an object by specifying the degree of rotation. Open the Arrange menu, choose Transform, and choose Rotate.


To rotate an object numerically

  1. Select the object to rotate.

  2. On the Arrange menu, click Transform. A submenu opens.

  3. Click the Rotate tab.

  4. Type a number in the Angle box, or drag the dial to specify a rotation angle.

  5. Select a new pivot point in the Origin list box, if you wish.

  6. Click Apply to rotate the object.


Setting the Rotation Angle

When you choose Repeat Transform, the measurements of the last transformation appear in the Transform dialog box. For example, if you manually rotate an object 25 degrees and choose Repeat Transform, 25 appears in the Angle box.


Changing the Pivot Point

The pivot point defaults to the center of the object, but you can drag it anywhere inside or outside the object.

You can permanently reposition an object's pivot point by pressing shift while dragging it to a new position. To return the permanent pivot point to the center of the object, use a center snap point and then press shift and drag the pivot point back to the center.


Skewing Objects

You can skew objects manually by dragging a handle or numerically using the Skew tab of the Transform dialog box.


Skewing Manually

The manual method lets you use the pointer to skew (slant) an object. You manually skew by dragging a side handle.


To skew an object manually

  1. Click the Rotate/Skew tool in the toolbar.

  2. Point to a side handle of the object.

  3. Drag the handle to skew the object.

  4. Release the handle when you are done.

Press and hold SHIFT while dragging a side handle to constrain the skewing of an object to 45-degree increments. Press and hold CTRL while dragging a side handle to skew a copy of an object.

You can cancel a skew by pressing ESC before releasing the left mouse button The object returns to its original position.


Skewing Numerically

You can use the Skew tab of the Transform dialog box to precisely skew a object by specifying the degree of skew. Open the Arrange menu, choose Transform, and choose Skew.

The Skew tab lets you skew a object based on its current shape. For example, if you skew a square 45 degrees and then type 45 to skew it another 45 degrees, the object is skewed on additional 45 degrees.


To skew an object numerically

  1. Select the object you want to skew.

  2. From the Arrange menu, click Transform.

  3. Click the Skew tab.

  4. Type an angle from -89 to 89 in the Horizontal Angle box, or drag the dial to specify an angle.

  5. Type an angle from -89 to 89 in the Vertical Angle box, or drag the dial to specify an angle.

  6. Select a different pivot point for the slant in the Origin list box, if you want.

  7. Click Apply to skew the object.


To specify a degree of slant

  1. Select the object you want to skew.

  2. On the Arrange menu, click Transform. A submenu opens.

  3. Click the Skew tab.

  4. Type an angle from -89 to 89 in the Horizontal Angle box, or drag the dial to specify an angle.

  5. Type an angle from -89 to 89 in the Vertical Angle box, or drag the dial to specify an angle.

  6. Select a different pivot point for the slant in the Origin list box, if you want.

  7. Click Apply to skew the object.


Copying Rotated/Skewed Objects

You can create an array of rotated or skewed objects between the original object and its final position. Designer shows the first and last preview copy in red and other copies in blue. Only the first five and last five copies are previewed.


To copy rotated/skewed objects

  1. Select the object to rotate.

  2. From the Arrange menu, click Transform. A submenu opens.

  3. Click Rotate or Skew and type the specifications you want.

  4. Type the number of copies you want to create.

  5. Click Apply to draw the copies.


Grouping Rotated/Skewed Copies

Often it is best to group copies together while rotating, moving, scaling, or skewing a particular object. By doing so, you can easily move a group of objects at once without disrupting the positioning of each individual object.

You can create an array of skewed objects between the original object and its final position.


Applying Multiple Transformations to an Object

You can use the Transform dialog box to make a series of changes to an object by recording each individual change, then applying them all at the same time.

For example, you can move an object 2 inches right, 1 inch down, and then make it twice as large. You also can apply these transformations to other objects, if you want.

Updating a Remembered Transformation

Remembered transforms remain in the multiple transforms box while the dialog box is open or if you reopen it by choosing Repeat Last from the Transform menu.

You can update a remembered transform based on its current settings.


To apply multiple transformations to an object

  1. On the Arrange menu, click Transform.

  2. Click one of the submenu commands to display the Transform dialog box.

  3. Click the Details Button [image] to show the multiple transformations area.

  4. Click a transform tab and select the transformation amounts, origin, and the number of copies.

  5. Click Add. The transform type and amount appears in the list.

  6. Repeat steps 4 and 5 to add more transformations to the list.

  7. Select an object and click Apply to apply the multiple transformations.


To update a remembered transformation

  1. If the Transform dialog box is closed, choose Repeat Last from the Transform menu (under the Arrange menu).

  2. On the list of transformations, click the remembered transformation you want to change

  3. Make the changes in the left portion of the dialog box and click Modify. The new measurements appear.


To delete a remembered transformation

In the multiple transformations area of the Transform dialog box, do the following:

  • Click Empty to delete all remembered transforms.

or

  • Click Delete to delete the selected transform or, if you did not select one, the last transform on the list.


Duplicating Objects

There are four ways to duplicate an object.

  • From the Edit menu, select Duplicate (keyboard shortcut: CTRL+D). This duplicates an object using the offset specified on the General tab of the Options dialog box.
  • From the Edit menu, select Clone (keyboard shortcut: CTRL+PLUS SIGN on the numeric keyboard). This duplicates an object without any offset.
  • Press CTRL and drag a copy.
  • Use the Copies option in the Transform dialog box.


To drag a copy of an object

  1. Select the object you want to copy.

  2. Press and hold CTRL.

  3. Drag the duplicate object to a new position.

  4. Release the mouse button and then release CTRL.

To rotate or skew a copy of an object, press and hold CTRL while rotating or skewing.


Using the Duplicate and Clone Commands

Duplicate Command

The Duplicate command on the Edit menu creates a copy of an object that is offset from the original object. The amount of the offset is determined by the Offset for Duplicate settings on the General tab of the Options dialog box. For information on setting the duplicate offset, see General Options.

For convenience, the duplicated object is automatically selected.

Clone Command

The Clone command on the Edit menu creates a copy of an object that is positioned on top of the original object (no offset).

For convenience, the cloned object is automatically selected.


To duplicate on object

  1. Select the object you want to copy.

  2. On the Edit menu, select Duplicate.

The keyboard shortcut for duplicating an object is CTRL+D.

You can set the offset for the duplicate by selecting Options from the Tools menu and clicking the General tab. Enter the horizontal and vertical units in the Offset For Duplicate section.


To clone an object

  1. Select the object you want to clone.

  2. On the Edit menu, click Clone. The object is duplicated on top of the original object.

The keyboard shortcut for duplicating an object is CTRL+PLUS SIGN on the numeric keypad (+).


Changing the Order of Objects

You can reorder the stacking arrangement of objects with the Order command on the Arrange menu.

You can only change the order of objects on the current layer. If you are using multiple layers, objects on upper layers always appear on top of objects on lower layers.

Command | Action
Bring Forward | Moves the currently selected object one level toward the front (keyboard shortcut SHIFT+F10)
Send Backward | Moves the currently selected object one level toward the back (keyboard shortcut SHIFT+F9)
Bring to Front | Moves the currently selected object in front of all other objects on the current layer (keyboard shortcut F10)
Send to Back | Moves the currently selected object behind all other objects on the current layer (keyboard shortcut F9)
Reverse | Reverses the stacking order of the selected objects. For example, the order 1, 2, 3, 4 becomes 4, 3, 2, 1 (keyboard shortcut CTRL+SHIFT+F9)


To change the order of objects

  1. Select one or more objects.

  2. On the Arrange menu, click Order and click a command on the Order submenu.

You can click the right mouse button to open the shortcut menu, and click an ordering command.


Grouping Objects

When you create a drawing with many objects, it is useful to group objects together to help organize your drawing. Grouping makes it easier to select objects, and makes it possible to manipulate several objects at once.

Group objects when you want to create a collection of individual objects. Grouping does not change an object's appearance.

Changing a style of an object group changes all objects in the group to the new style. For example, if you select a group of objects and change the interior fill color to red, all objects in the group become red unless you have Smart Colorization of Groups selected. (See Smart Colorization for more information.)

Related Topics | To group objects
 | Ungrouping Objects
 | Working with Grouped Objects
 | Editing a Grouped Object
 | Adding a New Object to a Group
 | Removing an Object from a Group


To group objects

  1. Select the objects you want in the group. (They don't have to be adjacent.)

  2. On the Arrange menu, click Group (keyboard shortcut F5).

or

Click the right mouse button to open the shortcut menu and click Group.


Ungrouping Objects

You can ungroup objects to return them to their original, ungrouped state.


To ungroup objects

  1. Select the group to break apart

  2. On the Arrange menu, click Ungroup.

or

Click the right mouse button to open the shortcut menu and click Ungroup (keyboard shortcut SHIFT+F5).

If you have groups within groups, use the Ungroup command more than once to break up all the groups.


Working with Grouped Objects

In many ways, grouped objects are similar to individual objects. For example, changing line and fill styles affects the whole group, and moving a group is like moving one object. You can also skew and rotate groups.


Editing a Grouped Object

If you want to reshape or change the color of one object in a group, you can first break apart the group or you can select only the object within the group that you want to edit.

You can also edit objects that belong to groups within other groups. Point to the object or group you want to edit and continue double-clicking until the group you want to edit displays a border. When you finish, double-click outside the groups until the border disappears.


To edit an object without ungrouping it

  1. Using the select pointer, double-click the group that contains the object you want to edit. A border appears around the group.

  2. Select the object to edit. Blue handles appear around the selected object. Edit or move it as you would any object.

  3. Double-click anywhere outside the group when you finish.

To select additional objects within the group, press and hold SHIFT and click the other objects that you want to select.


Adding a New Object to a Group

You can add an object to a group of objects. Double-click the group to which you want to add an object, and draw or paste another object. It is automatically included inside the editing border and becomes part of the group. Double-click outside the edit border when you finish adding objects.


Removing an Object from a Group

You can separate an object from its group without breaking apart the group. Double-click the object in the group. An edit border appears around the group. Select the object you want to remove. Click Cut on the Edit menu. Double-click outside the group and paste the object where you want it. You can also press DELETE to delete the object.


Connecting Objects

The Connect commands let you join objects, making it easy to create complex shapes.

You cannot connect text, grouped objects, or bitmaps.

Related Topics | Connect Open
 | Connect Closed
 | Connect Closed when Objects Overlap
 | Disconnecting Objects


Connect Open

You can use the Connect Open command to combine two or more objects with open endpoints. The Connect Open command joins selected objects by drawing a line between the open endpoints, leaving the last side open.


To connect open

  1. Select the objects you want to connect

  2. On the Arrange menu, click Connect Open, or press CTRL+F11.


Connect Closed

You can use the Connect Closed command to close open shapes or to connect and fill closed shapes. You can use Connect Closed with one or more objects.

On selected objects with open endpoints, the Connect Closed command draws a line between all endpoints, creating a completely closed shape.

On selected objects with no endpoints (already closed shapes), the Connect Closed command connects the objects and the resulting object is filled with the fill color of the first drawn object (the one in back). Note that in this case no lines are drawn.


To connect closed

  1. Select the objects you want to connect.

  2. On the Arrange menu, click Connect Closed, or press F11.


Connect Closed when Objects Overlap

If you use Connect Closed on overlapping objects that are closed, the front object cuts or "punches" a hole in the underlying object.

If the top object extends off the edge of the bottom object, the extending portion is filled. Select Fill Overlaps in the Format dialog box to fill the overlapping portion also (that is, the hole in the bottom object is filled).


Disconnecting Objects

After applying Connect Open, you can use Disconnect to restore an object to its original, disconnected objects. However, after applying Connect Closed to an open connected object, you can no longer restore the original objects.


To disconnect connected objects

  1. Select the connected object you want to disconnect.

  2. On the Arrange menu, click Disconnect, or press SHIFT+F11.


Aligning Objects

Designer lets you align objects to the page, to each other, or along the path of another object.

There are also options to space three or more objects evenly, quickly center objects on the page, and make objects the same size as the largest of the selected objects.

Related Topics | Aligning Objects to the Page
 | Aligning Objects to Other Objects
 | Aligning Objects to a Path
 | Spacing Objects
 | Centering Objects on the Page
 | Making Objects the Same Size


Aligning Objects to the Page

You can align one or more objects to several positions on the page. For example, you can align an object to the exact center of the page. You can open the Align dialog box by pressing ALT+1 (one).

Align Objects as Group treats the selected objects as a group only for the Align to Page command. It does not actually group the objects or affect the operation of other commands.


To align objects to a page

  1. Select the objects you want to align.

  2. From the Arrange menu, click Align (keyboard shortcut ALT+1 [one]).

  3. In Align Selection, click To Page.

  4. Click a vertical and/or horizontal alignment button. The preview box shows an example of the alignment.

  5. To align the selected objects to the page as a group, click Align objects as a Group.

  6. Click Apply to align the objects.


Aligning Objects to Other Objects

You can align objects to each other. For example, if you select three objects and align them to the center, they are stacked in the center of the bounding box.

Designer uses the bounding box that surrounds all selected objects as the basis for alignment. For example, if you select three objects and align them at top left, they align to the top left corner of the surrounding bounding box. To align objects, choose a command from the align pop-up menu. Or, you can open the Align dialog box by pressing ALT+1 (one).


To align objects to other objects

  1. Select the objects you want to align.

  2. On the Arrange menu, point to Align, then click one of the commands, or click To Object to open the Align dialog box for aligning objects.

If you chose a command, the objects are aligned.

If you opened the Align dialog box, continue with the next step.

  3. Click To Object in the Align Selection section.

  4. Click a vertical and/or horizontal alignment button. The preview box shows an example of the alignment.

  5. Click Apply to align the objects.


Aligning Objects to a Path

You can align objects along the path of another object. For example, you can draw a curve and align a series of stars along it. Grouped and text objects cannot be used as a path (but you can align them to a path).

The Align To Path dialog box is used to align objects to a path. From the Arrange menu, point to Align, and click To Path.

Selecting the Path Object

The Select Path for Alignment buttons select the object to use as a path for the other objects. The initial path selection is the object that provides the longest path. Each time you click a Select Path for Alignment button, the path object changes.

The Previous button [image] cycles through objects in the opposite order in which they were drawn.

The Next button [image] cycles through objects in the order in which they were drawn.

Changing the Alignment Justification

The Justification buttons set the position of the aligned objects in relation to the alignment point.

The Left button [image] positions objects so the left edge of the left-most object aligns to the alignment point.

The Center button [image] centers objects around the alignment point.

The Right button [image] positions objects so the right edge of the right-most object aligns to the alignment point.

The Distribute Horizontally button [image] spaces objects evenly on the path.

Designer removes warps, rotations, and skews of objects that are distributed along a path. If you want to keep their previous transformations, convert the objects to curves (keyboard shortcut CTRL+R) before you distribute them.

Changing the Alignment Pitch

The Pitch buttons set the orientation, or pitch, of the aligned objects in relation to the path. Click the current Pitch button to display the other pitch options.

The Rotate button [image] aligns the objects along a path by rotating, but not changing the shapes.

The No Rotation button [image] places objects along a path without skewing or rotating the shapes.

Changing the Alignment Direction

The Direction buttons set the direction in which objects align along the path.

The Backward button [image] aligns objects in the opposite direction in which the path was drawn (the alignment direction is endpoint to origin).

The Forward Direction button [image] aligns objects in the direction in which the path was drawn (the alignment direction is origin to endpoint).

Changing the Alignment Offset

The Offset % box controls where objects vertically rest on a path. An offset of 100 aligns the bottom of the objects to the path, an offset of 0 aligns the middle of the objects to the path, and an offset of -100 aligns the top of the objects to the path.

An offset greater than 100 (to the limit of 200) aligns the bottom of the objects above the path. An offset less than -100 (to the limit of -200) aligns the top of the objects below the path.

Changing the Alignment Point

The Alignment Point buttons [image] [image] [image] [image] set the location on the path of the point used to align the objects. The alignment point can be set to the fixed locations of left, center, and right for open paths or top, left, right, and bottom for closed paths.

The Choose Position button [image] lets you set the alignment point to a custom location.


To align objects to a path

  1. Select the objects you want to align, including the object you want to use as a path.

  2. On the Arrange menu, click Align. A submenu opens.

  3. Click To Path to display the Align To Path dialog box.

  4. If the Align To Path dialog box obscures the objects you want to align, drag it out of the way.

  5. Choose the object to use as the path by clicking the Previous button [image] or the Next button [image] until the preview rectangles are shown along the desired path.

  6. Choose the Alignment Point that you want.

  7. Change the justification, pitch, and direction settings, if you wish.

  8. Click Apply to align the objects.

Click Undo to return objects to their unaligned positions.


To set the alignment point to a custom location

  1. Click To Path to display the Align To Path tab.

  2. If the Align To Path tab obscures the objects you want to align, drag it out of the way.

  3. Click the Choose Position button [image] .

  4. Drag the red Alignment Point to the location that you want


Spacing Objects

To space three or more objects evenly, use the Space commands on the Arrange menu. After selecting objects, you can space them as follows:

  • Edges - Spaces objects evenly based on the distance between edges.
  • Centers - Spaces objects according to the distance between the objects' centers (so the distance between the edges can vary).


Centering Objects on the Page

In addition to using the Align dialog box, you can center objects on the page using the Center commands on the Arrange menu. This lets you center all objects or just the currently-selected ones. The objects are treated as a group (but not converted to a group).


Making Objects the Same Size

To make selected objects the same size, use the Make Same Size commands on the Arrange menu. The objects are made the same width and/or height as the largest of the selected objects.


Copying and Pasting Objects

You can copy objects from a drawing to the Windows Clipboard and paste the object into another Designer drawing or another Windows program.

Copying and pasting to the Clipboard is an easy way to move objects from one Designer drawing to another. You can also move drawings and text from Designer to many other Windows programs, or from a Windows program to Designer.

The Copy and Cut commands both move selected objects to the Clipboard.

  • Copy places a copy of the selected object on the Clipboard.
  • Cut removes the original object from the drawing and places it on the Clipboard.

The Paste command retrieves objects from the Clipboard and places them in your drawing. Before you can paste, you must copy or cut an object to the Clipboard. You can repeatedly paste the same object from the Clipboard until you cut or copy a new object to the Clipboard.

Use either CTRL+V or SHIFT+INS as a keyboard shortcut for the Paste command.

Related Topics | Pasting Inside
 | Paste Special
 | Replacing Objects
 | Replacing with Multiple Objects
 | Pasting to Fit
 | Aligning while Pasting


Pasting Inside

The Paste Inside command (on the Effects/Masking menu) lets you mask an object.


Paste Special

Use Paste Special on the Edit menu to simultaneously paste and link the object.


Replacing Objects

Use the Replace dialog box (choose Replace on the Arrange menu) to control how selected objects are replaced by those from the Clipboard.


Replacing with Multiple Objects

If you select several objects to replace, Designer distributes Clipboard objects to replace selected objects. The first object in the Clipboard (from back to front if no reordering has taken place) replaces the first original object, the second Clipboard object replaces the second original object, and so on.

Select the Group Clipboard Objects option to replace each selected object with the entire contents of the Clipboard.

If you have several objects selected but only one in the Clipboard, each selected object is replaced with the Clipboard object.


To replace an object

  1. Cut or copy one or more objects to the Clipboard.

  2. Select the object or group of objects to replace.

  3. On the Arrange menu, click Replace. The Replace dialog box opens.

  4. Change the replacement options, if you wish.

  5. Click Apply. The object in the drawing area is replaced with the contents of the Clipboard.


Pasting to Fit

You can use the Scale to Fit option in the Replace dialog box to force a Clipboard object to scale up or down to completely fill the bounding area of the original object.


Aligning while Pasting

The Align to Border option in the Replace dialog box lets you position a replacement object inside the bounding box of the object it replaces. This option does not change the object's proportions.

Use the list box to select a handle on the original object to which Designer can align the Clipboard replacement.


Object Linking and Embedding (OLE)

You can use the Links dialog box to manage Object Linking and Embedding (OLE) links that you have created. To open the Links dialog box, click OLE Links on the Edit menu.

When you paste an object, you can establish a connection, or link, between the pasted object and its source.

Related Topics | Embedding and Inserting OLE Objects
 | Linking OLE Objects
 | Activating Linked Objects
 | Viewing an OLE Link
 | Updating an OLE Object
 | Breaking an OLE Link
 | Changing the Location of a Linked File


Embedding and Inserting OLE Objects

Whenever possible, Designer embeds an object while pasting it. Double-clicking an embedded object automatically opens the program in which the object was created so you can edit it. You can also select the object, click the right mouse button, and click Edit on the shortcut menu to edit the embedded object.

Designer automatically embeds the object if the object's associated program is a registered OLE server. To find out if the object is an OLE object, select it and look at the status bar to see if OLE Object is displayed.

Use the Paste button [image] to paste and embed the object into your drawing. If the source program is OLE-compatible, the object is automatically embedded when it is pasted. The format of the original object is highlighted.

Besides using Paste to embed objects from OLE-compatible programs, or you can use Insert Object.

Insert Object lets you either:

  • Insert any file that is associated with a registered OLE server program on your computer. If you choose to link to the file, the inserted object reflects any changes you make to the file.

or

  • Open an OLE-compatible program, create a new object in the program, and insert the object into Designer. You don't have to save the object as a file.

If you paste (embed) from a non-drawing program such as Microsoft Word, the object is sometimes pasted as a picture (usually an icon). If you want to paste editable text, you must paste it without embedding or linking it. On the Edit menu, click Paste Special, select Text, and then click Paste.

Although you must have the embedded object's associated program on your system, you don't have to have the original file. This makes embedding useful for portable computers where disk space is at a premium.


To insert an OLE object

  1. On the Insert menu, click OLE Object. The Insert Object dialog box opens.

  2. Click Create New, and then select the type of object that you want to create. Click OK. The other program opens.

  3. Use the program to create the object.

  4. When you finish, press the ESC key. The object is inserted in the Designer drawing.

Only OLE-compatible-program objects are listed in the Insert Object dialog box.


To create an OLE object

  1. On the Insert menu, click OLE Object. The Insert Object dialog box opens.

  2. Click the Create from File option.

  3. Click the Link option if you want to link rather than embed the object.

  4. Click Browse, locate the file, and click Open.

Only OLE-compatible-program objects are listed in the Insert Object dialog box.


Linking OLE Objects

Linking lets you maintain an invisible connection between an OLE object and its original (source) file. Linking is used with pasting and is sometimes called paste linking. When you paste link an object into Designer, you can make changes to the object's original file. If you update the original file, the Designer document also updates.

Designer must have access to the object's original file before you can edit it. For example, if the file LINK.TIF is located on drive A, be sure the diskette containing LINK.TIF is inserted in the drive before you attempt to edit the linked object.

Linking is a way for more than one user to connect to the same file. For example, linking can be helpful on a network where several users are working with the same file. Users are linked to a master file so that whenever one user makes a change, the master and all linked files show the change.


To link an OLE object

  1. Create the object in its original program and save it as a file.

  2. Copy the object you want to link to the Clipboard.

  3. Close the original program if you want.

  4. Open Designer, if necessary.

  5. On Designer's Edit menu, click Paste Special. The Paste Special dialog box opens.

  6. Click Paste Link. The object is pasted in the center of the page.

You must save the linked object as a file.


To edit a linked or embedded object

  1. Double-click the object to edit. The program in which the object was created (the server) opens and displays the object.

  2. Edit the object.

  3. On the File menu, click Save to update the changes in Designer.

  4. Close the server program when you finish editing.

  5. Click Yes to save the linked file and update the object in Designer; click No to disregard changes made since you last saved the linked file.

Another way to edit a linked object is to click Links on the Edit menu, select the Link to edit in the Links dialog box, and click Edit.


Activating Linked Objects

You might want to play or activate certain types of objects instead of editing them. For example, you can play sound, music, or animation objects that you have linked in your drawing.

If you select a linked video clip, for example, the shortcut menu for the object displays the item Linked Video Clip Object. The menu sub-items include a Play option. Non-action objects, such as pictures, can only be edited.


Viewing an OLE Link

Links are displayed in the Links dialog box. A description of each link includes the name of the source application, the type of linked object (for example, picture or text), the filename, and whether the object updates automatically or manually.


Updating an OLE Object

You can update objects automatically or manually by selecting Automatic or Manual in the Links dialog box. Automatic updates a linked object whenever you change it. Manual only updates the object when you click Update Now in the Links dialog box and when you click Yes whenever you are prompted to update links.

Some OLE programs don't automatically update. In those cases, you must choose Save to update.


Breaking an OLE Link

The Cancel Link command breaks the link between an object and its source program (server).


To break an OLE link

  1. Select the linked object in Designer.

  2. On the Edit menu, click OLE Links.

  3. Click Cancel Link.

  4. You are asked if you want to sever the link permanently. Click Yes to break the link; click No to cancel and leave the link unbroken.


Changing the Location of a Linked File

When you establish a link, Designer "remembers" the location and name of the source file. If you move or rename the file, you must tell Designer the new location and filename in order to reestablish the link.


To change an OLE link

  1. Select the object in Designer.

  2. On the Edit menu, click OLE Links. The Links dialog box opens.

  3. Click Change Link. The Change link dialog box opens.

  4. Change to the directory where the source file is located and select the new filename, if necessary.

  5. Click OK. The link is reestablished.


Reshaping Objects

You can reshape any object by selecting one or more anchor points, then dragging the anchors or, for curves, the anchor's control points

Rectangles, ellipses, and arcs reshape in predefined ways when you drag their anchors.

Selecting anchors

To select: | Do this:
One anchor | Click the anchor.
Multiple anchors | Drag a box around the anchors, or press and hold SHIFT and click the anchors.
All anchors | On the Edit menu, click Select All, or press CTRL+A
All except currently selected anchors | Press and hold SHIFT and click Select All on the Edit menu, or press CTRL+SHIFT+A.

If you start to drag a box around anchors and then change your mind, press ESC to cancel the box.

Related Topics | Point Reshaping
 | Curve Reshaping
 | Adding and Deleting Anchors
 | Breaking Apart at an Anchor
 | Reshaping Curves and Corners
 | Reshaping Special Objects
 | Converting to Curves
 | Creating Symmetrical Curves
 | Creating a Corner
 | Creating a Cusp
 | Cut at Point
 | Joining Endpoints of an Open Object
 | Reducing Points


Point Reshaping

When you select an object for point reshaping, you can drag its anchors.

The Point Reshape mode lets you change the shape of an object by dragging one or more of its anchors.

Special objects can be reshaped only in specific ways in Point Reshape mode. You can identify these special cases because they show solid anchors when selected for Point Reshaping.


To select an object for point reshaping

  1. Select the object.

  2. In the toolbox, click the Edit Tool [image] , then click Reshape Points.

or

Right-click the object then click Reshape Points in the shortcut menu.

or

Select the object, press and hold CTRL, and click.

or

Double-click the object.

The point reshape cursor appears [image] .


To reshape points by moving an anchor

  1. Select the object and choose Reshape Points mode.

  2. If the object shows a solid anchor (indicating a special Point-Reshape case), click the right mouse button and click To Curves. This converts the special object to curves and displays the object's hollow anchors.

  3. Click an anchor to select it. It turns solid.

  4. Drag the anchor to a new location. The object's shape changes.

The point reshape cursor becomes solid when you are over an anchor [image] .
To create a copy of an anchor, press and hold SHIFT as you drag it.

To constrain an anchor's angular movement to 15-degree increments, press and hold CTRL as you drag it.


To reshape points by moving multiple anchors

  1. Select the object and choose Reshape Points.

  2. If the object shows a solid anchor (indicating a special Point-Reshape case), click the right mouse button and click To Curves. This converts the special object to curves and displays the object's hollow anchors.

  3. If the object shows a solid anchor (indicating a special Point-Reshape case), click the right mouse button and click To Curves. This converts the special object to curves and displays the object's hollow anchors.

  4. Drag a box around the anchors you want to select.

or

Click the first anchor you want to select, then press and hold SHIFT, and click the other anchors you want to select. Selected anchors become solid.

  5. Drag any selected anchor. All anchors follow the movement.


Curve Reshaping

When you select an object for curve reshaping, you can drag an anchor's Bézier control points. This type of reshaping creates curved edges. The further you drag a Bézier control point, the more you curve an edge.

To use curve reshaping on special objects such as text, rectangles, ellipses, or arcs, you must first convert them to curves.

Displaying an Anchor's Control Points

An anchor's control points are visible only during curve reshaping. If an object is not in Curve Reshape mode, you can put it in Curve Reshape mode by selecting the object, clicking the Edit Tool [image] , and choosing the Reshape Curve command.

To display an edge's control points, click one of the edge's anchors. Because there are Bézier control points for each anchor on a edge, you must decide which anchor's control points you want to use to reshape the edge. After a little experience with control-point reshaping, this choice will usually be obvious.

Bézier control points look like small checkerboards. Dragging a control point changes the shape of the edge associated with the point. Control points are always connected to anchors. Think of a control point as a magnet that attracts the edge. When you drag a control point, its anchor does not change position.

When you move the mouse pointer over a control point, Designer draws a preview line between the control point and its anchor. This lets you quickly identify the anchor to which a control point is connected.


To select an object for curve reshaping

  1. Select the object.

  2. In the toolbox, click the Edit Tool [image] , then click Reshape Curve.

or

Right-click the object then click Reshape Curve in the shortcut menu.

or

Select the object, press and hold CTRL+SHIFT, and click.

The curve reshape cursor appears [image] .

Anchors appear on an object when the object is in a reshape mode. If you are not certain which reshape mode the object is in, check the pointer. The pointer is shaped like an anchor in point reshape mode and a control point in curve reshape mode.


To reshape curves

  1. Select the object then choose Reshape Curve.

  2. If the object shows a solid anchor (indicating a special Point-Reshape case), click the right mouse button and click To Curves. This converts the special object to curves and displays the object's hollow anchors.

  3. Click an anchor to select it. It turns solid.

  4. Drag one of the anchor's control points to reshape the curve.

or

Drag the anchor to a new location to reshape the object.

The curve reshape cursor becomes solid when you are over an anchor [image] .


Adding and Deleting Anchors

You can add new or delete existing anchors to help in reshaping. Use the Add Point [image] and Remove Point [image] buttons on the edit ribbon to add and delete anchors. You can add and remove anchors in either Point or Curve Reshape modes.


To add a new anchor to an object

  1. Select the object.

  2. In the toolbox, click the Edit Tool [image] .

  3. On the menu, click Reshape Points or Reshape Curve.

  4. If the object shows a solid anchor (indicating a special Point Reshape case), click the right mouse button and click To Curves. This cancels the special reshape definition and displays the object's hollow anchors.

  5. Click the Add Point button [image] .

  6. Click where you want to add anchor.

You also can add anchors to an object by pointing where you want an anchor, holding CTRL, and clicking the left mouse button.


To delete an anchor

  1. If necessary, double-click the object to allow point reshaping.

  2. Click the anchor you want to delete.

  3. On the ribbon, click the Remove Point button [image] . Only the selected anchors are deleted.

Select the anchor and press the DELETE key.


Breaking Apart at an Anchor

You can slice an object at an anchor. After you slice the object, the single anchor becomes two anchors that you can move separately.


To break apart an object at an anchor

  1. Select the object you want to slice.

  2. In the toolbox, click the Edit Tool [image] .

  3. Click Reshape Points or Reshape Curve on the menu.

  4. If the object shows a solid anchor (indicating a special Point-Reshape case), click the right mouse button and click To Curves. This converts the special object to curves and displays the object's hollow anchors.

  5. Select the anchor to break apart.

  6. Click the Cut at Point button [image] . The line is now severed at the anchor.


Reshaping Curves and Corners

Converting a corner to a curve

You can produce symmetrical curves in Point Reshape mode by converting an anchor to a symmetrical curve point. After you convert an anchor to a symmetrical curve point, dragging the point reshapes the connected edges as curves.

Converting a curve to a corner

You can remove the curve from an object where it passes through an anchor by converting the anchor from a curve to a corner. The corner anchor acts like a hinge.


To reshape a curve

  1. Select the object that you want to reshape.

  2. Click the Edit Tool [image] in the toolbox.

  3. Click Reshape Curve on the menu.

  4. Select an anchor on the edge that you want to reshape. Checkerboard-shaped control points appear near the anchor.

  5. Drag the control points to change the edge's shape.


Reshaping Special Objects

Rectangles, ellipses, and arcs can be reshaped only in specific ways in reshape mode. You can identify these special cases because they show solid anchors when selected for Reshaping.

  • The special Rectangle Reshape mode for rectangles lets you round or sharpen the corners of a rectangle by dragging the solid anchor toward the center of the rectangle.
  • The special Ellipse or Conic Reshape mode for ellipses lets you change an ellipse into a pie-shaped wedge or an arc. To change the ellipse into a pie-shaped wedge, drag the solid anchor toward the center of the ellipse. To change the ellipse into an arc, drag the solid anchor around the outside of the ellipse.
  • The special Ellipse or Conic Reshape mode for arcs lets you change an arc into a pie-shaped wedge by dragging either of the two solid anchors toward the inside of the arc.

To reshape a rectangle, ellipse, or an arc in other ways, you must first convert it to a curve.


Converting to Curves

The Convert To Curves command (keyboard shortcut CTRL+R) and Convert to Curves button convert a special object, such as text, a rectangle, or an ellipse, into a conventional object (poly object). This lets you edit the object with reshape points. It also does the following.

  • Converts dimension lines to groups.
  • Converts a Windows metafile to Designer objects.
  • Converts other shapes to path objects and changes them so that Designer does not remember any previous transforms done to them.

You cannot convert an object back into a special object, except by using Undo.


To convert a special object to curves

  • Select the object, click the Edit Tool [image] , then click Reshape Curve or Reshape Points on the menu.

or

  • Double-click the object to put it in reshape mode (depends on the Options/Input settings), click the right mouse button, and click To Curves on the menu, or click the To Curves button on the edit ribbon.

or

  • Select the object. Right click and click Reshape Curve or Reshape Points on the menu.


Creating Symmetrical Curves

An anchor on a curve has two control points. The Symmetrical Curve button [image] (keyboard shortcut CTRL+7) causes the second control point to mirror the movement of the first. You can use the Symmetrical Curve button to help maintain the curve of an object.


To convert a corner to a symmetrical curve

  1. Select the object that you want to reshape.

  2. In the toolbox, click the Edit Tool [image] .

  3. Click Reshape Points on the menu.

  4. If the object shows a solid anchor (indicating a special Point-Reshape case), click the right mouse button and click To Curves. This cancels the special reshape definition and displays the object's hollow anchors.

  5. Click an anchor to select it. It turns solid.

  6. On the ribbon, click the Symmetrical Curve button [image] . The lines touching the anchor become symmetrical curves.


To convert a curve to a corner

  1. Select the object that you want to reshape.

  2. In the toolbox, click the Edit Tool [image] .

  3. Click Reshape Points or Reshape Curve on the menu.

  4. If the object shows a solid anchor (indicating a special Point-Reshape case), click the right mouse button and click To Curves. This cancels the special reshape definition and displays the object's hollow anchors.

  5. Select the anchor.

  6. Click the Corner button [image] on the ribbon.


Creating a Corner

You can create a corner, or non-curving anchor, at any point on a curve with the Corner button (keyboard shortcut CTRL+5). Lines that pass through non-curving anchors lose their curvature.

You can also create a corner at the end of a line to remove a curve on a line.


To create a corner

  1. Select the object that you want to reshape.

  2. In the toolbox, click the Edit Tool [image] .

  3. Click Reshape Curve on the menu.

  4. Select an anchor on the curve.

  5. Click the Corner button [image] . The lines touching the anchor become straight so that a corner is formed at the anchor.


Creating a Cusp

A cusp is an anchor where two Bezier curves intersect at different angles, resulting in an elbow shape. Cusps are created by moving one control point independently of the second control point. You can unlock an anchor's control points so you can move them independently using the Unlocked Cusp button (keyboard shortcut CTRL+6).

After creating the shape that you want by moving the control points independently, you can re-lock the control points using the Locked Cusp button [image] (keyboard shortcut CTRL+4). Locking control points locks the angular relationship between the points so that when you drag one of the points, the opposite moves also as required to keep the angle between the two points the same. An anchor's control points are locked automatically by converting the anchor to a symmetrical curve or corner.


To create a cusp

  1. Select the object that you want to reshape.

  2. In the toolbox, click the Edit Tool [image] .

  3. Click Reshape Curve on the menu.

  4. Select an anchor on the curve.

  5. Click the Unlocked Cusp button [image] .

  6. Drag one of the control points. Half of the cusp is formed.

  7. Drag the second control point to create the second half of the cusp.

To lock or unlock a control point, press and hold SHIFT while dragging the point. The locked or unlocked status of the point switches while the SHIFT key is pressed.


Cut at Point

Cutting opens a closed object and creates two endpoints wherever the cut occurs. You can cut a line in either Point or Curve Reshape modes.


To cut an object

  1. Select the object.

  2. In the toolbox, click the Edit Tool [image] .

  3. Click Reshape Points or Reshape Curve on the menu.

  4. If the object shows a solid anchor (indicating a special Point Reshape case), click the right mouse button and click To Curves. This cancels the special reshape definition and displays the object's hollow anchors.

  5. Click the Cut at Point button [image] .

  6. Drag across the line to be cut. A new, solid anchor appears at the cut location.

You can slice only one line at a time. Make sure you click the Cut at Point button before making each slice.


Joining Endpoints of an Open Object

You can join the two endpoints of an open object by using the Join Points button [image] . The two points are joined with a straight line.


To join endpoints of an open object

  1. Select the object that you want to join.

  2. In the toolbox, click the Edit Tool [image] .

  3. Click Reshape Points or Reshape Curve on the menu.

  4. Select one of the endpoints. It turns solid.

  5. Press and hold SHIFT, and select the other endpoint. It turns solid.

  6. Click the Join Points button [image] . Press ESC to exit reshape mode. The object is now closed and filled with the default interior fill.


Reducing Points

If an object or curve contains many twists and turns, you can smooth its appearance by eliminating some of its anchors.

Objects produced by tracing bitmaps sometimes have an undesirably large number of anchors. By reducing the number of anchors in a traced object, you often can improve the object's appearance. Reducing the number of anchors in an object also can improve its printing speed.


To reduce the number of points on an object

  1. Select the object.

  2. On the Object menu, click Reduce Points.

  3. In the Reduce Points dialog box, drag the Points slider toward Less. The left further you drag the slider, the more points Designer tries to eliminate.

  4. Drag the Tension slider to increase or decrease the number of points relative to the current setting on the Points slider.

  5. Click OK.

If you don't like the effect of the point reduction, You can restore the original shape. On the Edit menu, click Undo Reduce Points.


Trimming Objects

Trimming modifies the selected objects so that no overlapping occurs. Inside objects and outside objects can be trimmed.


To trim an inside object

  1. On the Effects menu, select Trim and then click Trim Inside Object on the submenu.

  2. Select the object to be trimmed.

  3. Select the trimming object. The inside object is trimmed.


To trim an outside object

  1. On the Effects menu, select Trim and then click Trim Outside Object on the submenu.

  2. Select the object to be trimmed.

  3. Select the trimming object. The outside object is trimmed.


Fragmenting Objects

Fragmenting modifies the selected objects so that each overlapping segment is a separate object.


To fragment an object

  1. Select two or more objects.

  2. On the Effects menu, select Modify and then select Fragment from the submenu. The overlapping segments are now separate objects.


Outlining Objects

You can outline one object or a group of objects.


To outline an object

  1. Select one or more objects.

  2. On the Effects menu, select Modify and then click Outline on the submenu.

  3. An outline of the object or group of objects is created.

The outline is placed on top of the original object. To view the outline, select and move the outline.


Chamfering Objects

When chamfering an object, you can either bevel or fillet the edges. Beveling squares off the line joints so they appear flat rather than round or pointed. Filleting makes the line joints appear rounded. You can also select whether you want to chamfer all of the edges or just certain ones.

Chamfering Options

After you choose the type of chamfer, options appear on the ribbon.

Bevel | Distance, Distance - Enter the distance from the joint to place each point of the bevel. Distance, Angle - Enter the distance from the joint (radius) and the angle. Length, Angle - Enter the length and angle.
Fillet | Enter the distance from the joint (radius).


To chamfer all edges of an object

  1. On the Effects menu, point to Chamfer.

  2. Click Perform on All Edges to select it. (A check mark is next to Perform on All Edges if it is already selected.)

  3. If necessary, reselect the Chamfer menu.

  4. Click Bevel or Fillet.

  5. On the ribbon, select options for chamfering.

  6. Select an object to chamfer.

  7. Select another object or press ESC to stop chamfering.


To chamfer selected edges of an object

  1. On the Effects menu, point to Chamfer.

  2. If necessary, click Perform on All Edges to deselect it. (A check mark is next to Perform on All Edges if it is selected.)

  3. If necessary, reselect the Chamfer menu.

  4. Click Bevel or Fillet.

  5. On the ribbon, select options for chamfering.

  6. Select the first edge of an object for chamfering.

  7. Select an adjacent edge of the same object.

  8. Select another edge or press ESC to stop chamfering.


Using Dimensions

Dimension lines show the size, length, distance, or other measurements related to objects in a drawing.

The Designer dimension features are powerful and easy-to-use. The dimension capabilities of Designer include:

  • Dimension lines can measure the aligned (diagonal), horizontal, or vertical distances between points.
  • Dimension lines are dynamic objects that automatically recalculate their measurements when scaled, moved, rotated, or skewed.
  • Dimension lines can be offset from their measured points to improve appearance and to aid clarity.
  • Dimension lines can have a variety of line ends, including arrowheads, bars, and boxes.
  • Dimension lines can indicate distance with inside or outside arrows.
  • You can position the dimension units above, on, or below a dimension line, and adjust their orientation.
  • You can position the dimension units anywhere along a dimension line, or extend the units beyond either end of the line.
  • You can set the degree of precision, font, and font size individually for each dimension line.
  • You can specify the units of measure, including custom units, for each dimension line. You can also set a scale to relate one unit of measure to another.
  • You can add text before and after the dimension value for a dimension line.
  • The dimension units that you use with a drawing are saved with the drawing so that you do not have to reset them each time you open the file.


Drawing Dimension Lines

The Dimension Tool [image] (keyboard shortcut CTRL+0 [zero]) is used to draw dimension lines. To draw a dimension line, click the Aligned, Horizontal, Vertical, Angular, or Radial button in the ribbon and then drag the line from one point to another to measure the distance. To offset the dimension line from the points measured, drag the pointer away from the dimension line. Based upon whether you have selected an aligned, a horizontal, or a vertical measure, Designer calculates the distance between the points and displays it in the units you specify.

After drawing a dimension line, you can easily reshape it and edit its other attributes, including text alignment, line thickness, and line ends. You can also edit the dimension line text, but be aware that doing so breaks the dynamic updating of the dimension line text.

Dimension lines are generally added to a drawing after the drawing is created. To make it easy to align dimension lines to the endpoints of shapes, select the End Points option in the Rulers/Snap tab of the Options dialog box. Then use snap points to force the mouse pointer to move precisely to an endpoint. Use Dynamic Snap to be linked to the object.

The Aligned button [image] lets you draw dimension lines that measure the diagonal distance between two points.

The Horizontal button [image] lets you draw dimension lines that measure the horizontal distance between two points. If two points are diagonal to each other, a horizontal dimension line still measures the horizontal distance between the points.

The Vertical button [image] lets you draw dimension lines that measure the vertical distance between two points. If two points are diagonal to each other, a vertical dimension line still measures the vertical distance between the points.

Related Topics | To draw a dimension line
 | Using Constraint Buttons
 | Setting Displayed Precision
 | Reshaping Dimension Lines
 | Setting Line Ends
 | Transforming Dimension Lines
 | Setting Dimension Text Options
 | Text Orientation Options
 | Text Position Options


To draw a dimension line

  1. Click the Dimension Tool [image] in the toolbox or CTRL+0 (zero).

  2. Click the Aligned, Horizontal, Vertical, Angular, or Radial button in the ribbon.

  3. Move the pointer to the starting point of the object you want to measure, and press and hold the left mouse button. Use dynamic snap points to link to an object.

  4. Drag the pointer to the endpoint of the object you want to measure and release the mouse button. You can use CTRL to constrain the angle to increments of 15 degrees. A dimension line appears between the two points. The blue handle at the cursor location indicates the position of the dimension text.

  5. Move the mouse in the appropriate direction to offset the dimension line and to adjust the location of the dimension units. You can use SHIFT to force the alignment point to the center.

  6. After positioning the dimension line and text, click the left mouse button to finish drawing the dimension line.

If you make a mistake while drawing a dimension line, you can press ESC to start over.


Using Constraint Buttons

The Center Text button [image] forces the dimension units to be centered between the dimension endpoints. Deselect the Center Text button to position the dimension units manually.

Hold CTRL while drawing a dimension line to force the opposite state of the Center Text button. For example, holding CTRL when the Center Text button is deselected turns on the text centering constraint.

The Angle Constraint button [image] forces dimension lines to draw only in 15-degree increments.

Hold SHIFT while drawing a dimension line to force the opposite state of the Angle Constraint button. For example, holding SHIFT while the Angle Constraint button is selected turns off the constraint.


Setting Displayed Precision

The Displayed Precision list box on the ribbon shows the current decimal precision of the dimension units. You can change the number of decimal places shown by clicking the down arrow next to the box and choosing another setting.


Reshaping Dimension Lines

After drawing a dimension line, you can adjust the position of its endpoints and dimension units with the Reshape button [image] .


To reshape a dimension line

  1. Click the Dimension Tool [image] in the toolbox.

  2. Select the dimension line you want to reshape by pointing and clicking the left mouse button.

  3. Click the Reshape button [image] in the ribbon. Solid blue handles appear at the line's endpoints and units location.

  4. Drag the handles that you want to change to their new positions. You can hold CTRL to force the text alignment point to the center, or hold SHIFT to constrain the angle.

  5. Press ESC or double-click the mouse button when you finish.

To enter the dimension reshape mode quickly, double-click a dimension line with the select pointer.


Setting Line Ends

The Line Ends button [image] lets you control the appearance of the dimension line. The options available include the following.

  • The type of line end marker. The predefined types include arrowheads, bars, squares, circles, and triangles. You can also define custom line ends.
  • Whether the same or different markers are used at each end of the line.
  • The size, placement, and angle of the line end markers.
  • The thickness of the line.
  • The style of the line (solid, dotted, or dashed).


To choose a line end

  1. Click the Dimension Tool [image] in the toolbox.

  2. Select the dimension line you want to modify.

  3. Click the Line Ends button [image] in the ribbon. The Line Ends menu opens.

  4. Click the desired line end in the menu. To choose other line ends and other line options, click Ends to open the Line Ends dialog box.

The Line Ends menu displays the most recently selected line ends.


Transforming Dimension Lines

Dimension lines are dynamic objects. This powerful feature means that no matter how you transform (move, rotate, skew, or scale) a dimension line, Designer will accurately calculate its length.

Transforming a dimension line does not change the line's aligned, horizontal, or vertical definition. For example, a horizontal dimension line continues to measure the horizontal distance between its endpoints, even when rotated into a vertical position (of course, the horizontal distance between two vertically aligned points is zero).


To rotate a drawing with dimension lines

  1. Select the objects that you want to rotate, including the dimension lines.

  2. Click the grouped objects a second time to display the rotation handles.

  3. Drag the pivot point to a new location, if you want.

  4. Drag the handles to rotate the drawing. To preview the current location of the rotated drawing, pause briefly while still holding down the left mouse button.


Setting Dimension Text Options

The Show Dimension Text option on the General tab of the Dimensions dialog box determines whether dimension units are shown or hidden. Select this option to show the units. Deselect this option to hide the units.

The currently selected units setting appears in the Units button. Click this button to change this setting.

The Precision list box shows the current decimal precision of the dimension units. To change this setting, click the down arrow next to the box.

The Prefix and Suffix text boxes let you enter text to appear before and after the units of a dimension line.

The Show Extension Lines option determines whether extension lines are shown or hidden. Select this option to show extension lines. Deselect this option to hide extension lines.

The Gap box specifies the amount of space between the points measured by a dimension line and the start of its extension lines.

The Extension box specifies how far extension lines protrude beyond a dimension line.

The Use Outside Arrows option determines whether dimension lines show arrows pointing outwards or inwards.

The Arrow Length box specifies the length of outside arrows.


To add Prefix and Suffix text to a dimension line

  1. Click the Dimension Tool [image] in the toolbox.

  2. Select the dimension line you want to modify.

  3. Click the Dimension Options button [image] in the ribbon. The Dimensions dialog box opens.

  4. Click the General tab, if necessary.

  5. Click the Prefix text box and enter the text you want to appear before the dimension units; or

  6. Click the Suffix text box and enter the text you want to appear after the dimension units.

  7. Click Apply to add the text to the dimension units.

To set option defaults so that they apply to all subsequent dimension lines that you draw, deselect all dimension lines, click the Dimension Options button, and then select the dimension options that you want.


Text Orientation Options

The Text Orientation tab of the Dimensions dialog box sets the orientation of the dimension units in relation to the dimension line.

Select Aligned Face Up to force dimension units to display so that the base of the text is oriented along the dimension line, but the text is always upright in relation to the line.

Select Towards Object to force dimension units to display so that the base of the text is oriented along the dimension line. For a horizontal dimension line in which the extensions are below the line, the dimension units are displayed upside down.

Select Horizontal to force the dimension units to display horizontally, even for vertical and aligned dimension lines.

Select Horizontal/Vertical to force the dimension units to display horizontally for horizontal and aligned lines, and vertically for vertical lines.

Select Custom Angle to display dimension units at a specific angle. To set the custom angle, you can either drag the red needle in the dial control or click in the Angle text box and enter a specific value.


To set a custom angle

  1. Click the Dimension Tool [image] in the toolbox.

  2. Select the dimension line you want to modify.

  3. Click the Dimension Options button [image] in the ribbon. The Dimensions dialog box opens.

  4. Click the Text Orientation tab, if necessary.

  5. Click the Custom Angle option to select it.

  6. Enter a number in the text box or drag the red needle in the dial control to specify a custom angle.

  7. Click Apply to display the dimension at the custom angle.

To set option defaults so that they apply to all subsequent dimension lines that you draw, deselect all dimension lines, click the Dimension Options button, and then select the dimension options that you want.


Text Position Options

The Text Position tab of the Dimensions dialog box sets the position of the dimension units in relation to the dimension line.

The Horizontal Text Position options determine whether the units display on the text point of the dimension line or are aligned left, center, or right.

The Vertical Text Position options determine whether the units display above, on, or below the dimension line.


To display units above a dimension line

  1. Click the Dimension Tool [image] in the toolbox.

  2. Select the dimension line you want to modify.

  3. Click the Dimension Options button [image] in the ribbon. The Dimensions dialog box opens.

  4. Click the Text Position tab, if necessary.

  5. Click Above Line (under Vertical Text Position) to select this option.

  6. Click Apply to reposition the dimension units.

To set option defaults so that they apply to all subsequent dimension lines that you draw, deselect all dimension lines, click the Dimension Options button, and then select the dimension options that you want.


To edit dimension line text

  1. Select the dimension line with the text you want to change.

  2. Click the Edit Tool [image] on the toolbox.

  3. Click the Edit Text option on the menu.

  4. Make the changes. When you finish, press ESC or double-click away from the object.

Once you have modified the text, the dynamic link between the text and the dimension line that caused the text to be updated whenever the dimension line was resized is broken.

If the text is deleted in its entirety, the dimension line is deleted as well.

Once a dimension line's text has been modified, the prefix and suffix cease to apply to the dimension line.


Drawing Callouts

Use callout lines to point to and identify parts of a drawing. In Designer, callouts can have

  • One, two, or three segments
  • Any font type, size, or style that is available
  • Any line end, style, or width that is available
  • Several different callout styles
  • Adjustable margins within the text block and gaps between the callout line and beginning of the text
  • Halos to make callouts stand out when they are over objects

Callouts retain their definition when moved, resized, or rotated.

Example Box-Bar style callout:

Related Topics | To draw callout lines
 | To reshape callout lines
 | To set callout line ends
 | To edit callout text attributes
 | Setting Callout Options
 | Setting Callout Text Options


To draw callout lines

  1. Click the Callout Tool [image] .

  2. On the ribbon, click One-Segment Callout [image] , Two-Segment Callout [image] , or Three-Segment Callout [image] .

  3. Drag to draw the line. Release the mouse button where you want to enter the callout text.

  4. Type the callout text then press ESC.

After drawing a callout line, you can reshape it and edit its other attributes.

To cancel a callout before you type the text, press ESC. To delete a callout line after you have typed the text, select it then press DELETE.

While drawing a callout line, hold SHIFT to constrain its angle to 15 degrees.


To reshape callout lines

  1. Select the callout you want to change.

  2. On the callout ribbon, click the Reshape button [image] . The cursor changes to an arrowhead.

  3. Reshape the callout by dragging each handle to the desired position.

  4. When you are done, press ESC to cancel reshaping mode.

You can also reshape a callout line by clicking the Edit Tool [image] then clicking Reshape Callout Line.


To set callout line ends

  1. Select the callout you want to change.

  2. On the callout ribbon, click the Line Ends button [image] .

  3. On the menu, click a line end (or No ends), or click Ends to display the Line Style tab of the Object Format dialog box.

On the Object Format dialog box, you can change the type of line end as well as its size, placement, and angle. You can also change the line thickness and style (solid, dotted, or dashed).


To edit callout text attributes

  1. Select the callout you want to change.

  2. On the callout ribbon, click the Fonts button [image] on the callout ribbon to open the Object Format dialog box at the Text page.

Use the Object Format dialog box to change the font, text color and background color (this also changes the halo color), and other attributes. See "Using Fonts" for more information.

You can also click the Text Tool [image] and use its ribbon to change the text attributes.


Setting Callout Options

The Callout tab of the Dimensions dialog box lets you set options affecting a callout line's appearance. If you set callout options (and other options, such as font size) when nothing is selected, the defaults are changed. All callouts you draw afterwards use the new settings. If you set options when an object is selected, only that object is changed; the default settings are not changed.

The Style option lets you set how the callout text is displayed, such as in a box or circle. You can select the following styles:

Line

Box

Side-Bar

Box-Bar

Circle

Box (balloon)

Boxed Circle

Triangle

The Inner Margin box specifies the amount of space between callout text and the border. Increase this value to place a larger border around the text.

The Outer Gap box specifies the amount of space between callout text and the callout line.

The Size box specifies the size of the balloon for Circle, Box (balloon), Boxed Circle, and Triangle callout styles.

The Segment Style buttons let you select one-, two-, or three-segment callout lines.

The Halo Width option determines the amount of blank space that will surround the callout line. This makes it easier to see callouts when they are over objects.


Setting Callout Text Options

Callout text options are set on the General tab of the Dimensions dialog box. To display this, on the callout ribbon, click the Callout Options button [image] , then click the General tab.

The Show Dimension Text option on the General tab of the Dimensions dialog box determines whether dimension units are shown or hidden. Select this option to show the units. Deselect this option to hide the units.

The currently selected units setting appears in the Units button. Click this button to change this setting.

The Precision list box shows the current decimal precision of the dimension units. To change this setting, click the down arrow next to the box.

The Prefix and Suffix text boxes let you enter text to appear before and after the units of a dimension line.

The Show Extension Lines option determines whether extension lines are shown or hidden. Select this option to show extension lines. Deselect this option to hide extension lines.

The Gap box specifies the amount of space between the points measured by a dimension line and the start of its extension lines.

The Extension box specifies how far extension lines protrude beyond a dimension line.

The Use Outside Arrows option determines whether dimension lines show arrows pointing outwards or inwards.

The Outside Arrow Length box specifies the length of outside arrows.


Using the Color Palette

The color palette is a floating window or toolbar containing the current colors you can use in a drawing.

By default, the color palette is a floating window, but you can dock, move, resize and reshape it to keep it handy but out of your way. Colors in the current palette are always available, no matter which tool you select or which ribbon you display.


Palettes Included with Designer

Designer includes predefined color palettes plus the flexibility to design and assemble your own palettes that best match how you work.

A default palette, called the Master Palette, is automatically installed when you install Designer, along with the Internet Explorer and Netscape palettes. To protect against accidental changes, these palettes cannot be changed, deleted, or merged. However, you can make a copy of one, give it a new name, and then make additions, deletions, or other changes.

You select the current palette on the options menu of the color palette. If the master palette is the current palette, and you attempt to add a color, delete a color, rename the master palette, or rename a color in the master palette, a dialog box reminds you that you must save a copy of the master palette.

Designer lets you mix your own colors and add them to an existing palette, or you can create a new palette that includes only the colors you want.

Designer also includes the PANTONE® spot and process colors, which are available on the Spot Color tab of the Color Picker dialog box.


To open the color palette

  • On the View menu, select Color Palette.

or

Click the Color Palette button [image] on the standard toolbar.


Setting Color Options

Click the Palette Options button [image] on the Palette title bar or toolbar to open a menu that lets you choose an existing color palette or create a new one, manage palettes, and set options.


Using Dithered Colors

Monitors and printers use a process called dithering to compensate for the inability to display some colors. Dithering simulates color by placing dots of different colors next to each other in a pattern. Thus, dithering lets you display on a screen, and print on some printers, colors that are actually not available.

If a color is supported on your monitor and graphics adapter, it is displayed. If a color is not supported, it is changed to the closest color available on the graphics adapter. The color is changed to the closest color or dithered color available when printed or when displayed on another device.


Choosing Colors

Designer offers state-of-the-art color mixing capabilities and the flexibility to let you easily choose and use any color from the full spectrum. You can use the HLS, RGB, or CMYK color models and choose or create colors for a custom palette, using the Color Picker and Color Mixer dialog boxes.

Your colors can have unique names and can be converted between color models.

You can also turn on smart colorization so you can change the color of a grouped object without affecting other objects in the group.

Related Topics | Using the Color Picker
 | Choosing HLS Colors
 | Choosing RGB Colors
 | Choosing CMYK Colors
 | Naming a Color
 | Using a Color Model
 | Converting Color Model Values
 | Smart Colorization
 | Mixing Your Own Color
 | Finding an Object's Color Values
 | Adding Object or Bitmap Colors to a Palette


Using the Color Picker

You can use a color model to choose any color. You can use whichever color model you prefer (HLS, RGB, or CMYK) to choose colors. The Color Picker is a tool that lets you choose a color from the full range of possible colors and add it to the color palette.

You can click one of the first three buttons at the top of the dialog box to select a color model (RGB, CMYK, or HLS). (The fourth button is for spot colors using a color matching system such as PANTONE.)

Numeric values for the current color appear along the right for each color model. The values show the amount of color used to create the displayed color. For example, 255 Red, 128 Green, and 179 Blue create pink. The same pink can be created with 0% Cyan, 50% Magenta, 30% Yellow, and 0% Black. You can use whichever color model you prefer to choose colors.

The numeric values for the selected model appear in black. The values for the models not selected are gray. As you make changes to the values of the selected color model, all of the values reflect corresponding changes.

The underlying model that represents the full range of colors is like a three-dimensional cube. The color refiner box shows two of these dimensions, while the slider below the color refiner box shows the third dimension.

The list box gives you choices for two of the components of the selected color model. These two components are illustrated as width and height in the color refiner box. The third component of the color model (depth in the cubical color model) is controlled by the horizontal slider.

For example, if you select the HLS color model and select Hue-Lightness in the list box, hue is width (left and right), lightness is height (up and down), and saturation is depth (the slider).


To open the Color Picker dialog box

  1. Click the Palette Options button [image] on the Palette title bar or toolbar.

  2. Click Add Color.

  3. If the current palette is a master palette, type a name for a new palette. You can copy the palette's colors to the new palette.

You cannot change a master palette.


Choosing HLS Colors

Click the HLS tab in the Color Picker dialog box to use the HLS (Hue, Lightness, Saturation) color model.

If you start with black (highlight black in the palette), you can choose gray scales (shades of gray) by leaving the saturation at zero and changing the degree of lightness.

The Hue values for primary colors are red (0), yellow (60), green (120), cyan (180), blue (240), and magenta (300).

The Hue values range from 1 to 360 degrees (equivalent to settings on a color wheel, where 0 is the same as 360). The Hue setting selects a starting color value. The Lightness value adds a percentage of white or black to the hue and shows the percentage of lightness in the shade. Increasing lightness adds white; decreasing lightness adds black. The Saturation value decreases or increases the percentage of color in a selected hue. Increasing saturation adds color; decreasing saturation adds gray.

The standard setting for a hue is 50% lightness and 100% saturation. If you highlight pure red in the palette, the HLS values display Hue at 0 degrees, Lightness at 50%, and Saturation at 100%.


Choosing RGB Colors

Click the RGB tab in the Color Picker dialog box to use the RGB (Red, Green, Blue) color model.

The numeric values for R, G, and B represent amounts of the additive primary colors red, green, and blue. The value for each primary color can range from 0 through 255. When these three colors are combined (maximum values of each), the result is white. When none of the colors are present (zero values for each), the result is black. The RGB model is an additive color model because the three primary colors are combined to produce pure white.


Choosing CMYK Colors

Click the CMYK tab in the Color Picker dialog box to use the CMYK (Cyan, Magenta, Yellow, Black) color model.

As with the other color models, you can choose a color combination from the list box (Cyan-Magenta, Cyan-Yellow, or Yellow-Magenta) to use as the height and width of the model as illustrated in the color refiner box. The third color is controlled by the slider directly below the color refiner box. The fourth color, black, is controlled by the bottom slider.

The numeric values for C, M, and Y represent percentages of the subtractive primary colors cyan (light blue), magenta, and yellow, which are complements of red, green, and blue. When these three colors are combined (100% of each), the theoretical result is black, but impurities in printing inks result in a muddy brown. When none of the colors are present (0% of each), the result is white. The CMYK model is a subtractive color model because the three primary colors are removed to produce black.

Black Component

The K value (true black) is added to compensate for ink impurities in process color printing. The percentage of black in a color is theoretically equivalent to the same percentage of cyan, magenta, and yellow.

By default, the Color Picker displays the black component slider to let you manually adjust the percentage of black in a color. You also can choose to let Designer normalize the CMYK percentages automatically. That is, the percentages for C, M, and Y are reduced or increased so that the percentage for black is as high as possible. This technique is known as undercolor removal (UCR). If you add a color and then reopen the dialog box, the percentages may differ even though the color is the same.


To change the way Designer normalizes CMYK percentages

  1. Click the Undercolor Removal button [image] on the Color Picker dialog box CMYK page.

  2. Click Manual Undercolor Removal if you want to prevent Designer from normalizing the CMYK percentages.

or

Click a percentage if you want to allow Designer to normalize the CMYK values. (For example, click 100% for complete normalization or 50% for half normalization.)

If you click a percentage, the black component slider at the bottom of the dialog box disappears.


Naming a Color

The color swatch at the bottom right of the dialog box shows the new color as you mix it. You can assign a name to this color swatch. Names can include numbers and spaces.


To name a color

  1. Click the New Color color swatch in the Color Picker dialog box.

  2. Type a name.

  3. Click Add to add the color to the current palette. Designer stores the assigned name with the color.


Using a Color Model

Beginning with version 4.0, Designer stores colors in the color model (HLS, CMYK, or RGB) in which they were originally created, whereas earlier versions of Designer only store colors in the RGB format. This capability is especially important for graphic designers, who typically create colors with the CMYK color model, because it ensures precise matching between color definition and storage.

You can use a color model to choose any color. You can use whichever color model you prefer (HLS, RGB, or CMYK) to choose colors. The Color Picker is a tool that lets you choose a color from the full range of possible colors and add it to the color palette.


To choose colors with a color model

  1. Click the Palette Options button [image] on the Palette title bar or toolbar.

  2. Click Add Color.

  3. If the current palette is a master palette, type a name for a new palette. You can copy the palette's colors to the new palette.

  4. Click a color model tab.

  5. Click the down arrow at the right of the list box to choose the first two dimensions for the color refiner box (for example, Hue-Lightness).

  6. Enter the desired value in the current color model's scroll boxes.

  7. Continue to adjust the settings in the selected color model until you have mixed the desired color. You can also press and hold the mouse button, and drag the color refiner cursor and the slider.

  8. Click Add to add the new color to the current palette.

  9. Repeat steps 5 through 9 to add more colors to the palette.


Converting Color Model Values

Designer stores a color with the numeric values in the color model in which it was created. When you display the names of colors in the current color palette, the color model and corresponding values are displayed with a sample swatch of the color and a name, if any.

For example, you can add a color to a palette using the Color Picker, specifying RGB values of 0, 125, and 255. Then you can convert the color to CMYK values (100, 50, 0, and 0).


To convert values to another color model

  1. Click the Palette Options button [image] on the Palette title bar or toolbar.

  2. Click Palette Manager. The Palette Manager dialog box opens.

  3. Click the color you want to convert and click the color converter button [image] . A menu opens with the names of the available models.

  4. Click the color model to which you want to convert.

  5. Click OK. The selected color is stored with the new color model.

The color converter button is only available when a color is selected.


Smart Colorization

Smart Colorization is an option that is used with grouped objects. You can change the fill color of an object group while retaining the color gradations and hue of the original fill color. You can also convert grouped objects to grayscale with Smart Colorization.

After selecting a dark color on grouped objects with Smart Colorization turned on, going back to a lighter color is not possible.


To enable Smart Colorization

  • From the Format menu, select Smart Colorization of Groups. The menu item toggles Smart Colorization on and off.


Mixing Your Own Color

You can use the Color Mixer dialog box to create a color. Designer lets you choose two or four colors and mix them together as a painter mixes paints. You can access the Color Mixer from the Interior or Line Fill tab of the Object Format dialog box or the Palette Manager dialog box.

You can mix colors for custom palettes only.


To mix colors

  1. Click the Color Mixer button [image] .

  2. Click a color button on the corner of the mixing palette. A pull-down palette opens. Choose a color from the palette.

  3. Repeat step 2 to choose a color for each color button. The color transitions change to reflect the mix of colors.

  4. Click a color square in the mixing palette to select the desired colors. Hold CTRL to select additional colors.

  5. Click Add. Your new color or colors appear in the palette.


Finding an Object's Color Values

If you want to know what colors are already used in a drawing, you can select each object and find its colors. They will be displayed on the color palette, the palettes on the Interior and Line Fill tabs of the Object Format dialog box, and on the left side of the status bar.

You can see the values by holding the pointer over the color in the palette or status bar. The values appear in a ToolTip, on the Object Format dialog box, and in the Hints toolbar. The values are shown in the color model originally used to create the color.


Adding Object or Bitmap Colors to a Palette

If an object or bitmap image uses colors that are not available in the current palette, you can add those colors to the palette using the Add to Palette command on the Format menu. This command lets you duplicate the colors used in objects or bitmap images you have pasted or imported into your drawings. After adding these colors to a custom palette, you can apply them to other objects.

The Add to Palette options available depend upon whether you are adding colors from an object or a bitmap image.

  • For objects, you can add the foreground color, background color, line color, or all three colors to the palette.
  • For bitmap images, you can select specific colors to add to the palette, or you can add all of the colors in the bitmap image to the palette.


To add an object's or bitmap's colors to a palette

  1. Select the object whose colors you want to add to a palette.

  2. On the Format menu, point to Add to Palette. The Add to Palette submenu appears.

  3. Click Foreground Color to add the object's foreground color.

or

Click Background Color to add the object's background color.

or

Click Line Color to add the object's line color.

or

Click All Colors to add the object's foreground, background, and line colors or to add all of a bitmap's colors.

or

Click Select Colors to select colors from a bitmap.

  4. If you are using Select Colors, use the eyedropper to point to a color, then click it, or drag a box around a portion of the image.

A palette cannot contain duplicate colors, so if the specified color is already in the color palette, it is not added again.

If you select more than 128 colors on a image, the Add To Palette dialog box will appear. There, you can limit the number of colors to add.


Introduction to Lines, Fills, and Patterns

Designer gives you a variety of ways to change and assign colors, fill patterns, and many other style attributes for any object you draw.

When you click a button on the format ribbons for solid color fills, line attributes, and text colors, a menu or palette opens. These show the current settings for the selected object, if any, or the default settings. For other buttons, the Object Format dialog box opens.

Related Topics | Using the Object Format Dialog Box
 | Using Line Attributes
 | Using Fills and Patterns
 | Setting Default Styles
 | Copying and Applying Styles
 | Using the Style Toolbar


Using the Object Format Dialog Box

You can use the Object Format dialog box to select line attributes, line or interior colors, and any type of fill for lines or interiors.

Selection Tabs

The tabs across the top of the Object Format dialog box let you select interior, line and text attributes, transparency, object positioning, and other object properties.

Format Buttons

Each tab has buttons designed to perform specific formatting functions. Hold the cursor above a button to view the button's name. The button's function is described in Designer's hint window.

Apply Button and Close Button

As with many of the dialog boxes in Designer, the Object Format dialog box stays open to let you apply changes to objects without having to open the dialog box repeatedly. You can click Apply each time you want to apply a change to a selected object. The dialog box does not close until you click Close.


Using Line Attributes

For lines, you can change the

  • Color
  • Style (a pattern of dots and dashes)
  • Line thickness
  • Line end markers for straight lines and all open objects (arcs, curves, elliptical arcs, freehand objects, parabolas, and jointed lines)

Lines also are used as borders of closed objects. You can change their

  • Color
  • Style
  • Thickness

In addition, you can make a line invisible to hide an object's border.

Related Topics | Setting Line Styles
 | Setting Line Ends
 | Editing Line Ends
 | Using Weighted Lines
 | Setting the Line Thickness
 | Setting Join and Cap Options
 | Creating Calligraphic Lines


Setting Line Styles

You can choose a dotted or dashed line style for selected lines. You also can set a style for lines before you draw them.

To speed your work, the Line Style menu keeps track of the most recent line style patterns you have used.


To choose a line style from the menu

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Line Style button [image] in the ribbon. The Line Style menu opens.

  3. Click a style in the menu. To make a line invisible, click Invisible.The selected line or border changes to the new style.

If no objects are selected, subsequent lines and object borders draw in the new style. You can apply a line style to a line of any thickness.

You also can choose from other line styles in the Object Format dialog box.


To choose a line style from the Object Format dialog box

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Line Style button [image] in the ribbon. The Line Style menu opens.

  3. Click Style. The Object Format dialog box opens with line style options displayed.

  4. Click the style you want.

  5. Click Apply. The selected line or border changes to the new style.

If no objects are selected, subsequent lines and object borders draw in the new style. The new style appears in the Line Style menu for later use.


Setting Line Ends

You can choose from a variety of line ends to enhance your drawing.

Lines (open objects) can have end markers at one or both ends. The line ends include arrowheads, lines, squares, circles, and triangles. You can set the line ends first, so that every line appears with the new end marker, or you can change the ends of selected lines.

You can add line ends to any open object. You can set both ends of a line to be the same or different for each end. You also can have an end marker on only one end of a line. Each line has a "first end" and a "last end," depending on which end is the starting point when the line is drawn.

As you select line ends, the ends you choose are added to the Line Ends menu. The menu shows the most recently selected line ends.

Related Topics | To choose a line end from the menu
 | To choose line ends from the Object Format dialog box
 | To add line ends to the Object Format dialog box
 | To remove line ends from the Object Format dialog box


To choose a line end from the menu

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Line Ends button [image] in the ribbon. The Line Ends menu opens.

  3. Click a line end sample. A selected line changes to the new ends.

If no line is selected, subsequent lines draw with the new ends.

You also can choose from other line ends in the Object Format dialog box. You can even create new line ends and paste them into the dialog box.


To choose line ends from the Object Format dialog box

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Line Ends button [image] in the ribbon. The Line Ends menu opens.

  3. Click Ends. The Object Format dialog box opens with line end options displayed.

  4. In the preview window, click the end of the line you want to change. (The end on the left is the first end; the end on the right is the last end.)

  5. Click the button of the desired line end, using the scroll arrows to locate the one you want.

  6. Click Apply. A selected line changes to the new style; if no objects are selected, subsequent lines draw in the new style.

The default options are Same Type and Same Attributes for both ends of the line. You can deselect these options to use two different end types or to make the two ends a different size, angle, and so forth.

To reset the line end to none, you can click No Ends in the Line Ends menu or choose the line with no end in the dialog box.


To add line ends to the Object Format dialog box

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Line Ends button [image] in the ribbon. The Line Ends menu opens.

  3. Click Ends. The Object Format dialog box opens with line end options displayed.

  4. Draw an object to be used as a line end.

  5. On the Standard toolbar, click Copy [image] to copy your line end to the Clipboard.

  6. On the Object Format dialog box, click the left or right preview window, then click the Paste button. The line end you created is added to the gallery of ends.

You can now choose the line end you created from this dialog box.

You also can remove line ends you created and pasted into the Object Format dialog box. However, you cannot remove ends originally included with Designer.


To remove line ends from the Object Format dialog box

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Line Ends button [image] in the ribbon. The Line Ends menu opens.

  3. Click Ends. The Object Format dialog box opens with line end options displayed.

  4. Select the line end you want to remove.

  5. Click Remove. The line end is removed from the gallery.

You cannot remove ends originally included with Designer.


Editing Line Ends

If you need to adjust the position or appearance of a line end, you can scale, move, rotate, or flip the line end relative to its line. You can watch the preview in the Object Format dialog box to see the effect your adjustments have. Experiment with the controls to reach the result you want.

Scaling a Line End

Change the size of a line end by changing the value of Width % and Height %. The default values are 100%, which is the original size. Changing both these values to 50% makes the line end half the original size; changing the values to 200% makes the line end twice the original size. To scale the line end proportionally, change Width % and Height % the same amount.

Moving a Line End

You can move, or offset, a line end from its line by increasing or decreasing the values in the X Offset % or Y Offset %. Zero is the default position.

Increasing the percentage for X Offset moves the line end away from the line. Decreasing the percentage for X Offset (using a negative value) moves the end toward the middle of the line.

Increasing the percentage for Y Offset moves the line end up. Decreasing the percentage for Y Offset (using a negative value) moves the line end down.

Rotating a Line End

You can rotate a line end relative to the line by changing the value for Angle. The default value (no rotation) is zero degrees.

Setting Line Styles

If you select Use Line, the current line thickness and fill attributes are applied to the line end. If you want to retain the original style attributes of an object you are pasting into the line end gallery, deselect this option.


To edit line ends

  1. Select the line with the ends you want to edit.

  2. Click the Format Tool [image] in the toolbox.

  3. Click the Line Ends button [image] in the ribbon. The Line Ends menu opens.

  4. Click Ends. The Object Format dialog box opens with line end options displayed.

  5. Choose the settings you want to apply to the line ends.


Using Weighted Lines

Weighted lines are lines that are thicker than a "hairline." A hairline (the default) is the thinnest line that can be displayed or printed on a specific device. Cap options affect the ends of lines; join options affect the intersection of lines.

You can set the thickness of lines and the cap and join options of lines with Line Thickness [image] in the format ribbon. If no objects are selected, you set a new default when you change the line thickness or cap and join options. Subsequent lines display with the selected width, height, and angle. In addition, you can change the weighted line options for a selected line.

For simple weighted lines, the width and height are the same, and the pen angle is set to zero degrees. You change only the width (thickness) of the line.

For a different effect, Designer can simulate a calligraphy pen (whose tip is typically taller than it is wide) and the way it might be used (at an angle in relation to the page). If you select Calligraphic lines, you can set the width, height, and angle of the "pen tip."

The Line Thickness menu displays previously used weighted lines so you can choose them directly from the menu.


Setting the Line Thickness

You can choose a line thickness directly from the Line Thickness menu, or you can change the thickness of a line in the Object Format dialog box. Line thickness can range from a fraction of a point up to 360 points (5 inches).

You also can customize and edit line attributes. You can

  • Change the thickness of a line.
  • Change the cap and join options.
  • Create calligraphic lines.
  • Choose whether the line thickness changes when an object is scaled.


To choose a line thickness from the menu

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Line Thickness button [image] in the ribbon. The Line Thickness menu opens.

  3. Click a line thickness. A selected line changes to the new thickness.

If no object is selected, subsequent lines draw in the new thickness.


To set the line thickness in the Object Format dialog box

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Line Thickness button [image] in the ribbon.

  3. Click Thickness. The Object Format dialog box opens with line width options displayed.

  4. Click Thick and enter a number in Width to change the thickness.

  5. Click Apply.


Setting Join and Cap Options

You can choose the shape of the corner intersection and the ends of lines. Designer offers three choices for each. Select the options you want in the Object Format dialog box. A preview line (in the upper right) shows a red line in the center to show the effect of different cap options.

Setting Cap Options

Cap options determine the appearance of the ends of lines.

  • The Round Cap option places the center point of a circle at the end point of the line. (The diameter of the circle matches the thickness of the line.)
  • The Square Cap option places the center point of a square at the end point of the line. (The width and height of the square match the thickness of the line.)
  • The Flat Cap option ends the line at the end point of the line.

Setting Join Options

Join options determine the appearance of the corner intersection of lines in an object.

  • The Round Join option places the center point of a circle at the vertex of two line ends. (The diameter of the circle matches the thickness of the lines.)
  • The Mitre Join option creates a pointed intersection that is the true intersection of two lines.
  • The Bevel Join option averages the angles of the two lines, creating a blunt intersection.

Experiment with the rounded cap option and a line style of short dashes to obtain a dotted (rather than dashed) line style.

When you select the Mitre Join option in the Object Format dialog box, any lines that meet at angles sharper than 11 degrees are drawn with beveled joins. This prevents objects from having extremely pointed joins.


To set join and cap options

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Line Thickness button [image] in the ribbon. The Line Thickness menu opens.

  3. Click Thickness. The Object Format dialog box opens with line width options displayed.

  4. Click the Cap and Join buttons until you see the ones you want.

  5. Click Apply.


Creating Calligraphic Lines

You can draw calligraphic lines with Designer by selecting both Thick and Calligraphic on the Line Thickness page of the Object Format dialog box. Then you change the pen width, height, and angle settings. Calligraphic lines can add a more natural look to many drawings, especially when used with curved lines.

The primary way to set calligraphic lines is to adjust the width and height settings. The lines with the most flair are produced by choosing very different width and height settings. For example, a very thin but very tall setting will produce a calligraphic line even without adjusting the pen angle setting.

Adjusting the pen angle setting can enhance the effects created with the width and height settings. In a calligraphic line, the pen angle setting forces the pen tip to stay at the chosen angle, much as a calligraphic pen is held at particular angles to achieve certain effects.


To create calligraphic lines

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Line Thickness button [image] in the ribbon. The Line Thickness menu opens.

  3. Click Thickness. The Object Format dialog box opens with line width options displayed.

  4. Click Thick and Calligraphic. Boxes for Width, Height, and Pen (angle) appear.

  5. Enter the Width, Height, and Pen angle you want. The pen tip is shown in the preview area.

  6. Click Apply.

You can drag the red needle in the preview area to set the pen angle.

If an object is selected in the drawing window, click Preview to see the result before you apply the change.


Using Fills and Patterns

You can assign fills and patterns to both lines and the interiors of objects. The fill types are

  • Solid colors
  • Gradient fills (gradual changes from one color to another)
  • Hatch patterns
  • Image (bitmap) patterns
  • Object fills (with repetitions of another object)

In addition, you can

  • Paste one object inside another to achieve a masking effect
  • Copy all the style attributes from one object and apply them to another

Filling Open Shapes

You can fill open objects after they are drawn. If you accidentally fill objects (for example, if they are part of a group), select the objects you do not want filled and left-click the No color button [image] or click the Remove Interior Fill button [image] .

Using Fills with Text

Some interior fills, such as hatch fills and object fills, have both a foreground and background color. Don't confuse this type of background color with the text background color that you set on Text tab on the Object Format dialog box.

If you have applied a hatch fill or object fill to text, clicking a color in the color palette with the left mouse button alone sets the foreground interior color. To set the background interior color, point to a color, press and hold SHIFT, and click the left mouse button.

Related Topics | Selecting a Solid Color Fill
 | Using Gradient Fills
 | Using Hatch Fills
 | Using Image Fills
 | Using Object Fills
 | Filling Several Objects with a Continuous Fill
 | Using Fill Options
 | Masking Objects


Selecting a Solid Color Fill

You can select a color for an object before or after you draw it. Selecting a color affects all selected objects. If no objects are selected, selecting a color sets the color for the next object you draw.

If you do not want an object filled or the line to be visible, you can select an invisible fill or line.


To change an object's line or fill color

  1. Select an object.

  2. Click the Format Tool [image] in the toolbox.

  3. Click the Solid Interior Fill button [image] in the ribbon to change the color of the interior.

or

Click the Solid Line Fill button [image] to change the color of the line.

  4. On the menu (palette), click a color.

If no object is selected, you set a new default color.

You can also select the Solid Interior Fill and Solid Line Fill buttons in the Object Format dialog box and select the color there.


To select an invisible fill or line

  1. Select the object you want to have an invisible fill.

  2. Click the Format Tool [image] in the toolbox.

  3. On the ribbon, click the Remove Interior Fill button [image] or Remove Line button [image] .


To use the color palette to change fill color

  1. If the palette is not visible, click Color Palette on the View menu.

  2. To change the interior fill color, click the left mouse button. To change the line fill color, click the right mouse button.

Fill colors are shown on the Line Style and Fill Style buttons in the status bar.


Using Gradient Fills

A gradient is a fill that makes a gradual transition between colors. Gradients can add more realistic depth to a drawing and provide a less mechanical feel to many illustrations. You can create linear, radial, and square gradient fills.

Linear gradients are the simplest of the three, with a gradual fade of one color to another in a specified direction within an object.

Radial (circular) and square gradients fade from one color in the inner part of the fill to another color in the outer part of the fill. A radial gradient fades from one color in the inner part to the outer part in a circular pattern.

A Square gradient fades from one color in the inner part to the outer part in a square pattern.

A conical gradient fades from one color to another color in a sweep around a point, creating a cone-shaped fill.

A simple gradient fill fades from any one selected color to any other selected color. Designer even lets you use gradient fills made up of many colors. For example, you can easily create rainbow effects.

You choose the two or more colors used in a gradient fill on the Object Format dialog box.


To add a gradient fill to a selected object

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Gradient Interior Fill button [image] in the ribbon, or the Gradient Line Fill button [image] . The Object Format dialog box opens with gradient options displayed.

  3. Click a color in the color palette.

  4. Click the point above the color band at 100%.

  5. Click another color in the color palette.

  6. Click a gradient button.

  7. To edit, drag the end circles to control the angle. Move the origin square to control the gradient center.

  8. Click Apply. The object redraws with the new gradient.

You can use many colors in a gradient fill, instead of only two, to create multicolor gradients and rainbow effects. Click above the color band to create a new color point and then choose a color in the palette. You can continue to add additional color points in this way. You can drag each point to the desired location on the color band (try spacing them evenly) to control how the fill graduates from one color to another. To delete a color point, drag it off of the dialog box.

You can quickly change the first and last colors for a gradient fill in a selected object without using the Object Format dialog box. Select the object with a gradient fill, click one color in the color palette, press and hold SHIFT, and click another color in the palette.


Making Gradient Fills Draw Faster

Because gradient fills take time to draw on your screen, you can speed them by choosing a different display option.

Choosing Smooth produces the highest display quality on your screen but redraws more slowly, while Coarse produces the lowest display quality but redraws quickly. When None is selected, only the first color of the gradient is displayed. You always see a gradient when you print the document.


To make gradient fills draw faster

  • On the View menu, point to Gradients. Then click Smooth, Average, Coarse, or None. All gradients in all documents draw using the options you choose.


Using Hatch Fills

You can fill objects with hatch patterns that are composed of vector-based lines.

Objects with hatch patterns have two interior colors: one for the hatch pattern (foreground) and one for the background.

Dense patterns show less of the background color, and sparse patterns show more background color. By experimenting with different patterns and colors, you can produce interesting effects.


To choose a hatch pattern

  1. Select an object.

  2. Click the Format Tool [image] in the toolbox.

  3. Click the Hatch Interior Fill button [image] in the ribbon, or the Hatch Line Fill button [image] . The Object Format dialog box opens with the hatch options displayed.

  4. To change the foreground color, click Foreground, point to a color in the palette, and click the left mouse button.

  5. To change the background color, click Background, point to a color in the palette, and click the left mouse button.

  6. Click Apply. The object redraws with the new hatch pattern and colors.

As a shortcut, double-click a hatch pattern instead of choosing the pattern and then clicking Apply.

You can quickly change the foreground and background colors for a hatch fill in a selected object without using the Object Format dialog box: select an object with a hatch fill, click one color in the palette in the color palette to set the foreground color, and then press and hold SHIFT and click another color in the palette to set the background color.

The background color is opaque by default. You can make the background color transparent by clicking the Background button in the Object Format dialog box and selecting the No color button [image] in the palette.


Making Hatch Patterns Draw Faster

If hatch patterns take too much time to draw on your screen, you can hide them by turning hatch fills off in the drawing.


To make hatch patterns draw faster

  • On the View menu, click Show Hatch Fills to toggle whether hatch fills show in your drawing.


Changing the Line Thickness and Spacing of Hatch Fills

You can change both the line thickness and spacing of hatch lines.

Line Thickness

The default value for hatch line thickness is 100%. Setting this value to 200% makes the lines twice as heavy; setting it to 50% makes the lines half as heavy.

Line Spacing

The default value for the spacing between hatch lines is 100% (no change). Setting this value to 200% doubles the space between hatch lines; setting it to 50% cuts the space between hatch lines in half.


To change the line thickness and spacing of hatch fills

  1. Select an object.

  2. Click the Format Tool [image] in the toolbox.

  3. Click the Hatch Interior Fill button [image] in the ribbon, or the Hatch Line Fill button [image] . The Object Format dialog box opens with the hatch options displayed.

  4. Enter new values for the line thickness and spacing.

  5. Click Apply. The object redraws with the new line thickness and spacing for the hatch pattern.


Using Image Fills

You can add image (bitmap) patterns to objects. You can create and save your own patterns with the Image program.

The Interior Fill and Line Fill menus contain the Image command for image (bitmap) patterns. The Image command provides a set of patterns composed of individual pixels (dots).

You choose the pattern for a selected object in the Object Format dialog box.

If the image fill pattern is all one color (monochrome), you can change the foreground and background color. To set the foreground and background colors for a monochrome image fill in a selected object, select an object with an image fill, click one color in the color palette in the format ribbon, and then press and hold SHIFT and click another color in the palette. You also can select colors for the foreground and background color swatches in the Object Format dialog box.

To speed your work, the Image submenu keeps track of the most recently used image fills. Choose the image fill in the submenu as you would any other command.

Related Topics | To choose an image pattern
 | Making Image Fills Draw Faster
 | Changing the Image Scale
 | Creating Image Patterns
 | Removing Image Patterns


To choose an image pattern

  1. Select an object.

  2. Click the Format Tool [image] in the toolbox.

  3. Click the Image Interior Fill button [image] in the ribbon, or the Image Line Fill button [image] . The Object Format dialog box opens with the image fill options displayed.

  4. Select a category from the drop-down list box.

  5. Click a pattern to select it.

  6. Click Apply. The object redraws with the new pattern.

As a shortcut, double-click an image pattern instead of choosing the pattern and then clicking Apply.

Plotters and many film recorders do not support bitmap patterns or opaque backgrounds.


Making Image Fills Draw Faster

If image fills take too much time to draw on your screen, you can hide them by turning image fills off in the drawing. Deselecting image fills has no effect on your drawing when it is printed.


To make image fills draw faster

  • On the View menu, click Image Fills to toggle whether image fills show in your drawing.


Changing the Image Scale

The image fill tabs (interior and line) of the Object Format dialog box include a scroll box to change the scale of the image.

The default value for Scale is 100%. Setting this value to 200% makes the image twice as large; setting it to 50% make the image half as large.


To change the image scale

  1. Select an object.

  2. Click the Format Tool [image] in the toolbox.

  3. Click the Image Interior Fill button [image] in the ribbon, or the Image Line Fill button [image] . The Object Format dialog box opens with the image fill options displayed.

  4. Enter a value in Scale % to change the size of the image.

  5. Click Apply. The object redraws with the new image size.


Creating Image Patterns

You can create your own image (bitmap) patterns (such as a texture or part of a photo image) with a bitmap-editing program, and paste these patterns into the Object Format dialog box.

You can launch Image from the image ribbon.


To add image patterns

  1. Create or import a bitmap pattern in your bitmap-editing program.

  2. On the Edit menu, click Copy to copy your pattern to the Clipboard.

  3. In Designer, click the Format Tool [image] in the toolbox.

  4. Click the Image Interior Fill button [image] in the ribbon, or the Image Line Fill button [image] . The Object Format dialog box opens with the image fill options displayed.

  5. On the Object Format dialog box, click Paste. The image appears in the preview box.

  6. Select the category where you want to add the pattern, then click Add. The image pattern you created is added to the end of the selected category.


Removing Image Patterns

You can remove image (bitmap) patterns you created and pasted into the Object Format dialog box.


To remove image patterns

  1. In Designer, click the Format Tool [image] in the toolbox.

  2. Click the Image Interior Fill button [image] in the ribbon, or the Image Line Fill button [image] . The Object Format dialog box opens with the image fill options displayed.

  3. Click the pattern you want to remove to select it.

  4. Click Remove. The image pattern is removed from the gallery of patterns.


Using Object Fills

You can fill an object with a pattern made of other objects.

You can fill a closed or connected object with a repeating pattern of other objects. Object fills draw in a grid pattern within the shape of the object you choose, extending to the borders of the object.

Designer's Object Format dialog box has a gallery of object fills from which to choose. You can use these object fills or create your own.

Objects with object fills can have two interior colors: one for the fill pattern (foreground) and one for the background. The background color is opaque by default. You can make the background color transparent by clicking the Background button and selecting the No color button [image] in the palette on the Edit Object Fill dialog box.

Dense patterns show less of the background color, and sparse patterns show more background color. By experimenting with different patterns and colors, you can produce interesting effects.

Related Topics | To choose an object fill pattern
 | Making Object Fills Draw Faster
 | Adding and Removing Object Fills
 | Editing Object Fills
 | Arranging Object Fills
 | Rotating Object Fills
 | Scaling and Positioning Object Fills
 | Flipping Object Fills


To choose an object fill pattern

  1. Select an object.

  2. Click the Format Tool [image] in the toolbox.

  3. Click the Object Interior Fill button [image] in the ribbon, or the Object Line Fill button [image] . The Object Format dialog box opens with the object fill options displayed.

  4. Select a category from the drop-down list box.

  5. Click a pattern to select it.

  6. Click Apply. The object redraws with the selected pattern.

As a shortcut, double-click an object pattern instead of choosing the pattern and then clicking Apply.


Making Object Fills Draw Faster

If object fills take too much time to draw on your screen, you can hide them by turning object fills off in the drawing. Deselecting object fills has no effect on your drawing when it is printed.


To make object fills draw faster

  • On the View menu, click Object Fills to toggle whether object fills show in your drawing.


Adding and Removing Object Fills

If you want to create an object fill and use it later, you can save it in the gallery in the Object Format dialog box.


To add an object to the gallery

  1. Draw the object to be added to the gallery and select it.

  2. On the Standard toolbar, click Copy [image] to copy your object to the Clipboard.

  3. Click the Format Tool [image] in the toolbox.

  4. Click the Object Interior Fill button [image] in the ribbon, or the Object Line Fill button [image] . The Object Format dialog box opens with the object fill options displayed.

  5. On the Object Format dialog box, click Paste. The object appears in the preview box.

  6. Select the category where you want to add the object, then click Add. The object fill pattern you created is added to the end of the selected category.


To remove an object from the gallery

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Object Interior Fill button [image] in the ribbon, or the Object Line Fill button [image] . The Object Format dialog box opens with the object fill options displayed.

  3. Click the object fill you want to delete.

  4. Click Remove. The object is deleted from the gallery.


Editing Object Fills

You can create fascinating effects by creating your own unique object fills. You can change the arrangement, flip characteristics, rotation, size, and spacing of an object fill. You can add a new object fill pattern or replace a pattern you previously added with a new one. You can even use multiple objects of different shapes.


To edit object fills

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Object Interior Fill button [image] in the ribbon, or the Object Line Fill button [image] . The Object Format dialog box opens with the object fill options displayed.

  3. Select the pattern that you want to edit from the gallery.

  4. Click Edit. The Edit Object Fill dialog box opens.

  5. Make your edits (arrangement, flip, rotate, size, and so forth).

  6. Click OK.

  7. On the Object Format dialog box, click Add or Replace (to replace a selected object) to add the edited object fill to the object fill gallery.


Arranging Object Fills

You can Center an object, Tile (repeat) by Row, or Tile (repeat) by Column. You must choose one of the tiling options to use many of the other features in the Edit Object Fill dialog box. You must choose a Flip option or change the value for Stagger % to see a difference between Tile by Row and Tile by Column.


Rotating Object Fills

Selecting the Pattern option rotates the whole object fill pattern; selecting Object rotates each individual object.

The Angle value sets the angle of rotation. You can either enter a value in degrees directly or drag the red needle in the dial control.

You can use a bitmap in an object fill, but it cannot be rotated.


Scaling and Positioning Object Fills

You can change the size of the object by changing the value of Width % and Height %. The default values are 100%, which is the original size. Changing both these values to 50% makes the object half the original size; changing the values to 200% makes the object twice the original size. To scale the object proportionally, change Width % and Height % the same amount.

You can adjust the spacing of tiled objects by changing the values for X Spacing % (height) and Y Spacing % (width). Entering a negative value causes objects to overlap; entering a positive value creates space between objects. A value of zero makes the bounding boxes of the objects flush with one another.

You can pan the entire object fill pattern within the larger object by adjusting the values for X Shift % (height) and Y Shift % (width). These values let you control how the fill pattern looks at the edges of the larger object.

Adjusting the Stagger % lets you stagger the position of every other row or column. For example, to illustrate a brick wall, you might set the Stagger % to 50.


Flipping Object Fills

To flip objects, you must select either About X (vertical) or About Y (horizontal). This specifies the coordinate axis about which the objects are flipped.


Filling Several Objects with a Continuous Fill

You can create a continuous fill across several objects that do not touch. All types of fills can span objects, but gradients, object fills, and masked objects are the most interesting.

Not connected

Connected

When you connect objects with the Connect Closed command, the objects fill with the current color and pattern. If you fill a set of connected objects with a gradient, masked object, or object fill, the fill spans the set of connected objects, even if the component objects of the overall connected object do not touch. The example above shows connected objects filled with a single diagonal gradient.


Using Fill Options

Designer lets you control whether overlaps or cut-outs are filled and whether the interior is filled before or after the line. For more information on overlaps and cut-outs, see "Connecting Objects."

Filling Overlaps

Designer lets you control whether the overlapping areas of an object are filled or skipped.

Overlaps filled and skipped

Fill Before or After Line

You can specify whether an object's interior is filled before or after its line is drawn.

Fill before and after

  • The Fill Before Line and Fill After Line commands do not apply to hairlines. Objects with only hairlines are not affected. You can increase the thickness of the lines and then use either of the commands. If you apply either of the commands to an object that includes both hairlines and weighted lines, only the weighted lines are affected.
  • The Fill After Line option can work well for shadow effects.


To set fill options

  1. Open the Object Format dialog box. For example, on the Format menu, point to Interior fill, then click Solid.

  2. Click the Fill/Skip Overlaps button to set the option:
    Fill: Skip:

  3. Click the Fill Before/After button to set the fill draw sequence option:
    Before: After:


Masking Objects

You can mask an object to the shape of any other object.

You can paste an object or bitmap into another closed or connected object in Designer. The object you paste is masked by the other shape. In the example below, a drawing is masked by text that has been converted to curves and connected closed.


To mask an object

  1. Select an object that you want to mask. (The object you will paste into the second object.)

  2. On the Standard toolbar, click Copy [image] to copy your the object to the Clipboard.

  3. Select an object that you want to use as a mask outline. (The object you will be pasting the first object into.)

  4. On the Effects menu, point to Masking and then click Paste Inside. A blue edit border appears around the mask-outline object.

  5. Position the outline of the object to be pasted, then double-click. A copy of the first object is pasted inside the second one.


Reusing Style Attributes

Designer lets you change the style defaults -- such as the fill color and line color -- that are used for each new object you draw. You can also copy an object's style and apply it to another object. And, you can save a style and reuse it later, even on other drawings.


Setting Default Styles

When you set a new default fill or color, the next object you draw will have these style attributes. Designer gives you several ways to set default styles.

One way to set a new default fill or line style is to deselect all objects and then choose any fill pattern or line style from the format ribbon or Object Format dialog box. The default fills and styles for interior and line are shown in the status bar.

Another way is to select an object then click Set Default Style on the Format menu. All of the style attributes of the selected object, including interior fills, line fills, and line styles, become the new defaults.


Copying and Applying Styles

Any of the following style attributes, once applied to an object, can be reapplied to other objects.

  • Both interior and line fill
  • Fills (solid, image, gradient, hatch, and object)
  • Line thickness, cap and join options, and calligraphic lines
  • Line ends and line style

If you spend time applying several style attributes to a single object, you may want to apply all of the same styles to other objects all at once. To do this, you can use the Copy Style and Apply Style commands.


To copy style attributes from one object to another

  1. Select an object with the style attributes you want to copy.

  2. On the Format menu, click Pick Up Object Format.

  3. Select the object to which you want to apply the style attributes.

  4. On the Format menu, click Apply Object Style. The style attributes are applied to the second object.

If more than one object is selected and the objects have different style attributes, the Pick Up Object Format command is not available.

You can also use the Pick Up Object Format button [image] and Apply Object Format [image] button. Use the Customize dialog box to add them: right-click a toolbar, click Customize, click Formatting, then drag the buttons to a toolbar.


Using the Style Toolbar

From the Style toolbar, you can add, modify, import, and apply styles. A style consists of any or all of the following attributes.

  • Both interior and line fill
  • Fills (solid, image, gradient, hatch, and object)
  • Line thickness, cap and join options, and calligraphic lines
  • Line ends and line style
  • Text attributes

You can import a named style from any open document or a Designer file.

Related Topics | To apply a style
 | To modify a style
 | To add a style
 | To import a style


To apply a style

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Show Styles Toolbar button [image] in the ribbon

  3. On the Style toolbar, select a style from the drop-down list box.

  4. Select one or more objects.

  5. Click the Apply Style button [image] . The style attributes are applied to the selected object(s).

You can select either the style or the object first.


To modify a style

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Show Styles Toolbar button [image] in the ribbon

  3. On the Style toolbar, click the Modify Style button [image] . The Style dialog box appears.

  4. On the Style dialog box, click the button with the attribute you want to modify. The Object Format dialog box appears.

  5. Make the modifications and click OK. The style is modified.


To add a style

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Show Styles Toolbar button [image] in the ribbon

  3. On the Style toolbar, click the Add Style button [image] . The Style dialog box appears.

  4. In the Style List, type a name for the new style and press ENTER. The Fill, Line, and Text Style buttons become active.

  5. On the Style dialog box, click the button with the attribute you want to modify. The Object Format dialog box appears.

  6. Make the modifications and click OK. The style is modified.


To import a style

  1. Click the Format Tool [image] in the toolbox.

  2. Click the Show Styles Toolbar button [image] in the ribbon

  3. On the Style toolbar, click the Style Options button [image] . The Style dialog box appears.

  4. Click the Import button. The Import Styles dialog box appears.

  5. Click the Open File button. The Open dialog box appears. Select the file which has the styles you want to import and click the Open button.

  6. Select each style you want to import then click Copy. The style is imported and available for selection.


Using Fonts

Designer recognizes fonts that are loaded with the installer, fonts installed with Adobe Type Manager, and TrueType fonts installed with the Windows Control Panel.

In addition to being used by Designer, the fonts you add with any of these methods are used by other Windows applications such as Microsoft Word and Wordpad.

Adding many fonts gives you more choices, but a large number of fonts uses more memory and increases the time needed to load Designer and other Windows programs.

Related Topics | Selecting Fonts, Sizes, and Styles
 | Available Fonts
 | Font Sizes
 | Setting Font Style
 | Setting Text Color
 | Using Special Characters


Selecting Fonts, Sizes, and Styles

You can specify type characteristics before you enter text, or you can change them for existing text. A text object can contain any combination of fonts, font sizes, and styles.

You can select fonts, font sizes, and styles with the text ribbon, the Text page of the Object Format dialog box, or the shortcut menu.


Available Fonts

The available fonts are listed in the Font List box. The icon preceding the font name describes the type of font.

Icon | Type of font
 | TrueType font
 | Adobe Type 1 font
 | Printer (device) font

If a blue question mark icon appears, it indicates that selected text saved in the document is in a font that is not currently installed on your computer.

To locate a font in the Font list box quickly, open the list box and type the first letter of the font name.


Font Sizes

You select the size of the font in the Font Size list box. You can select a size from 2 to 3,000 points by clicking the arrows beside the box, or you can type a custom size (10.5, for example).

You also can resize a selected text object using the corner handles, or stretch it with the middle or side handles. The new size appears in the Font Size list box.

You can also click the Font Recall button [image] and select one of the last ten fonts used.


Setting Font Style

The following styles are available in Designer.

You can also change the case of selected text to all upper case or all lower case.

Related Topics | To apply text styles with the text ribbon
 | To select text styles with the Object Format dialog box
 | To apply a text style using the shortcut menu
 | To change the case of the text


To apply text styles with the text ribbon

  1. Click the Text Tool [image] in the toolbox.

  2. Select the text object or highlight the text you want to change.

  3. On the text ribbon, click the style that you want to apply. The changes are made to the selected text.

You can use keyboard shortcuts for applying styles to selected and highlighted text. Press the keyboard shortcut once to apply the style. Press it again to remove the style.

Bold CTRL+B
Italic CTRL+I
Underline CTRL+U
Small Caps CTRL+M
Superscript CTRL+K
Subscript CTRL+SHIFT+K


To select text styles with the Object Format dialog box

  1. Click the Text Tool [image] in the toolbox.

  2. Select the text object or highlight the text you want to change.

  3. Click the Fonts button [image] in the text ribbon. The Object Format dialog box opens with text options displayed.

  4. Click the Fonts button [image] to display the Fonts panel, if necessary.

  5. Choose the styles you want to apply and click Apply. The changes are made to the selected text.

Press CTRL+SHIFT+T to open the Object Format dialog box and display text options quickly.

You do not need to close the dialog box to apply the changes.


To apply a text style using the shortcut menu

  1. Select the text object or highlight the text you want to change.

  2. Click the right mouse button. The shortcut menu appears.

  3. Choose the attribute you want to apply on the shortcut menu. The changes are made to the selected text.


To change the case of the text

  1. Select or highlight the text you want to change.

  2. On the Format menu, click Make Upper Case or Make Lower Case. The text is changed to the selected case.


Setting Text Color

You can set the following color attributes for text:

  • The color of the text (text color)
  • The color of the area behind the text (text background color)
  • The color of the line defining the text (text line color)

The default setting for the text line color is no fill, and the default setting for text line weight is hairline.


To change text line and interior color

  1. Select or highlight the text you want to change.

  2. Point to a color in the color palette and click the left mouse button to change the interior color.

  3. Point to a color in the color palette and click the right mouse button to change the line color.

To set a color to invisible or unfilled, click the X in the color palette toolbar.

You can also change the text color on the Fonts panel of the Object Format dialog box. This sets the line and fill to the same color.


To change text background color

  1. Click the Text Tool [image] in the toolbox.

  2. Select the text object or highlight the text you want to change.

  3. Click the Fonts button [image] in the text ribbon. The Object Format dialog box opens with text options displayed.

  4. Click the Fonts button [image] to display the Fonts panel, if necessary.

  5. Click the Text Background button. A palette displays.

  6. Point to a color in the palette and click the left mouse button.

  7. Click Apply.


Using Special Characters

Special characters such as umlauts, trademark symbols, fractions, and open and close quotation marks do not appear on most keyboards. When you want to use a special character, you either must insert them by entering their code on the numeric keypad or by using the program called Character Map that comes with Windows. (See Windows' help for more information.)

Although most fonts contain a complete set of special characters, some fonts do not. For example, if you are using a font that does not contain the special symbol "µ," you must change to a font that does contain it in order to insert that object.

Using the Keypad

Each character in a font is associated with a number. For example, "µ" has the number 0181, regardless of the font. The number is called an ANSI (American National Standards Institute) character code.

Dingbats

Text fonts use the standard ANSI character codes. Non-text fonts such as dingbats are assigned character codes, but there is no standard. You must use either the keypad or the Windows Character Map to insert non-text characters.


Using Freeform Text and Block Text

There are two types of text in Designer: freeform text and block text.

Freeform and block text let you create text objects (any object composed of text) in slightly different ways. Block text is created inside a container, while freeform text has no container.


Adding Freeform Text

Use freeform text when you want to create titles, short sentences, or labels, for example. To create freeform text, click the Text Tool, click the Text Mode button (if necessary to display the text pointer), click in the drawing area to insert the text cursor, and type the text.

Freeform text cannot flow from one text object to another, nor does it use margins, "word wrap," or indents. Resizing a freeform text object changes the size of the text. You cannot wrap freeform text around an object (repel text).


To add freeform text

  1. Click the Text Tool [image] in the toolbox.

  2. Click the Text Mode button [image] to display the text pointer, if necessary.

  3. Point where you want the text to begin. Click the left mouse button to display the text cursor.

  4. Type the text. If you make a mistake, press BACKSPACE to erase it.

  5. Press ESC or double-click the left mouse button away from the text when you finish entering the text.


Adding Block Text

Block text is useful when you want to create large blocks of text. To create block text, click the Text Tool, click the Text Mode button (if necessary to display the text pointer), draw a box to contain the text, and type the text.

You can connect text blocks so that the text flows from one container to another, and you can assign margins. Resizing block text changes the size of the container, but not the text.

You add block text by creating a container and typing text inside it. If you add more text than can fit in the text container, it extends below the box and is invisible. Enlarge the container or flow the extra text to another container to see it. See "Flowing Text" for more information.

You can enter or edit text only when the text cursor is visible. All text is entered in the drawing area. Zoom in to view and edit the characters, if necessary (or use the Edit Text dialog box as described in "Editing Text."

The appearance of the text depends on the font, size, and style settings. To set new defaults for text attributes, deselect all objects and then choose the desired font, size, style, and so on.


To add a text block

  1. Click the Text Tool [image] in the toolbox.

  2. Click the Text Mode button [image] to display the text pointer, if necessary.

  3. Point where you want the text to begin.

  4. Press and hold the left mouse button, and drag the pointer to create a box with dashed lines. The box is the text container.

  5. Release the mouse button when you finish the box. The text cursor appears inside the container.

  6. Type the text.

  7. Press ESC when you finish entering the text.


Converting between Block and Freeform Text

You can use the Clipboard to convert block text to freeform text and freeform text to block text. Each paragraph of block text converts to a single line of freeform text.


To convert between block text and freeform text

  1. Highlight the text you want to convert.

  2. On the Edit menu, click Copy (or Cut) to place the text on the Clipboard.

  3. Double-click anywhere outside the text area to deselect all text.

  4. Click the Text Tool [image] in the toolbox.

  5. Move the text pointer where you want to place the freeform text, and click the left mouse button to place the text cursor.

  6. On the Edit menu, click Paste. The text appears in the new format.

  7. Press ESC when you finish editing.

In step 5, you can draw a container to contain the text. Press and hold the left mouse button, and drag a container in which to place block text. Release the mouse button.


Editing Text

Designer provides many useful text editing functions. To edit text, select the text on the drawing area, or use the Edit Text dialog box.

You can paste text directly onto the drawing area, into a text block, or even into an object. Or, you can import text from another file.

Other editing functions include changing paragraph, line, and character spacing; kerning; setting indents, tabs, and leaders; and drop caps.

Related Topics | Searching for Text
 | Using the Edit Text Dialog Box
 | Importing Text
 | Pasting Text
 | Pasting Text inside an Object
 | Placing Text Inside of an Object
 | Changing Paragraph Spacing
 | Changing Line Spacing
 | Changing Character Spacing
 | Kerning Text
 | Setting Indents
 | Setting Tabs
 | Setting Leaders
 | Using Drop Caps


Searching for Text

You can search for text on the current page by using the Find Text feature. Designer searches for the object that contains the text. The search is also conducted on the properties of all symbols on the page.


To search for text

  1. To display the Find Text dialog, select Find Text from the Edit menu.

  2. Enter the word(s) you are searching for.

  3. Use the Match Case box to indicate whether or not the text search is to be case-sensitive.

  4. Click Find Next. The first object containing the text you searched for is selected.

  5. To search for the next object that contains the text, click Find Next. The next object containing the text you searched for is selected.


Using the Edit Text Dialog Box

The Edit Text dialog box provides a method of editing text that can be quicker and more convenient than editing text in the drawing area. The Edit Text dialog box makes it easy to edit text to which you have applied graphic effects such as warping, because it displays the text without those effects. You can also use the Edit Text dialog box to edit text that is too small to view without zooming in.

The Edit Text dialog box shows and lets you apply style attributes such as bold and italic.

You can edit both freeform and block text in the Edit Text dialog box. To open the Edit Text dialog box for all text except warped text, press and hold SHIFT and click the text with the text pointer. To open the Edit Text dialog box for warped text, just click the text with the text pointer (without pressing SHIFT).


To open the Edit Text dialog box

  1. Click the Text Tool [image] in the toolbox.

  2. Click the Text Mode button [image] to display the text pointer, if necessary.

  3. Point to the text with the text pointer.

  4. Press and hold SHIFT, and click with the left mouse button.

If the text cursor is positioned within text, press ESC before following the procedure given above.


Importing Text

You can compose text in a word processing or other Windows program and import it into your Designer drawing.

There are two ways to bring text into Designer. You can paste text into Designer from the Clipboard, or you can import text as a plain (ASCII) or Rich Text Format (RTF) text file.

Text can be imported as freeform or block text. If you import ASCII text (for example, a TXT file), it appears in the current font and style. If you import RTF text, it appears in the font and style in which it was originally created.

Designer imports text into a set size text container, using the default font and font size. If you need to change the size of the text container, double-click the container and resize it.


To import text from a text file

  1. Click the Text Tool [image] in the toolbox.

  2. Click the Text Mode button [image] to display the text pointer, if necessary.

  3. Click a text object to insert the text cursor.

or

Begin a new text object (click for freeform, drag for block text).

  4. On the File menu, click Import. The Import dialog box opens.

  5. Select Files of type ASCII Text (*.txt) to import regular ASCII text or select Rich Text Format (*.rtf) to import RTF text.

  6. Highlight the file to import and click Import. The text appears.

  7. Press ESC when you finish editing.

You can press CTRL+1 (one) to open the Import dialog box quickly.


Pasting Text

You can copy text from another application and paste it into Designer as freeform or block text.


To paste text as freeform text

  1. Copy the text you want in another program.

  2. Change to Designer.

  3. Press CTRL+V to paste the text into Designer

  4. Press ESC when you finish editing the text.


To paste text as block text

  1. Copy the text you want in another program.

  2. Change to Designer.

  3. Click the Text Tool [image] in the toolbox.

  4. Click the Text Mode button [image] to display the text pointer, if necessary.

  5. Point where you want the text to begin.

  6. Press and hold the left mouse button, and drag the pointer to create a box with dashed lines. The box is the text container.

  7. Release the mouse button when you finish the box. The text cursor appears inside the container.

  8. Press CTRL+V to paste the text into Designer

  9. Press ESC when you finish editing the text.


Pasting Text inside an Object

You can paste text inside a container that matches a closed object's outline.


To paste text inside an object

  1. Copy or cut text to the Clipboard.

  2. Select a closed object.

  3. Click the Text Tool [image] in the toolbox.

  4. Click the Shape Text button [image] on the text ribbon.

  5. On the Edit menu, click Paste.

  6. Press ESC when you finish editing the text.


Placing Text Inside of an Object

Text inside of an object is a form of block text. A container is created that matches the edges of the object. You can create margins based on the distance of the text from the container.

You can flow text inside of an object from one container to another. For example, you can flow a block of text inside an object to a block of text outside the object. See "Flowing Text" for more information.


To place text inside of an object

  1. Select a closed object.

  2. Click the Text Tool [image] in the toolbox.

  3. Click the Shape Text button in the [image] text ribbon. The text cursor appears inside the selected object.

  4. Type, paste, or import the text.

  5. Press ESC when you finish.

After you place text inside of an object, you can move or delete the object without affecting the text. Point inside the object, press ALT and click the left mouse button. Text Object appears in the status bar at the bottom of the Designer window when the text is selected; the type of object (shape) appears when the object is selected. Press DELETE to delete the object when it is selected.


Changing Paragraph Spacing

You can change the amount of space between paragraphs with the paragraph spacing options in the Spacing page of the Object Format dialog box. Spacing is measured in the currently selected unit (points, for example).

If Before Paragraph or After Paragraph is set to zero, Designer automatically uses the current leading for the paragraph, which results in no extra space before or after the paragraph.


Changing Line Spacing

Each font in designer has its own default line and character spacing. You can change the spacing between characters, words, lines, and paragraphs.

The space between lines of text is called leading. Leading is measured (in points) from baseline to baseline. The default is the current font size plus approximately 15% of the font size (the percent may vary from font to font). For example, if the current font is 10 points, then the default leading is approximately 11.5 points.

You can change the leading in selected block text or specify leading for block text you are going to enter. If a selected block text contains different sizes of text, Designer displays leading for the largest font.

You cannot change the leading of freeform text.


To change line spacing (leading)

  1. Click the Text Tool [image] in the toolbox.

  2. Select or highlight the text you want to change.

  3. Click the Fonts button [image] in the text ribbon. The Object Format dialog box opens with text options displayed.

  4. Click the Fonts button [image] to display the Fonts panel, if necessary.

  5. In the Leading box, enter a number for the amount of leading.

  6. Click Apply to change the leading.

You do not need to close the dialog box to apply the changes.

You also can change block text leading manually. Insert the text cursor into the block and press and hold SHIFT while dragging the bottom container handle up or down. Press CTRL while dragging to change the spacing between paragraphs.


Changing Character Spacing

You can increase or decrease the spacing between words and characters by changing the "normal" spacing percentage. The default for words is 100% spacing; the default for characters is 100% spacing. Decreasing the percentage decreases the spacing between letters or words; increasing the percentage increases the spacing.

You can also manually change character spacing in block text. Insert the text cursor into the block and press and hold SHIFT while dragging the right container handle left or right. Press CTRL while dragging to change the spacing between words.


To change word and character spacing

  1. Click the Text Tool [image] in the toolbox.

  2. Select the text you want to change.

  3. Click the Fonts button [image] in the text ribbon. The Object Format dialog box opens with text options displayed.

  4. Click the Spacing button [image] to display the Spacing panel, if necessary.

  5. Enter a number in the Inter-word or Inter-character box.

  6. Click Apply to change the spacing.


Kerning Text

Changing the spacing between certain pairs of characters is called kerning. Kerning adjusts the spacing between particular characters that look better when they are closer together. The illustration below shows characters that are commonly kerned.


To kern text

  1. Click the Text Tool [image] in the toolbox.

  2. Click the Text Mode button [image] to display the text pointer, if necessary.

  3. Point to the characters to kern, and press the left mouse button to place the text cursor between them.

  4. Press and hold CTRL+ALT and press the LEFT ARROW or RIGHT ARROW key to move the characters closer together or farther apart, respectively.

Use the View tool to zoom in on the text you want to kern. The closer you zoom, the easier it is to see the kerning effect.


Setting Indents

You can move the first line of selected paragraphs in block text to the left or right of the left margin by changing the first line indent. If you select a text object, the first line of each paragraph separated by a return is indented. If you highlight a portion of one or more paragraphs, only the first lines of those paragraphs are indented.

A positive indent moves the text toward the right (away from the left margin); a negative indent moves the text toward the left (inside of the left margin).


To indent the first line of a paragraph

  1. Click the Text Tool [image] in the toolbox.

  2. Select or highlight the text you want to change.

  3. Click the Fonts button [image] in the text ribbon. The Object Format dialog box opens with text options displayed.

  4. Click the Tab Stops button [image] to display the Tab Stops panel, if necessary.

  5. Enter a positive number in the First Line box to indent the first line of each paragraph to the right; enter a negative number to indent to the left.

  6. Click Apply to indent the text.

In step 3, if you prefer you can open the Object Format dialog box on the Tab Stops panel by clicking Tab Stops on the Format menu.

You do not need to close the dialog box to apply the changes.


Setting Tabs

Tab stops are relative to the text object. For example, if the first tab stop is.5 picas, the first tab is .5 picas from the left margin. If the second tab stop is 1.0 picas, it is 1.0 picas from the left margin, and so on. Text objects maintain their original tab positions even if you move the object.


To set tab stops

  1. Click the Text Tool [image] in the toolbox.

  2. Click the Fonts button [image] in the text ribbon. The Object Format dialog box opens with text options displayed.

  3. Click the Tab Stops button [image] to display the Tab Stops panel, if necessary.

  4. Select the type of tab stop, if you want.

  5. Type a position for the tab stop in the Position box.

  6. Click the Add Tab button [image] to add a single tab stop, or click the Repeat Tab button [image] to add repeating tab stops.

  7. Click Apply to enter the tab stops.


Setting Leaders

Leaders are characters such as periods ( . ), hyphens ( - ), and underscores ( _ ) that appear to the left of tabulated text.


To set leaders

  1. Click the Text Tool [image] in the toolbox.

  2. Click the Fonts button [image] in the text ribbon. The Object Format dialog box opens with text options displayed.

  3. Click the Tab Stops button [image] to display the Tab Stops panel, if necessary.

  4. Select a current tab in the Current Tabs area.

  5. Select a leader in the Leader box.

  6. Click the Add Tab button [image] . A dialog box appears asking if you want to overwrite the existing tab.

  7. Click Yes. The previous tab is replaced with the new one with the leaders you chose associated with it

  8. Click Apply to put the new tab stops in selected text.


Using Drop Caps

A drop cap is an enlarged first capital letter in a selection of text. A drop cap is created by lowering the baseline of the first character in a paragraph so that it aligns with the baseline of the last indented line.

You create drop caps by increasing the percentage of the current font height. For example, 200% doubles the size of the first letter of the paragraph.

Drop caps are only available with container text, not with freeform text.


To create an initial drop cap

  1. Click the Text Tool [image] in the toolbox.

  2. Select or highlight the text you want to change.

  3. Click the Fonts button [image] in the text ribbon. The Object Format dialog box opens with text options displayed.

  4. Click the Spacing button [image] to display the Spacing panel, if necessary.

  5. Select the Drop Capital option.

  6. Enter the percentage for the drop cap size.

  7. Click Apply.


Aligning Text

Designer lets you align freeform and block text horizontally and vertically. You can also fit text to a path and align it relative to the path.

Related Topics | Text Alignment Options
 | Aligning Freeform Text
 | Aligning Block Text
 | Fitting Text to a Path
 | Entering Text along a Path
 | Using the Path Fit Palette
 | Using the Choose Position Ribbon


Text Alignment Options

You can align text horizontally or vertically. Horizontal text alignment aligns text from left to right and vertical alignment aligns text from top to bottom.

Horizontal alignment options

Vertical alignment options

Vertically justified text ignores previous leading settings.


Aligning Freeform Text

You can choose an alignment option before or after you enter freeform text. If you select an alignment option before entering text, the text is aligned to the cursor's position. For example, if the text is aligned at the right, the cursor does not move and text appears to the left of the cursor as you type.

If you select a freeform text object or highlight only the text you want to align, the alignment is based on the bounding box that surrounds the text. The bounding box is as wide as the longest line of text and as tall as the number of lines of text.

Freeform text cannot be justified vertically or horizontally.


Aligning Block Text

You can choose an alignment option before or after you enter block text. You can set the alignment option before entering text or select a text block and change the alignment of the entire block. You also can highlight only the paragraphs you want to align. Text is aligned to the container.

Text in a shape is aligned after it is pasted into the shape. The text is aligned within the edges of the shape.


Fitting Text to a Path

Designer's fit-to-path features let you align text to any shape, including curves, circles, and angles to create complex effects. You can either enter the text directly onto a path or fit existing freeform text to a path. After fitting text to a path, you can still edit the text and change text attributes.

It is easy to get the text fit that you want because Designer previews on your page the effect of alignment settings as you choose or change them.

Because Designer remembers the path that you used to align the text, you can reshape the path object, or even delete it, without affecting the aligned text.

You can edit text on a path just as you would any other text. For example, you can change the path alignment, color, font, or kerning of the text. You can also delete the shape used to arrange the text if you do not want the object to be visible.


Entering Text along a Path

The Path Text button [image] lets you type text directly onto an object's path. The text is fitted to the path using the current settings. After entering text, you can easily change the fitting options to get the text alignment that you want.


To enter text directly along an object's path

  1. Select the object along which you want to place the text.

  2. Click the Text Tool [image] in the toolbox.

  3. Click the Path Text button [image] . The text cursor appears on the path.

  4. Type or paste the text. It appears along the object as you type.

  5. Press ESC when you finish.


Using the Path Fit Palette

Use the path fit palette to fit existing freeform text to a path or edit the alignment of text already fit to a path.

The path fit palette provides "quick choice" buttons that let you specify combinations of the following.

  • Text alignment: left, right, or center
  • Text position: above (outside) or below (inside) the path
  • Text orientation: normal or upside down

If you are fitting freeform text to a path, you must select both the freeform text and the path object to enable the Path Fit button. If you are editing the alignment of text already fit to a path, you can enable the Path Fit button either by selecting the fitted text or by selecting the fitted text and path object.

The quick choice buttons show a sample path and an arrow to indicate the text arrangement. The location of the arrow in relation to the sample path indicates the text alignment and position. The direction of the arrow indicates the text orientation (which side is up).


To place existing freeform text along an existing object's path

  1. Select both the freeform text and the object to which you want to align the text.

  2. Click the Text Tool [image] in the toolbox.

  3. Click the Path Fit button [image] . A palette opens.

  4. Click the desired quick choice button. The text is put along the path.

or

Click Choose Position and specify a custom alignment.

Subscripts, superscripts, and small caps are not retained in text that is fit to a path.


To remove text from a path

  1. Select the text you want to remove from a path.

  2. Click the Text Tool [image] in the toolbox.

  3. Click the Path Fit button [image] . A palette opens.

  4. Click Remove Curve. The text is removed from the path. It is now freeform text.


Using the Choose Position Ribbon

If the quick choice buttons do not provide the text alignment that you want, you can custom align the text with the buttons in the Choose Position ribbon.

The buttons in the Ribbon let you separately set the alignment, position, offset, direction, and pitch of the text. The Choose Position button also lets you manually adjust the alignment point by dragging it along the path.

Click Choose Position in the Path Fit palette to display the choose position ribbon. After creating the path fit that you want, double-click the left mouse button or press ESC to clear the choose position ribbon.

Related Topics | To change alignment for text on a path
 | To change text position for text on a path
 | To change the offset of text on a path
 | To change the direction of text on a path
 | To change the orientation of text on a path
 | To reposition the alignment point of text on a path


To change alignment for text on a path

  1. Select the path text you want to change.

  2. Click the Text Tool [image] in the toolbox.

  3. Click the Path Fit button [image] . A palette opens.

  4. Click Choose Position. The choose position ribbon opens.

  5. Click the Left Align [image] , Center Align [image] , or Right Align button [image] .


To change text position for text on a path

  1. Select the text you want to change the position of.

  2. Click the Text Tool [image] in the toolbox.

  3. Click the Path Fit button [image] . A palette opens.

  4. Click Choose Position. The choose position ribbon opens.

  5. Click the Above Path [image] or Below Path button [image] to specify the position for the text.


To change the offset of text on a path

  1. Select the text you want to change the offset of.

  2. Click the Text Tool [image] in the toolbox.

  3. Click the Path Fit button [image] . A palette opens.

  4. Click Choose Position. The choose position ribbon opens.

  5. Enter the offset percentage you want in the Offset Percentage box.

An offset of 0% aligns the text on the path.

The alignment offset is relative to whether the text is positioned above or below the path. A positive offset (to the limit of 500%) shifts the text away from the path. A negative offset 0% (to the limit of -50%) shifts the text past the path.


To change the direction of text on a path

  1. Select the text you want to change the offset of.

  2. Click the Text Tool [image] in the toolbox.

  3. Click the Path Fit button [image] . A palette opens.

  4. Click Choose Position. The choose position ribbon opens.

  5. Click the Reverse button [image] or Forward button [image] to set the direction you want.

The Reverse button [image] aligns text in a counter clockwise direction for most simple paths. This generally displays the text upside down in relation to the top of the path.

The Forward button [image] aligns text in a clockwise direction for most simple paths. This generally displays the text upright in relation to the top of the path.


To change the orientation of text on a path

  1. Select the text you want to change the alignment pitch of.

  2. Click the Text Tool [image] in the toolbox.

  3. Click the Path Fit button [image] . A palette opens.

  4. Click Choose Position. The choose position ribbon opens.

  5. Click the Text Orientation button [image] . A menu appears.

  6. Click one of the following:

    Rotate (default) - Aligns the text by rotating the characters along the path.

    Skew Vertically - Aligns the text by skewing the characters vertically.

    Skew Horizontally - Aligns the text by skewing the characters horizontally.

    Follow - Aligns the text without rotating or skewing the characters. This produces the fastest redraw. Use this pitch as a draft mode while you are modifying the alignment point. After the alignment point is set correctly, choose the pitch setting you want.


To reposition the alignment point of text on a path

  1. Select the text you want to change the alignment pitch of.

  2. Click the Text Tool [image] in the toolbox.

  3. Click the Path Fit button [image] . A palette opens.

  4. Click Choose Position. The choose position ribbon opens.

  5. Drag the alignment point [image] to a new location or click any point along the path.


Reshaping Text

Designer lets you change the shape of text by converting it to objects. You can also change the way text flows around objects and between containers and split or join text objects.

Related Topics | Converting Text to Curves
 | Resizing a Text Container
 | Reshaping Block Text
 | Wrapping Text around an Object
 | Flowing Text
 | Flowing Text between Containers
 | Splitting and Joining Text


Converting Text to Curves

You can convert outline fonts into standard Designer objects. This lets you reshape text just as you would any other Designer object.

Converting text to curves is useful when you want to reshape text or create a drawing that can be opened on a computer that does not have the original typeface. You can convert both freeform and block text to curves.

All fonts included with Designer are scalable outline fonts. The most common outline fonts are TrueType and Type 1. If you try to convert a non-outline font, Designer substitutes the default font before converting it.

After you convert text to curves, the objects are no longer text objects. You cannot insert or delete text, check the spelling, change any of the paragraph options, or make any other text edits. Text converted to object outlines can be changed back to text only with the Undo command.


To convert text to curves

  1. Select the text to convert.

  2. On the Object Menu, click Convert to Curves.

  3. On the Arrange menu, click Disconnect. You can now click individual characters to select them. The text converts to an object outline.


Resizing a Text Container

You can resize the text container around block text to change the text flow. Resizing a text container does not otherwise change the appearance of the text.

To display the text container around block text so that you can resize it, click the text block once with the text pointer, or double-click the text block with the select pointer.

Dragging a container handle resizes the container. The text reflows to accommodate the new container size, but the text size and style attributes do not change.


To resize a text container

  1. Display the text container, if necessary.

  2. Move the pointer to a container handle.

  3. Drag the handle to a new position.

  4. Release the mouse button.

  5. Repeat steps 2 through 4 to adjust the other handle, if desired.

  6. Press ESC when you finish resizing the container.


Reshaping Block Text

You can reshape a block text container to change its text flow. Text containers are reshaped as curved objects. The options available for reshaping a text container include adding and deleting anchors, creating corners and symmetrical curves, and creating locked or unlocked cusps.

Reshaping a text container does not change the size or style of the text in the container.


To reshape a block text object with anchors

  1. Select the block text you want to reshape.

  2. Click the Edit Tool [image] in the toolbox and click Reshape Curve Text.

  3. Point to an unselected anchor.

  4. Press the left mouse button and drag the point to a new location. The text container's shape changes.

  5. Release the mouse button when you finish. The text reflows to maintain its margins.

  6. Repeat steps 3 through 5 to reshape other edges of the container.


To reshape a block text object with control points

  1. Select the block text you want to reshape.

  2. Click the Edit Tool [image] in the toolbox and click Reshape Curve Text.

  3. Click an anchor to select it. It turns solid.

  4. Drag a control point. The text container's shape changes.

  5. Release the mouse button when you finish. The text reflows to maintain its margins.

  6. Repeat steps 3 through 5 to reshape other edges of the container.


Wrapping Text around an Object

You can force block text to automatically wrap around an object by setting the object to repel block text.

You cannot repel freeform text or text inside an object. Also, you cannot repel text from grouped objects or bitmaps.


To repel text

  1. Select the object for the text to wrap around.

  2. From the Effects menu, select Repel Text. The text wraps around the object.

You cannot repel freeform text. You cannot repel text from bitmaps or objects inside a group.

Objects repel text regardless of the layer. For example, an object on layer one repels text on layer two. Even objects on layers that are not visible repel text.

To turn off repel text mode for a particular object, select the object and repeat the steps above.


Flowing Text

Block text is always surrounded by an invisible boundary called a container. You can connect text containers so that block text flows from one container to another. You can flow text among any number of text containers (including text in shapes). You can either connect existing text containers or create a new text container that flows from an existing one. You cannot flow to a different page.

Text overflows a container when there is more text than can fit into the container. When you edit text, an overflow handle (a small "+") appears at the lower right border of the container to show that there is overflowing text. Text flows from the back object to the front object. If you don't reorder the objects, text flows from the first drawn to the last drawn object.


To create a new flowing text container

  1. Click the Text Tool [image] in the toolbox.

  2. Click the Text Mode button [image] to display the text pointer, if necessary.

  3. Click the text with the text pointer.

  4. Click the overflow handle to create a second block of the same size near the original.

If you wish, you can point to the overflow handle, press and hold the left mouse button, and drag a second block of the same size to a new location.


Flowing Text between Containers

If you have already created two or more text blocks, you can connect them so that text flows from one to the other. If you add or delete text in one container, the other text blocks also adjust.


To flow text from one container to another

  1. Select the text containers to connect.

  2. On the Arrange menu, point to Text and click Flow Text. The text containers are connected.

You can flow text through any number of text containers at the same time. Text flows from the back container (the one drawn first) to the front container.


Splitting and Joining Text

You can break multi-line text objects into individual objects, or join multiple text objects into a single, multi-line object.

Splitting and joining text is useful when you want to quickly enter or import several lines of text and position them later. For example, if your drawing has a dozen labels, it is easier to enter the labels as a single object, and then split it and move the labels individually.


To split a multi-line text object

  1. Select the text object.

  2. On the Arrange menu, point to Text and click Split Text. Each line of text becomes a separate text object.


To join text objects

  1. Select the text objects to join.

  2. On the Arrange menu, point to Text and click Join Text. The text becomes one object based on the location of the first text object.


Checking Spelling

You can check the spelling in all of your drawings and documents created in Designer.

Designer can check the spelling of all the text in the document, or just the text you select. For example, if you want to check one word, highlight the word and click the Spelling button.

Designer checks spelling by comparing words in your document with words in a dictionary. The default dictionary is a file containing thousands of words. If Designer finds a word in your drawing that is not in the dictionary, the word is displayed as a possible misspelling.

There are many types of words that are not in the dictionary. Proper names, words with numbers, foreign words, and some abbreviations are commonly displayed as possible misspellings. You can use the Add button to add a displayed word to the dictionary so that it will not be considered a misspelling in the future.

Related Topics | To check spelling in a drawing
 | To ignore misspelled words
 | To change the misspelled word
 | To add the misspelled word to the dictionary
 | Using Dictionaries
 | Searching for Text


To check spelling in a drawing

  1. Select the text you want to check.

  2. Click the Text Tool [image] in the toolbox.

  3. Click the Spelling button [image] in the text ribbon. If a misspelled word is found, Designer opens the Spelling dialog box.

  4. Type the correct spelling for the word in the Change To box and click Change; or

  5. Click Ignore or Ignore All to ignore the word or every instance of the word, respectively; or

  6. Select one of the words in the Suggestions box and click Change or Change All.

  7. Click Add to add the word to the dictionary and continue.

Designer checks the spelling of text objects only. Text that has been converted to curves is not checked.

To check the entire document, leave all text unselected.

As a shortcut for steps 2 and 3, click the Spelling button on the Standard toolbar.


To ignore misspelled words

  • Click Ignore to skip the word in the Not in Dictionary area without changing it.


To change the misspelled word

  • Click the Change button to change the highlighted word in your document to the word in the Change To box.


To add the misspelled word to the dictionary

  • Click Add to add the word in the Not in Dictionary field to the currently selected dictionary.

The currently selected dictionary appears in the Add Words to list box.


Using Dictionaries

The default dictionary is called the standard dictionary. You can enlarge the standard dictionary by adding words with the Add option.

You can create additional dictionaries, or custom dictionaries, to use with the standard dictionary. For example, if you are working on a drawing containing chemical names and abbreviations, you can create a custom dictionary called "CHEMICAL.DIC" to use in addition to the standard dictionary.


To create a new custom dictionary

  1. Click the Text Tool [image] in the toolbox.

  2. Click the Spelling button [image] in the text ribbon.
    If errors are found, the Spelling dialog box opens.

  3. Click the Options button.

  4. On the Spelling tab, click New.

  5. Type a name for the dictionary. (Designer automatically adds the ".dic" extension.)

  6. Click Save.
    Designer adds the dictionary to the list of Custom Dictionaries.

If someone has given you a custom dictionary with their words in it, you can add it using the Add button in the Options - Spelling dialog box, selecting the dictionary, and choosing Open. Designer adds the dictionary to the list of Custom Dictionaries.


To use a custom dictionary

  1. Click the Text Tool [image] in the toolbox.

  2. Click the Spelling button [image] in the text ribbon. The Spelling dialog box opens.

  3. Click the Options button to open the Options - Spelling dialog box.

  4. Click the check box in front of the dictionary you want to use.

Designer consults all dictionaries in the Add Words to list box.


Warping Effects

Warping lets you distort an object by changing the surface on which it was drawn. For example, if you write your name on a deflated balloon and then inflate the balloon, your name becomes warped.

You can use warping to create effects that are difficult to draw, such as a water droplet or a hilly surface. You can also use warping to create unusual text effects, such as text being pulled down a drain. A warped effect can be edited like any two-dimensional object. You can warp grouped or connected objects.

When you warp an object, Designer places a warp envelope over it. The envelope appears as a blue warping grid. As you change the envelope, the object changes underneath.

You can reshape the warp envelope with lines, curves, or Bezier control points. The default reshape method is the last one used.

You can add an unwarped, rectangular envelope to an object. The previous, warped envelope is replaced with a new envelope. The object underneath is unchanged.

You can use the Remove Warp button to remove the last warp envelope you added. Removing a warp envelope restores the object underneath to its previous shape. If you have applied a series of warp envelopes to an object, you can remove them one at a time in reverse order with the Remove Warp button.

You can increase the density of a new warp envelope by adding horizontal and vertical lines. This gives you more control over the warp.

Related Topics | To warp an object
 | To change the warp type
 | To add or remove a warp envelope
 | To increase the density of a warp envelope


To warp an object

  1. Select the object to warp.

  2. Click the Edit tool [image] in the toolbox.

  3. Click Warp in the menu. A blue warp envelope appears over the object.

  4. To use a pre-defined warp, click its button in the ribbon:

  5. To change the shape of the warp, point to a handle and drag it to change the envelope.

  6. Double-click or press ESC when you finish.


To change the warp type

  1. Select an object to warp or an object previously warped.

  2. Click the Edit tool [image] in the toolbox.

  3. Click Warp in the menu. A blue warp envelope appears over the object.

  4. Click the Warp Type button in the [image] ribbon then click one of the following in the menu:

    Edit as Line to reshape the envelope with lines and no curves.

    Edit as Curve to create curving lines when you reshape points on the envelope.

    Edit as Bézier to reshape the envelope with Bézier control points. You can use the Cusp, Curve, and Symmetrical Curve buttons to modify the control points' movements.

  5. Double-click or press ESC when you finish.


To add or remove a warp envelope

  1. Select an object to warp or an object previously warped.

  2. Click the Edit tool [image] in the toolbox.

  3. Click Warp in the menu. A blue warp envelope appears over the object.

  4. Click the Add Warp button [image] on the ribbon. The previous, warped envelope is replaced with a new envelope. The object underneath is unchanged.

or

Click the Remove Warp button [image] . The object is restored to its previous shape.

  5. Double-click or press ESC when you finish.


To increase the density of a warp envelope

  1. Select the object to warp or an object previously warped.

  2. Click the Edit tool [image] in the toolbox.

  3. Click Warp on the menu. A blue warp envelope appears over the object.

  4. If the object was previously warped, click the Add Warp button [image] on the ribbon.

  5. Click the Add Vertical Lines button [image] to double the number of vertical grid lines.

or

Click the Add Horizontal Lines button [image] to double the number of horizontal envelope grid lines.

  6. Double-click or press ESC when you finish.


Transparency

You can apply variable transparency to a closed object. You can apply the transparency evenly across the object or apply a linear, radial, square, or conical transparency gradient.

Transparency is not supported in objects exported to vector formats. However, it is supported in bitmap formats.

Objects created during a blend become non-transparent after being blended.

Although you can apply gradient transparency to an object that has a gradient color-fill, it's a good idea to experiment with gradient transparency on objects that have solid color fills.

If you apply transparency to an object with invisible color fill, the transparency is apparent only along the object's line. Fill the object with an opaque color.


To apply variable transparency to an object

  1. Select a closed object.

  2. Click the Format tool [image] in the toolbox to display the Format ribbon.

  3. On the ribbon, click either the Solid Transparency button [image] or the Gradient Transparency button [image] . The Object Format dialog box appears with the transparency options displayed.

  4. If you want a dynamic preview, click the Preview button.

  5. Drag the Transparency Control slider (on the ribbon or on the Object Format dialog box) to adjust the transparency

or

On the Object Format dialog box, enter a percentage from 0 (opaque) to 100 (completely transparent).

  6. If you chose Gradient Transparency, set the gradient options as needed.

  7. Click the Apply button when you have finished.

If no object is selected, you set a new default transparency.


To remove transparency from an object

  1. Select the object.

  2. Click the Format tool [image] in the toolbox to display the Format ribbon.

  3. Click the Remove Transparency button [image] .

or

Drag the Transparency Control slider all the way to the left.


Magnification

You can use a closed object as a lens through which you view other objects. You can specify the level of magnification, and you can specify the portion of the drawing that is magnified.

The magnify object needs to be in front of the object(s) you want it to magnify.

The magnify properties are not preserved unless you save the file as DSF.

If you copy or export, you must select both the magnifying object and the objects being magnified.


To apply magnification

  1. Create or select the object that will become a magnifying object.

  2. Move the object to the area you want to magnify.

  3. On the Effects menu, click Magnify. The Magnify dialog box appears.

  4. Click the Enable checkbox to specify that you want to make the currently selected object a magnifying object.

  5. Set the magnification amount as desired. A setting of less than 1.0 shrinks the viewed area instead of magnifying it.

  6. Click the Apply button to update the magnifying object with the area being magnified.

  7. Move and resize the shape as required to show the desired viewing point within it.

  8. When you are satisfied with the viewing point, click the Freeze Viewpoint checkbox, and click Apply to lock the view. After freezing the viewing point, you can move the magnifying object and change its shape, size, and magnification level without changing the viewing point.

To update the viewing point, clear the Freeze viewpoint checkbox, click Apply, and move the magnifying object to the new desired position.

You can add the Magnify button [image] if you want: right-click a toolbar, click Customize, click Effects, then drag the button to any toolbar.


To remove an object's magnification

  1. Select the object.

  2. On the Effects menu, click Magnify. The Magnify dialog box appears.

  3. Click the Enable checkbox to clear it.

  4. Click the Apply button.


Blending Effects

Blending lets you blend one shape and color into another. You can produce two types of effects by blending objects transformation effects and highlighting effects.

You can specify the number of transformations, or steps, between the two objects in the Blend dialog box. Each step is a different object slightly changed to look more like the second object. The more steps you use, the closer (and smoother) the transforming objects are. You can use as many as 1000 steps.

Designer blends a point on the first object to a corresponding point on the second object. You can change the origins of the objects before blending.

Objects are drawn either clockwise or counterclockwise from a starting point. For example, closed objects are drawn counterclockwise. When Designer blends objects, it matches corresponding points of the two objects so that the order the points were drawn determines the appearance of the blend. You can reverse the way Designer normally compares points if you don't like the results of the blend.

Objects blend from the back to the front object (the object in front is the one you drew last). (You can change the order of objects.) Designer cannot blend patterns, but it blends the pattern color and places the pattern in all the transformations.

If the objects have different patterns (for example, a hatch and a gradient), Designer places the pattern of the front object in all the transformations. Designer does not place bitmap patterns in transformations.

Transformation Effects

This blending effect gives the illusion of one object changing into another.

Highlighting Effects

This blending effect lets you give "spot" highlights and shadows to your drawings to help give them depth. Blending to create a highlight gives a gradient-like effect, but it lets you create highlights and shadows with more transitions.

Blending results are usually better with uncomplicated objects.

Large numbers of steps can slow redraw time.

You may have to try several different settings to find the ones that give the effect you want.

Designer cannot blend grouped, bitmap, or text objects. You can convert text to curves and then blend it.

Related Topics | To blend two objects
 | To change the origins before blending
 | To reverse the blend direction
 | Working with Blend Nodes


To blend two objects

  1. Select the objects you want to blend.

  2. Click Blend in the Effects menu. The Blend Objects dialog box opens.

  3. Choose the settings you want.

  4. Click Apply. The objects are blended. The dialog box stays open so you can continue to blend objects.


To change the origins before blending

  1. Select the objects you want to blend.

  2. On the Effects menu, click Blend. The Blend dialog box opens.

  3. Click Choose Origins.

  4. On the back object, click a hollow box to select that position as the origin.

  5. On the front object, click the hollow box in the position you want to correspond to the point you clicked on the back object.

  6. Click Choose Origins again to deselect it.

  7. Choose the other settings you want.

  8. Click Apply. The objects are blended. The dialog box stays open so you can continue to blend objects.


To reverse the blend direction

  1. Select the objects you want to blend.

  2. Click Blend in the Effects menu. The Blend dialog box opens.

  3. Click Reverse Direction.

  4. Choose the other settings you want.

  5. Click Apply. The objects are blended. The dialog box stays open so you can continue to blend objects.


Working with Blend Nodes

Designer's blend objects consist of a series of steps dynamically maintained between the objects being blended. The objects on which the blend calculations are based are called nodes.

Because the blend is dynamic, changing a node of the blend object causes the blend to recalculate automatically. For example, if you move or reshape a node, the blend object changes accordingly.

The following actions cause a blend to recalculate dynamically:

  • Moving, scaling, flipping, rotating, or skewing a node.
  • Reshaping a node.
  • Warping a node.
  • Changing the interior fill of a node.

Deselecting Dynamic on the Blend Objects dialog box, or converting a blend object to curves, changes it from a dynamic blend object into an object group.

Converting Steps to Nodes

You can convert any of the transformation steps in a blend to a node. This creates additional nodes that you can use to manipulate the blend. For example, you can convert a blend's center step to a node, and then drag it to stretch the blend from its center.

Adding New Objects as Nodes

You can blend an existing node and a new object, thereby adding the new object to the blend as a node. You can then use this new node as you would any of the original nodes. For example, you can create a long chain of nodes by blending the end node with a new object.

Removing Nodes

You can remove nodes from blend objects.

Blending Nodes within a Blend

You can blend nodes within a blend to create effects such as a circular blend.

Blending Blend Objects

By blending the nodes of different blend objects, you can connect the blends and create elaborate blend structures.

Related Topics | To convert a blend step to a node
 | To move a blend node
 | To add an object as a node
 | To remove a node
 | To blend two nodes


To convert a blend step to a node

  1. Select the blend object. You can select the blend object by drawing a bounding box around it or by clicking one of the blend steps.

  2. On the Effects menu, click Blend. The Blend Objects dialog box opens.

  3. Click Convert Step to Node. A blue edit border appears around the blend.

  4. Click the step that you want to convert to a node. The edit border disappears, and the step is selected.

  5. You can now use the new node to change the blend effect. For example, you can drag it to stretch the blend.


To move a blend node

  1. Select the blend node you want to move. Selection handles appear around the node.

  2. Drag the node to move it.

  3. When you release the mouse button, the blend recalculates.

You can also scale, flip, rotate, skew, reshape, or warp a node to change the blend effect.


To add an object as a node

  1. Select the object you want to add as a node.

  2. Hold down SHIFT, and click a node of the existing blend object. Selection handles appear around both the object and the node.

  3. On the Effects menu, click Blend. The Blend Objects dialog box opens.

  4. Click Apply. The new object is blended to the selected node.

  5. You can now use the new node to change the blend effect. For example, you can select it and click a color in the color palette to change the blend colors.

To blend an object to a transformation step, first convert the step to a node. Then blend it to the object as explained above.


To remove a node

  1. Select the blend object containing the node you want to delete. You can select the blend object by drawing a bounding box around it, or by clicking one of the blend steps.

  2. On the Effects menu, click Blend. The Blend Objects dialog box opens.

  3. Click Remove Node. A blue edit border appears around the blend.

  4. Click the node you want to remove. The node is deleted, and the blend recalculates.

You can remove a node only from a blend object that contains three or more nodes. If a blend object contains only two nodes, the Remove Node button is unavailable.

To delete a transformation step, first convert the step to a node. Then delete it as explained above.


To blend two nodes

  1. Select the first node you want to blend.

  2. Hold down SHIFT, and click the node to which you want to blend the first node. Selection handles appear around both nodes.

  3. The second node can be within the same blend object, or in another blend object.

  4. On the Effects menu, click Blend. The Blend Objects dialog box opens.

  5. Click Apply. The two nodes are blended.

To blend two transformation steps, first convert the steps to nodes. Then blend them as explained above.


Editing Bitmap Images

In Designer, you can move, resize, delete, and reorder (move it to the front, for example) a bitmap image. Using the bitmap editing features of Designer, you can also flip horizontally or vertically, duplicate, and crop a bitmap, and you can color a bitmap image if you have imported it as monochrome.

Use Picture Publisher or another image editor when you want to edit a bitmap image extensively.

Bitmaps can add variety and visual appeal to your drawings. Here are some examples of what you can do with bitmaps.

  • Add scanned photographs to a report or presentation.
  • Use a bitmap as a background for your illustration.
  • Create a library of bitmap images to use in your drawings.
  • Trace bitmaps and then edit the tracing like an ordinary Designer object.
  • Add text, borders, or a drop shadow to enhance the bitmap.

You can print a bitmap on a printer, but not on a pen plotter.

Related Topics | Bitmap Import Options
 | Converting an Object to a Bitmap Image
 | Editing a Bitmap Image
 | Coloring Monochrome Images
 | Cropping a Bitmap Image
 | Using Drop-out Color Transparency
 | Viewing Image Information


Bitmap Import Options

You can import the following bitmap formats into a Designer document: BMP, DIB, GIF, JPG, PCD, PCX, PNG, RAS, TGA, and TIF.

You can click Setup in the Import dialog box to change how a bitmap looks when you import it. For example, you can import a color image as a grayscale image if you intend to reproduce it on a non-color printer. Changing an import option does not change the original bitmap file.

By default, Designer imports the image as it was originally saved. If you change the import options by using Setup in the Import dialog box, the new import options become the new default for all bitmap images.

For more information, see "Importing and Exporting Files."


Converting an Object to a Bitmap Image

You can convert objects, including text, to bitmap images using the Convert to Image command on the Object menu. This opens the Convert to Image dialog box.

You can specify the new bitmap image's resolution and color depth. The resolution determines the number of pixels per inch in the image. The color depth determines the maximum number of colors in the image.

The higher the resolution and the greater the color depth, the larger the file size of a bitmap image.

Bitmap images that are converted from objects are always square or rectangular. For example, if you convert an ellipse to a bitmap image, the resulting image is rectangular. The portion of the bitmap image that is not part of the original object is set to white. For an ellipse, this is the portion of the bitmap image that is outside the ellipse.


To convert an object to a bitmap image

  1. Select the object you want to convert.

  2. On the Object menu, click Convert to Image. The Convert to Image dialog box opens.

  3. Type the desired value in the Resolution spin box, or click the arrows beside the box to select a value.

  4. Choose the color depth you want using the Colors list box.

  5. Select the Anti-Alias check box if you want the image to be anti-aliased.

  6. Select the Transparent check box to make the area outside the object transparent.

or

Clear the Transparent check box to make the area outside the object white.

The Size, Width, and Height information is based on your Resolution and Color settings.

If you are creating a bitmap image for display purposes only, use a resolution of 72 or 96 pixels per inch. If you are creating a bitmap image for printing, use a higher resolution, probably one equal to the resolution of your printer.


Editing a Bitmap Image

You can edit a bitmap image by selecting it, clicking the Image Tool [image] , and choosing an editing option in the image ribbon. If you want to make more extensive edits to an image, you can use a bitmap editing program such as Picture Publisher.

You can use Designer to crop or trace a bitmap image that is not an OLE object. When you double-click a non-OLE bitmap image, Picture Publisher opens to edit the bitmap image.

If you want to edit a bitmap image that is an OLE object (as indicated in Designer's status bar), you cannot edit it with Designer's cropping or tracing tools. When you double-click the OLE object, the program that supplied the object automatically opens to edit the object.

You can open Picture Publisher with the Edit Image button [image] in the image ribbon. You can also move pictures between Picture Publisher and Designer using the Clipboard or the Import and Export commands.

A bitmap image that is pasted as an OLE object (that is, it is embedded or linked) cannot be edited in Designer.


Coloring Monochrome Images

You can change the foreground and background of a selected monochrome bitmap image with the Foreground button and Background button. Select the image, click the Foreground button or Background button, and click a color from the color palette.

The foreground color changes the color of the image itself. The background color changes the color of the surrounding area.

To import an image as monochrome, select Monochrome from the setup options in the Import dialog box. The newly imported image is black (foreground color) and white (background color).


Cropping a Bitmap Image

Cropping lets you show only the part of the bitmap image you want; the rest is hidden. Cropped portions of the bitmap are retained so you can uncrop them later.

Cropping is an editing technique that can improve your final drawing. For example, you can eliminate distracting areas of an image to help focus on the center of interest. You also can crop to eliminate errors or to help fit the bitmap into the layout.

Cropping an image in Designer involves two steps: creating a rectangular mask large enough to show the desired area, and moving the image so that the correct area shows through the mask.

In Designer 3.1 and before you moved the mask instead of the image.


To crop an image in Designer

  1. Select the bitmap image you want to crop.

  2. Click the Image Tool [image] in the toolbox.

  3. Click the Crop button [image] in the ribbon. A hatch edit border appears around the image.

  4. Drag the handles to cover the area to the image to be hidden.

  5. Move the pointer onto the image. Press and hold the mouse button, and position the image under the crop mask.

  6. Release the mouse button when you finish.

  7. Repeat steps 4 through 6 to adjust the crop, if necessary.

  8. Double-click or press ESC to stop cropping.


To remove cropping from the selected image

  1. Select the bitmap image you want to restore.

  2. On the Image toolbar, click the Remove Crop button [image] .


Using Drop-out Color Transparency

Use the Drop Color feature to make a color transparent in an image. Whatever is behind the specified color will show through. To specify more than one color, choose them one at a time. In the following example, the white is dropped out of the bitmap.


To apply drop-out color transparency

  1. Select the image from which you want to drop colors.

  2. On the Image toolbar, click the Drop Color button [image] .

  3. Click each color you want to drop.


To restore dropped-out colors

  1. Select the image from which colors were dropped.

  2. Click the Restore Colors button [image] .


Viewing Image Information

Click the Image Information button [image] to view information for the selected image.


Tracing Bitmaps

Tracing a bitmap image creates a vector copy that closely resembles the original image. When using a simple bitmap image, it is often easier and less space consuming to trace it and then edit the vector tracing.

Vector drawings use less disk space and memory than bitmaps. Since drawing files containing bitmaps can be quite large, converting bitmap images to vector drawings saves disk space.

You can create interesting visual effects by tracing. For example, with a little experimentation, you can create stylized graphics or drawings that look like etchings.


Setting Tracing Options

Tracing options let you determine the method and degree of detail Designer uses to trace bitmap images. You set tracing options in the image ribbon. Options remain in effect until you change them.

Setting the Trace Quality

Use the Trace Quality button [image] to adjust how accurately and smoothly Designer traces a bitmap.

Choose Fine for the highest quality trace. Fine tracings use the largest number of reshape points. Fine tracings can use a lot of memory and be difficult to edit because they create a large number of anchors.

Average setting is the default. In most situations, average tracing is the best choice.

The Coarse setting produces the least accurate tracing because it uses the fewest points. Coarse tracings use the least memory and are the easiest to edit.

Setting the Line Type

Use the Line Type button [image] to choose whether Designer uses lines or curves to create the tracing.

Choose Lines to create tracings with straight line segments (no curves). Use this setting when the image has few curves.

Choose Curves to create tracings with curves. It is slightly more accurate than using lines.

Setting Noise and Color Controls

You can restrict the number of colors in the result of a trace. Click the Colors box on the image ribbon, and then click the maximum number of colors that you want the trace to have.

The noise control on the image ribbon helps eliminate stray pixels introduced by a poor-quality image. You can enter a value ranging from 1 through 100. Larger numbers exclude larger groups of stray pixels.


Methods of Tracing

Designer traces an image by searching it for color or grayscale variations. When the color difference is great enough, Designer draws a line between the different colors.

When Designer finishes tracing, the original bitmap image is behind the tracing and the tracing is selected.

Tracing an Entire Bitmap Image

Press and hold SHIFT and click the bitmap image.

Tracing a Rectangular Area of a Bitmap Image

Select the bitmap image and drag a rectangle over an area of the image. The area in the rectangle is traced.

Tracing an Object in a Bitmap Image

Well-defined areas in an image are called objects. For example, in an image containing a beach ball in the ocean, the beach ball is an object. The more an object contrasts with its surrounding area, the more successful the tracing will be.

To trace an object, select the image and click inside the object to trace it.

Stop Tracing

Press ESC to stop a trace before it is completed.


To trace an entire bitmap

  1. Click the Image Tool [image] in the toolbox.

  2. Select the bitmap image you want to trace.

  3. Click the Trace button [image] .

  4. Hold SHIFT and click the bitmap image. Designer traces the entire image.

  5. After tracing is complete, click outside of the border, point to the image and drag the tracing off of the image, if necessary.


To trace a rectangular area of bitmap

  1. Click the Image Tool [image] in the toolbox.

  2. Select the bitmap image you want to trace.

  3. Click the Trace button [image] .

  4. Drag a rectangle over an area of the image. The area in the rectangle is traced. A border appears around the image, and Designer draws the tracing in front of the original image.

  5. After tracing is complete, click outside of the border, point to the image and drag the tracing off of the image, if necessary.


Tips for Tracing

Keep the following in mind when tracing images.

  • Bitmaps with few colors generally trace best. Use Picture Publisher to reduce the number of colors in a bitmap image before you trace.
  • Grayscale images trace better than color images. Monochrome images, however, trace best of all.
  • Don't trace bitmap text. Add text to a drawing with Designer's Text Tool [image] . Scanned text and text added with an image editor are of lower quality.
  • Simple, uncomplicated images trace better than complicated ones.
  • Dark objects on light backgrounds are best. If you have a dark background, use Picture Publisher to lighten it before tracing.
  • After tracing, you can reduce the number of points in the object. See "Reducing Points" for more information.


Printing Methods

To print from Designer, choose Print on the File menu. From the Print submenu, you can choose the following:

  • Current Page
  • View
  • Selection
  • Document
  • Multiple

You can use Current Page to print only the currently displayed page, no matter how many pages are in your document.

You can use View to print an area that you define (by dragging a rectangle). The area is scaled to fit the printable area of the printer page.

You can use Selection to print only the selected objects on the current page. Selected objects do not change in size or position in the printout.

Choose Document to display the Print Document dialog box, select printing options, and print. You can specify the current page, all pages, or selected pages from the document; the number of copies to be printed; whether to collate the copies; whether to include page labels; and whether to use vector clipping (for use with a pen plotter).

You can use Multiple to select multiple documents to print.

Related Topics | To print the current page
 | To print a defined area
 | To print a selection
 | To print the active document
 | To print multiple documents
 | To remove files from the print queue
 | Using the Print Document Dialog Box


To print the current page

  1. Click Print in the File menu. The Print submenu opens.

  2. Click Current Page. All objects on the current page are printed.


To print a defined area

  1. Click Print on the File menu. The Print submenu opens.

  2. Click View. The print view pointer appears.

  3. Position the print view pointer at one corner of the area you want to print.

  4. Drag a bounding box around the area you want to print. When you release the mouse button, the selected area is printed.


To print a selection

  1. Select the objects on the current page you want to print.

  2. Click Print in the File menu. The Print submenu opens.

  3. Click Selection. All selected objects are printed.

The keyboard shortcut for Selection is CTRL+SHIFT+P.


To print the active document

  1. Click Print on the File menu. The Print submenu opens.

  2. Click Document. The Print Document dialog box opens.

  3. Select the options you want.

  4. Click Print. The document is printed.

The keyboard shortcut to display the Print Document dialog box is CTRL+P.


To print multiple documents

  1. Click Print in the File menu. The Print submenu opens.

  2. Click Multiple Files. The Print Multiple Files dialog box opens.

  3. If necessary, change to the desired drive and directory.

  4. Choose the name of a document you want to print.

  5. Click Print. The selected document is sent to the printer.

  6. Repeat steps 4 and 5 until you have chosen all the documents you want to print.

While you are printing multiple documents, all commands in the Print submenu are gray.


To remove files from the print queue

  1. Click Show Tasks in the View menu.

  2. Click the name of the file (or files) you want to remove from the queue.

  3. Click the Stop button.

You can use this method only if you are printing multiple files.


Using the Print Document Dialog Box

Selecting the Target Printer

To change the target printer, click the printer name in the Print Document dialog box. The box opens to show the list of installed printers. You can then select a different target printer.

Setting the Printer's Properties

To open the property sheet for the selected printer, click Properties in the Print Document dialog box. You can make changes such as changing the orientation (portrait or landscape) and scaling the printout.

PostScript Options

The PostScript Options area lets you set up output of a PostScript file. First, you can select the language level, and indicate whether or not to include fonts. You should clear the Download Fonts option only if your document's fonts have already been downloaded to the printer; this can greatly reduce the size of the file. The Binary Image Encoding option will also reduce file size if your document contains any bitmap images.

Use the Separation Options to produce an EPS file with color separation information. For PostScript level 3, you can specify that separation be applied to CMYK plates only or all plates.

Selecting Pages to Print

Under Pages, select Current to print only the current page, All to print all pages in the active document, or Range to print specific pages.

In the box under Range, type a page number to print a specific page. Enter a range with the first and last pages separated by a hyphen to print a sequence of pages. To specify a page tile, enter a page number, a colon, and a tile number. Separate page numbers and ranges with commas.

To print this: | Type:
Pages 1, 2, 6, 7, 8, 9 | 1,2,6-9
Pages 6, 7, 8, to end of document | 6-
Page 1, tile 2 | 1:2
Page 1, tile 4 and page 2, tile 6 | 1:4,2:6
Page 3, tile 8 through 4, tile 9 | 3:8-4:9

Specifying the Number of Copies

The Copies option is where you enter the number of copies to print. If more than one, you can collate the pages.

Collating Printed Pages

The Collate option in the Print Document dialog box prints a complete copy of a document before printing the next copy. Collate is only available when you print more than one copy of a multiple-page document. Collating can slow the print speed on some printers.

Including Page Labels

The Page Label option prints the file name, page number, and page name (if any; right-click the page tab to change the name).

Printing Mirror Images

The Mirror option flips a drawing so that it prints reversed--as though you were viewing it in a mirror. Use this option to print T-shirt transfers or other drawings that must be given to a print shop reversed.

The Mirror option is available in the Print Document dialog box only with certain printer drivers. This option is gray if the printer driver does not support mirroring.

Vector Clipping

Vector clipping improves the output of drawings on pen plotters by causing the top object of overlapping drawings to completely cover the back object (this is done automatically with non-plotting printers).

Vector clipping also prevents the damage to plotter pens that can occur when different colors are drawn over each other. For example, a yellow line drawn over a black line can permanently stain the yellow pen.

The Vector Clipping option in the Print Document dialog box is available only when you are using a plotter. This option increases the time it takes to plot your drawing.

Fitting a Document to the Page

If the page size is too large for the target printer's paper size, Designer reduces the drawing proportionally so that all of it fits inside the printable area when Fit to Page in the Print Document dialog box is selected. If this option is not selected, the drawing is tiled on as many pages as necessary to print the drawing.

Centering a Printout on the Page

The Center on Page option causes the contents of each page in the document to be aligned to page center and page middle for this printout only. Center on Page in the Print Document dialog box is especially useful if your page size is smaller than your paper size; for example, an on-screen presentation that you want to print out on 8.5" x 11" paper.


Other Printing Information

This section contains miscellaneous printing topics, including using the Page Manager to print selected pages.

Related Topics | Device-Dependent Fonts
 | Using a Pen Plotter
 | Darkening or Lightening Printed RGB bitmaps
 | Printing with Page Manager


Device-Dependent Fonts

Device-dependent printer fonts, including cartridge fonts and soft fonts, are limited to the set of typefaces, point sizes, and styles supported by your printer. If you create a document with one printer specified, use its printer fonts, and then change to a different target printer, the fonts displayed in the document change. This may not be evident from the on-screen appearance.

For example, suppose you specify a PostScript printer and have 12-point Bookman text with 20-point Avant Garde headlines in your document. If you change to a printer that does not support these fonts, Designer chooses the closest available fonts, which will not display or print as you expect. You can either change back to a PostScript printer or change the fonts in the document to fonts supported by the new printer.

Designer also substitutes the closest available font when you use a device-dependent font and then rotate the text.


Using a Pen Plotter

If you are using a pen plotter instead of a printer, you should be aware of a few differences.

  • Bitmaps and bitmap fill patterns do not plot.
  • To avoid plotter pen damage (due to staining), you may want to use the Vector Clipping option in the Print Document dialog box.
  • You should create a special color palette that matches the colors of the pens used by your plotter.


Darkening or Lightening Printed RGB bitmaps

When you print to an EPS file from Designer and select the Output for Separator printing option, you can darken or lighten RGB bitmaps in the EPS file by setting a key value in your registry. For darker RGB bitmaps, set the MGXGRE key name EnableCMYKBlackOpt to a value of 1. For lighter RGB bitmaps, set the key name to a value of 0.


To set the RGB color value

  1. Click Options in the Tools menu. Click the Registry tab.

  2. In the Key list box, locate and select Mgxgre as the key.

  3. Click New Value.

  4. Click Numeric Value Type, and then type EnableCMYKBlackOpt in Value Name and press Enter.

  5. Click OK.


Printing with Page Manager

If you prefer to select pages for printing visually rather than by number, you can use the Page Manager. It, with its associated ribbon, lets you print selected pages, sort pages, set up selected pages, and create on-screen presentations.


To print selected pages with the Page Manager

  1. Open a document.

  2. Click the Page Manager tool [image] in the toolbox. Thumbnail images are displayed for each page in the document.

  3. Select the thumbnail of each page you want to print. A rectangle appears around each selected page. Press and hold CTRL to select more than one page; press and hold SHIFT to select more than one consecutive page.

  4. Click the Print button [image] in the ribbon. The Print Document dialog box opens. The range of pages you selected is automatically entered.

  5. Select the options you want.

  6. Click Print. The selected pages are sent to the target printer.


Using Designer for Presentations

You can make any presentation an on-screen presentation, or slide show. Designer uses the full screen to display a slide show.

You can assign different effects, called transitions, that control how one slide replaces another in the slide show. You can run a slide show within Designer, or you can create a standalone slide show to run on any computer that has Windows installed.

The Page Manager ribbon provides the tools you need to modify and produce a slide show.

When viewing a single page, you can click the Page Manager tool [image] (keyboard shortcut CTRL+G) to display reduced "thumbnail" images of all the pages in your document. From the reduced view, you can double-click on any page to display that page in the page view.

To create a presentation, you put all the pages, or slides, in one document, and sort them into the correct order. Then you add transition effects and run the presentation.

To fill the screen with your slide, use the screen size as your page size (usually a landscape orientation). To make all the slides in your document a consistent size and orientation, use the Master Page.


To set up your document for a slide show

  1. Create a new document.

  2. Click the Master Page tab at the bottom left of the window.

  3. On the File menu, click Page Setup. The Page Setup dialog box opens.

  4. Click the Paper Size tab, and click Screen Size in the list box.

  5. Adjust the margins, if desired.

  6. If you want a background color or fill, choose the Page Fill option on the Margins page and click the Page Fill button [image] . The Interior Fill tab of the Object Format dialog box opens. Choose any fill style and click OK.

  7. Click OK to close the Page Setup dialog box.

  8. Place any items on the Master Page that you want repeated on every slide, such as a title, border, or logo.

  9. When you finish defining the Master Page, click the Page button at the bottom left of the window and choose Page 1. You are now ready to build the slide show. Place each drawing or image that you want to appear as a slide on a different page of the document.

After you have your slides defined, you can add transition effects and control the speed and direction of the transition for each slide. You also can choose whether the presentation advances manually or automatically.


Setting Slide Show Options

The Options button [image] lets you choose overall options that affect all slides in the presentation. Click the button to open the Slideshow Options dialog box.

Show Pointer

Shows or hides the pointer. You can choose from several pointer images.

Next Slide Ready

Each time Designer displays a slide, it is preparing the next slide to display. If you have complex drawings on a slide, it may not be ready to display when you go to that slide.

Designer can alert you when the next slide is ready by displaying a small arrow in the lower right corner, by making an audible sound, or by giving both signals.

Global Overrides

The Automatic Advancement option overrides any automatic advancement settings you made on the ribbon or in the Transition Effects dialog box.

Select Loop Slide Show to set the slide show so that it repeats until interrupted manually. (The default is to run the show once.)

Use the Change Transitions option if you are creating a standalone slide show to take to another computer. This allows you to adjust the transition speed for all the slides at once.


To show a pointer during a slide show

  1. Select the Show Pointer option in the Slideshow Options dialog box.

  2. Select the pointer shape that you want by displaying that shape in the pointer box. Click the arrows beside the box to scroll the slide show pointer choices.

As you move the mouse during the slide show, the pointer moves on the screen. You can use the mouse to point out key ideas to your audience.


Assigning Transition Effects

Transition effects add energy and excitement to the way slides replace one another during a slide show.

You can set transition effects with the transition buttons in the Page Manager ribbon or with the Transitions Effects dialog box. If you are unfamiliar with creating slide shows with Designer, use the Transition Effects dialog box to set transitions. The Transition Effects dialog box provides a preview window that shows how the transition looks.

Transition Effect

The Transition List box shows the transition effect assigned to a selected slide. You can select one or more slides and then choose a different transition effect by clicking the arrow beside the list box and highlighting the new transition effect.

Transition Direction

The Directions button shows the direction in which a selected transition moves. The direction is not relevant for some transition effects, such as Replace. In such cases, the button is disabled.

Transition Speed

The Speed list box shows the current speed of a selected transition effect. You can change the speed of the transition for selected slides by choosing the speed you want from the Speed list box.

When you click the Timed button [image] , the number value for Duration specifies the time in seconds that each slide is to be displayed in a slide show that advances automatically. Different slides can have different durations. If you want to advance the slides manually, click the Manual button [image] .


To set transition effects using the Page Manager ribbon

  1. Select the slide or slides to which you want an effect to apply

  2. On the Page Manager ribbon, click the arrow beside the Transition List box, and choose the transition effect you want.

  3. Click the Directions button and choose the direction you want. (The button is unavailable when the selected transition has no direction.)

  4. Click the arrow beside the Speed box and choose the transition speed you want.

To find out what effect is already assigned to a slide, select the slide and examine the settings in the ribbon.


Using the Transition Effects Dialog Box

You also can apply transition effects with the Transition Effects dialog box. The dialog box lets you assign an effect to all slides, to selected slides, or to a specified group of slides. The preview window of the dialog box shows how the transition effect looks.

Related Topics | To open the Transition Effects dialog box
 | To assign a transition effect to selected slides with the dialog box
 | To assign a transition effect to all slides with the dialog box
 | To assign a transition effect to a group of slides with the dialog box
 | Assigning Transition Effects


To open the Transition Effects dialog box

  • In the Page Manager ribbon, click the Transition button [image] .


To assign a transition effect to selected slides with the dialog box

  1. Select the slides to which you want to assign the transition effect.

  2. Click the Transition button [image] in the ribbon. The Transition Effects dialog box opens.

  3. Choose the transition settings that you want.

  4. Click Apply to assign your transition choice to the selected slides.

  5. Click Close to close the dialog box.

The effect, direction, and speed you choose are demonstrated in the preview.


To assign a transition effect to all slides with the dialog box

  1. Click the Transition button [image] in the ribbon. The Transition Effects dialog box opens.

  2. Choose the transition settings that you want.

  3. Select Apply Effect to All Slides.

  4. Click Apply to assign your transition choice to the slides.

  5. Click Close to close the dialog box.


To assign a transition effect to a group of slides with the dialog box

  1. Click the Transition button [image] in the ribbon. The Transition Effects dialog box opens.

  2. Choose the transition settings that you want.

  3. Select the slides to which you want to assign the transition effect by holding CTRL and clicking the entries in the slide title list box.

  4. Click Apply to assign your transition choice to the selected slides.

  5. Click Close to close the dialog box.


Running a Slide Show

You can review the sequence of slides and the transition effects on each one. After running the slide show to review it, you can make changes to the order and to the transition effects and then run it again to review the changes. To stop a slide show, press ESC.

If you want to view only a particular portion, select the range of slides you want to view and click the Run Slideshow button [image] .


To run a slide show

  1. Click the Run Slideshow button [image] in the ribbon. Designer runs a slide show of the current document, starting with the first slide.

  2. Use the RIGHT ARROW key or right mouse button to advance slides forward and the LEFT ARROW key or left mouse button to move backward.

  3. Press ESC to return to Designer.

Press SHIFT and click the Run Slideshow button to start the show from the selected slide.


Chalkboard Scribble Feature

When a slide show is running, you can use the mouse to paint freehand lines on the screen to highlight, underline, circle, or otherwise emphasize something in your presentation. Your scribbles appear in bright green.

The scribbles are temporary; they do not change your document. To erase the scribbles from the screen, press the DELETE key.


Controlling a Slide Show

You can use the following keys to control a slide show.

To do this: | Press this:
Advance to the next slide | RIGHT ARROW or right mouse button
Return to the previous slide | LEFT ARROW or left mouse button
Pause a slide show | PAUSE (press again to resume)
Return to first slide | HOME
Advance to last slide | END
Stop a slide show | ESC
Open the Slideshow Control Panel | SHIFT+F1
Erase scribbles | DELETE

If you want to use the above keys when the Slideshow Control Panel is open, click away from the Slideshow Control Panel to make it inactive.


Using the Slideshow Control Panel

Whether you choose to run your slide show with the Run Slideshow button [image] or as a standalone executable file, you can open the Slideshow Control Panel by pressing F1 while a slide show is running. To close the Slideshow Control Panel, press the Windows Close button [image] .

You can use the following buttons in the Slideshow Control Panel to control a slide show (if the title bar is highlighted to show that it is active).

Click: | To do this:
 | Display the first slide
 | Display the previous slide with a single click, or rewind when you press and hold the left mouse button
 | Display the next slide with a single click, or fast forward when you press and hold the left mouse button
 | Display the last slide
 | Stop the slide show
 | Restart from the slide number and title displayed in the list box
 | Pause a timed advanced slide show (press again to resume)
 | Display the Slideshow Options dialog box

The list box below the buttons shows the titles and sequence numbers of the slides. You can display a different slide in the slide show by choosing the title of the slide you want and pressing ENTER or the play button. The Slideshow Control Panel also shows the number of the current slide and the total number of slides in the slide show.


Creating a Standalone Slide Show

Designer lets you create a single executable file that contains your entire slide show, complete with all options and transition effects. After this file is created, you can run your slide show on any computer that has Windows installed, even if Designer is not installed on the computer.

When you create a standalone slide show, all slides are converted to bitmap images. Bitmaps display faster and eliminate the potential problem of not having the required fonts on the target computer.

Setup

The Setup button [image] on the Page Manager ribbon shows your computer's number of colors and lets you set the screen resolution for the target computer (on which you will be playing the slide show).

Designer creates standalone slide shows with the same number of colors currently displayed by your computer. If the target computer displays fewer colors, the slide show colors are dithered.

The Standalone Setup dialog box lets you set the resolution for the target computer's screen. Make sure the resolution you set is supported by the target computer.

If you create your standalone slide show at a lower resolution than the target screen, the slide show is automatically centered on the screen. If you do the opposite (for example, create the slide show at 800x600 but play it at 640x480), the edges of your slides will be clipped.

Options

The Options button [image] on the Page Manager ribbon lets you control several aspects of how the slide show runs. For example, you can choose an image for the mouse pointer, and you can choose to display or not display a pointer.


To create a standalone slide show

  1. Click the Options button [image] on the Page Manager ribbon, if desired, to change the options for the standalone slide show.

  2. Click the Setup button [image] in the ribbon.

  3. Click the down arrow at the left side of the dialog box, and then click the resolution of the target computer's screen, then click OK.

  4. Click the Create Standalone button [image] in the ribbon. The Create Standalone dialog box opens.

  5. Type a filename for the standalone slide show. The extension EXE is added to the filename.

  6. Choose the drive and folder in which you want to store the file.


Copying a Standalone Slide Show to Diskettes

You can copy your standalone slide show to diskettes so that you can easily carry a copy of the file with you and install it on another computer. If the file is too large to fit on just one diskette, Designer divides it among several diskettes.

Before copying a slide show file to diskettes, you must create the slide show file on your hard drive. Use the Windows Explorer to find out how large the executable file is so that you can have enough diskettes on hand.


To copy a slide show file to diskettes

  1. Click the Copy to Diskette button [image] . The Copy Standalone Slideshow to Diskette dialog box opens.

  2. Highlight the EXE file that contains your standalone slide show. Choose a different drive and directory if necessary.

  3. Choose a target diskette drive to which you want to copy.

If more than one diskette is necessary, you are prompted to remove one diskette and insert another as needed. Designer copies a file called Loadshow.exe to the first diskette.


To install a slide show file from diskettes

  1. Insert the first diskette with the file Loadshow.exe.

  2. On the Windows Start menu, click Run.

  3. Type the name of the diskette drive followed by Loadshow.exe. For example, A:\Loadshow.exe or B:\Loadshow.exe.

  4. Click OK to run the installer program. Follow the instructions on the screen.


To run a standalone slide show

  1. On the Windows Start menu, click Run.

  2. Type the path and the name of the slide show file; or

  3. Click the Browse button. Locate the slide show file and click OK.


Setting Object Properties

Designer lets you assign names and other properties to objects and groups of objects in your drawing. This lets you uniquely identify and categorize objects. You can then select objects by their property and create lists of objects, such as a shopping list of parts needed for a project.

You can also add interactivity to objects, such as a link to a Web page, that will be used in Flash, PDF, or other files you export from Designer.

Use the Object Properties dialog box (keyboard shortcut: F12) to set properties.

If you assign properties to a group, its properties are lost if you ungroup the objects.

Setting Fields and Values

Fields are like categories of information about the objects in your drawings or contain specific information for an action. "Name" is a predefined property. When you assign a name to an object, you create a value for the property "Name."

You can use predefined fields or define your own fields and assign values to them. For example, you could use fields and values for a part in an engineering drawing as follows.

Field | Value
Cost | 3.25
Name | Voltage Regulator
Part Number | TL805 0072-3
Primary Vendor | Acme Semiconductors
Secondary Vendor | Hi-Tech Distributors

When you add a field to an object, it appears in the Object Properties dialog box or Property toolbar for all objects in the document. You can then add values to it for the other objects as applicable.

If you typically use many of the same properties you have used before, you need not enter them again when you create a new document. Just open a document that includes the desired properties. You can then access the same properties from any other open document.

Related Topics | To name or rename an object
 | To add a predefined property
 | To add a new property
 | To delete a property
 | To rename a field
 | Copying Object Properties
 | Listing Objects


To name or rename an object

  1. Select an object.

  2. On the Object menu, click Properties. The Object Properties dialog box opens.

  3. Type a name in the Object Name box and click Apply.

  4. Click Close.

Multiple objects can have the same name.


To add a predefined property

  1. Select the object.

  2. On the Object menu, click Properties. The Object Properties dialog box opens.

  3. Click Fields. The Property Fields dialog box opens.

  4. Select the check box for the predefined property that you want.

  5. Click OK. The Property Fields dialog box closes and the selected property appears in the Field column of the Object Properties dialog box.

  6. In the Value column opposite the property name, type the property value and press ENTER.

  7. Click Close.


To add a new property

  1. Select an object.

  2. On the Object menu, click Properties. The Object Properties dialog box opens.

  3. Click Add.

  4. In the Field column, type the property name, then press ENTER.

  5. In the Value column, type the property value and press ENTER.

  6. Click Close.

You can delete the values of any field you created by choosing the field and value and pressing DELETE. Any field you added remains until you close Designer so that you can assign them to other objects. If there are fields with no values when you close Designer, the new properties are not saved.

To change a property's value, click the value to select it, then type the new value.

You can also assign properties and values using the Property toolbar.


To delete a property

  1. Select the object.

  2. On the Object menu, click Properties. The Object Properties dialog box opens.

  3. Click the property that you want to delete.

  4. Click Delete.

  5. You are asked to confirm the deletion. Click Yes to delete the property.

The property is deleted from all objects that use it.

To clear the value of a property, select the property and click Clear. To clear the value of all properties, click Clear All.


To rename a field

  1. Select the object.

  2. On the Object menu, click Properties. The Object Properties dialog box opens.

  3. Click the property that you want to rename.

  4. Click Edit. The field name is selected.

  5. Type a new name for the field, then press ENTER.

The field name is changed in all objects that use the property.


Copying Object Properties

The Pick Up Object Properties and Apply Object Properties commands on the Object menu give you an easy way to copy object properties from one object to another.

The Pick Up Object Properties and Apply Object Properties commands do not copy attributes assigned to an object, such as interior fill color or line weight. For information on picking up and applying object attributes, see Copying and Applying Styles.


To copy properties from one object to another

  1. Select the object with the properties you want to copy.

  2. On the Object menu, click Pick Up Object Properties.

  3. Select the object to which you want to apply the properties.

  4. On the Object menu, click Apply Object Property. The properties copied from the first object are applied to the second object.

Copying properties is a good way to ensure that the Flash, PDF, or other properties of two objects match exactly.


Listing Objects

You can create a list of objects in your drawing. This lets you create a named parts list of all the pieces of your drawing, plus a list of other defined properties.

The List command is on the Object menu. The List command opens the List Objects dialog box, which alphabetically lists the names (the values assigned to the property "name") for the objects selected in the current drawing, and shows the number of times each object appears (quantity).

If no objects are selected, the list contains the names for all the objects in the drawing. Objects without names are listed as "unnamed."

Copying and Printing Object Lists

Click the Copy button to copy the object list to the Clipboard. The list remains in the Clipboard after you close the List Objects dialog box. You can paste the data into the drawing area or into any Windows-compatible program.

Click Print to print the parts list.

Saving an Object List

You can save an object list as a file to use with another program. Save the list as a TXT file, the default, to use in a word processor. Save the list as a DIF or SLK file to use in compatible programs such as a spreadsheet or database program.

Click Save As to save the parts list as a space delimited text (TXT), comma delimited text (CSV), Data Interchange Format (DIF), or SYLK (SLK) file.


Creating Intelligent Graphics

You create intelligent graphics by adding objects with properties that associate data, like cost and part number, or that allow users to interact with the objects.

Adding Interactivity to Objects

Some examples of interactivity you can add to objects in Designer are

  • Links in a PDF file to other objects in the file or to other PDF files
  • Buttons that play or stop an animation in Flash Player
  • Hot spots on image maps that link to Web pages

To add an interactive (or other) property to an object you use the Object Fields tab of the Object Properties dialog box. After naming the object, you enter its properties in the Field and Value columns.

URL Property

The URL (Uniform Resource Locator) property can be entered as a Field on the Object Properties dialog box for use in PDF, Flash, and image map files. The Value for a URL is a Web address. Examples:

http://graphics.mycompany.com/mypage.html

file://C:\graphics\mypage.html

Publishing Intelligent Graphics

After you create a drawing with intelligent objects you can use the Export command or a Publish to Web command to create files to distribute to users. If you export the drawing as a PDF file, users can view and interact with it in Acrobat Reader. When you use a Publish to Web command, Designer creates a graphic file as well as an HTML file that you can use immediately.


Defining Links for PDF Files

You can add links that can be used in PDF (Portable Document Format) files to jump to other parts of the drawing, jump to other PDF files, open other applications, run a movie or sound file, or go to a Web page.

To add a link, select an object, open the Object Properties dialog box, click Add, then enter the type of link in Field and the destination in Value.

Add a Name property to each object that will be the destination of a link within the PDF file.

After you export the file you can then open it in Adobe Acrobat and test the links.

You can define the following links:

Field | Value
URL | Web address. See URL Property.
PDFExternalRef | Path and name of a PDF or other external file. Examples: C:\graphics\mydrawing.pdf sounds\mysound.wav ..\movies\myflash.swf
PDFInternalRef | Object name (set in the Object Properties dialog box).

There can be only one link per object.

Field names are case sensitive.

The link's hot spot is the size of the object's bounding box. If the object is not rectangular, the hot spot will be larger than the object.


To export a drawing as a PDF file

  1. On the File menu, click Export. The Export dialog box opens.

  2. In the Save as type box, click PDF.

  3. To set options for the file, click Setup.

  4. On the Export dialog box, enter the file name and select the folder.

  5. Click Export.

The PDF file will have the same number of pages as the drawing. However, if you select objects before exporting, only the selected objects are exported.


Publishing Flash Animations

Designer lets you export drawings to Macromedia Flash format (SWF), which can run as animations in the Flash Player. If you need this, go to http://www.macromedia.com/downloads and click Macromedia Flash Player. Flash animations are "flip-page" animations; each step of the animation is displayed on a separate frame. When you export to SWF, Designer creates a frame for each layer in a drawing or each step in a transform or blend.

The maximum page size you can use in Designer to create a Flash movie is 11.375 x 11.375 inches. This produces a Flash movie that is 819 x 819 pixels, at 72 dpi. Objects can be located off the page (like being off camera), but must be within the extents of the page (movie). The maximum area in which objects can be located is about 45 x 45 inches (3250 x 3250 pixels).

Related Topics | Creating Animations for Flash
 | Setting Flash Properties
 | Creating Flash Files
 | HTML Interaction with Flash


Creating Animations for Flash

There are two ways to create animations for Flash in Designer: frame by frame or by assigning the AsAnimation property to a group of transformed objects or a blend object.

Frame-by-frame Animations

To create a frame-by-frame animation, create each step on a separate layer. For example, you can create a base object, then copy it to subsequent layers and make changes.

When you export the drawing as an SWF file, Designer converts each layer to a frame, in the order they appear in the drawing.

The frame-by-frame method is a good way to show an object changing over time.

Transform or Blend Animations

You can create an animation on a single layer by using the Transform dialog box, then grouping the objects, or by using the Blend Objects dialog box. You assign the AsAnimation property to the group of transformed objects or blend object. When you export the drawing, Designer puts each step on a separate frame.

The transform method is a good way to show movement, scaling, flipping, and rotation, where the object's shape doesn't change. You can also show skewing.

Complex objects within the group of transformed objects must be individually grouped.

Use blend animations to show an object changing shape and color.

Designer does not blend grouped, bitmap, or text objects. You can ungroup grouped objects and use Connect Closed to convert them to Path objects, then use them in blends. You can also convert text to curves to use in blends.


Setting Flash Properties

There are two kinds of Flash properties: object and frame (layer) properties.

Flash Object Properties

To add intelligence to objects for Flash, select the objects and use the Object Properties dialog box. The following properties can be set:

Field | Value
URL | Web address. See URL Property.
Target | HTML frame to open the URL in: "_blank" (new window), "_parent" (window which spawned the current window), "_self" (current window), "_top" (full body of current window), or a frame name.
Play | Set to "True" to play the animation.
Stop | Set to "True" to stop the animation.
OverColor | Highlight color during mouse over, as "R#G#B#." For example, enter "R255G0B0" for red.
DownColor | Color during mouse press, as "R#G#B#." For example, enter "R255G0B0" for red.
AsAnimation | Set to "True" to have Flash perform a blend animation.
Hide | Set to "True" to hide the blend at the end or until visible.
Sound | Path and name of a sound file. Example: C:\sounds\mysound.wav

Flash Frame Property

There is only one frame property: Static. This keeps the frame visible after it appears in an animation. To set the frame property, right-click the layer tab at the bottom of the drawing area, then click Static.


Creating Flash Files

To create a file for use in Flash, you can either choose Export or Publish to Web on the File menu. Both methods will export a Flash file. The Publish to Web method will also create an HTML file that you can use on the Web immediately.


To export a drawing as Flash file

  1. On the File menu, click Export. The Export dialog box opens.

  2. In the Save as type box, click SWF.

  3. To set options for the file, click Setup.

  4. On the Export dialog box, enter the file name and select the folder.

  5. Click Export.


To publish a drawing for Flash

  1. On the file menu, point to Publish to Web then click Flash. The Publish to Web - Flash dialog box appears.

  2. Set options as needed.

  3. To set export options, click Setup to open the Flash Export Setup dialog box.

  4. Click OK.

Designer exports the drawing as a Flash file and creates an HTML file.


HTML Interaction with Flash

You can control two basic actions with Flash and scripting:

Controlling an Animation using a JavaScript Method

When embedding a Flash animation, the player is assigned an ID as follows:

<OBJECT CLASSID="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"

CODEBASE="http://active.macromedia.com/flash5/cabs/swflash.cab#version=5,0,0,0"

ID=navmovie WIDTH=100% HEIGHT=100%>

<PARAM NAME="movie" VALUE="navigation.swf">

<PARAM NAME="play" VALUE="false">

<PARAM NAME="quality" VALUE="high">

<EMBED NAME=navmovie SRC=navigation.swf WIDTH=100% HEIGHT=100% PLAY=false

SWLIVECONNECT=true QUALITY=high>

</OBJECT>

Examples:

var firstName = navmovie.GetVariable("FirstName");

navmovie.Play();

navmovie.Pan();

Sending a Message from an Animation to JavaScript

In the HTML page that embeds the animation, add the following JavaScript code:

function navmovie_DoFSCommand(command, args) {

if (command == "messagebox") {

alert(args);

}

}


Publishing an Image Map

Use the Publish to Web - Image Map command on the File menu to export a drawing as an image map and create an accompanying HTML file that can be used immediately as a Web page. An image map is a graphic with areas the user can click, for example, to link to a Web page.

Designer creates a GIF, JPEG, or PNG file and places it in the folder you specify on the Publish to Web - Image Map dialog box. Objects that have URL links and image map properties will keep this information when the graphic is exported.

Objects used for image maps use only one property, URL, with a Web address as the Value. See URL Property for more information.


To publish a drawing as an image map

  1. On the file menu, point to Publish to Web then click Image Map. The Publish to Web - Image Map dialog box appears.

  2. Set options as needed.

  3. Click OK.

Designer exports the drawing as an image map and creates an HTML file.


Keyboard Shortcuts

File Operations

Action | Shortcut
Floating hint window | CTRL+F1
Close drawing window | CTRL+F4
Exit Designer | ALT+F4
New document | CTRL+N
Open document | CTRL+O
Save | CTRL+S
Save as | CTRL+SHIFT+S
Import | CTRL+1
Export | CTRL+2
Print current page | CTRL+P
Print selected objects | CTRL+SHIFT+P

Editing

Action | Shortcut
Undo | CTRL+Z
Redo | CTRL+Y
Cut to Clipboard | CTRL+X or SHIFT+DELETE
Copy to Clipboard | CTRL+C or CTRL+INSERT
Paste from Clipboard | CTRL+V or SHIFT+INSERT
Delete | DELETE
Duplicate | CTRL+D
Clone | CTRL+PLUS SIGN on numeric keypad (+)

Selecting

Action | Shortcut
Deselect all objects | CTRL+F2
Select all objects (current page unless Edit All Layers is turned on) | CTRL+A or F2
Select all objects minus current selection | CTRL+SHIFT+A or SHIFT+F2
Select back-most object in current selection | END
Select foremost object in current selection | HOME

Ribbons

Action | Shortcut
Compound line ribbon | CTRL+SHIFT+W
Dimension ribbon | CTRL+0 (zero)
Ellipse ribbon | CTRL+SHIFT+Z
Format ribbon | CTRL+L
Image ribbon | CTRL+W
Polygon ribbon | CTRL+SHIFT+Y
Rectangle ribbon | CTRL+SHIFT+X
Simple line ribbon | CTRL+SHIFT+D
Text ribbon | CTRL+T

Dialog Boxes

Action | Shortcut
Align dialog box | ALT+1
Coordinates dialog box | CTRL+Q
Floating color palette | CTRL+F
Layers dialog box | CTRL+F10
Object Properties dialog box | F12
Pages dialog box | CTRL+G
Select Object dialog box | CTRL+SHIFT+F2
Text dialog box | CTRL+SHIFT+T

Aligning Objects

Action | Shortcut
Align bottom | ALT+8
Align center horizontal | ALT+5
Align left | ALT+3
Align middle vertical | ALT+6
Align right | ALT+7
Align to rulers | ALT+2
Align top | ALT+4
Justify horizontally | ALT+9
Justify vertically | ALT+0 (zero)
Align to page center | CTRL+SHIFT+5
Align to page center and middle | CTRL+SHIFT+F11
Align to page middle | CTRL+SHIFT+6
Align to page bottom | CTRL+SHIFT+8
Align to page left | CTRL+SHIFT+3
Align to page top | CTRL+SHIFT+4
Align to page right | CTRL+SHIFT+7
Justify to page horizontally | CTRL+SHIFT+9
Justify to page vertically | CTRL+SHIFT+0 (zero)

Viewing

Action | Shortcut
Add view | SHIFT+F4
Crosshairs | CTRL+H
Move down one layer | SHIFT+PAGE DOWN
Move up one layer | ALT+PAGE UP
Next drawing window | CTRL+F6
Redraw the screen | F3
Scroll one line down | ALT+PAGE DOWN
Scroll one line up | ALT+PAGE UP
Scroll down | PAGE DOWN
Scroll up | PAGE UP
View actual size | CTRL+F8
View all pages (Page Manager) | CTRL+G
View first page | CTRL+HOME
View full screen | F4
View last page | CTRL+END
View next page | CTRL+PAGE UP
View page | SHIFT+F6
View previous | SHIFT+F3
View previous page | CTRL+PAGE DOWN
View used area | CTRL+SHIFT+F3
Zoom in | F6
Zoom out | CTRL+SHIFT+F6

Text

Action | Shortcut
Align text to bottom | CTRL+SHIFT+B
Align text to center | CTRL+SHIFT+C
Align text to left | CTRL+SHIFT+L
Align text to middle | CTRL+SHIFT+M
Align text to right | CTRL+SHIFT+R
Align text to top | CTRL+SHIFT+O
Bold | CTRL+B
Force justify text horizontally | CTRL+SHIFT+F
Full justify text horizontally | CTRL+SHIFT+J
Italics | CTRL+I
Kern, decrease spacing | ALT+CTRL+LEFT ARROW
Kern, increase spacing | ALT+CTRL+RIGHT ARROW
Move to beginning of line | HOME
Move to end of line | END
Small caps | CTRL+M
Subscript | CTRL+SHIFT+K
Superscript | CTRL+K
Text dialog box | CTRL+SHIFT+t
Underline | CTRL+U

Object Options

Action | Shortcut
Corner | CTRL+5
Symmetrical curve | CTRL+7
Unlocked cusp | CTRL+6
Locked cusp | CTRL+4
Convert to curves | CTRL+R
Cusp | CTRL+6
Connect closed | F11
Connect open | CTRL+F11
Disconnect closed | SHIFT+F11
Flip horizontal | F7
Flip vertical | SHIFT+F7
Group objects | F5
Move to bottom | F9
Move to top | F10
Reverse order | CTRL+SHIFT+F9
Rotate preset amount | F8
Copy and rotate preset amount | SHIFT+F8
Snap points on | CTRL+F7
Snap points off | CTRL+SHIFT+F7
Step down | SHIFT+F9
Step up | SHIFT+F10
Toggle reference point | SHIFT+PLUS SIGN (+) on numeric pad
Ungroup objects | SHIFT+F5

Reference Point

Action | Shortcut
Places the reference point at the current pointer location. | PLUS SIGN on numeric keypad (+)
Shows or hides the Reference Point Coordinates dialog box. | SHIFT+PLUS SIGN on numeric keypad (+)
Turns on the X constraint and sets the constraint value to the X coordinate offset between the reference point and the current pointer location. | 3
Turns on the Y constraint and sets the constraint value to the Y coordinate offset between the reference point and the current pointer location. | 4
Turns on the distance constraint and sets the constraint value to the distance between the reference point and the current pointer location. | 5
Turns on the angle constraint and sets the constraint value to the angle between the reference point and the current pointer location. | 6
Turns the X constraint on and off. | 7
Turns the Y constraint on and off. | 8
Turns the distance constraint on and off. | 9
Turns the angle constraint on and off. | 0 (zero)


Using an IntelliMouse

See note below.

Action | Operation
Zoom in | Mouse wheel up
Zoom out | Mouse wheel down
Panning | Click and hold mouse wheel, then move mouse
Scroll up | CTRL+mouse wheel up
Scroll down | CTRL+mouse wheel down

This table assumes that the default "Zoom" is selected on the Input page of the Options dialog box and that your system is using Microsoft IntelliMouse standard support with Designer. To change settings for your mouse, go to Control Panel and open the Mouse Properties dialog box.


Dialog_Boxes.html

This document contains the context-sensitive topics for all Designer dialog boxes and message boxes.


3D Will Be Mapped To 2D message

Designer displays this message before opening a Designer 4.0 file that contains one or more 3-D objects. Designer converts each 3-D object into a 2-D object that has the appearance of the original 3-D object. The 3-D data is not retained in the Designer file.

To help you preserve the Designer 4.0 file, Designer assigns the name Untitled to the drawing after opening it. When you save the Designer file, choose a filename that does not overwrite the original 3-D file.


New Profile Document dialog box

This dialog box lets you save the current Designer settings as a new profile document. To create a new profile, enter a filename for it, and then click OK. To close the dialog box without creating a new profile, click Cancel.


Copy Profile Document dialog box

This dialog box lets you create a copy of the current Designer profile document. Enter a name for the copy that you want to create, and then click OK. To close the dialog box without copying, click Cancel.


Delete Profile Document dialog box

This dialog box lets you delete the current Designer profile document. To delete the file, click Yes. To close the dialog box without deleting, click No.


Rename Profile Document dialog box

This dialog box lets you rename the current Designer profile document. To rename the file, enter the new filename, and then click OK. To close the dialog box without renaming, click Cancel.


Customize dialog box

Categories | To display the button images associated with each category, click the category name.
Buttons | To display the description of a button in this list, click the button. To place the button on a toolbar, drag it to the toolbar and drop it.


File Is Read Only message

The document you are opening is a read-only file. You can open and edit it. However, if you want to save a copy with changes that you make, you must click Save As on the File menu and enter a different name or location for the copy.

OK

Opens the read-only file. You can edit the document, but you cannot save it under the original name.


File Already Open message

The document name you clicked on the File menu is already open.

  • To open a copy of the document as a new, untitled document, click the Yes button. The original document is still available through the Window menu.
  • To cancel the command and close this dialog box, click the No button or the Cancel button.


Unable To Read From File message

Designer is not able to open the specified file. Try importing the file.


File Close Confirmation message

You are about to close a document that contains unsaved changes.

Yes | Saves the changes and then closes the document.
No | Closes the document without saving the changes.
Cancel | Closes the dialog box without closing the document or saving the changes. Keyboard shortcut: ESC


Slideshow Options dialog box

This dialog box lets you set options that affect all slides in a presentation.

Pointer | Lets you show or hide the pointer. Click the up or down arrow to select a pointer.
Next Slide Ready | Lets you display an arrow or play a sound when the next slide is ready.
Global Overrides | Automatic Advancement - This overrides any automatic advancement settings you made on the ribbon or in the Transitions Effects dialog box. Loop Slide Show - Lets you run the slide show repeatedly until interrupted manually. Change Transitions - Makes all transitions in the slide show faster or slower.


Transition Effects dialog box

This dialog box lets you control special effects (wipes) that Designer uses to replace one screen with the next during your slide show. You can choose from special-effect transitions such as spiral and rain, and you can set the speed and direction of the transition.


Standalone Setup dialog box

This dialog box lets you select from available screen color and resolution options for your standalone slide show. To see the options and select one, click the Number of Colors and Target Screen boxes.

Number Of Colors | Choose the number of colors you want in the standalone presentation. Currently, your only choice is the number of colors on the computer you are using. More colors require more disk space.
Target Screen | Choose the resolution of the monitor that will be used for the standalone presentation.


Layers dialog box

This dialog box lets you manage layers in your document.

Layer Name | Shows the name of the currently selected layer, if you have named the layer.
Accept Entry | Accepts the name you enter in the Name box to the left.
Current Layer | Shows the number and name of the currently selected layer. Unless you click the Edit All Layers option, this is the only layer in which you can select and edit objects.
Layer | Shows the numbers and names of all layers in the document. The current layer is shown in red. Clicking a layer in this list only selects that layer for moving, hiding, locking, renaming, and so forth. It does not make that layer the current layer.
Move Objects | Lets you move currently selected objects to a specific layer. Select the objects you want to move, click this button, and then select the destination layer in the Current Layer list. The items are moved to the selected layer.
Edit All Layers | Lets you edit all objects, regardless of which layer they belong to.
Add | Adds a new layer behind all other layers in the document.
Delete | Deletes the layer highlighted in the list on the left. When you delete a layer, all objects in that layer are also deleted. You cannot delete the currently selected layer (the layer selected in the Current Layer box).
Forward | Moves the layer highlighted in the list on the left forward.
Backward | Moves the layer highlighted in the list on the left backward.
Lock | Locks the layer highlighted in the list on the left. You cannot select or edit objects in a locked layer, even by making it the current layer or clicking the Edit All Layers option.
Unlock | Unlocks the layer highlighted in the list on the left. Before you can select or edit objects in the layer, you must either make it the current layer (in the Current Layer box) or select the Edit All Layers option.
Hide | Hides all objects in the layer highlighted in the list on the left.
Show | Shows all objects in the layer highlighted in the list on the left. Useful if you have previously hidden that layer.
Non Printable | Marks all objects in the layer highlighted in the list on the left as non-printable.
Printable | Marks all objects in the layer highlighted in the list on the left as printable. Useful if you have previously marked the layer as non-printable.
Single Color | Shows all objects in the layer highlighted in the list on the left using one color. You select the color from a drop-down color palette connected to the Layer Color button.
Multi Color | Shows all objects in the layer highlighted in the list on the left using their normal colors. Useful if you have previously marked the layer as a single-color layer.
Layer Color | Displays a drop-down color palette. Use the palette to select a color for a single-color layer.


Move to Layer dialog box

This dialog box lets you select the layer to which you will move selected objects.


Layer Name dialog box

This dialog box lets you type a name for the selected layer tab.


Pages dialog box

This dialog box lets you choose which page of the document you want to view. You also can add, delete, and name pages.

If you want to rearrange the pages in a document, click the Page Manager button [image] in the Toolbox, and then drag the thumbnail view of each page to its new position.

Page Name | Shows the name of the currently selected page, if you have named the page. To name (or rename) a page, enter the name in this box and then click the Accept Entry button. You cannot rename the Master Page.
Accept Entry | Accepts the page name you have entered in the box to the left.
Current Page | Lists the pages in the current document. To go to a page, click its name and then click the Select button.
Add | Adds a new page to the end of your document.
Delete | Deletes the currently selected page. You cannot delete the Master Page or the last page in the document.
Select | Closes the Pages dialog box and goes to the selected page.
Close | Closes the Pages dialog box without changing to a different page.


Toolbars dialog box

This dialog box lets you choose which toolbars you want to view. You also can choose whether to view ToolTips, color buttons, and large buttons.

You can create new toolbars and customize existing ones.

Toolbars | Shows the names of available toolbars and whether each is selected for viewing. To show or hide a specific toolbar, click the box to the left of the its name.
New | Lets you create and name a new, custom toolbar.
Rename | Lets you rename a custom toolbar. You cannot rename the toolbars provided initially with Designer.
Delete | If the currently selected toolbar is a custom toolbar, deletes the toolbar. If the currently selected toolbar is one of those provided initially with Designer, resets the toolbar to its initial settings.
Customize | Displays a dialog box with buttons that you can drag to the currently selected toolbar.
Color Buttons | Select this option if you want to see color buttons in your toolbars.
Large Buttons | Select this option if you want to see large buttons in your toolbars.
Show ToolTips | Select this option if you want to see ToolTips. ToolTips, when enabled, show you the name of a tool or button when you pause the pointer on the button.


Split Pages or Enlarge Drawing dialog box

The document you are opening consists of multiple pages. You can either retain the page divisions (click Split Up Pages) or combine the pages into a single, large drawing (click Enlarge Document).


Find Files dialog box

This dialog box lets you search folders for a specific filename or all filenames that match a wildcard specification.

Named | Type the name of the file you want to search for into this text box. You can use the wildcard character ? (question mark) as a substitute for an individual character and the wildcard character * (asterisk) as a substitute for any number of characters.
Look in | Enter the folder to begin the search from. You can use the Browse button to select a folder.
Include subfolders | Select this option to also seach in folders under the current folder the search starts from.
Browse | Lets you open the Browse For Folder dialog box.
Files found | During the search, Designer lists the names and locations of files that match the entry in the Named box.
Find Now | Click this button to begin the search.
Open | Click the name of the file in the list that you want to open, and then click this button to open the file.

If Designer lists multiple files found in a search, you can hold CTRL and click file names to select as many as nine files and then open all the files in one operation, even if the files are in different folders.


Paper Size tab of the Page Setup dialog box

If you change the page setup and you plan to print your work, you should change the printer setup to match.

Page size list | You can choose from standard page sizes or choose Custom Size and create your own by adjusting the Width and Height measurements. Use the Screen Size selection when preparing on-screen presentations (slide shows) to be used with the Page Manager tool. Choosing this option sets the page size to match the size, proportions, and resolution of your monitor.
Use Master Page | Match the size, orientation, and page fill (if any) of the master page. To edit the master page, you must click the Page button (at the bottom left of the Designer window), and choose Master Page
Use Printable Area | Forces the on-screen page to reflect your printer's page size and margins. For example, if your printer uses an 8.5" x 11" page with one-half inch margins, the on-screen page matches it.
Width | Changes the page size. Use the scroll arrows in the Height and Width list boxes.
Height | Changes the page size. Use the scroll arrows in the Height and Width list boxes.
Units | Lets you change the measuring increment. By default, the units match the ruler. To change the units, click the button. A menu opens, displaying the units available, along with the More Units command.
Page Tiling | If the page size is set to use the printable area and the page orientation matches the orientation of the target printer, no tiling is used, and the number of Columns and Rows is set to 1. If you enter a new value for Columns or Rows, the page size changes to match the value. To display tile lines on your screen as you work, open the View menu, point to Workspace, and click Show Printer Page Tiles.
Page Orientation | Lets you change the page's orientation to either portrait (tall) or landscape (wide).
Apply to All Pages | Applies all of the page setup options to all of the pages in the document.
Default button | Lets you establish the current settings as the default settings for all new pages and documents.


Margins tab of the Page Setup dialog box

If you change the page setup and you plan to print your work, you should change the printer setup to match.

Top | Lets you choose page margins (border widths). You can use margins as boundary guides for creating drawings. Type the margins you want, or use the scroll arrows to change the widths. Most printers do not print to the edge of the paper. Margins include this nonprinting area. For example, if your margin is 1/2 inch and the nonprinting area is 1/4 inch, the margin is 1/ 2 inch from the edge.
Bottom | Lets you choose page margins (border widths). You can use margins as boundary guides for creating drawings. Type the margins you want, or use the scroll arrows to change the widths. Most printers do not print to the edge of the paper. Margins include this nonprinting area. For example, if your margin is 1/2 inch and the nonprinting area is 1/4 inch, the margin is 1/ 2 inch from the edge.
Left | Lets you choose page margins (border widths). You can use margins as boundary guides for creating drawings. Type the margins you want, or use the scroll arrows to change the widths. Most printers do not print to the edge of the paper. Margins include this nonprinting area. For example, if your margin is 1/2 inch and the nonprinting area is 1/4 inch, the margin is 1/ 2 inch from the edge.
Right | Lets you choose page margins (border widths). You can use margins as boundary guides for creating drawings. Type the margins you want, or use the scroll arrows to change the widths. Most printers do not print to the edge of the paper. Margins include this nonprinting area. For example, if your margin is 1/2 inch and the nonprinting area is 1/4 inch, the margin is 1/ 2 inch from the edge.
Units | Lets you change the measuring increment. By default, the units match the ruler. To change the units, click the button. A menu opens, displaying the units available, along with the More Units command.
Show Page Crop Marks | Prints crop marks on the paper.
Page Fill | If Enabled is selected, you can click the Page Fill button [image] to open the Interior Fill tab of the Object Format dialog box and can choose a fill for the page. The fill will display on the button and in the preview area on the right.
Apply to All Pages | Applies all of the page setup options to all of the pages in the document.
Default button | Lets you establish the current settings as the default settings for all new pages and documents.


Invalid Page Definition message

The current page definition contains an invalid setting (such as a margin that is larger than the paper size). Please check the Page Setup settings on both the Margins and the Paper Size tabs.


Objects Larger Than Page dialog box

This dialog box appears when you are importing objects that are larger than the current page.

Maintain the original size | Select if you want to maintain the size of the objects and the page.
Scale the objects to fit the current page | Select if you want to change the size of the objects so they will fit the current page size.
Resize the current page to fit the objects | Select if you want to change the page size to fit the objects.


Page Setup - Default message

This message box lets you make the current Page Setup settings the default settings. If you click Yes, the current page and all new pages will use these settings. You are returned to the document.

Yes | Makes the current Page Setup settings the default settings. The current page and all new pages will use these settings. You are returned to the document.
No | Closes this dialog box without changing any default settings.


Print Document dialog box

This dialog box lets you print the document in the active window. You can specify the current page, all pages, or selected pages from the document; the number of copies to be printed; whether to collate the copies; whether to include page labels; and whether to use vector clipping (for use with a pen plotter).

You also can print multiple documents.

If the current page size is larger than the paper size of your printer or plotter, the entire drawing page is printed with as many printer pages as needed. This process is called tiling.

Printer list | Lets you select the target printer.
Properties | Displays the Windows property sheet for the selected printer. You can use the property sheet to examine or change your printer setup before printing the Designer document.
Language level | Lets you select PostScript language level 1, 2, or 3.
Download Fonts | Clear this option only if all of the fonts in your document have been downloaded to your PostScript printer. Bypassing font downloads can greatly reduce the size of a print job. It tells Designer that the printer has resident font descriptions for all the fonts in the current print job, and that it is not necessary to download the font description for any font encountered in this Designer document. This option is enabled only for PostScript printers where Designer handles the PostScript generation.
Binary image Encoding | Reduces the PostScript file size if the document contains bitmap images. Not available if you are outputting for color separation.
Separation Options | Adds PostScript code to the printer output to make it compatible with DSC color-separation programs. Those programs can then separate the colors in your drawing. The code allows separation of spot and process colors. You should use these options only if you are printing to an EPS file. If you select LanguageLevel 3 Separation, you can then specify that separation be applied to CMYK plates only or all plates.
Pages | Current - Prints only the currently displayed page. If more than one page is displayed, prints the last page that has an object selected. All - Prints every page of the document. Range - Lets you print specific pages in the document. Examples: Enter "1,2,6-9" to print 1, 2, and 6 through 9. Enter "6-" to print 6, 7, 8, to the end of the document. If you choose the Fit To Page option and the page is tiled, all of the tiles are reduced to fit on a single page rather than the pages you specify.
Copies | Type the number of copies you want to print.
Collate | Prints a complete copy of a document before printing the next copy. This option is available only when you print more than one copy of a multiple-page document. When the Collate option is not selected, Designer prints all copies of the first page, then all copies of the second, and so on. Collating can slow the print speed on some printers.
Page Label | Prints the document's file name, page number, and page name (if any) at the top of the page in the margin.
Mirror | Flips a drawing so that it prints reversed--as though you were viewing it in a mirror. Use this option to print T-shirt transfers or other drawings that must be given to a print shop reversed. This option is available only with certain printer drivers. This option is grayed if the printer driver does not support mirroring.
Vector Clipping (plotters only) | Improves the output of drawings on plotters. This option does not allow plotted lines to cross, causing the top object of overlapping drawings to completely cover the bottom object (this is done automatically with non-plotting printers). Vector Clipping also prevents the damage to plotter pens that can occur when different colors are drawn over each other. For example, a yellow line drawn over a black line can permanently stain the yellow pen. The Vector Clipping option is available only when you are using a plotter. This option increases the time it takes to plot your drawing.
Fit to Page | Reduces or enlarges the drawing proportionately to fit the printout, if necessary. If this option is not selected, the drawing is tiled on as many pages as necessary. If you select this option, all pages are printed on a single page rather than only the pages you specify in the Range area.
Center on Page | Center the document page horizontally and vertically on the printer page. You use this option when you are printing a document page that is smaller than the printer page. If you do not choose this option, the page prints at the upper left of the paper.
Print | Prints using the options you selected.


Print Multiple Files dialog box

The Print Multiple Files dialog box prints one copy of all pages in each selected document. Designer handles mixed page orientations (portrait and landscape) automatically.


Select Object dialog box

The Select Object dialog box lets you select objects based on their attributes and properties.

Type | Lets you limit what is selected. For example, you can specify "Callout Lines" to select callout objects only.
Attribute | Shows a list of physical characteristics possible for an object, such as interior fill style, line style, and font size. On the workspace, select an object to base selection on, then in the dialog box select the attributes you want to select by.
Property | The property boxes are enabled if you select Property in Attributes. In Field, select a field name. In Value, type the value to select by.
All or Next Matching Object | Selects all objects on the current page that match the selected properties and attributes, or selects the matching objects one at a time. Click the Select button to select the next matching object (and deselect the first).
Select All/Select | Selects the objects based on the attributes and property values you selected.
Append | Appends newly selected objects with those previously selected, when you are selecting all matching objects.


Links dialog box

The Links dialog box lists each linked OLE object in your document, including the name of the source application, the type of linked object (for example, picture or text), the filename, and whether the object updates automatically or manually.

You can changes the settings, update an object to match its source file, or break the link between an object and its source file.


Paste Special dialog box

Lets you choose how you want to paste an object from the Clipboard.

Optionally, you can choose to display an icon of the pasted object rather than the object.

Source | Shows the type, format, and/or file name of the object you are pasting.
As | Lists the format, or type, of the object you are pasting. You can select a different data type from the list to paste the object in a different format. For example, you can select a non-OLE data type if you don't want to embed the object. The data types supported are as follows: Rich Text Format - Encoded text that contains information such as attributes (bold, italic, color, etc.) Text - Standard ANSI character set OEM Text - Text that is in a different character set Paintbrush Picture - Bitmap from Windows Paintbrush Bitmap - Device dependent bitmap DIB - Device independent bitmap Picture - Windows metafile You must choose the highlighted data type if you want to link the object to its source file.
Paste | Pastes (and embeds) the object from the Clipboard into the drawing, using the format selected in the Data Type list box.
Paste Link | Pastes the object from the Clipboard into your drawing and maintains a link between the pasted object and the object's original file. When you edit a linked object, the object's original file also updates. This button is gray if the object comes from a program that cannot link to Designer.


Insert Object dialog box

The Insert Object dialog box lets you create and insert an OLE object into your Designer drawing. You can create the object either from a file or by using an OLE server application such as Picture Publisher or FlowCharter.


Align dialog box

This dialog box lets you align objects to one another, to the page edges, or to a selected path.

Align To Page | Lets you use buttons to change the alignment of objects on the page. When you choose an alignment button, the preview box displays the object alignment.
Align To Object | Uses the bounding box that surrounds all selected objects as the basis for alignment. For example, if you select three objects and align them at top left, they align to the top left corner of the surrounding bounding box.
Reset | Returns the objects to their original positions.
Left | When Aligning Objects: Aligns all selected objects to the left of their bounding box. When Aligning To Page: Aligns all selected objects to the left page margin.
Center | When Aligning Objects: Aligns all selected objects to the horizontal center of their bounding box. When Aligning To Page: Aligns all selected objects to the horizontal center of the page.
Right | When Aligning Objects: Aligns all selected objects to the right edge of their bounding box. When Aligning To Page: Aligns all selected objects to the right page margin.
Distribute Horizontally | When Aligning Objects: Distributes the selected objects horizontally within their bounding box so that they are equally spaced. When Aligning To Page: Distributes the selected objects horizontally on the page so that they are equally spaced.
Top | When Aligning Objects: Aligns all selected objects to the top edge of their bounding box. When Aligning To Page: Aligns all selected objects to the top page margin.
Middle | When Aligning Objects: Aligns all selected objects to the vertical center of their bounding box. When Aligning To Page: Aligns all selected objects to the vertical center of the page.
Bottom | When Aligning Objects: Aligns all selected objects to the bottom edge of their bounding box. When Aligning To Page: Aligns all selected objects to the bottom page margin.
Distribute Vertically | When Aligning Objects: Distributes the selected objects vertically within their bounding box so that they are equally spaced. When Aligning To Page: Distributes the selected objects vertically on the page so that they are equally spaced.
Align objects as a Group | If you are aligning to the page, click this to treat the selected objects as a group.


Align to Path dialog box

This dialog box lets you align non-text objects, or text converted to curves, along the path of other objects. For example, you can draw a curve and align other objects along it.

You also can change how shapes align to a path with the alignment orientation options.

For text, use the Path Fit button on the text ribbon [image] or Text to Path comment in the Align menu.

Select Path Previous | Selects the previous object to use as a path for the other objects. The initial path selection is the object that provides the longest path. The Previous button cycles through objects in the opposite order from the order in which they were drawn.
Select Path Next | Selects the next object to use as a path for the other objects. The Next button cycles through objects in the order in which they were drawn.
Justification Left | Positions objects so the left edge of each object aligns to the alignment point (the point on the object around which other objects align).
Justification Center | Centers objects horizontally around the alignment point (the point on the object around which other objects align).
Justification Right | Positions objects so the right edge of each object aligns to the alignment point (the point on the object around which other objects align).
Distribute Horizontally | Distributes objects evenly on the path (the object around which other objects align).
Direction Backward | Aligns objects in the opposite direction in which the path was drawn (the alignment direction is endpoint to origin).
Direction Forward | Aligns objects in the direction in which the path was drawn (the alignment direction is origin to endpoint).
Pitch No Rotation | Places objects along the path without skewing or rotating the shapes.
Pitch Rotate | Aligns the objects along a path by rotating, but not changing the shapes.
Offset % | Controls where the objects vertically rest on a path. An offset of 100 aligns the bottom of the objects to the path, an offset of 0 aligns the middle of the objects to the path, and an offset of -100 aligns the top of the objects to the path. An offset greater than 100 (to the limit of 200) aligns the bottom of the objects above the path. An offset less than -100 (to the limit of -200) aligns the top of the objects below the path.
Alignment Point Top | Sets the alignment point to the top edge of the path you are using to align objects. To set the alignment point to a custom location, click the Choose Position button.
Alignment Point Left | To set the alignment point to a custom location, click the Choose Position button.
Alignment Point Right | Sets the alignment point to the right edge of the path you are using to align objects. To set the alignment point to a custom location, click the Choose Position button.
Alignment Point Bottom | Sets the alignment point to the bottom edge of the path you are using to align objects. To set the alignment point to a custom location, click the Choose Position button.
Choose Position | Lets you drag a red alignment point along the path object to specify the alignment location. To complete the selection of the alignment point, click this button a second time.


Blend Objects dialog box

This dialog box lets you transform one object into another. You can specify the number of transformations, or steps, between two objects. Each step is a different object slightly changed to look more like the second object. The more steps you use, the closer (and smoother) the transforming objects are. You can use as many as 1000 steps.

Blending results are usually better with uncomplicated objects.

Large numbers of steps can slow redraw time.

You may have to try several different settings to find the ones that give the effect you want.

Designer cannot blend grouped, bitmap, or text objects. You can convert text to curves and then blend it.

Steps | Specifies the number of transformations, or steps, between the two objects you are blending. Each step is a different object slightly changed to look more like the second object. The more steps you use, the closer (and smoother) the transforming objects are. You can use as many as 1000 steps. A large number of steps can slow redraw time. Objects blend from the front to the back object (the front object is the one you drew last). Select an object and press F10 to move it to the front. Designer cannot blend patterns, but it blends the pattern color and places the pattern in all the transformations. If the objects have different patterns (for example, a hatch and a gradient), Designer places the pattern of the top object in all the transformations. Designer does not place bitmap patterns in transformations. Designer cannot blend grouped, bitmap, or text objects. You can convert text to curves and then blend it. Blending results are usually better with uncomplicated objects.
Reverse Direction | Lets you reverse the way Designer normally compares points if you don't like the results of a blend. Objects are drawn either clockwise or counterclockwise from a starting point. For example, closed objects are drawn counterclockwise. When Designer blends objects, it matches corresponding points of the two objects so that the order the points were drawn determines the appearance of the blend.
Dynamic | By default, steps between blended objects are dynamically maintained. If you change the color or reshape one of the objects or "nodes" the blend is automatically recalculated. Deselect Dynamic before you apply the blend to create a series of objects. They will not be dynamically maintained.
Choose Origins | Designer blends a point on the first object to a corresponding point on the second object. Use this button to change the default origins.
Convert Step to Node | Lets you convert one of a dynamic blend's steps to an object. Once converted, the original blend is no longer maintained, only the blend between the new object
Remove Node | Lets you convert an object in a dynamic blend to a step.
Remove Blend | Lets you remove the dynamic blend between objects.


Move tab of the Transform dialog box

This tab lets you move selected objects with precision. You can also leave a trail of copies of an object while moving it.

Coordinate System | Click the coordinate system you want to use.
Horizontal | For Cartesian coordinates, enter the horizontal distance to move the object, or the ruler coordinate on which to place the object.
Vertical | For Cartesian coordinates, enter the vertical distance to move the object, or the ruler coordinate on which to place the object.
Distance | For polar coordinates, enter the distance.
Angle | For polar coordinates, enter the angle, in degrees, or drag the red needle in the dial at the right.
Move From Current Position | Bases the object's movement on its present location. For example, you can move the object one centimeter up and two centimeters to the right.
Move Along Ruler | Move an object to specific ruler coordinates.
Origin | The point on the object that will be placed at specified ruler coordinates. For example, if the origin is "Top, left handle," the top, left corner of the object's bounding box will be placed at the specified coordinates.
Copies | Type the number of copies to make while transforming an object. Each copy is spaced from the previous copy as defined by your settings. To move only the original object, set the number of copies to 0.
Group Copies | Automatically groups all the copies after a transform, but not the original object.
Details | Shows a list of remembered transformation settings. This feature lets you apply multiple transforms to an object. Add - Adds the current transformation settings to the list. Modify - Sets the selected remembered transform to the current settings. Choose the remembered transform you want to change, make the changes you want, and then click Modify. The new settings appear in the list. Delete - Removes the current transform from the list. Empty - Removes all remembered transforms. Wireframe Preview - Shows a wireframe preview of the transformation as you enter values.


Scale tab of the Transform dialog box

This tab lets you resize selected objects with precision. You can also leave a trail of copies of an object while scaling it.

Horizontal and Vertical | Defines the percentage change in the current horizontal and/ or vertical size of an object. The current size is 100%. A number below 100% decreases the object size, and a number above 100% increases the size. The horizontal and vertical sizes are the same unless you deselect the Proportional Scale option.
Proportional Scale | If selected, sets the Vertical percentage to the same value you specify in Horizontal, and vice versa. If not selected, lets you set Horizontal and Vertical values separately.
Origin | Lets you select the handle or point on the object at which the transform originates. The default is the object's pivot point (usually at the center of the object's bounding box).
Copies | Type the number of copies to make while transforming an object. Each copy is scaled using the values from the previous copy. For example, if the first copy is scaled 10% larger, the second copy will be 10% larger than the first, the third copy will be 10% larger than the second, and so on. To scaled only the original object, set the number of copies to 0.
Group Copies | Automatically groups all the copies after a transform, but not the original object.
Details | Shows a list of remembered transformation settings. This feature lets you apply multiple transforms to an object. Add - Adds the current transformation settings to the list. Modify - Sets the selected remembered transform to the current settings. Choose the remembered transform you want to change, make the changes you want, and then click Modify. The new settings appear in the list. Delete - Removes the current transform from the list. Empty - Removes all remembered transforms. Wireframe Preview - Shows a wireframe preview of the transformation as you enter values.


Flip tab of the Transform dialog box

This tab lets you flip selected objects with precision. You can also leave a trail of copies of an object while flipping it.

Flip Horizontally | Flips the object horizontally, at a 90° angle, like a page in a book. The keyboard shortcut is F7.
Flip Vertically | Flips the object vertically, at a 0° angle. The keyboard shortcut is SHIFT+F7.
Flip About Angle | Drag the red needle in the dial to specify an angle or enter the angle of the line around which the object is to be flipped.
Origin | Lets you select the handle or point on the object at which the transform originates. The default is the object's pivot point (usually at the center of the object's bounding box).
Copies | Enter the number of copies to make while transforming an object. Each copy is flipped according to the position of the previous copy. To flip only the original object, set the number of copies to 0.
Group Copies | Automatically groups all the copies after a transform, but not the original object.
Details | Shows a list of remembered transformation settings. This feature lets you apply multiple transforms to an object. Add - Adds the current transformation settings to the list. Modify - Sets the selected remembered transform to the current settings. Choose the remembered transform you want to change, make the changes you want, and then click Modify. The new settings appear in the list. Delete - Removes the current transform from the list. Empty - Removes all remembered transforms. Wireframe Preview - Shows a wireframe preview of the transformation as you enter values.


Rotate tab of the Transform dialog box

This tab lets you rotate selected objects with precision. You can also leave a trail of copies of an object while rotating it.

Angle | Enter the angle of rotation that you want, or drag the red needle in the dial at the right.
Origin | Lets you select the handle or point on the object at which the transform originates. The default is the object's pivot point (usually at the center of the object's bounding box).
Copies | Type the number of copies to make while transforming an object. Each copy is spaced from the previous copy as defined by your settings. To move only the original object, set the number of copies to 0.
Group Copies | Automatically groups all the copies after a transform, but not the original object.
Details | Shows a list of remembered transformation settings. This feature lets you apply multiple transforms to an object. Add - Adds the current transformation settings to the list. Modify - Sets the selected remembered transform to the current settings. Choose the remembered transform you want to change, make the changes you want, and then click Modify. The new settings appear in the list. Delete - Removes the current transform from the list. Empty - Removes all remembered transforms. Wireframe Preview - Shows a wireframe preview of the transformation as you enter values.


Skew tab of the Transform dialog box

This tab lets you skew, or slant, selected objects with precision. You can also leave a trail of copies of an object while skewing it.

Horizontal Angle | Use the up and down arrows to change the horizontal angle that the object is skewed, or drag the red needle in the dial at the right.
Vertical Angle | Use the up and down arrows to change the vertical angle that the object is skewed, or drag the red needle in the dial at the right.
Origin | Lets you select the handle or point on the object at which the transform originates. The default is the object's pivot point (usually at the center of the object's bounding box).
Copies | Type the number of copies to make while transforming an object. Each copy is spaced from the previous copy as defined by your settings. To move only the original object, set the number of copies to 0.
Group Copies | Automatically groups all the copies after a transform, but not the original object.
Details | Shows a list of remembered transformation settings. This feature lets you apply multiple transforms to an object. Add - Adds the current transformation settings to the list. Modify - Sets the selected remembered transform to the current settings. Choose the remembered transform you want to change, make the changes you want, and then click Modify. The new settings appear in the list. Delete - Removes the current transform from the list. Empty - Removes all remembered transforms. Wireframe Preview - Shows a wireframe preview of the transformation as you enter values.


Object Does Not Support Transformation message

You are trying to apply a transformation that Designer does not support for the selected object or objects.

If you have selected multiple objects, try selecting each object separately, and check the object type displayed on the Status Bar.


Transformation Extends Copies Too Far message

You have specified a transformation value that would exceed the visible boundaries. Click OK and then double-check your settings in the Transform dialog box.


Object Properties List dialog box

This dialog box alphabetically lists the names (the values assigned to the property "Name") for the objects selected in the current drawing, the number of objects with the same name ("Toy."), and all fields and their values.

If no objects are selected, the list contains the names for all the objects in the drawing. Objects without names are listed as "unnamed."

Copy | Copies the object list to the Clipboard. Paste the data into the drawing area or into any Windows-compatible program.
Print | Prints the list.
Save As | Opens the Save As dialog box. You can save the list as a space delimited text (TXT), comma delimited text (CSV), data interchange format (DIF), or SYLK (SLK) file.
Options | Opens the List Options dialog box.


List Options dialog box

This dialog box lets you change the column titles in the object list, change the title that is output, and hide or show columns for fields.

Output Heading | Lets you enter a main title for the object list. You can see a title only when you print an object list, or in the Clipboard Viewer.
Name Column | Lets you enter a title for a Name column.
Quantity Column | Lets you enter a title for a Quantity column.
Show Object Details | Shows all fields and their values for each object. You use the Object Properties dialog box to assign fields and set values.


Replace dialog box

This dialog box lets you control how selected objects are replaced by those from the Clipboard.

For example, you can use the Scale to Fit option to force a Clipboard object to scale up or down to completely fill the bounding area of the object you are replacing.

Scale to Fit | Forces a Clipboard object to scale up or down to completely fill the bounding area of the original object.
Align to Border | Lets you keep the original proportions of the Clipboard drawing. Use the list box to select a handle on the original object to which Designer can align the Clipboard replacement. You can only use the Origin list box when the Align to Border option is deselected.
Group Clipboard Objects | Lets you choose one of two ways to replace multiple selected objects with the contents of the Clipboard. Select this option if you have several objects selected but only one in the Clipboard. Each selected object is replaced with a copy of the Clipboard object. Deselect this option if you have several objects selected and several in the Clipboard. The first object (from left to right) in the Clipboard replaces the first original object, the second Clipboard object replaces the second original object, and so on.
Leave Original | Pastes the Clipboard's contents over the original object.
Cut | Cuts the object to the Clipboard.
Copy | Copies the object to the Clipboard
Paste | Pastes the object into your drawing.


Reduce Points dialog box

This dialog box lets you smooth an object's appearance by eliminating some of its anchors.

Objects produced by tracing bitmaps sometimes have an undesirably large number of anchors. By reducing the number of anchors in a traced object, you often can improve the object's appearance. Reducing the number of anchors in an object also can improve its printing speed.

Original | Shows an image and the number of the current number of anchor points in the object.
Reduced | Show a preview and the number of points the will have if you accept the settings.
Points | Decreases the number of points in the object as you drag to the left or increases as you drag to the right (up to the original number of points).
Tension | Decreases or increases the number of points relative to the current setting of the Points slider.


Import dialog box

The Import dialog box lets you specify which file you want to import. You can select the folder and the type of file, and then select the filename.

Setup

Opens a dialog box that lets you set options for the import format you have chosen.


Import Configuration dialog box

The Import Configuration dialog box lets you set options for the import format you have chosen.

Color Mode | Select a color mode from the options.
As Stored | Select this check box if you want to keep the image settings as they are. When this check box is not selected, the Resolution, Height, and Width fields become available.
Resolution | Enter a resolution for the image.
Height | Enter the height for the image.
Weight | Enter the width for the image.
Interlaced | Select this check box to increase the speed of display for the image.


Export dialog box

The Export dialog box lets you specify the folder, the file format, and the filename of the resulting file.

If no objects in the drawing are currently selected, the entire drawing is exported. If one or more objects are selected, only those objects are exported.

Setup

Opens a dialog box that lets you set options for the export format you have chosen.

If the Designer file has more than one page, only the current page is exported.


General tab of the Options dialog box

Recently Used File List Entries | Lets you specify the number of recently used files that Designer displays in the Files menu.
Undo Event Limit | By default, the Undo and Redo commands in the Edit menu reverse (Undo) or repeat (Redo) the most recent five actions. However, Designer can remember from 0 to 100 undo and redo steps since the last save. Setting a higher number of steps gives you the freedom to try multiple changes and the capability to undo those changes if desired, but takes up memory.
Auto Save Time Period | Sets the length of time between automatic saves.
Offset for Duplicate | Enter the vertical and horizontal distance to offset duplicates.
Make Backups on Save | Retains a copy of the previous version of all document files. Designer appends the extension BAK to the filename and saves the backup in the same folder as the original file. When the Make Backups option is selected, you have two copies of the document on disk--the current version and the previously saved version. The backup version is overwritten each time you save the document.
Output Only One Page to QSF | Output only page one when using QSF format.
Use Smart Colorization When Applying Fills to Groups | Use Smart Colorization, which automatically adjust the hue of grouped objects.
Save Designer files as: | Use the drop menu to select a file extension for saving Designer files.


Display tab of the Options dialog box

Auto Scroll | Makes the window scroll automatically when you drag an object beyond the window borders. This is especially useful when you have zoomed in for close work. Note: When Auto Scroll is activated, you cannot drag & drop onto a page tab or a layer.
Display Startup Dialog | Choose whether or not to display Designer's startup dialog box.
Suppress New Blank Drawing On Startup | Specifies whether or not you want to start with a new, blank document each time you start designer. Selecting this option lets Designer open faster, which saves time when you plan to open an existing document rather than creating a new one.
Anti-Alias Exported Images | Use anti-aliasing when exporting images.
Anti-Alias Full Screen View | Use anti-aliasing when viewing images full screen.
Image Output Quality | Change the quality of reshaped images on screen and when printed.
Handle Size | Lets you select small, medium, or large handles to suit your preference.


Rulers tab of the Options dialog box

Ruler Unit | Lets you choose the measurement units to be used in the rulers and grid. The grid appears as a pattern of dotted lines that corresponds to divisions in your ruler settings. You can use the grid as a guide for aligning objects or measuring distances. When you choose settings for the ruler units, all other measurements change as appropriate for your ruler measurements. If necessary, you can change each individual unit measurement to the units you prefer in the appropriate dialog box.
Snaps Per Unit | Lets you change the number of snaps per unit used for the ruler. This setting sets the number of divisions per unit, which affects the number of grid dots that appear when the grid is displayed and also affects how objects snap to the ruler if Snap to Rulers is selected. To prevent the drawing area from becoming too cluttered, Designer limits the number of grid dots and ruler tick marks that appear at one time. For example, if you have a large number of snaps per unit, such as 100 per inch, Designer displays only about 16 per inch at full-page view.
Label Frequency | Specifies the number of units per division in the ruler, which controls how frequently a number appears to label the ruler's units. This option prevents overcrowding the ruler when it is set to small units. For example, when a ruler is set to inches, you might use a value of 1, but when a ruler is set to millimeters, you might prefer a value of 10.
Displayed Precision | Sets the decimal precision of the coordinates displayed in the status bar. To change a value, click the down arrow next to the box and choose the desired setting.
Origin | Type a value or values for the origin, or zero-points, of the rulers. You can also use the mouse to drag the origin from the corner where the rulers intersect.
Same Ruler Settings | Forces the Vertical and Horizontal setting to match.
Show Rulers | Shows or hides the rulers
Show Ruler Position | Displays a red line in the rulers representing the current position of the mouse pointer
Show Grid | Displays a reference grid of horizontal and vertical lines on the drawing. The grid does not print.
Reverse X Direction | Reverses the direction of the X-axis on the horizontal ruler so that positive X lies to the left, and negative Y to the right, of the origin.
Reverse Y Direction | Reverses the direction of the Y-axis on the vertical ruler so that positive Y lies to the above, and negative Y below, the origin.

Reversing both X and Y directions places the origin at the lower right corner and keeps all X and Y coordinates on the page in the positive range.


Snap tab of the Options dialog box

Snap To Rulers | Turn Snap to Rulers on or off.
Snap To Guide Lines | Turn Snap to Guide Lines on or off.
Dragging Snap | Enables snapping the bounding box of an object to rulers, guides, and snap points.
Dynamic Snap | Enables dynamic snap points when drawing a new shape and browsing an existing object.
Bounds | If you select this option, clicking the Add Points button in the Edit ribbon places snap points at the four corners of an object's bounding box (a rectangular area that completely encloses the object).
Center | If you select this option, clicking the Add Points button in the Edit ribbon places snap points at the geometric center of an object.
Pivot | If you select this option, clicking the Add Points button in the Edit ribbon places a snap point at the object's pivot point.
Vertices | If you select this option, clicking the Add Points button in the Edit ribbon places snap points at an object's anchor points.
EndPoints | If you select this option, clicking the Add Points button in the Edit ribbon places snap points at an open object's end points. No snap points are added for closed objects.
MidPoints | If you select this option, clicking the Add Points button in the Edit ribbon places a snap point at the middle of each line segment in the object. If the object has no line segments, no snap points are added.
ControlPoints | If you select this option, clicking the Add Points button in the Edit ribbon places snap points at the control points of all curved anchors in the object.
Intersection | Places a snap point where two or more objects intersect.


Rotation tab of the Options dialog box

This tab lets you set the rotation angle of the F8 rotation key and constrain rotations to increments of the rotation angle.

Rotation Angle Units | Lets you select a unit for rotations.
F8 Rotation Increment | Lets you change the rotation angle applied when you press F8. You can click the arrows beside the text box, or enter a new value in the text box, or drag the red needle in the dial control.
Manual Rotation Increment | Lets you set the increment that Designer uses when you rotate by dragging. For example, if you set the rotation angle to 12 degrees, an object rotates in increments of 12 degrees. The minimum is 0.1 degrees.


Input tab of the Options dialog box

Left Button Click on Selected Object(s) | "Activates rotate/skew mode" configures Designer so that repeated left mouse-button clicks alternate between selecting an object and placing the object in the rotate/skew mode. (To select an object from a stack of overlapping objects, hold ALT and click.) "Selects among overlapping objects" configures Designer so that repeated clicks select objects in a stack. (Choose the Rotate/Skew Tool to use rotate/skew mode.)
Left Button Drag Over Unselected Object(s) | "Always block selects" is the default. To block select, you drag a bounding rectangle completely around objects to select them. "Selects and moves one object" lets you click an unselected object then move it in one motion. (The default is to click then move the object, a two-step process.) It also lets you block select objects.
Mouse and Ctrl/ Shift Combinations Compatible With | Configures Designer so that mouse and CTRL+SHIFT combinations are compatible with either Office 97 or Designer 4.x.
Right Button Click | Controls whether a right-click displays a shortcut menu or executes a command that you select from the command list.
IntelliMouse Wheel | Set the IntelliMouse wheel function to either zoom or scroll.
Make Zoom Tool Persistent | If selected, when you choose the Zoom In tool it remains on the screen so you can continue to zoom in or (if you hold SHIFT) zoom out.
Designer 3.x Keyboard Shortcuts | Lets you use the keyboard shortcuts from Micrografx Designer 3.x instead of the standard Designer shortcuts.


Spelling tab of the Options dialog box

Always Suggest | Lets you show suggested spellings for misspelled words found during a spelling check.
From Main Dictionary Only | During a spelling check, shows correct spellings suggested from the main dictionary, but not from any open custom dictionaries.
Ignore Uppercase | Ignores words in which all of the characters are uppercase letters.
Ignore Numbers | Ignores words that contain numbers.
Custom Dictionaries | Shows the list of dictionaries you can use to check spelling. To add an existing dictionary, click Add. To create a new custom dictionary, click New.
New | Creates a new custom dictionary. You can add words to the dictionary during a spelling check.
Add | Adds a custom dictionary to the list so that you can use it to check spelling.
Remove | Removes the selected dictionary from the Custom Dictionaries list.


Profile tab of the Options dialog box

This tab lets you manage "option profiles" (which are PRO file types that contain all of your Designer option settings). When you change to a different profile, the changes take effect immediately.

You may want to change settings for one particular session or project, and then restore your normal settings. If more than one person is running Designer from a file server or sharing a computer, each person can save and use his or her own settings.

You can choose a different profile, save your settings when you close Designer, and enter or edit a description of a profile. You also can create a new profile, and you can copy, delete, rename, and update profiles.

Profile Document | Lists the PRO files from which you can choose. To create a new PRO file, or to delete, rename, or otherwise manage your profiles, click the File Options button [image] . When you select a profile, its settings take effect immediately.
File Options | Displays a menu for managing PRO files. You can create, copy, delete, rename, and update PRO files.
Directory Options | Displays a menu that lets you specify the folder where Designer should look for PRO files. Also lets you copy the current PRO file.
Profile Directory | Shows the path name of the folder where Designer looks for PRO files. To change the path name, click the button to the right, and click Open From.
Save On Exit | If you select this option, all your current Designer settings will be saved in the current PRO file each time you exit Designer.
Description | Displays a description of the selected PRO file. When you create a new PRO file, enter its description in this box. For example, you could enter "Ginger's profile for technical illustrations" or "Jack's profile for the Kremmins Project."


Registry tab of the Options dialog box

You should not modify Designer registry entries unless you are instructed to do so by Micrografx.

Keys | Select a key from this list when you need to examine, change, or add a value.
Value Name | Shows the name (or names) of values for the currently selected key. You can delete the name or add new names.
Value | Shows the current value of the selected Value Name. Also lets you modify the value.
New | Lets you add a new value for the currently selected registry key.
Delete | Lets you delete the currently selected value name from the current registry key.


Edit Text dialog box

This dialog box is useful for editing text that is awkward to edit directly in the document's window. You may find it easier, for example, to edit large or tiny text in this dialog box.


General tab of the Object Format dialog box

This tab shows general properties for selected objects.

Name | Shows the object's name and lets you add or change it, unless multiple objects are selected.
Layer | Shows the layer name the objects are on. You can move the selected objects to another layer by selecting it from the drop-down list.
Coordinates | Displays the Object Coordinates dialog box, which lets you precisely reposition the object, precisely position any of the points that define an object's shape, or create a new circle, ellipse, jointed line, rectangle, or square at a precise location and with precise dimensions.
Properties | Displays the Object Properties dialog box.

Object Coordinates

The remaining options in the dialog box let you precisely position the object or the individual points that define its shape. The specific items that appear depend on the type of object you have selected (line, arc, poly object, rectangle, square, polygon, ellipse, circle, dimension line, callout line, text, or image object

If multiple objects are selected, you see only those properties that are common to the objects. Any formatting changes will applied to the objects as a group.

X | Horizontal location of a point on the page.
Y | Vertical location of a point on the page.
From | Origin point of an arc, rectangle, square, polygon, ellipse, circle, pie wedge, dimension line, callout line, text, or image object.
Width | Width of an arc, rectangle, polygon, pie wedge, dimension line, callout line, text, or image object.
Height | Height of an arc, rectangle, polygon, pie wedge, dimension line, callout line, text, or image object.
Keep Proportional | Automatically adjusts the height or width if the other is changed for an arc, rectangle, polygon, pie wedge, dimension line, callout line, text, or image object.
Side | Length of each side of a square.
Point | List of points of a poly object. Each point can be selected.
Replace | For poly objects, replaces the selected point.
Append | For poly objects, appends a point.
Delete | For poly objects, deletes the selected point.
Major | Major diameter of an ellipse.
Minor | Minor diameter of an ellipse.
Angle | Angle of an ellipse.
Radius | Radius of a circle.

Preview Button

The Preview button lets you see the effect of any changes on a selected object. (This button has no effect if no object is selected.) You may have to move the dialog box to see the selection.

Apply and Close Buttons

The Object Format box stays open to let you apply changes to objects without having to open the dialog box repeatedly. Click Apply each time you want to apply a change to a selected object. The dialog box does not close until you click Close.

Rolling up the Dialog Box

By rolling up the Object Format dialog box, you can keep it accessible, but out of your way. Click [image] on the title bar to roll up the dialog box. Click [image] to unroll it.


Text tab of the Object Format dialog box

Fonts

Typeface | The typeface list box contains the available fonts in Designer. Click the down arrow to open the list box, then click the font you want.
Size | You can select a size from a list of two to 3000 points, or you can type a custom size (10.5, for example).
Leading | Sets the space between lines of text. The Default is the current font size plus 15 percent.
Attributes | The Attributes area contains the attributes buttons: Bold, Italic, Underline, and Small Caps and Superscript (CTRL+K) or Subscript (CTRL+SHIFT+K). Click a button to select it to be applied to the selected text.
Text Color | Displays the current color palette. Click the color you want for the foreground of your text.
Text Background | Displays the current color palette. Click the color you want for the background of your text.

Tab Stops

Tab stops are measured from the left margin of the text object. For example, if the second tab stop is 1.0 picas, it is 1.0 picas from the left margin.

Tabs | Displays the current tab stops and the type of tab stops.
Delete | Deletes the currently selected tab stop.
Empty | Deletes all tab stops.
Position | Enter a position for the new tab stop.
Tab Type | Select from this list the type of tab you want to add. Align text to the left of the tab stop. Align text to the right of the tab stop. Align text from the center of the tab stop. Align text with the decimal point at the tab stop.
Leaders | Leaders are characters such as periods (...), hyphens (---), or underscores (_) that fill in the area between tab stops. Select None to have no leaders, or choose a type of leader from the list.
Add Tab | Click to add a single tab stop. Enter the interval and click the Repeat Tab button to repeat the tab stop at uniform intervals.
Indents | Enter the amount to indent the first line from the left, other lines from the left, or all lines from the right.

Spacing

Justification, Horizontal | Aligns each line of text in selected paragraphs to the left text margin. Centers each line of text in selected paragraphs between the left and right text margins. Aligns each line of text in selected paragraphs to the right text margin. Adds space between words as necessary to align lines of text in selected paragraphs with both the right and the left text margins. The last line of the paragraph aligns to the left margin only. (Full justify.) Adds space between words as necessary to align lines of text in selected paragraphs with both the right and the left text margins. (Force justify.) Unlike with the full justify alignment, force justify justifies the last line of the paragraph.
Justification, Vertical | Aligns text to the top margin of the text bounding box. Aligns text between the top and middle margins. Aligns text to the bottom margin of the text bounding box. Equally spaces lines of text between the top and bottom margins of the text bounding box.
Spacing | Inter-word - Type a percentage to change the spacing between words. The default is 100% spacing. Inter-character - Type a percentage to change the spacing between characters.
Paragraph Spacing | Before - Use this area to change the default spacing above paragraphs. If this amount is set to zero (0), no extra space is added. After - Use this area to change the default spacing below paragraphs. If this amount is set to zero (0), no extra space is added. Note: If you have amounts entered for both Before and After, Designer adds these amounts and applies the spacing amount between the selected paragraphs. For example, if you enter 40 in the Before Parag area and 30 in the After Parag area, Designer uses 70 for the spacing between the selected paragraphs.
Drop Capital | Drop caps are typically used at the beginning of magazine articles and other places where you want to mark a change in the material without printing a new title. Click this option to make the first character of a selected paragraph lower and larger than other text in the paragraph. Adjust the percentage to change the size of the first letter as a percentage of its normal height (normal height is 100%). For example, 200% doubles the size of the first letter of the paragraph.

Units

The Units button lets you change the measuring increment for type. When you click this button, a menu opens, displaying the units available, including points, inches, centimeters, millimeters, picas, picas and points, and ciceros. You also can select More Units.

Preview Button

The Preview button lets you see the effect of any changes on a selected object. (This button has no effect if no object is selected.) You may have to move the dialog box to see the selection.

Apply and Close Buttons

The Object Format box stays open to let you apply changes to objects without having to open the dialog box repeatedly. Click Apply each time you want to apply a change to a selected object. The dialog box does not close until you click Close.

Rolling up the Dialog Box

By rolling up the Object Format dialog box, you can keep it accessible, but out of your way. Click [image] on the title bar to roll up the dialog box. Click [image] to unroll it.

Related Topics | Selecting Fonts, Sizes, and Styles
 | Setting Font Style
 | Changing Paragraph Spacing
 | Changing Line Spacing
 | Changing Character Spacing
 | Setting Indents
 | Setting Tabs
 | Setting Leaders
 | Using Drop Caps
 | Text Alignment Options


Transparency tab of the Object Format dialog box

This tab lets you apply variable transparency to a selected closed object. You can apply transparency uniformly across the object, apply it with a gradient effect, or remove the object's transparency.

If no object is selected, you set a new default transparency for new closed objects.

Lock/Unlock Fill Display

Clicking the Lock/Unlock Fill Display button alternately locks and unlocks the tab.

Indicates the tab is unlocked. When unlocked, the tab changes to the settings of the objects you select.

Indicates the tab is locked. When locked, the settings on the tab do not change when you select objects.

Solid Transparency

This lets you apply uniform transparency to a closed object. Drag slider to set the amount of transparency, or enter the percent of transparency to apply (where 0 is opaque and 100 is fully transparent).

Gradient Transparency

This panel lets you apply variable transparency to a closed object.

Opaque/Transparent slider | Drag this slider to set the amount of transparency, or enter the percent of transparency to apply (where 0 is opaque and 100 is fully transparent).
Gradient distribution | The gradient distribution bar lets you change the distribution of the gradient. To add a pointer, click in the bar or just above it. To move a pointer (other than 0 or 100), drag it along the bar. To change the transparency of a pointer, click it, then set the amount of transparency with the Opaque/Transparency slider. To delete a point, click it then press DELETE. This example goes from transparent (white) to opaque (black) twice:
Gradient shape | Click one of these buttons to select a shape for the gradient: Linear Radial Square Conical
Preview area | Shows a sample of the shape, distribution, and angle of the gradient you have chosen, and lets you drag handles to adjust the origin and angle of the gradient.
Origin | Type a value for the starting point of the gradient. If you prefer, you can drag the solid square handle in the preview area.
Angle | Type an angle for the gradient. If you prefer, you can drag the solid circular handles in the preview area.

Remove Transparency

This panel lets you remove the solid or gradient transparency that has been applied to a selected object or objects.

Preview Button

The Preview button lets you see the effect of any changes on a selected object. (This button has no effect if no object is selected.) You may have to move the dialog box to see the selection.

Apply and Close Buttons

The Object Format box stays open to let you apply changes to objects without having to open the dialog box repeatedly. Click Apply each time you want to apply a change to a selected object. The dialog box does not close until you click Close.

Rolling up the Dialog Box

By rolling up the Object Format dialog box, you can keep it accessible, but out of your way. Click [image] on the title bar to roll up the dialog box. Click [image] to unroll it.


Line Style tab of the Object Format dialog box

Line Ends

This tab lets you select from several line-ending symbols to use with a selected open object. You also can change the size and position of the symbol at the end of the line.

Line ends | The two images at the top show a preview of your line end settings. The left box shows the beginning of the line, and the right shows the end. Select line ends from the drop-down list. If you are setting the two line ends with different symbols or attributes, click the end that you want to change, and then make the change.
Paste | Lets you paste any object from the Clipboard as a line end to be added to the list.
Remove | The Remove button lets you remove selected line ends from the dialog box. You can only remove line end styles that you have added.
Same Type | Lets you choose to set both ends as the same symbol.
Same Attributes | Lets you choose to set both ends with the same attributes (such as angle and offset).
Width | Adjusts the thickness of a line end to a percentage of its original thickness. Setting this value to 50% makes the line end thickness half the original size; changing the value to 200% makes the line end thickness twice the original size.
Height | Adjusts the height of a line end to a percentage of its original height. Setting this value to 50% makes the line end height half the original size; changing the value to 200% makes the line end height twice the original size. To resize the line end proportionally, set Width % and Height % the same value.
X Offset | Repositions the line end symbol along the line in either direction. Enter a positive value to move away from the center of the line. Enter a negative value to move toward the center of the line.
Y Offset | Repositions the line end symbol above or below the line. Enter a positive value to move above the line. Enter a negative value to move below the line.
Angle | Lets you rotate the line end symbol by a specific angle.
Flip U-D | Lets you flip the line end symbol vertically.
Flip L-R | Lets you flip the line end symbol horizontally.
Use Line Fill | Sets the line end to the same as the line fill. If this option is selected, the preview displays the line ends with the same attributes as the line. If this option is deselected, the preview displays the line ends with the original attributes of the line end.
Rotation | Sets a rotation angle for the line end.

Line Style

This panel lets you select from a list of dotted, dashed, and other line styles.

Standard | Displays standard dashed line styles.
Enhanced | Displays additional line styles. Click the style you want to use.
Overall Width | Lets you enter the width. This changes the line thickness and the width of the segments in enhanced line styles.
Units | Lets you changes the type measurement unit type for enhanced line styles.

Line Thickness

This panel displays the width and height of the line, using the current units setting.

If you select a thick line style, the dialog box shows a preview of the line's current cap style to illustrate the effect of the different cap options.

If you click Calligraphic, the dialog box shows a preview of how the calligraphic pen will look with the angle setting. You can drag the red line in the preview to change the angle.

None | Makes the line invisible.
Hairline | Makes the line thickness of selected lines a hairline, the narrowest line supported by the display screen or the printing device.
Thick | Lets you specify a thickness for lines. Also lets you specify the type of line cap and line join, and lets you select calligraphic lines.
Width | Lets you set the thickness of lines using the setting in the Units button. Use the scroll arrows to set the line thickness you want.
Units | Opens a menu to let you change the measuring units used for line thickness.
Cap | Controls how the ends of lines appear. Repeatedly click this button to cycle through the three options: round, square, and flat. Round Cap (the default) caps each line end with a semicircle whose center point is at the line's end point. (The diameter of the semicircle matches the thickness of the line.) Square Cap caps each line end with a square whose center point is at the line's end point. (The width of the square matches the thickness of the line.) Flat Cap ends the line with a flat cap that is perpendicular to the line. To achieve a dotted (rather than dashed) line style, experiment with a round cap and a line style of short dashes.
Join | Lets you set how the corner intersection of lines appears in an object. Repeatedly click this button to cycle through the three options: round, mitre, and bevel. Round Join (the default) places the center point of a circle at the vertex of two line ends. (The diameter of the circle matches the thickness of the lines.) Bevel Join averages the angles of the two lines, creating a blunt intersection. Mitre Join creates a pointed intersection that is the true intersection of two lines. Lines that meet at angles sharper than 11 degrees are drawn with beveled joins. This prevents objects from having extremely pointed joins.
Calligraphic | Lets you create lines of varying thickness. You can set the angle and size of the calligraphic "brush." When you select this option, the dialog box shows a preview of the calligraphic pen according to the current settings. You can enter a new angle or drag the red line in the preview to change the angle.
Height | Lets you set the height of calligraphic lines using the setting in the Units button. Use the scroll arrows to set the line height you want.
Pen Angle | Lets you enhance the effects created with the Width and Height settings. In a calligraphic line, the Pen Angle setting forces the pen tip to stay at the chosen angle, much as a calligraphic pen is held at particular angles to achieve lines of varying thickness.

Fill Before/After

This option lets you choose whether an object is filled before or after its lines are drawn.

Fill an object before its lines are drawn.

Fill an object after its lines are drawn.

Transform Fill with Object

This option lets you choose whether transforming (resizing, rotating, skewing, or flipping) an object also transforms its fill. For example, with fill transform turned on, resizing an object with an image fill resizes the image fill; with fill transform turned off, resizing the object does not resize the image fill.

Sets the fill to not transform when you transform the object.

Sets the fill to transform when you transform the object.

Overprint Stroke

This option lets you turn overprinting on or off for an object's lines.

Turns line overprinting off.

Turns line overprinting on.

Preview Button

The Preview button lets you see the effect of any changes on a selected object. (This button has no effect if no object is selected.) You may have to move the dialog box to see the selection.

Apply and Close Buttons

The Object Format box stays open to let you apply changes to objects without having to open the dialog box repeatedly. Click Apply each time you want to apply a change to a selected object. The dialog box does not close until you click Close.

Rolling up the Dialog Box

By rolling up the Object Format dialog box, you can keep it accessible, but out of your way. Click [image] on the title bar to roll up the dialog box. Click [image] to unroll it.


Line Fill tab of the Object Format dialog box

You can leave the Object Format dialog box open while you select and edit objects in your drawing.

Lock/Unlock Fill Display

Clicking the Lock/Unlock Fill Display button alternately locks and unlocks the tab.

Indicates the tab is unlocked. When unlocked, the tab changes to the settings of the objects you select.

Indicates the tab is locked. When locked, the settings on the tab do not change when you select objects.

Solid Line Fill

This panel lets you fill the line of a selected object or group of objects with a solid color.

You can apply the color to the selected object either by clicking the color and then clicking Apply or by double-clicking the color.

Palette list box | Lets you select a standard or custom color palette.
Palette Options | Opens a menu that lets you manage Designer's colors and palettes.
Color Palette | Shows the colors available in the current color palette.
Color Mixer | Opens the Color Mixer dialog box. You can use the four color swatches on the four corners of the Mixing Palette to create colors for a custom palette.
Edit Color | Opens the Color Picker dialog box. The dialog box lets you choose a color from the full range of possible colors and add it to the color palette.

Gradient Line Fill

This panel lets you fill the line of a selected object or group of objects with a color gradient.

Click the left mouse button on a color to make it the starting color for the gradient. Click the right mouse button on a color to make it the ending color.

You can also have multicolor gradients by adding points to the gradient distribution bar and selecting colors for them.

Palette list box | Lets you select a standard or custom color palette.
Palette Options | Opens a menu that lets you manage Designer's colors and palettes.
Color Palette | Shows the colors available in the current color palette.
Gradient distribution | The gradient distribution bar lets you change the distribution of the gradient. To add a pointer, click in the bar or just above it. To move a pointer (other than 0 or 100), drag it along the bar. To change the color for a pointer, click it, then click a color in the color palette. To delete a point, click it then press DELETE. This example shows a multicolor gradient:
Gradient shape | Click one of these buttons to select a shape for the gradient: Linear Radial Square Conical
Preview area | Shows a sample of the shape, distribution, and angle of the gradient you have chosen, and lets you drag handles to adjust the origin and angle of the gradient.
Origin | Type a value for the starting point of the gradient. If you prefer, you can drag the solid square handle in the preview area.
Angle | Type an angle for the gradient. If you prefer, you can drag the solid circular handles in the preview area.

Hatch Line Fill

This panel lets you fill the line of a selected object or group of objects with a two-color hatch pattern.

You choose the hatch pattern from the gallery of predefined patterns. You can change the foreground and background color, and you can vary the line thickness and spacing in the pattern.

To apply the hatch pattern to the selected object, click Apply or double-click the pattern.

Hatch Pattern area | Displays the hatch patterns available in Designer.
Thickness | Lets you change the line thickness of hatch fills. The default value is 100%. Changing this value to 200% makes the lines twice as heavy; setting it to 50% makes the lines half as heavy.
Spacing | Lets you change the spacing between hatch lines. The default value is 100% (no change). Setting this value to 200% doubles the space between lines; setting it to 50% cuts the space in half.
Foreground | Lets you set the hatch pattern color. Click the Foreground button, then click a color in the color palette.
Background | Lets you set the color behind the hatch pattern. Click the Background button, then click a color in the color palette. The background color is transparent by default.
Palette Options | Opens a menu that lets you manage Designer's colors and palettes.
Color Mixer | Opens the Color Mixer dialog box. You can use the four color swatches on the four corners of the Mixing Palette to create colors for a custom palette.
Edit Color | Opens the Color Picker dialog box. The dialog box lets you choose a color from the full range of possible colors and add it to the color palette.

Image Line Fill

This panel lets you fill the line of a selected object or group of objects with a two-color or multicolor bitmap image.

You can either choose the image from the gallery of predefined images or create your own fill images using the Clipboard. For two-color images, you can change the foreground and background color.

To apply the image fill to the selected object, click Apply or double-click the pattern.

Image pattern category list | Lets you select a category of images.
Category Options | Lets you create, import, rename, or remove categories.
Image pattern list | Displays the image patterns available for the selected category.
Paste | Puts an image pattern in the preview box (to the left of the Add and Replace buttons) using an object that you have created and copied to the Clipboard.
Remove | Removes a selected pattern from the image pattern list. You can only remove the image patterns that you create.
Scale % | The default value for image scale is 100%. Setting this value to 200% makes the image twice as large; setting it to 50% makes the image half as large.
Add | Adds the pasted image pattern to the current category.
Replace | Replaces the selected image pattern with the pasted image pattern.

Object Line Fill panel

This panel lets you fill the line of a selected object or group of objects with another object. You can fill with a single instance of the fill object or with repeating rows and columns of the fill object.

You can either choose the fill object from the gallery of predefined objects or create your own fill objects using the Clipboard. For two-color fill objects, you can change the foreground and background color.

To apply the object fill to the selected object, click Apply or double-click the fill object.

Object pattern category list | Lets you select a category of objects.
Category Options | Lets you create, import, rename, or remove categories.
Object pattern list | Displays the object patterns available for the selected category.
Paste | Puts an object pattern in the preview box (to the left of the Edit, Add, and Replace buttons) using an object that you have created and copied to the Clipboard.
Remove | Removes a selected pattern from the object pattern list. You can only remove the patterns that you create.
Edit | Opens the Edit Object Fill dialog box for editing the selected object pattern.
Add | Adds the pasted object pattern to the current category.
Replace | Replaces the selected object pattern with the pasted object pattern.

Remove Line

This panel lets you remove the line of a selected object or group of objects. The line becomes invisible.

To see the outline of an object that has invisible fill for both its line and its interior, point to Preview on the View menu, and click Wireframe.

Fill Before/After

This option lets you choose whether an object is filled before or after its lines are drawn.

Fill an object before its lines are drawn.

Fill an object after its lines are drawn.

Transform Fill with Object

This option lets you choose whether transforming (resizing, rotating, skewing, or flipping) an object also transforms its fill. For example, with fill transform turned on, resizing an object with an image fill resizes the image fill; with fill transform turned off, resizing the object does not resize the image fill.

Sets the fill to not transform when you transform the object.

Sets the fill to transform when you transform the object.

Overprint Stroke

This option lets you turn overprinting on or off for an object's lines.

Turns line overprinting off.

Turns line overprinting on.

Preview Button

The Preview button lets you see the effect of any changes on a selected object. (This button has no effect if no object is selected.) You may have to move the dialog box to see the selection.

Apply and Close Buttons

The Object Format box stays open to let you apply changes to objects without having to open the dialog box repeatedly. Click Apply each time you want to apply a change to a selected object. The dialog box does not close until you click Close.

Rolling up the Dialog Box

By rolling up the Object Format dialog box, you can keep it accessible, but out of your way. Click [image] on the title bar to roll up the dialog box. Click [image] to unroll it.


Interior Fill tab of the Object Format dialog box

You can leave the Fill dialog box open while you select or edit objects in your drawing.

Lock/Unlock Fill Display

Clicking the Lock/Unlock Fill Display button alternately locks and unlocks the tab.

Indicates the tab is unlocked. When unlocked, the tab changes to the settings of the objects you select.

Indicates the tab is locked. When locked, the settings on the tab do not change when you select objects.

Solid Interior Fill

This panel lets you fill the interior of a selected object or group of objects with a solid color.

You can apply the color to the selected object either by clicking the color and then clicking Apply or by double-clicking the color.

Palette list box | Lets you select a standard or custom color palette.
Palette Options | Opens a menu that lets you manage Designer's colors and palettes.
Color Palette | Shows the colors available in the current color palette.
Color Mixer | Opens the Color Mixer dialog box. You can use the four color swatches on the four corners of the Mixing Palette to create colors for a custom palette.
Edit Color | Opens the Color Picker dialog box. The dialog box lets you choose a color from the full range of possible colors and add it to the color palette.

Gradient Interior Fill

This panel lets you fill the interior of a selected object or group of objects with a color gradient.

Click the left mouse button on a color to make it the starting color for the gradient. Click the right mouse button on a color to make it the ending color.

You can also have multicolor gradients by adding points to the gradient distribution bar and selecting colors for them.

Palette list box | Lets you select a standard or custom color palette.
Palette Options | Opens a menu that lets you manage Designer's colors and palettes.
Color Palette | Shows the colors available in the current color palette.
Gradient distribution | The gradient distribution bar lets you change the distribution of the gradient. To add a pointer, click in the bar or just above it. To move a pointer (other than 0 or 100), drag it along the bar. To change the color for a pointer, click it, then click a color in the color palette. To delete a point, click it then press DELETE. This example shows a multicolor gradient:
Gradient shape | Click one of these buttons to select a shape for the gradient: Linear Radial Square Conical
Preview area | Shows a sample of the shape, distribution, and angle of the gradient you have chosen, and lets you drag handles to adjust the origin and angle of the gradient.
Origin | Type a value for the starting point of the gradient. If you prefer, you can drag the solid square handle in the preview area.
Angle | Type an angle for the gradient. If you prefer, you can drag the solid circular handles in the preview area.

Hatch Interior Fill

This panel lets you fill the interior of a selected object or group of objects with a two-color hatch pattern.

You choose the hatch pattern from the gallery of predefined patterns. You can change the foreground and background color, and you can vary the line thickness and spacing in the pattern.

To apply the hatch pattern to the selected object, click Apply or double-click the pattern.

Hatch Pattern area | Displays the hatch patterns available in Designer.
Thickness | Lets you change the line thickness of hatch fills. The default value is 100%. Changing this value to 200% makes the lines twice as heavy; setting it to 50% makes the lines half as heavy.
Spacing | Lets you change the spacing between hatch lines. The default value is 100% (no change). Setting this value to 200% doubles the space between lines; setting it to 50% cuts the space in half.
Foreground | Lets you set the hatch pattern color. Click the Foreground button, then click a color in the color palette.
Background | Lets you set the color behind the hatch pattern. Click the Background button, then click a color in the color palette. The background color is transparent by default.
Palette Options | Opens a menu that lets you manage Designer's colors and palettes.
Color Mixer | Opens the Color Mixer dialog box. You can use the four color swatches on the four corners of the Mixing Palette to create colors for a custom palette.
Edit Color | Opens the Color Picker dialog box. The dialog box lets you choose a color from the full range of possible colors and add it to the color palette.

Image Interior Fill

This panel lets you fill the interior of a selected object or group of objects with a two-color or multicolor bitmap image.

You can either choose the image from the gallery of predefined images or create your own fill images using the Clipboard. For two-color images, you can change the foreground and background color.

To apply the image fill to the selected object, click Apply or double-click the pattern.

Image pattern category list | Lets you select a category of images.
Category Options | Lets you create, import, rename, or remove categories.
Image pattern list | Displays the image patterns available for the selected category.
Paste | Puts an image pattern in the preview box (to the left of the Add and Replace buttons) using an object that you have created and copied to the Clipboard.
Remove | Removes a selected pattern from the image pattern list. You can only remove the image patterns that you create.
Scale % | The default value for image scale is 100%. Setting this value to 200% makes the image twice as large; setting it to 50% makes the image half as large.
Add | Adds the pasted image pattern to the current category.
Replace | Replaces the selected image pattern with the pasted image pattern.

Object Interior Fill

This panel lets you fill the interior of a selected object or group of objects with another object. You can fill with a single instance of the fill object or with repeating rows and columns of the fill object.

You can either choose the fill object from the gallery of predefined objects or create your own fill objects using the Clipboard. For two-color fill objects, you can change the foreground and background color.

To apply the object fill to the selected object, click Apply or double-click the fill object.

Object pattern category list | Lets you select a category of objects.
Category Options | Lets you create, import, rename, or remove categories.
Object pattern list | Displays the object patterns available for the selected category.
Paste | Puts an object pattern in the preview box (to the left of the Edit, Add, and Replace buttons) using an object that you have created and copied to the Clipboard.
Remove | Removes a selected pattern from the object pattern list. You can only remove the patterns that you create.
Edit | Opens the Edit Object Fill dialog box for editing the selected object pattern.
Add | Adds the pasted object pattern to the current category.
Replace | Replaces the selected object pattern with the pasted object pattern.

Remove Interior Fill

This panel lets you remove interior of a selected object or group of objects. The interior of the object becomes transparent.

To see the outline of an object that has invisible fill for both its line and its interior, point to Preview on the View menu, and click Wireframe.

Fill/Skip Overlaps

An overlap area is a bounded part of a closed object that overlaps another part of the object. You can create overlap areas by drawing or reshaping objects, or by connecting objects that overlap.

The Fill/Skip Overlaps button on the Interior Fill tab of the Object Format dialog box lets you choose whether overlap areas in an object are filled or skipped. Click the button to switch between the two settings.

Chooses to fill overlap areas.

Chooses to skip overlap areas.

Fill Before/After

This option lets you choose whether an object is filled before or after its lines are drawn.

Fill an object before its lines are drawn.

Fill an object after its lines are drawn.

Transform Fill with Object

This option lets you choose whether transforming (resizing, rotating, skewing, or flipping) an object also transforms its fill. For example, with fill transform turned on, resizing an object with an image fill resizes the image fill; with fill transform turned off, resizing the object does not resize the image fill.

Sets the fill to not transform when you transform the object.

Sets the fill to transform when you transform the object.

Overprint Fill

This option lets you turn overprinting on or off for an object's interior fill.

Turns fill overprinting off.

Turns line overprinting on.

Preview Button

The Preview button lets you see the effect of any changes on a selected object. (This button has no effect if no object is selected.) You may have to move the dialog box to see the selection.

Apply and Close Buttons

The Object Format box stays open to let you apply changes to objects without having to open the dialog box repeatedly. Click Apply each time you want to apply a change to a selected object. The dialog box does not close until you click Close.

Rolling up the Dialog Box

By rolling up the Object Format dialog box, you can keep it accessible, but out of your way. Click [image] on the title bar to roll up the dialog box. Click [image] to unroll it.


Spelling dialog box

This dialog box gives you options for handling a misspelled or unrecognized word in your text.

Not in Dictionary | If Designer finds a word in your drawing that is not in the dictionary, the word is displayed as a possible misspelling
Change To | Displays possible correct spellings. You can edit the word in this box.
Suggestions | Displays a list of words similar to the misspelled word from the currently used dictionary.
Suggest | Lets you ask for a suggested change from the dictionary for the displayed word. This button is enabled only if you have turned off the Always Suggest option.
Ignore | Skips the word in the Change To box without changing it.
Ignore All | Ignores the current word and all other occurrences of the word without prompting you.
Change | Changes the highlighted word to the word in the Change To box.
Change All | Changes the highlighted word to the word in the Change To box and makes the same change to all subsequent occurrences of the word without prompting you.
Add | Adds the word in the Change To box to the current dictionary. The current dictionary appears in the Add Words To list box.
Add Words To | Displays the dictionaries being used to detect misspellings. Designer uses all the dictionaries here, but only adds words to the top dictionary.
Options | Displays the Spelling tab of the Options dialog box, where you can specify which dictionary to use, whether to ignore words in all uppercase, and other settings.
Cancel | Ends the spelling check without checking any more words. Keeps spelling corrections you have made.


Spell Check Rest Of Document message

The spelling checker has checked the currently selected text. Click Yes if you want the spelling checker to check all text in the document. Click No if you want to exit the spelling checker.


Spelling Check Is Complete message

The spelling checker has finished checking the spelling. Click OK to return to the document.


Edit Object Fill dialog box

This dialog box lets you change the arrangement, flip characteristics, rotation, size, and spacing of an object fill.

Arrangement

Center - Uses a single, centered copy of the fill object, rather than a pattern.

Tile By Row - Forms the object pattern by repeating the fill object horizontally, as a series of rows.

Tile By Column - Forms the object pattern by repeating the fill object vertically, as a series of columns.

Flip

None - No flip.

All - Flip all the objects in the fill.

Every Other - Flip every other object.

Row Or Column - Flip every other row or column.

You must select About X (vertical) or About Y (horizontal) to flip objects. This specifies the coordinate axis about which the objects are flipped.

About X Axis/
About Y Axis

Specifies the coordinate axis about which the objects are flipped (horizontal, vertical, or both).

Zoom In/
Zoom Out

Click Zoom In to zoom in on the object fill. Each click changes the view to the next higher 100% view (200%, 300%, and so forth).

Click Zoom Out to see more of the object fill. Above 100%, each click on the Zoom Out button changes the view to the next lower 100% view (300%, 200%, and so forth). Below 100%, each click on the Zoom Out button changes to the next fractional view (1/2, 1/3, 1/4, and so forth).

The current zoom factor is displayed above the preview window.

Preview window

Shows the effects of your settings.

No Background/
Background

Opens a color palette that lets you select a background color or no background color by clicking the "X" in the palette.

Rotation

Pattern - Rotates the whole object fill pattern.

Object - Rotates each individual object in the object fill.

Angle - Lets you set the angle of rotation. You can either enter a value directly in the box or drag the red pointer on the dial.

Position

Width %/Height %- Lets you change the width and/or height of the object by a percentage of its original width. The default width and height values are 100%. Changing the value to 50% makes the object half the original width or height; changing the value to 200% makes the object twice the original width or height. To scale the object proportionally, change both the same amount.

X Spacing %/ Y Spacing % - Lets you adjust the horizontal and/or vertical spacing between tiled objects. Entering a negative value causes objects to overlap; entering a positive value creates space between objects. A value of zero makes the bounding boxes of the objects flush with one another.

X Shift %/Y Shift % - Shifts the entire object fill pattern horizontally and/or vertically within the containing object. This lets you control how the fill pattern looks at the left and right edges of the containing object.
A positive value shifts the pattern to the right or down; a negative value shifts the pattern to the left or up.

Stagger % - Lets you stagger the position of every other row or column. For example, to illustrate a brick wall, you could tile a brick-shaped object by row and then set the Stagger to 50%.

Fill Color/Line Color

Leave Original selected to retain the original color or select the other radio button and click the color button to change the color.


Color Picker dialog box

This dialog box lets you choose a color from the full range of possible colors and add it to the color palette. You can use the HLS, RGB, or CMYK models, or you can select from a predefined spot matching color system.

Color Models

HLS | The HLS model defines each color by setting its hue, lightness, and saturation attributes.
RGB | The RGB model defines each color by the amount of red, green, and blue it contains. Red, green, and blue are the additive primary colors. You define a color by specifying a value from 0 to 255 for each RGB component.
CMYK | The CMYK model defines each color by the percentage of cyan, magenta, yellow, and black it contains. (The letter K is used to represent black because B represents blue in color models.) You define a color by specifying a value from 0 to 100 for each CYMK component.

These options are used for color models:

Component list | Lists pairs of components for the large color control (for example, Hue - Saturation) that can be set using the large color control. The third component (for example, Lightness) Can be set using a slider below the large color control.
Large color control | Lets you drag a square to set the values for the two components selected on the component list.
Slider | Lets you drag a square to set the value for the third component of the color model. For CMYK, if manual undercolor removal is allowed, there is a second slider to control black.
Value boxes | Shows the component values as you use the large color control and slider or lets you enter values for each component of a color model.
Undercolor Removal | Lets you change the way Designer normalizes CMYK percentages. You can let Designer automatically adjust the percentages so that the percentage for black is as high as possible. Click 100% for complete normalization, or click Manual Undercolor Removal to prevent Designer from normalizing the percentages and use the black component slider.
Grid | Controls the increments for displaying colors, in percentage increments; the choices are 1%, 2%, 4%, 5%, 8%, and 10%. Increasing the grid setting forces the color model values to increase or decrease in larger increments.
Resolution | Lets you change the resolution of the display in the Color Picker dialog box. The choices are fine, average, and coarse. Coarse, which displays the fewest colors, is the fastest; fine, which displays the most colors, is the slowest.

Spot Color

Spot colors (also called custom colors or solid colors) are predefined colors from a system such as the PANTONE® MATCHING SYSTEM.

Spot color list | Lets you select a spot color type.
Swatches | Lets you click a color. If Show Names is selected, the color's name is shown next to each color.
Tint | Sets a percentage tint value, which is used to indicate a color to be screened as a halftone at color separation. The tint values range from 100% (solid color, no tint) to 0% (no color at all). To make fine adjustments with the Tint slider, click to the left or to the right of the slide or use the arrow keys. The Tint value decreases or increases by one percentage point.
Show names | Lets you show the names of the colors next to each color.

Original and New Color Buttons

These show the color selected on the Palette Manager dialog box (if any) and the color for the values currently selected or the spot color name from the list. For a color model, you can click in New Color and type a name for the color.

Add and Replace Buttons

Click Add to add the color to the current palette, or Replace to replace the color selected on the palette before the Color Picker was opened.


Palette Manager dialog box

This dialog box helps you manage color palettes in many ways, including choosing a palette or set of palettes, creating a new palette, and deleting, renaming, recalling, and merging palettes.

Palettes | Lets you select a palette name and set the active palette. Click the name to select; click the radio button to make a palette the active one.
New | Opens the Palette Name dialog box to add a new palette.
Rename | Opens the Palette Name dialog box to rename the selected custom palette.
Delete | Lets you delete the selected palette. It cannot be the active palette.
Merge | Adds the colors from the selected palette to the active palette.
Import | Lets you import palette files for use with Designer.
Export | Lets you export palette files for other Designer users other Micrografx programs.
Colors | Shows and lets you select colors in the active palette. Displays as a list if Show Color Names is selected in the Palette Options dialog box.
Name | Opens the Color Name dialog box if you select a color in a custom palette. This lets you add a name or rename a color.
Delete | Lets you delete the selected color in a custom palette.
Options | Opens the Palette Options dialog box
Color Mixer | Opens the Color Mixer dialog box. You can use the four color swatches on the four corners of the Mixing Palette to create colors for a custom palette.
Edit Color | Opens the Color Picker dialog box. The dialog box lets you choose a color from the full range of possible colors and add it to the color palette.
Convert Color | Opens a menu that lets you change the color model in which the selected color is stored.


Palette Options dialog box

This dialog box lets you customize the appearance of the color palette.

Primary Key | Select from the list to set the primary sorting method for the current palette colors.
Secondary Key | Select from the list to set the secondary sorting method for the current palette colors.
Ascending/ Descending | Select whether to sort in ascending or descending order.
Column Order/ Row Order | Select whether to arrange the palette in rows or columns.
Cell Size | Select the size of color cells you want to use.
Show Color Names | Select the check box if you want the names of the colors to display.


Color Mixer dialog box

 | Lets you mix with two colors and select from 3 to 99 mixes.
Steps | For two-color mixing, specify the number of steps to take between the colors, from 3 to 99. If you select 3, you will see the first and last color plus one in the middle that has equal amounts of the other two.
 | Lets you mix with up to four colors then select the results from a grid.
Color mixer | Click the buttons on each side of the mixing palette to select the colors to mix. Mixing is automatic. Click to select colors (use CTRL select more than one) or drag the mouse to select multiple contiguous colors in the mixer.
RGB or HLS | Lets you mix and save the colors using the RGB (Red, Green, Blue) or HLS (Hue, Lightness, Saturation) color model.
Add or Replace | Click Add to add the selected colors to the current palette, or Replace to replace the colors selected on the palette before the Color Mixer was opened.


Import (palette) dialog box

The Import palette dialog box lets you import Micrografx color palette files for use with Designer.


Export (palette) dialog box

The Export palette dialog box lets you export Designer color palette files for use by other Designer users or with other Micrografx programs.


Object Coordinates dialog box

This dialog box lets you precisely reposition objects, precisely position any of the points that define an object, or create a new circle, ellipse, jointed line, rectangle, or square at a precise location and with precise dimensions.

Modify selected or Create a new | Click one option to indicate what you want to do. If you click Create New Object, also click the down-arrow and select the type of object from the list. The type of object determines which items appear in the Method list.
Method | This list contains drawing methods available for the type of object you are modifying or creating.

The remaining options change depending on the object type and method selected.

X | Horizontal location of a point on the page.
Y | Vertical location of a point on the page.
From | Origin point.
Width | Width of an object.
Height | Height of an object.
Keep Proportional | Automatically adjusts the height or width if the other is changed.
Side | Length of each side of a square.
Point | List of points of a poly object. Each point can be selected.
Replace | For poly objects, replaces the selected point.
Append | For poly objects, appends a point.
Delete | For poly objects, deletes the selected point.
Major | Major diameter of an ellipse.
Minor | Minor diameter of an ellipse.
Angle | Angle of an ellipse or a line.
Radius | Radius of a circle.


Available Units dialog box

This dialog box lets you choose units of measure.

The standard linear units are inches, centimeters, millimeters, points, picas, picas and points, and ciceros. The standard radial units are degrees and radians.

Predefined units include feet, kilometers, and weeks and days.

Standard units are used for the actual dimensions of objects on a page or the page size.

Units list | Lists available units. For page setup, line thickness, and text size, only standard units are available, plus feet, yards, meters, and didots. If custom units are allowed, also lists all predefined and custom units.
Define Custom Units | Available where custom units are allowed, including ruler units. Opens the Defined Custom Units dialog box to let you select or define a custom unit of measurement.


Defined Custom Units dialog box

This dialog box lets you select or define a custom unit and set a scale for it. You also can define a secondary unit that is measured by your primary custom unit.

Available Units | Lists pre-defined and custom units. You can create custom units and add them to this list. Pre-defined units include feet, feet and inches, kilometers, meters, miles, weeks and days, and yards and feet. Units preceded with a plus sign (+) are saved to the PRO file for use in all drawings. All others will be saved with the current drawing.
Add Unit | Opens the Add Custom Unit dialog box.
Edit Unit | Opens the Edit Custom Unit dialog box for the selected unit.
Delete Unit | Remove the highlighted unit from the profile or drawing, consequently removing it from Defined Units list box. Deleting custom units only affects the current file. However, if you delete a unit with a + sign, then it affects all files because it deletes it from the profile.
Make Default | Sets the current unit as the new default unit for the drawing. Pressing this button saves the unit definition (if it hasn't already been saved) and applies the unit to the rulers.


Add or Edit Custom Unit dialog box

This dialog box lets you add or edit a custom unit and set a scale for it. You also can define a secondary unit that is measured by your primary custom unit.

Unit Name | Type a name for the custom unit. If you also are defining secondary units for this unit, type a comma and the name of the secondary units.
Displayed Precision | From the list select the displayed precision for the custom unit you are defining.
Designer Units, Scale | Enter the number of custom units that equals one or more Real World Units. For example, suppose you are creating a timing diagram in which you want to define a custom unit "milliseconds," where every 2 inches of your diagram represents 50 milliseconds. You would enter 50 in Designer Units Scale and 2 in Real World Units Scale (with "inches" as the real world unit type).
Designer Units, Label | Type the label that you want Designer to display for your custom unit.
Real World Units, Scale | Enter the number of units that the number of Designer Units equal.
Real World Units Label | Select the real world unit type.
Sub-Units Scale | Enter the number of sub-units that equals one of the Designer units. For example, suppose you are creating a timing diagram in which you want to define a custom unit "milliseconds" and the secondary unit "microseconds," where every 2 inches of your diagram represents 50 milliseconds, and 1000 microseconds equals 1 millisecond. You would enter 50 in Designer Units Scale, 2 in Real World Units Scale (with "inches" as the real world unit type), and 1000 in Sub-Units Scale.
Secondary Unit Label | Type the label that you want Designer to display for dimension lines measured in the secondary custom unit.
Display Sub-Unit as a fraction | Check to display the measured units as fractions.
Denominator | Specify the denominator of displayed fractions.
Clear | Remove all Secondary Unit information.


Add to List of Defined Units message

Click the Yes button to add your custom unit to Designer's list of defined units. Click No or Cancel if you don't want to add the custom unit.


Save Changes to Custom Unit message

You have changed a value that defines the named custom unit. To save the change, click Yes. To return to the Add or Edit Custom Units dialog box without saving, click Cancel. To return to the designer drawing without saving, click No.


Scale Drawing Wizard dialog box

Use the Scale Drawing Wizard to define a new scale unit. (You can also use the Add Custom Units dialog box.) Scales defined with the Scale Drawing Wizard are automatically applied to the rulers and saved to the drawing.

To use the Scale Drawing Wizard, enter the requested information on each screen, then click Next or Finish.

Select Measurement System | Lets you select the imperial (inches and feet) or metric (centimeters and meters) measurement system.
Select Scale Type | This screen appears if you selected the imperial system and lets you select architectural (using feet and inches) or engineering (in which each division of an inch is a multiple of ten).
Select Architectural Scale | This screen appears if you selected the architectural scale and lets you select from a list of common scales.
Set Up Metric Scale | This screen appears if you selected the metric system and lets you enter the number of units per inch and the label to use.
Select Drawing | The last screen lets you specify which drawings to apply the scale to and whether to apply the scale to all future drawings.


Geometric Information dialog box

The Geometric Information dialog box displays geometric information on the currently selected objects. The type of object selected is displayed at the top of the dialog box.

Perimeter | Displays the object's perimeter in current units.
Area | Displays the object's area in current units.
Depth | Displays the object's depth in current units. Enter the depth in the field or use the up and down arrows to modify the depth. The default is zero.
Volume | Displays the object's volume in current units. This value is determined by the entry in the Depth field.
Copy | Press the Copy button to copy the value to the Windows Clipboard. You can then paste the value into your drawing as text, or into another application.


Magnify dialog box

This dialog box lets you create a lens for magnification from a selected object.

Enable | Click the Enable check box to turn Magnify on for this object.
Amount | Use the scrolling arrows to set the magnification amount as desired. A setting of less than 1.0 shrinks the viewed area instead of magnifying it.
Freeze Viewpoint | Click the Freeze Viewpoint check box when you are satisfied with the viewing point. Click Apply to lock the view.


Guide Lines Manager dialog box

This dialog box lets you modify all guide line settings.

Type | To add or replace a guide line, select Horizontal or Vertical type.
Position | To add guide lines, select Single or Multiple then enter the position. To replace a guide line, select it in Guides List, then select Single and enter the position. To add multiple guide lines, enter the starting and ending positions (the positions of the first and last guide line you are adding) then the increment (distance between guide lines you are adding).
Options | For all guide lines, select the following options as needed: Show Guides - Show guide lines. Deselect to hide them. Lock Guides - Lock the guide lines in place. (You cannot drag them.) Snap to Guides - Turn on snap to guides. Color - Select a color for guide lines.
Guides List | Shows all currently defined guides for the document. When you select an item on the list its settings appear in Type and Position.
Add | Adds the guides you defined in Type and Positions to the document.
Replace | Replaces the guide in the list with one you defined in Type and Position.
Delete | Deletes the guide selected on the list.
Delete All | Deletes all guides.


Style dialog box

This dialog box lets you add, delete modify, and import named styles.

Style List | List of available styles.
Preview | Displays a preview of the style selected on the Style List.
Add | Click to add a new style. This adds an item to the list; type a name for the style, then press ENTER.
Delete | Click to delete the selected style.
Import | Click to import a style from another Designer file. The Import Styles dialog box appears.
Fill Style | Check the box to include the interior fill in the style. Click the button to display the Interior Fill tab of the Object Format dialog.
Line Style | Check the box to include the line attributes in the style. Click the button to display the Line Fill tab of the Object Format dialog. (From there, you can also access line style options.)
Text Style | Check the box to include the text attributes in the style. click the button to display the Text tab of the Object Format dialog.
Properties | Check the box to include the properties in the style. Click the button to set or change the properties on the Object Properties dialog box.


Import Styles dialog box

This dialog box lets you import a named style from another Micrografx file.

List and preview boxes | The box on the left lists the named styles in the selected file (from which styles can be copied). The box on the right shows the named style in the current drawing. The middle box shows a preview of the selected style from either box.
Styles from | Select a style file (STL) or the Designer or Micrografx Draw file you opened.
Open File/ Close File | Displays the Open dialog box, where you select a Designer (DSF) or Micrografx Draw (DRW) file from which you can import named styles. If a file is open, closes it.
Copy | Copies the selected style from the style or opened file to the current drawing.
Delete | Deletes the selected style from the current drawing.
Rename | Lets you rename the selected style for the current drawing.


Extrusion Options dialog box

This dialog box lets you select options for an extrusion.

Sample | View the extrusion options you have selected before applying them to your drawing. Drag the light icon [image] to position the light source.
No Shading | Select this box to turn shading off. None of the other options will be available.
Predefined | You can select a set of predefined extrusion options from this list. Each on automatically sets the light position and the lighting and attributes options for you.
Lighting | You can set the following lighting options: Color - Select the color of the light. Intensity - Drag the slider to adjust the strength of the light. Ambience - Drag the slider to change the amount of ambient light (light surrounding the object). Back/Front - Drag the slider to position the light source.
Attributes | Coarse/Fine - Drag the slider to adjust the smoothness. Dull/Shiny - Drag the slider to adjust the reflectivity (shininess of the object).
Extrude | Click this button to extrude the selected object.
Apply | Click this button to apply the options you have selected.

You must first extrude the object in order to select and apply extrusion options.


Contour dialog box

This dialog box lets you select options and add contour lines around objects.

Offset | Set the offset between contour lines.
Copies | Select the number of contour lines you want.
Thickness | Select the thickness of the line.
Hairline | Set the line width to the minimum.
Style | Click this button to display line styles for the contour lines.
Color | Click this button to display to display color choices.
Remove Original Objects | Select this to delete the original object upon creation of the contour lines.


Object Fields tab of the Object Properties dialog box

Object Name | Enter a name for the object
Field | Displays a list of properties.
Value | Displays a list of values for the field.
Add | Click to add a new field (not predefined).
Delete | Click to delete the selected field.
Edit | Click to rename a field.
Fields | Click to display predefined fields in the Property Fields dialog box.


Property Fields dialog box

This dialog box displays a list of fields you can add to the Object Properties dialog box. Check the box beside the fields you wish to select. When selected, the fields appear in the Field list on the Object Fields tab of the Object Properties dialog box.


Convert to Image dialog box

This dialog box lets you convert objects, including text, to bitmap images.

Resolution | Set the resolution for the image, in dpi (dots per inch).
Colors | Set the color type for the converted image.
Anti-Alias | Select the check box to use anti-aliasing for the converted image.
Transparent | Select the check box to use transparency for blank areas.
Image Properties | This area shows what the resulting bitmap's file size, width, and height will be. To change these, adjust the Resolution and/or Colors settings. Tip: If you are creating a bitmap image for display purposes only, use a resolution of 72 or 96 pixels per inch. If you are creating a bitmap image for printing, use a higher resolution, probably one equal to the resolution of your printer.


Estimate Download Time dialog box

This dialog box lets you see an estimate of the time it would take to download the current document in various file formats at various modem speeds.

Type | This column displays the type of file whose download time is being estimated.
Size | This column displays the size of the file.
Estimated Download Time | These columns display the estimated download time using varying modem speeds.
Audit Document button | Click to display the Document Audit Wizard dialog box, which you can use to analyze the document and possibly reduce the file size.


Document Audit Wizard dialog box

Use this dialog box to analyze the document and possibly reduce file size.

Select Objects to Audit | Select whether you would like to audit the entire document or only selected objects.
Select Audit Type | Select whether you would like a standard audit or a thorough audit.
Start Audit | Click to begin the audit.
Reviewing Document | If objects are found which can be reduced in size, you are presented with options.
Summary | The last screen shows what the new file size will be and lets you access the Estimate Download Times dialog box. Click Finish when you are done with the wizard.


Palette or Color Name dialog box

This dialog box lets you name or rename a palette or color. Type a name then click OK.


General tab of the Dimensions dialog box

The General tab of the Dimensions dialog box lets you set options affecting a dimension line's appearance.

Show Dimension Text | Check to display the dimension text.
Precision | Set the displayed precision of the line length.
Units | Shows the currently selected units setting. Click to change this setting.
Angle Units | Shows the currently selected angle units setting. Click to change this setting.
Prefix | Enter text to precede the dimension text.
Suffix | Enter text to follow the dimension text.
Round to Nearest | Check to round the measured dimension to the closest given interval. Specify the interval to which measured dimensions are rounded.
Show Extension Lines | Check to display the extension lines.
Gap | Enter the amount of space between a defining end point and the start of the extension line.
Extension | Enter the distance that the extension line should extend beyond the dimension line.
Use Outside Arrows | Make the dimension line's outside arrows pointing inward.
Arrow Length | Enter the distance that the outside arrows should extend outside the extension lines.


Text Orientation tab of the Dimensions dialog box

The Text Orientation tab of the Dimensions dialog box sets the orientation of the dimension value in relation to the dimension line.

Aligned Face Up | Align the dimension text to the dimension line facing up or to the right.
Towards Object | Align the dimension text to the dimension line facing the measured object.
Horizontal | Always display the dimension text horizontally.
Horizontal/Vertical | Display the text vertically if the line is vertical. Otherwise, display the text horizontally.
Custom Angle | Display the dimension text along a custom angle.
Degrees | Specify the angle at which to display the dimension text. Enter the value in the box, or drag the red needle in the dial.
Angle Units | Shows the currently selected angle units setting. Click to change this setting.


Text Position tab of the Dimensions dialog box

The Text Position tab of the Dimensions dialog box sets the position of the dimension value in relation to the dimension line.

On Text Point | Position the dimension text on the defining text point.
Force Left | Position the dimension text at the left side of the dimension line.
Force Centered | Position the dimension text at the center of the dimension line.
Force Right | Position the dimension text at the right side of the dimension line.
Above Line | Position the dimension text above the dimension line.
On Line | Position the dimension text on the dimension line.
Below Line | Position the dimension text below the dimension line.


Radial tab of the Dimensions dialog box

The Radial tab of the Dimensions dialog box sets the options for creating radial dimensions.

Show Extension Line | Select the check box to display the extension lines.
Extension | Enter the length in inches for the extension.
Show Center Lines | Select the check box to display the center lines.
Same size as of the circle | Select the check box if you want the center line to be the same size as the circle.
Size | Enter the size in inches for the center line.
Style | Select whether you want the radial to display as radius or as diameter.
Show Dimension Line | Select the check box to display the dimension line.


Callout tab of the Dimensions dialog box

The Callout tab of the Dimensions dialog box lets you set options affecting a callout line's appearance.

Style | Select the callout style.
Inner Margin | Select the check box to outline the callout text with a border.
Outer Gap | Enter the gap between the text point and the text.
Size | For circle, box, and triangle callout styles, specify the height of the balloon.
Segment Style | Choose the number of segments for the callout line.
Units | Lets you change the measuring increment. By default, the units match the ruler. To change the units, click the button. A menu opens, displaying the units available, along with the More Units command.
Halo Width | Specify the width of the mask beneath the callout leader line.


Tolerance tab of the Dimensions dialog box

The Tolerance tab of the Dimensions dialog box lets you display a tolerance value with the text of dimension lines.

Show Tolerance | Select this check box if you want the tolerance to be displayed as part of the object's dimensions.
Tolerance Mode | Select the type of tolerance for the object. Upper - establishes a maximum measure (displays "+") Lower - establishes a minimum measure (displays "-") Both - establishes both maximum and minimum measures (displays "±")
Tolerance Measure | Enter the linear or angular values to display as the tolerance for the object.


Palette dialog box

This dialog box appears if you try to edit a palette that cannot be modified. It lets you create a new, custom palette, to which you can copy he other palette's colors.

New palette name | Enter a name for the new palette.
Copy the colors in this palette to the new palette | Selecting this option will copy the colors from the Master palette to the new palette. (If you chose "Edit Color" this option is not available; the colors from the current palette are automatically added to the new palette.)
Create the new palette without colors | Selecting this options will create a new palette that is empty. If you chose "Edit Color" this option is not available.


Set Passwords dialog box

This dialog box lets you add passwords to protect a drawing.

Password to Open | Type the password required to open and view the drawing.
Password to Modify | Type the password required to make changes to the drawing.


Image Information dialog box

The Image Information dialog box displays information about the open image. The information includes format (such as 24-bit True Color), cropped width and height, total width and height, and size.


Add To Palette dialog box

This dialog box lets you limit the number of colors you add to a palette when selecting from an image.

The total number of colors is shown at the top. You can add the most frequently used colors, add all colors, or select a portion of the image from which to add colors.


Save As Template dialog box

This dialog box lets you save the current drawing as a template.

Name | Type a name for the template.
Description | Type a description of the template.
Save Clip Art Subject | Associates a clip art subject with the template. Before saving as a template, click the Share Media button [image] and select the subject. When you use the template to create a new document Share Media opens and displays the subject.
Category | Double-click the category to which you will add the template.
New Category | Adds a new category. Type the name of the new category, then press ENTER. To change the name of a category, select it, then click the name, type a new name, and press ENTER. To delete a category (and all of its templates!), select it, then press DELETE.
Back | Takes you back to the previous level.


Flash Export Setup dialog box

Use this dialog box to set options for exporting a drawing in Flash format (SWF).

Optimizations | Convert line styles to solid - Converts lines that use styles to solid lines. Otherwise, since Flash does not support line styles, the elements of those lines are converted to individual objects, which increases the file size. Export gradients - Includes gradients in the exported file. Note that Flash does not support all Designer gradient options. Export text as curves - Saves text as geometry rather than font-based text.
Animation | Rate - Sets the frame rate for the animation in frames per second (fps). The default is 12 fps. Autoplay - Sets the animation so that it plays as soon as it is loaded (rather than waiting for user interaction).
Images | Compression - Sets the type of compression for images: none, JPEG (best for photographs), or Zlib (best for other types of images). JPEG Quality - For JPEG images, sets the quality. Lower quality decreases the file size but has less picture information; higher quality has more picture information but increases the file size.
Bounding box | Sets the size of the animation. It can either be the size of the Designer page or the size of the bounding box of the objects (the used area). If you size it to the objects, you can select a relative margin size.
Layers | Determines whether layers are converted to frames for animation or merged to create a static illustration.


PDF Export Setup dialog box

Use this dialog box to set options for exporting a PDF file.

PDF Version | Select 1.2 if you want to make sure the PDF file is compatible with Acrobat 3. Version 1.3 allows you to use larger page sizes if the output is used in Acrobat 4.
Image Quality | Sets the quality for images in the PDF file. With lower settings, the resulting file size can be smaller, but more picture information may be lost. The default is High, with some compression used. The Highest setting uses no compression ("lossless"). The other settings use JPEG compression.
Fill Mode | Sets the method for converting gradients, hatches, and other fills. If Device is selected, a PDF method is used. Some fills may be converted to bitmaps. If Stroked is selected, a vector method is used. In either case, certain fills may be dropped. Note: If Export Gradients is not selected, gradient fills are not exported.
Export Text as Curves | Saves text as geometry rather than font-based text.
Export Gradients | Includes gradients and hatches in the exported file.
Page Range | Indicates whether to export all pages (the default) or just the current page.
Document Information | Lets you add author, title, and keywords. Users can display this information in Acrobat Reader by choosing File > Document Info > General.


AutoCAD Import Setup dialog box

Use this dialog box to set options for importing DWG and DXF files.

Scaling | Sets the scale to use: Automatic, using the scale defined in the AutoCAD file, English, using inches, or Metric, using millimeters. The default is Automatic.
Color | Lets you import the drawing with Normal colors, which maps the AutoCAD colors as closely as possible to the current Designer palette, gray scale, or black and white.
External References | Ignores or selects the path for AutoCAD files that are referenced by the file you are importing. If you select a path, all referenced files are also imported, plus any files they reference. The default is to ignore external references.


Publish to Web - Image Map

This dialog box lets you save an HTML file with a bitmap representation of the drawing, along with an image map for linking.

Image type | Determines the type of image to create.
Preview | Uses the current settings and displays the HTML page and image in the Web browser.


Publish to Web - Flash dialog box

Use this dialog box to set Flash options and export an SWF file and an accompanying HTML file that can be used immediately as a Web page.

Loop | Repeats the animation when it reaches the end.
Display Menu | Lets the user right-click the animation to display a shortcut menu of Flash options when running the animation in Flash.
Quality | Sets the quality of the animation. A low setting has faster playback speed but does not use anti-aliasing (smoothing of the text and images). Medium uses some anti-aliasing but does not smooth images. High quality, the default, uses anti- aliasing for both text and images but can have slower playback speed.
Size | Sets the size of the animation, in pixels. You can use this to increase or decrease the size. The default is based on the bounding box size (either the Designer page or used area, as set in the Flash Export dialog box).
Preview | Uses the current settings and displays the HTML page and animation in the Web browser.
Setup | Opens the Flash Export dialog box.


title_page_for_Help.html

Copyright © 2001 Micrografx, Inc. All rights reserved.

Protected by U.S. Patent 6,057,854.